#include "IIOP-server.h"

void flick_marshal_stub_Version(flick_marshal_stream_t _stream, const Version *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_char8(0, _data->major);
  flick_fluke_encode_char8(1, _data->minor);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_Version(flick_marshal_stream_t _stream, Version *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_char8(0, _data->major);
  flick_fluke_decode_char8(1, _data->minor);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, const IOP_ServiceID *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, const IOP_ServiceContext *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_unsigned32(0, _data->context_id);
  flick_fluke_encode_unsigned32(4, _data->context_data._length);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  flick_fluke_encode_new_glob(1 * _data->context_data._length);
  flick_fluke_encode_new_chunk(1 * _data->context_data._length);
  flick_fluke_encode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  mom_flick_free(_data->context_data._buffer);
  flick_fluke_encode_end_chunk(1 * _data->context_data._length);
  flick_fluke_encode_end_glob(1 * _data->context_data._length);
}

void flick_unmarshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, IOP_ServiceContext *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_unsigned32(0, _data->context_id);
  flick_fluke_decode_unsigned32(4, _data->context_data._length);
  _data->context_data._maximum = _data->context_data._length;
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  flick_fluke_decode_new_glob(1 * _data->context_data._length);
  flick_fluke_decode_new_chunk(1 * _data->context_data._length);
  _data->context_data._buffer = mom_flick_alloc(_data->context_data._length * sizeof(oskit_u8_t ));
  flick_fluke_decode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_fluke_decode_end_chunk(1 * _data->context_data._length);
  flick_fluke_decode_end_glob(1 * _data->context_data._length);
}

void flick_marshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, const IOP_ServiceContextList *_data)
{
  oskit_u32_t _t0_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_fluke_encode_new_glob(11);
      flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _data->_buffer[_t0_array_iter].context_id);
      flick_fluke_encode_unsigned32(4, _data->_buffer[_t0_array_iter].context_data._length);
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(11);
      flick_fluke_encode_new_glob(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_fluke_encode_new_chunk(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_fluke_encode_bcopy(0, _data->_buffer[_t0_array_iter].context_data._buffer, 1 * _data->_buffer[_t0_array_iter].context_data._length);
      mom_flick_free(_data->_buffer[_t0_array_iter].context_data._buffer);
      flick_fluke_encode_end_chunk(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_fluke_encode_end_glob(1 * _data->_buffer[_t0_array_iter].context_data._length);
    }
  mom_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  oskit_u32_t _t1_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(IOP_ServiceContext ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_decode_new_glob(11);
      flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
      flick_fluke_decode_unsigned32(0, _data->_buffer[_t1_array_iter].context_id);
      flick_fluke_decode_unsigned32(4, _data->_buffer[_t1_array_iter].context_data._length);
      _data->_buffer[_t1_array_iter].context_data._maximum = _data->_buffer[_t1_array_iter].context_data._length;
      flick_fluke_decode_end_chunk(8);
      flick_fluke_decode_end_glob(11);
      flick_fluke_decode_new_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_fluke_decode_new_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      _data->_buffer[_t1_array_iter].context_data._buffer = mom_flick_alloc(_data->_buffer[_t1_array_iter].context_data._length * sizeof(oskit_u8_t ));
      flick_fluke_decode_bcopy(0, _data->_buffer[_t1_array_iter].context_data._buffer, 1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_fluke_decode_end_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_fluke_decode_end_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
    }
}

void flick_marshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, const GIOP_MsgType *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, const GIOP_MessageHeader *_data)
{
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_bcopy(0, _data->magic, 4);
  flick_fluke_encode_char8(4, _data->GIOP_version.major);
  flick_fluke_encode_char8(5, _data->GIOP_version.minor);
  flick_fluke_encode_unsigned8(6, _data->byte_order);
  flick_fluke_encode_unsigned8(7, _data->message_type);
  flick_fluke_encode_unsigned32(8, _data->message_size);
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
}

void flick_unmarshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, GIOP_MessageHeader *_data)
{
  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_bcopy(0, _data->magic, 4);
  flick_fluke_decode_char8(4, _data->GIOP_version.major);
  flick_fluke_decode_char8(5, _data->GIOP_version.minor);
  flick_fluke_decode_unsigned8(6, _data->byte_order);
  flick_fluke_decode_unsigned8(7, _data->message_type);
  flick_fluke_decode_unsigned32(8, _data->message_size);
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
}

void flick_marshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, const GIOP_RequestHeader *_data)
{
  oskit_u32_t _t2_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->service_context._length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t2_array_iter = 0; _t2_array_iter < _data->service_context._length; _t2_array_iter++)
    {
      flick_fluke_encode_new_glob(11);
      flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _data->service_context._buffer[_t2_array_iter].context_id);
      flick_fluke_encode_unsigned32(4, _data->service_context._buffer[_t2_array_iter].context_data._length);
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(11);
      flick_fluke_encode_new_glob(1 * _data->service_context._buffer[_t2_array_iter].context_data._length);
      flick_fluke_encode_new_chunk(1 * _data->service_context._buffer[_t2_array_iter].context_data._length);
      flick_fluke_encode_bcopy(0, _data->service_context._buffer[_t2_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t2_array_iter].context_data._length);
      mom_flick_free(_data->service_context._buffer[_t2_array_iter].context_data._buffer);
      flick_fluke_encode_end_chunk(1 * _data->service_context._buffer[_t2_array_iter].context_data._length);
      flick_fluke_encode_end_glob(1 * _data->service_context._buffer[_t2_array_iter].context_data._length);
    }
  mom_flick_free(_data->service_context._buffer);
  flick_fluke_encode_new_glob(15);
  flick_fluke_encode_new_chunk_align(12, 2, 0, 0);
  flick_fluke_encode_unsigned32(0, _data->request_id);
  flick_fluke_encode_unsigned8(4, _data->response_expected);
  flick_fluke_encode_unsigned32(8, _data->object_key._length);
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(15);
  flick_fluke_encode_new_glob(1 * _data->object_key._length);
  flick_fluke_encode_new_chunk(1 * _data->object_key._length);
  flick_fluke_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  mom_flick_free(_data->object_key._buffer);
  flick_fluke_encode_end_chunk(1 * _data->object_key._length);
  flick_fluke_encode_end_glob(1 * _data->object_key._length);
  flick_fluke_encode_longstring(_data->operation, mom_flick_free, fluke);
  flick_fluke_encode_new_glob(7);
  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_mu_encode_port32(0, _data->requesting_principal, 0);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(7);
}

void flick_unmarshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, GIOP_RequestHeader *_data)
{
  oskit_u32_t _t3_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->service_context._length);
  _data->service_context._maximum = _data->service_context._length;
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  _data->service_context._buffer = mom_flick_alloc(_data->service_context._length * sizeof(IOP_ServiceContext ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->service_context._length; _t3_array_iter++)
    {
      flick_fluke_decode_new_glob(11);
      flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
      flick_fluke_decode_unsigned32(0, _data->service_context._buffer[_t3_array_iter].context_id);
      flick_fluke_decode_unsigned32(4, _data->service_context._buffer[_t3_array_iter].context_data._length);
      _data->service_context._buffer[_t3_array_iter].context_data._maximum = _data->service_context._buffer[_t3_array_iter].context_data._length;
      flick_fluke_decode_end_chunk(8);
      flick_fluke_decode_end_glob(11);
      flick_fluke_decode_new_glob(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_fluke_decode_new_chunk(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      _data->service_context._buffer[_t3_array_iter].context_data._buffer = mom_flick_alloc(_data->service_context._buffer[_t3_array_iter].context_data._length * sizeof(oskit_u8_t ));
      flick_fluke_decode_bcopy(0, _data->service_context._buffer[_t3_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_fluke_decode_end_chunk(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_fluke_decode_end_glob(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
    }
  flick_fluke_decode_new_glob(15);
  flick_fluke_decode_new_chunk_align(12, 2, 0, 0);
  flick_fluke_decode_unsigned32(0, _data->request_id);
  flick_fluke_decode_unsigned8(4, _data->response_expected);
  flick_fluke_decode_unsigned32(8, _data->object_key._length);
  _data->object_key._maximum = _data->object_key._length;
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(15);
  flick_fluke_decode_new_glob(1 * _data->object_key._length);
  flick_fluke_decode_new_chunk(1 * _data->object_key._length);
  _data->object_key._buffer = mom_flick_alloc(_data->object_key._length * sizeof(oskit_u8_t ));
  flick_fluke_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_fluke_decode_end_chunk(1 * _data->object_key._length);
  flick_fluke_decode_end_glob(1 * _data->object_key._length);
  flick_fluke_decode_longstring(_data->operation, mom_flick_alloc, fluke);
  flick_fluke_decode_new_glob(7);
  flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_mu_decode_port32(0, _data->requesting_principal, 1);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(7);
}

void flick_marshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, const GIOP_ReplyStatusType *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, const GIOP_ReplyHeader *_data)
{
  oskit_u32_t _t4_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->server_context._length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t4_array_iter = 0; _t4_array_iter < _data->server_context._length; _t4_array_iter++)
    {
      flick_fluke_encode_new_glob(11);
      flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _data->server_context._buffer[_t4_array_iter].context_id);
      flick_fluke_encode_unsigned32(4, _data->server_context._buffer[_t4_array_iter].context_data._length);
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(11);
      flick_fluke_encode_new_glob(1 * _data->server_context._buffer[_t4_array_iter].context_data._length);
      flick_fluke_encode_new_chunk(1 * _data->server_context._buffer[_t4_array_iter].context_data._length);
      flick_fluke_encode_bcopy(0, _data->server_context._buffer[_t4_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t4_array_iter].context_data._length);
      mom_flick_free(_data->server_context._buffer[_t4_array_iter].context_data._buffer);
      flick_fluke_encode_end_chunk(1 * _data->server_context._buffer[_t4_array_iter].context_data._length);
      flick_fluke_encode_end_glob(1 * _data->server_context._buffer[_t4_array_iter].context_data._length);
    }
  mom_flick_free(_data->server_context._buffer);
  flick_fluke_encode_new_glob(11);
  flick_fluke_encode_new_chunk_align(8, 2, 0, 0);
  flick_fluke_encode_unsigned32(0, _data->request_id);
  flick_fluke_encode_unsigned32(4, _data->reply_status);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(11);
}

void flick_unmarshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, GIOP_ReplyHeader *_data)
{
  oskit_u32_t _t5_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->server_context._length);
  _data->server_context._maximum = _data->server_context._length;
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  _data->server_context._buffer = mom_flick_alloc(_data->server_context._length * sizeof(IOP_ServiceContext ));
  for (_t5_array_iter = 0; _t5_array_iter < _data->server_context._length; _t5_array_iter++)
    {
      flick_fluke_decode_new_glob(11);
      flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
      flick_fluke_decode_unsigned32(0, _data->server_context._buffer[_t5_array_iter].context_id);
      flick_fluke_decode_unsigned32(4, _data->server_context._buffer[_t5_array_iter].context_data._length);
      _data->server_context._buffer[_t5_array_iter].context_data._maximum = _data->server_context._buffer[_t5_array_iter].context_data._length;
      flick_fluke_decode_end_chunk(8);
      flick_fluke_decode_end_glob(11);
      flick_fluke_decode_new_glob(1 * _data->server_context._buffer[_t5_array_iter].context_data._length);
      flick_fluke_decode_new_chunk(1 * _data->server_context._buffer[_t5_array_iter].context_data._length);
      _data->server_context._buffer[_t5_array_iter].context_data._buffer = mom_flick_alloc(_data->server_context._buffer[_t5_array_iter].context_data._length * sizeof(oskit_u8_t ));
      flick_fluke_decode_bcopy(0, _data->server_context._buffer[_t5_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t5_array_iter].context_data._length);
      flick_fluke_decode_end_chunk(1 * _data->server_context._buffer[_t5_array_iter].context_data._length);
      flick_fluke_decode_end_glob(1 * _data->server_context._buffer[_t5_array_iter].context_data._length);
    }
  flick_fluke_decode_new_glob(11);
  flick_fluke_decode_new_chunk_align(8, 2, 0, 0);
  flick_fluke_decode_unsigned32(0, _data->request_id);
  flick_fluke_decode_unsigned32(4, _data->reply_status);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(11);
}

void flick_marshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, const GIOP_CancelRequestHeader *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->request_id);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, GIOP_CancelRequestHeader *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->request_id);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, const GIOP_LocateRequestHeader *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_unsigned32(0, _data->request_id);
  flick_fluke_encode_unsigned32(4, _data->object_key._length);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  flick_fluke_encode_new_glob(1 * _data->object_key._length);
  flick_fluke_encode_new_chunk(1 * _data->object_key._length);
  flick_fluke_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  mom_flick_free(_data->object_key._buffer);
  flick_fluke_encode_end_chunk(1 * _data->object_key._length);
  flick_fluke_encode_end_glob(1 * _data->object_key._length);
}

void flick_unmarshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, GIOP_LocateRequestHeader *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_unsigned32(0, _data->request_id);
  flick_fluke_decode_unsigned32(4, _data->object_key._length);
  _data->object_key._maximum = _data->object_key._length;
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  flick_fluke_decode_new_glob(1 * _data->object_key._length);
  flick_fluke_decode_new_chunk(1 * _data->object_key._length);
  _data->object_key._buffer = mom_flick_alloc(_data->object_key._length * sizeof(oskit_u8_t ));
  flick_fluke_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_fluke_decode_end_chunk(1 * _data->object_key._length);
  flick_fluke_decode_end_glob(1 * _data->object_key._length);
}

void flick_marshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, const GIOP_LocateStatusType *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, const GIOP_LocateReplyHeader *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_unsigned32(0, _data->request_id);
  flick_fluke_encode_unsigned32(4, _data->locate_status);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, GIOP_LocateReplyHeader *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_unsigned32(0, _data->request_id);
  flick_fluke_decode_unsigned32(4, _data->locate_status);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, const IIOP_ProfileBody *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_char8(0, _data->iiop_version.major);
  flick_fluke_encode_char8(1, _data->iiop_version.minor);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
  flick_fluke_encode_longstring(_data->host, mom_flick_free, fluke);
  flick_fluke_encode_new_glob(9);
  flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
  flick_fluke_encode_unsigned16(0, _data->port);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_new_chunk_align(4, 2, 1, 0);
  flick_fluke_encode_unsigned32(0, _data->object_key._length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(9);
  flick_fluke_encode_new_glob(1 * _data->object_key._length);
  flick_fluke_encode_new_chunk(1 * _data->object_key._length);
  flick_fluke_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  mom_flick_free(_data->object_key._buffer);
  flick_fluke_encode_end_chunk(1 * _data->object_key._length);
  flick_fluke_encode_end_glob(1 * _data->object_key._length);
}

void flick_unmarshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, IIOP_ProfileBody *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_char8(0, _data->iiop_version.major);
  flick_fluke_decode_char8(1, _data->iiop_version.minor);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
  flick_fluke_decode_longstring(_data->host, mom_flick_alloc, fluke);
  flick_fluke_decode_new_glob(9);
  flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
  flick_fluke_decode_unsigned16(0, _data->port);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_new_chunk_align(4, 2, 1, 0);
  flick_fluke_decode_unsigned32(0, _data->object_key._length);
  _data->object_key._maximum = _data->object_key._length;
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(9);
  flick_fluke_decode_new_glob(1 * _data->object_key._length);
  flick_fluke_decode_new_chunk(1 * _data->object_key._length);
  _data->object_key._buffer = mom_flick_alloc(_data->object_key._length * sizeof(oskit_u8_t ));
  flick_fluke_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_fluke_decode_end_chunk(1 * _data->object_key._length);
  flick_fluke_decode_end_glob(1 * _data->object_key._length);
}

