#include "arrayez-client.h"

void flick_marshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, const arrayez_arr8k *_data)
{
  flick_fluke_encode_new_glob(8192);
  flick_fluke_encode_new_chunk(8192);
  flick_fluke_encode_bcopy(0, *_data, 8192);
  flick_fluke_encode_end_chunk(8192);
  flick_fluke_encode_end_glob(8192);
}

void flick_unmarshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
  flick_fluke_decode_new_glob(8192);
  flick_fluke_decode_new_chunk(8192);
  flick_fluke_decode_bcopy(0, *_data, 8192);
  flick_fluke_decode_end_chunk(8192);
  flick_fluke_decode_end_glob(8192);
}

oskit_s32_t arrayez_test_in8k(mom_ref_t _obj, arrayez_arr8k a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_arrayez_test_in8k);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(8192);
    flick_fluke_encode_new_chunk(8192);
    flick_fluke_encode_bcopy(0, a, 8192);
    flick_fluke_encode_end_chunk(8192);
    flick_fluke_encode_end_glob(8192);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t arrayez_test_out8k(mom_ref_t _obj, arrayez_arr8k a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_arrayez_test_out8k);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(8192);
          flick_fluke_decode_new_chunk(8192);
          flick_fluke_decode_bcopy(0, a, 8192);
          flick_fluke_decode_end_chunk(8192);
          flick_fluke_decode_end_glob(8192);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t arrayez_test_io8k(mom_ref_t _obj, arrayez_arr8k a, arrayez_arr8k b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_arrayez_test_io8k);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(8192);
    flick_fluke_encode_new_chunk(8192);
    flick_fluke_encode_bcopy(0, a, 8192);
    flick_fluke_encode_end_chunk(8192);
    flick_fluke_encode_end_glob(8192);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(8192);
          flick_fluke_decode_new_chunk(8192);
          flick_fluke_decode_bcopy(0, b, 8192);
          flick_fluke_decode_end_chunk(8192);
          flick_fluke_decode_end_glob(8192);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

