#include "mig-arrays-ool-client.h"

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234002);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, foo);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234003);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, foo);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234004);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, foo);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234005);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, foo);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234006);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234007);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234008);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234009);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234010);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234011);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 234012);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

