#include "mig-tests-client.h"

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550001);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, inInt);
    flick_fluke_encode_signed32(8, *inoutInt);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_signed32(0, *inoutInt);
          flick_fluke_decode_signed32(4, *outInt);
          flick_fluke_decode_end_chunk(8);
          flick_fluke_decode_end_glob(12);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(12);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t2_internal;
    unsigned *_t3_internal;

    flick_fluke_encode_new_glob(804);
    flick_fluke_encode_new_chunk(804);
    flick_fluke_encode_signed32(0, 5550002);
    /* Begin encode phase on parameters */
    _t2_internal = (unsigned *)(&(inStruct));
    flick_fluke_encode_bcopy(4, _t2_internal, 400);
    _t3_internal = (unsigned *)(&(*inoutStruct));
    flick_fluke_encode_bcopy(404, _t3_internal, 400);
    flick_fluke_encode_end_chunk(804);
    flick_fluke_encode_end_glob(804);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(804);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          unsigned *_t6_internal;
          unsigned *_t7_internal;

          /* Begin decode phase on parameters */
          _t6_internal = (unsigned *)(&(*inoutStruct));
          flick_fluke_decode_new_chunk(800);
          flick_fluke_decode_bcopy(0, _t6_internal, 400);
          _t7_internal = (unsigned *)(&(*outStruct));
          flick_fluke_decode_bcopy(400, _t7_internal, 400);
          flick_fluke_decode_end_chunk(800);
          flick_fluke_decode_end_glob(804);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(804);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t10_internal;
    unsigned *_t11_internal;

    flick_fluke_encode_new_glob(2404);
    flick_fluke_encode_new_chunk(2404);
    flick_fluke_encode_signed32(0, 5550003);
    /* Begin encode phase on parameters */
    _t10_internal = (unsigned *)inArray;
    flick_fluke_encode_bcopy(4, _t10_internal, 1200);
    _t11_internal = (unsigned *)inoutArray;
    flick_fluke_encode_bcopy(1204, _t11_internal, 1200);
    flick_fluke_encode_end_chunk(2404);
    flick_fluke_encode_end_glob(2404);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(2404);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          unsigned *_t14_internal;
          unsigned *_t15_internal;

          /* Begin decode phase on parameters */
          _t14_internal = (unsigned *)inoutArray;
          flick_fluke_decode_new_chunk(2400);
          flick_fluke_decode_bcopy(0, _t14_internal, 1200);
          _t15_internal = (unsigned *)outArray;
          flick_fluke_decode_bcopy(1200, _t15_internal, 1200);
          flick_fluke_decode_end_chunk(2400);
          flick_fluke_decode_end_glob(2404);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(2404);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(2008);
    flick_fluke_encode_new_chunk(8 + 4 * inArrayCnt);
    flick_fluke_encode_signed32(0, 5550004);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inArrayCnt);
    if (inArrayCnt > (unsigned int) 500)
      flick_mig_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
    flick_fluke_encode_bcopy(8, inArray, 4 * inArrayCnt);
    flick_fluke_encode_end_chunk(8 + 4 * inArrayCnt);
    flick_fluke_encode_end_glob(2008);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(2008);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, *outArrayCnt);
          if (*outArrayCnt > (unsigned int) 500)
            flick_mig_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_new_chunk(4 * *outArrayCnt);
          flick_fluke_decode_bcopy(0, outArray, 4 * *outArrayCnt);
          flick_fluke_decode_end_chunk(4 * *outArrayCnt);
          flick_fluke_decode_end_glob(2008);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(2008);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 5550005);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inArrayCnt);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(4 * inArrayCnt);
    flick_fluke_encode_new_chunk(4 * inArrayCnt);
    flick_fluke_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_fluke_encode_end_chunk(4 * inArrayCnt);
    flick_fluke_encode_end_glob(4 * inArrayCnt);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, *outArrayCnt);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(4 * *outArrayCnt);
          flick_fluke_decode_new_chunk(4 * *outArrayCnt);
          *outArray = mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned ));
          flick_fluke_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
          flick_fluke_decode_end_chunk(4 * *outArrayCnt);
          flick_fluke_decode_end_glob(4 * *outArrayCnt);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(8);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    char *_t18_internal;
    char *_t19_internal;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 5550006);
    /* Begin encode phase on parameters */
    _t18_internal = (char *)inString;
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_alloced_string(_t18_internal, fluke, 799);
    _t19_internal = (char *)inoutString;
    flick_fluke_encode_alloced_string(_t19_internal, fluke, 799);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          char *_t22_internal;
          char *_t23_internal;

          /* Begin decode phase on parameters */
          _t22_internal = (char *)inoutString;
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_alloced_string(_t22_internal, fluke, 799);
          _t23_internal = (char *)outString;
          flick_fluke_decode_alloced_string(_t23_internal, fluke, 799);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 5550007);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_alloced_string(inString, fluke, 4997);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_alloced_string(outString, fluke, 4997);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(4);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550008);
    /* Begin encode phase on parameters */
    flick_fluke_client_encode_port32(4, inRight, 1);
    flick_fluke_client_encode_port32(8, *inoutRight, 0);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_client_decode_port32(0, *inoutRight, 1);
          flick_fluke_client_decode_port32(4, *outRight, 1);
          flick_fluke_decode_end_chunk(8);
          flick_fluke_decode_end_glob(12);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(12);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    mach_msg_type_number_t _t25_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 5550009);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inRightCnt);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(4 * inRightCnt);
    for (_t25_array_iter = 0; _t25_array_iter < inRightCnt; _t25_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_client_encode_port32(0, inRight[_t25_array_iter], 1);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_end_glob(4 * inRightCnt);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          mach_msg_type_number_t _t27_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, *outRightCnt);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(4 * *outRightCnt);
          *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
          for (_t27_array_iter = 0; _t27_array_iter < *outRightCnt; _t27_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_client_decode_port32(0, (*outRight)[_t27_array_iter], 1);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_end_glob(4 * *outRightCnt);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(8);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    mach_msg_type_number_t _t29_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 5550010);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inRightCnt);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(4 * inRightCnt);
    for (_t29_array_iter = 0; _t29_array_iter < inRightCnt; _t29_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_client_encode_port32(0, inRight[_t29_array_iter], 0);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_end_glob(4 * inRightCnt);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          mach_msg_type_number_t _t31_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, *outRightCnt);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(4 * *outRightCnt);
          *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
          for (_t31_array_iter = 0; _t31_array_iter < *outRightCnt; _t31_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_client_decode_port32(0, (*outRight)[_t31_array_iter], 1);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_end_glob(4 * *outRightCnt);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(8);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550012);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inInt);
    flick_fluke_encode_unsigned32(8, *inoutInt);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_unsigned32(0, *inoutInt);
          flick_fluke_decode_unsigned32(4, *outInt);
          flick_fluke_decode_end_chunk(8);
          flick_fluke_decode_end_glob(12);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(12);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550013);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inStruct);
    flick_fluke_encode_unsigned32(8, *inoutStruct);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_unsigned32(0, *inoutStruct);
          flick_fluke_decode_unsigned32(4, *outStruct);
          flick_fluke_decode_end_chunk(8);
          flick_fluke_decode_end_glob(12);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(12);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550014);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inArray);
    flick_fluke_encode_unsigned32(8, *inoutArray);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_unsigned32(0, *inoutArray);
          flick_fluke_decode_unsigned32(4, *outArray);
          flick_fluke_decode_end_chunk(8);
          flick_fluke_decode_end_glob(12);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(12);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(20);
    flick_fluke_encode_new_chunk(20);
    flick_fluke_encode_signed32(0, 5550015);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inArrayCnt);
    flick_fluke_encode_unsigned32(8, inArray);
    flick_fluke_encode_unsigned32(12, *inoutArrayCnt);
    flick_fluke_encode_unsigned32(16, *inoutArray);
    flick_fluke_encode_end_chunk(20);
    flick_fluke_encode_end_glob(20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_unsigned32(0, *inoutArrayCnt);
          flick_fluke_decode_unsigned32(4, *inoutArray);
          flick_fluke_decode_unsigned32(8, *outArrayCnt);
          flick_fluke_decode_unsigned32(12, *outArray);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(20);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_signed32(0, 5550016);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inString);
    flick_fluke_encode_unsigned32(8, *inoutString);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_unsigned32(0, *inoutString);
          flick_fluke_decode_unsigned32(4, *outString);
          flick_fluke_decode_end_chunk(8);
          flick_fluke_decode_end_glob(12);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(12);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(20);
    flick_fluke_encode_new_chunk(20);
    flick_fluke_encode_signed32(0, 5550017);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inRightCnt);
    flick_fluke_encode_unsigned32(8, inRight);
    flick_fluke_encode_unsigned32(12, *inoutRightCnt);
    flick_fluke_encode_unsigned32(16, *inoutRight);
    flick_fluke_encode_end_chunk(20);
    flick_fluke_encode_end_glob(20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_unsigned32(0, *inoutRightCnt);
          flick_fluke_decode_unsigned32(4, *inoutRight);
          flick_fluke_decode_unsigned32(8, *outRightCnt);
          flick_fluke_decode_unsigned32(12, *outRight);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(20);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(20);
    flick_fluke_encode_new_chunk(20);
    flick_fluke_encode_signed32(0, 5550018);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inRightCnt);
    flick_fluke_encode_unsigned32(8, inRight);
    flick_fluke_encode_unsigned32(12, *inoutRightCnt);
    flick_fluke_encode_unsigned32(16, *inoutRight);
    flick_fluke_encode_end_chunk(20);
    flick_fluke_encode_end_glob(20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_unsigned32(0, *inoutRightCnt);
          flick_fluke_decode_unsigned32(4, *inoutRight);
          flick_fluke_decode_unsigned32(8, *outRightCnt);
          flick_fluke_decode_unsigned32(12, *outRight);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(20);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 5550020);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, *data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *data);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(8);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 5550021);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, *data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *data);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(8);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 5550022);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, *data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *data);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(8);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 5550023);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, *data);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *data);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(8);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(20);
    flick_fluke_encode_new_chunk(20);
    flick_fluke_encode_signed32(0, 5550024);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inArrayCnt);
    flick_fluke_encode_unsigned32(8, inArray);
    flick_fluke_encode_unsigned32(12, *inoutArrayCnt);
    flick_fluke_encode_unsigned32(16, *inoutArray);
    flick_fluke_encode_end_chunk(20);
    flick_fluke_encode_end_glob(20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_unsigned32(0, *inoutArrayCnt);
          flick_fluke_decode_unsigned32(4, *inoutArray);
          flick_fluke_decode_unsigned32(8, *outArrayCnt);
          flick_fluke_decode_unsigned32(12, *outArray);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(20);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_signed32(0, 5550025);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, inArrayCnt);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(4 * inArrayCnt);
    flick_fluke_encode_new_chunk(4 * inArrayCnt);
    flick_fluke_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_fluke_encode_end_chunk(4 * inArrayCnt);
    flick_fluke_encode_end_glob(4 * inArrayCnt);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(5);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_unsigned8(0, *scopy);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_end_glob(5);
          break;
        }
      default:
        {
          flick_fluke_decode_end_glob(5);
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

