#include "parms-client.h"

void flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, const long_seq *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->long_seq_len);
  flick_fluke_encode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_encode_bcopy(4, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_fluke_encode_end_chunk(4 + 4 * _data->long_seq_len);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->long_seq_len);
  _data->long_seq_val = sun_flick_alloc(_data->long_seq_len * sizeof(int ));
  flick_fluke_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_fluke_decode_end_chunk(4 * _data->long_seq_len);
  flick_fluke_decode_end_glob(44);
}

void *void_test_2345(void *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  void *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, 0);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static char _t1_storage;

          /* Begin decode phase on parameters */
          _return = &_t1_storage;
          flick_fluke_decode_end_glob(4);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(4);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *char_test_2345(char *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, 1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, *arg);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(5);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static char _t3_storage;

          /* Begin decode phase on parameters */
          _return = &_t3_storage;
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, *_return);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_end_glob(5);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(5);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(5);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *bool_test_2345(int *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, 2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, *arg);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(5);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(5);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t5_storage;

          /* Begin decode phase on parameters */
          _return = &_t5_storage;
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_unsigned8(0, *_return);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_end_glob(5);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(5);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(5);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

short int *short_test_2345(short int *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  short int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, 3);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, *arg);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static short int _t7_storage;

          /* Begin decode phase on parameters */
          _return = &_t7_storage;
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, *_return);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(6);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

unsigned short int *ushort_test_2345(unsigned short int *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  unsigned short int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, 4);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned16(4, *arg);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static unsigned short int _t9_storage;

          /* Begin decode phase on parameters */
          _return = &_t9_storage;
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_unsigned16(0, *_return);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(6);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *long_test_2345(int *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 5);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, *arg);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t11_storage;

          /* Begin decode phase on parameters */
          _return = &_t11_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

unsigned int *ulong_test_2345(unsigned int *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  unsigned int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 6);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, *arg);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static unsigned int _t13_storage;

          /* Begin decode phase on parameters */
          _return = &_t13_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

float *float_test_2345(float *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 7);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float32(4, *arg);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static float _t15_storage;

          /* Begin decode phase on parameters */
          _return = &_t15_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_float32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

double *double_test_2345(double *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(16);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, 8);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, *arg);
    flick_fluke_encode_end_chunk(16);
    flick_fluke_encode_end_glob(16);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static double _t17_storage;

          /* Begin decode phase on parameters */
          _return = &_t17_storage;
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float64(4, *_return);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(16);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

long_seq *long_seq_test_2345(long_seq *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  long_seq *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(48);
    flick_fluke_encode_new_chunk(8 + 4 * arg->long_seq_len);
    flick_fluke_encode_unsigned32(0, 9);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, arg->long_seq_len);
    if (arg->long_seq_len > (unsigned int) 10)
      flick_sun_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
    flick_fluke_encode_bcopy(8, arg->long_seq_val, 4 * arg->long_seq_len);
    flick_fluke_encode_end_chunk(8 + 4 * arg->long_seq_len);
    flick_fluke_encode_end_glob(48);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(48);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static long_seq _t19_storage;

          /* Begin decode phase on parameters */
          _return = &_t19_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->long_seq_len);
          if (_return->long_seq_len > (unsigned int) 10)
            flick_sun_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_new_chunk(4 * _return->long_seq_len);
          _return->long_seq_val = sun_flick_alloc(_return->long_seq_len * sizeof(int ));
          flick_fluke_decode_bcopy(0, _return->long_seq_val, 4 * _return->long_seq_len);
          flick_fluke_decode_end_chunk(4 * _return->long_seq_len);
          flick_fluke_decode_end_glob(48);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(48);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(48);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

