#include "program-4-client.h"

void flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed16(0, _data->a);
  flick_fluke_encode_signed16(2, _data->b);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed16(0, _data->a);
  flick_fluke_decode_signed16(2, _data->b);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->a);
  flick_fluke_encode_signed32(4, _data->b);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->a);
  flick_fluke_decode_signed32(4, _data->b);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->long_list_len);
  flick_fluke_encode_unsigned32(0, _data->long_list_len);
  if (_data->long_list_len > (unsigned int) 10)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_encode_bcopy(4, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_encode_end_chunk(4 + 4 * _data->long_list_len);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_list_len);
  if (_data->long_list_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_fluke_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_decode_end_chunk(4 * _data->long_list_len);
  flick_fluke_decode_end_glob(44);
}

short int *addshort_1(struct short_short *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  short int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, arg->a);
    flick_fluke_encode_signed16(6, arg->b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static short int _t1_storage;

          /* Begin decode phase on parameters */
          _return = &_t1_storage;
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, *_return);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(6);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

short int *subshort_1(struct short_short *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  short int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, arg->a);
    flick_fluke_encode_signed16(6, arg->b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static short int _t3_storage;

          /* Begin decode phase on parameters */
          _return = &_t3_storage;
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, *_return);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(6);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

short int *multshort_1(struct short_short *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  short int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 3);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, arg->a);
    flick_fluke_encode_signed16(6, arg->b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static short int _t5_storage;

          /* Begin decode phase on parameters */
          _return = &_t5_storage;
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, *_return);
          flick_fluke_decode_end_chunk(2);
          flick_fluke_decode_end_glob(6);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(6);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(6);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *addlong_1(struct long_long *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, 4);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, arg->a);
    flick_fluke_encode_signed32(8, arg->b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t7_storage;

          /* Begin decode phase on parameters */
          _return = &_t7_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *sublong_1(struct long_long *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, 5);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, arg->a);
    flick_fluke_encode_signed32(8, arg->b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t9_storage;

          /* Begin decode phase on parameters */
          _return = &_t9_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *multlong_1(struct long_long *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, 6);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, arg->a);
    flick_fluke_encode_signed32(8, arg->b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t11_storage;

          /* Begin decode phase on parameters */
          _return = &_t11_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *addlonglist_1(long_list *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(48);
    flick_fluke_encode_new_chunk(8 + 4 * arg->long_list_len);
    flick_fluke_encode_unsigned32(0, 7);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, arg->long_list_len);
    if (arg->long_list_len > (unsigned int) 10)
      flick_sun_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
    flick_fluke_encode_bcopy(8, arg->long_list_val, 4 * arg->long_list_len);
    flick_fluke_encode_end_chunk(8 + 4 * arg->long_list_len);
    flick_fluke_encode_end_glob(48);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t13_storage;

          /* Begin decode phase on parameters */
          _return = &_t13_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

int *multlonglist_1(long_list *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(48);
    flick_fluke_encode_new_chunk(8 + 4 * arg->long_list_len);
    flick_fluke_encode_unsigned32(0, 8);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, arg->long_list_len);
    if (arg->long_list_len > (unsigned int) 10)
      flick_sun_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
    flick_fluke_encode_bcopy(8, arg->long_list_val, 4 * arg->long_list_len);
    flick_fluke_encode_end_chunk(8 + 4 * arg->long_list_len);
    flick_fluke_encode_end_glob(48);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t15_storage;

          /* Begin decode phase on parameters */
          _return = &_t15_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

