#include "program-6-server.h"

void flick_marshal_stub_sa(flick_marshal_stream_t _stream, const struct sa *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->a);
  flick_fluke_encode_signed32(4, _data->b);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->a);
  flick_fluke_decode_signed32(4, _data->b);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_sb(flick_marshal_stream_t _stream, const struct sb *_data)
{
  flick_fluke_encode_new_glob(16);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed32(0, _data->a.a);
  flick_fluke_encode_signed32(4, _data->a.b);
  flick_fluke_encode_signed32(8, _data->b.a);
  flick_fluke_encode_signed32(12, _data->b.b);
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
}

void flick_unmarshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  flick_fluke_decode_new_glob(16);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed32(0, _data->a.a);
  flick_fluke_decode_signed32(4, _data->a.b);
  flick_fluke_decode_signed32(8, _data->b.a);
  flick_fluke_decode_signed32(12, _data->b.b);
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->long_list_len);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->long_list_len);
  flick_fluke_encode_new_chunk(4 * _data->long_list_len);
  flick_fluke_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_encode_end_chunk(4 * _data->long_list_len);
  flick_fluke_encode_end_glob(4 * _data->long_list_len);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_list_len);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->long_list_len);
  flick_fluke_decode_new_chunk(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_fluke_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_decode_end_chunk(4 * _data->long_list_len);
  flick_fluke_decode_end_glob(4 * _data->long_list_len);
}

void flick_marshal_stub_sb_list(flick_marshal_stream_t _stream, const sb_list *_data)
{
  unsigned int _t0_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->sb_list_len);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(16 * _data->sb_list_len);
  for (_t0_array_iter = 0; _t0_array_iter < _data->sb_list_len; _t0_array_iter++)
    {
      flick_fluke_encode_new_chunk(16);
      flick_fluke_encode_signed32(0, _data->sb_list_val[_t0_array_iter].a.a);
      flick_fluke_encode_signed32(4, _data->sb_list_val[_t0_array_iter].a.b);
      flick_fluke_encode_signed32(8, _data->sb_list_val[_t0_array_iter].b.a);
      flick_fluke_encode_signed32(12, _data->sb_list_val[_t0_array_iter].b.b);
      flick_fluke_encode_end_chunk(16);
    }
  flick_fluke_encode_end_glob(16 * _data->sb_list_len);
}

void flick_unmarshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned int _t1_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->sb_list_len);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(16 * _data->sb_list_len);
  _data->sb_list_val = sun_flick_alloc(_data->sb_list_len * sizeof(struct sb ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->sb_list_len; _t1_array_iter++)
    {
      flick_fluke_decode_new_chunk(16);
      flick_fluke_decode_signed32(0, _data->sb_list_val[_t1_array_iter].a.a);
      flick_fluke_decode_signed32(4, _data->sb_list_val[_t1_array_iter].a.b);
      flick_fluke_decode_signed32(8, _data->sb_list_val[_t1_array_iter].b.a);
      flick_fluke_decode_signed32(12, _data->sb_list_val[_t1_array_iter].b.b);
      flick_fluke_decode_end_chunk(16);
    }
  flick_fluke_decode_end_glob(16 * _data->sb_list_len);
}

mom_dispatch_action_t math_50(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t6_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t6_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t6_switch_tag)
      {
      case (signed int) 7:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            long_list _t7_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t7_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->long_list_len);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * _local_arg->long_list_len);
            flick_fluke_decode_new_chunk(4 * _local_arg->long_list_len);
            _local_arg->long_list_val = sun_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_fluke_decode_bcopy(0, _local_arg->long_list_val, 4 * _local_arg->long_list_len);
            flick_fluke_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_fluke_decode_end_glob(4 * _local_arg->long_list_len);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = long_test_50(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 8:
        {
          {
            sb_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            sb_list _t8_storage;
            unsigned int _t9_array_iter;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t8_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->sb_list_len);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(16 * _local_arg->sb_list_len);
            _local_arg->sb_list_val = sun_flick_alloc(_local_arg->sb_list_len * sizeof(struct sb ));
            for (_t9_array_iter = 0; _t9_array_iter < _local_arg->sb_list_len; _t9_array_iter++)
              {
                flick_fluke_decode_new_chunk(16);
                flick_fluke_decode_signed32(0, _local_arg->sb_list_val[_t9_array_iter].a.a);
                flick_fluke_decode_signed32(4, _local_arg->sb_list_val[_t9_array_iter].a.b);
                flick_fluke_decode_signed32(8, _local_arg->sb_list_val[_t9_array_iter].b.a);
                flick_fluke_decode_signed32(12, _local_arg->sb_list_val[_t9_array_iter].b.b);
                flick_fluke_decode_end_chunk(16);
              }
            flick_fluke_decode_end_glob(16 * _local_arg->sb_list_len);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = sb_test_50(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
