#include "arrayez_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_iiop_encode_new_glob(32);
  flick_iiop_encode_new_chunk(32);
  flick_cdr_encode_bcopy(0, *_data, 32);
  flick_iiop_encode_end_chunk(32);
  flick_iiop_encode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_iiop_decode_new_glob(32);
  flick_iiop_decode_new_chunk(32);
  flick_cdr_decode_bcopy(0, *_data, 32);
  flick_iiop_decode_end_chunk(32);
  flick_iiop_decode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8_swap(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_iiop_decode_new_glob(32);
  for (_t0_array_iter = 0; _t0_array_iter < 8; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(32);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_iiop_encode_new_glob(1024);
  flick_iiop_encode_new_chunk(1024);
  flick_cdr_encode_bcopy(0, *_data, 1024);
  flick_iiop_encode_end_chunk(1024);
  flick_iiop_encode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_iiop_decode_new_glob(1024);
  flick_iiop_decode_new_chunk(1024);
  flick_cdr_decode_bcopy(0, *_data, 1024);
  flick_iiop_decode_end_chunk(1024);
  flick_iiop_decode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256_swap(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t1_array_iter;

  flick_iiop_decode_new_glob(1024);
  for (_t1_array_iter = 0; _t1_array_iter < 256; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t1_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(1024);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_iiop_encode_new_glob(32768);
  flick_iiop_encode_new_chunk(32768);
  flick_cdr_encode_bcopy(0, *_data, 32768);
  flick_iiop_encode_end_chunk(32768);
  flick_iiop_encode_end_glob(32768);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_iiop_decode_new_glob(32768);
  flick_iiop_decode_new_chunk(32768);
  flick_cdr_decode_bcopy(0, *_data, 32768);
  flick_iiop_decode_end_chunk(32768);
  flick_iiop_decode_end_glob(32768);
}

void flick_unmarshal_stub_arrays_arr8k_swap(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t2_array_iter;

  flick_iiop_decode_new_glob(32768);
  for (_t2_array_iter = 0; _t2_array_iter < 8192; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t2_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(32768);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t60_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t60_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t60_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t61_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t61_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t61_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t62_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t62_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t62_switch_tag)
                  {
                  case /* 8 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14336):
                    {
                      {
                        arrays _obj;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t63_principal_len;
                        CORBA_long _t65_storage[8];
                        flick_unsigned8_t _t66_array_iter;
                        CORBA_Environment _t67_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t63_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t63_principal_len);
                        flick_iiop_decode_new_chunk(_t63_principal_len);
                        flick_iiop_decode_end_chunk(_t63_principal_len);
                        flick_iiop_decode_end_glob(_t63_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(56);
                        _local_a = _t65_storage;
                        for (_t66_array_iter = 0; _t66_array_iter < 8; _t66_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t66_array_iter]);
                            flick_iiop_decode_end_chunk(4);
                          }
                        _ev = &_t67_storage;
                        flick_iiop_decode_end_glob(56);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = arrays_test8(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t68_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t68_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t68_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t69_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t69_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t69_switch_tag)
                  {
                  case /* 256 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 842348032):
                    {
                      {
                        arrays _obj;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t70_principal_len;
                        CORBA_long _t72_storage[256];
                        flick_unsigned16_t _t73_array_iter;
                        CORBA_Environment _t74_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t70_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t70_principal_len);
                        flick_iiop_decode_new_chunk(_t70_principal_len);
                        flick_iiop_decode_end_chunk(_t70_principal_len);
                        flick_iiop_decode_end_glob(_t70_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(1792);
                        _local_a = _t72_storage;
                        for (_t73_array_iter = 0; _t73_array_iter < 256; _t73_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t73_array_iter]);
                            flick_iiop_decode_end_chunk(4);
                          }
                        _ev = &_t74_storage;
                        flick_iiop_decode_end_glob(1792);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = arrays_test256(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t75_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t75_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t75_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t76_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t76_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t76_switch_tag)
                  {
                  case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                    {
                      char _t77_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t77_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t77_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t78_principal_len;
                              CORBA_long _t80_storage[8192];
                              flick_unsigned16_t _t81_array_iter;
                              CORBA_Environment _t82_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t78_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t78_principal_len);
                              flick_iiop_decode_new_chunk(_t78_principal_len);
                              flick_iiop_decode_end_chunk(_t78_principal_len);
                              flick_iiop_decode_end_glob(_t78_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(57344);
                              _local_a = _t80_storage;
                              for (_t81_array_iter = 0; _t81_array_iter < 8192; _t81_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t81_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_end_glob(57344);
                              _ev = &_t82_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test8k(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t20_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t20_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t20_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t21_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t21_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t21_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t22_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t22_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t22_switch_tag)
                  {
                  case /* 8 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14336):
                    {
                      {
                        arrays _obj;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t23_principal_len;
                        CORBA_Environment _t25_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t23_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t23_principal_len);
                        flick_iiop_decode_new_chunk(_t23_principal_len);
                        flick_iiop_decode_end_chunk(_t23_principal_len);
                        flick_iiop_decode_end_glob(_t23_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(35);
                        flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                        flick_cdr_decode_msgptr(0, _local_a);
                        _ev = &_t25_storage;
                        flick_iiop_decode_end_chunk(32);
                        flick_iiop_decode_end_glob(35);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = arrays_test8(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t26_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t26_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t26_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t27_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t27_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t27_switch_tag)
                  {
                  case /* 256 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 842348032):
                    {
                      {
                        arrays _obj;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t28_principal_len;
                        CORBA_Environment _t30_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t28_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t28_principal_len);
                        flick_iiop_decode_new_chunk(_t28_principal_len);
                        flick_iiop_decode_end_chunk(_t28_principal_len);
                        flick_iiop_decode_end_glob(_t28_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(1027);
                        flick_iiop_decode_new_chunk_align(1024, 2, 0, 0);
                        flick_cdr_decode_msgptr(0, _local_a);
                        _ev = &_t30_storage;
                        flick_iiop_decode_end_chunk(1024);
                        flick_iiop_decode_end_glob(1027);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = arrays_test256(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t31_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t31_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t31_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t32_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t32_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t32_switch_tag)
                  {
                  case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                    {
                      char _t33_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t33_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t33_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t34_principal_len;
                              CORBA_Environment _t36_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t34_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t34_principal_len);
                              flick_iiop_decode_new_chunk(_t34_principal_len);
                              flick_iiop_decode_end_chunk(_t34_principal_len);
                              flick_iiop_decode_end_glob(_t34_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(3);
                              flick_iiop_decode_new_chunk_align(32768, 2, 0, 0);
                              flick_cdr_decode_msgptr(0, _local_a);
                              flick_iiop_decode_end_chunk(32768);
                              flick_iiop_decode_end_glob(3);
                              _ev = &_t36_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test8k(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
