#include "ex-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_A_B(flick_marshal_stream_t _stream, const A_B *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
  flick_cdr_encode_string(_data->d, CORBA_flick_free, iiop, 20);
}

void flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  flick_cdr_decode_string(_data->d, CORBA_flick_alloc, iiop, 20);
}

void flick_unmarshal_stub_A_B_swap(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  flick_cdr_swap_decode_string(_data->d, CORBA_flick_alloc, iiop, 20);
}

void flick_marshal_stub_A(flick_marshal_stream_t _stream, const A *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_A_swap(flick_marshal_stream_t _stream, A *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t A_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t15_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t15_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t15_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t16_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t16_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t16_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t17_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t17_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t17_switch_tag)
                  {
                  case 0:
                    {
                      {
                        A _obj;
                        CORBA_short _local_b;
                        CORBA_Environment *_ev;
                        CORBA_short _return = 0;
                        unsigned int _t18_principal_len;
                        CORBA_Environment _t19_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t18_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t18_principal_len);
                        flick_iiop_decode_new_chunk(_t18_principal_len);
                        flick_iiop_decode_end_chunk(_t18_principal_len);
                        flick_iiop_decode_end_glob(_t18_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(3);
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_cdr_swap_decode_signed16(0, _local_b);
                        _ev = &_t19_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(3);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = A_op(_obj, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(22);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(2);
                              flick_cdr_encode_signed16(0, _return);
                              flick_iiop_encode_end_chunk(2);
                              flick_iiop_encode_end_glob(22);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(22);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              switch ((unsigned int )(1+strlen(_ev->_id)))
                                {
                                case (unsigned int) 12:
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 0))
                                      {
                                      case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 4))
                                            {
                                            case /* A/B: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                                              {
                                                switch (*(unsigned int *)(_ev->_id + 8))
                                                  {
                                                  case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                    {
                                                      flick_iiop_encode_new_chunk(18);
                                                      flick_cdr_encode_unsigned32(0, 12);
                                                      flick_cdr_encode_char8(4, 'I');
                                                      flick_cdr_encode_char8(5, 'D');
                                                      flick_cdr_encode_char8(6, 'L');
                                                      flick_cdr_encode_char8(7, ':');
                                                      flick_cdr_encode_char8(8, 'A');
                                                      flick_cdr_encode_char8(9, '/');
                                                      flick_cdr_encode_char8(10, 'B');
                                                      flick_cdr_encode_char8(11, ':');
                                                      flick_cdr_encode_char8(12, '1');
                                                      flick_cdr_encode_char8(13, '.');
                                                      flick_cdr_encode_char8(14, '0');
                                                      flick_cdr_encode_char8(15, 0);
                                                      flick_cdr_encode_signed16(16, ((A_B *)(_ev->_value._user_except))->a);
                                                      flick_iiop_encode_end_chunk(18);
                                                      flick_iiop_encode_end_glob(22);
                                                      flick_cdr_encode_string(((A_B *)(_ev->_value._user_except))->d, CORBA_flick_free, iiop, 20);
                                                      CORBA_flick_free((A_B *)(_ev->_value._user_except));
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(22);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(22);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(22);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(22);
                                    break;
                                  }
                                }
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t5_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t5_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t5_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t6_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t6_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t6_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t7_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t7_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t7_switch_tag)
                  {
                  case 0:
                    {
                      {
                        A _obj;
                        CORBA_short _local_b;
                        CORBA_Environment *_ev;
                        CORBA_short _return = 0;
                        unsigned int _t8_principal_len;
                        CORBA_Environment _t9_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t8_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t8_principal_len);
                        flick_iiop_decode_new_chunk(_t8_principal_len);
                        flick_iiop_decode_end_chunk(_t8_principal_len);
                        flick_iiop_decode_end_glob(_t8_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(3);
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_cdr_decode_signed16(0, _local_b);
                        _ev = &_t9_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(3);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = A_op(_obj, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(22);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(2);
                              flick_cdr_encode_signed16(0, _return);
                              flick_iiop_encode_end_chunk(2);
                              flick_iiop_encode_end_glob(22);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(22);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              switch ((unsigned int )(1+strlen(_ev->_id)))
                                {
                                case (unsigned int) 12:
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 0))
                                      {
                                      case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 4))
                                            {
                                            case /* A/B: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                                              {
                                                switch (*(unsigned int *)(_ev->_id + 8))
                                                  {
                                                  case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                    {
                                                      flick_iiop_encode_new_chunk(18);
                                                      flick_cdr_encode_unsigned32(0, 12);
                                                      flick_cdr_encode_char8(4, 'I');
                                                      flick_cdr_encode_char8(5, 'D');
                                                      flick_cdr_encode_char8(6, 'L');
                                                      flick_cdr_encode_char8(7, ':');
                                                      flick_cdr_encode_char8(8, 'A');
                                                      flick_cdr_encode_char8(9, '/');
                                                      flick_cdr_encode_char8(10, 'B');
                                                      flick_cdr_encode_char8(11, ':');
                                                      flick_cdr_encode_char8(12, '1');
                                                      flick_cdr_encode_char8(13, '.');
                                                      flick_cdr_encode_char8(14, '0');
                                                      flick_cdr_encode_char8(15, 0);
                                                      flick_cdr_encode_signed16(16, ((A_B *)(_ev->_value._user_except))->a);
                                                      flick_iiop_encode_end_chunk(18);
                                                      flick_iiop_encode_end_glob(22);
                                                      flick_cdr_encode_string(((A_B *)(_ev->_value._user_except))->d, CORBA_flick_free, iiop, 20);
                                                      CORBA_flick_free((A_B *)(_ev->_value._user_except));
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(22);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(22);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(22);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(22);
                                    break;
                                  }
                                }
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
