#include "mig-simple-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t time_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t15_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t15_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t15_switch_tag)
      {
      case (signed int) 400:
        {
          {
            mach_port_t _local_server_port;
            int _local_format;
            int *_local_time;
            kern_return_t _return;
            unsigned int _t16_principal_len;
            int _t17_storage;

            {
              flick_iiop_server_decode_target(_local_server_port, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t16_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t16_principal_len);
            flick_iiop_decode_new_chunk(_t16_principal_len);
            flick_iiop_decode_end_chunk(_t16_principal_len);
            flick_iiop_decode_end_glob(_t16_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, _local_format);
            _local_time = &_t17_storage;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = get_time(_local_server_port, _local_format, _local_time);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_server_port, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_time);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 401:
        {
          {
            mach_port_t _local_server_port;
            foo_int _local_format;
            foo_int *_local_time;
            kern_return_t _return;
            unsigned int _t18_principal_len;
            foo_int _t19_storage;

            {
              flick_iiop_server_decode_target(_local_server_port, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t18_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t18_principal_len);
            flick_iiop_decode_new_chunk(_t18_principal_len);
            flick_iiop_decode_end_chunk(_t18_principal_len);
            flick_iiop_decode_end_glob(_t18_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, _local_format);
            _local_time = &_t19_storage;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = foo_time(_local_server_port, _local_format, _local_time);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_server_port, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_time);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t5_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t5_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 400:
        {
          {
            mach_port_t _local_server_port;
            int _local_format;
            int *_local_time;
            kern_return_t _return;
            unsigned int _t6_principal_len;
            int _t7_storage;

            {
              flick_iiop_server_decode_target(_local_server_port, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t6_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t6_principal_len);
            flick_iiop_decode_new_chunk(_t6_principal_len);
            flick_iiop_decode_end_chunk(_t6_principal_len);
            flick_iiop_decode_end_glob(_t6_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_format);
            _local_time = &_t7_storage;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = get_time(_local_server_port, _local_format, _local_time);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_server_port, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_time);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 401:
        {
          {
            mach_port_t _local_server_port;
            foo_int _local_format;
            foo_int *_local_time;
            kern_return_t _return;
            unsigned int _t8_principal_len;
            foo_int _t9_storage;

            {
              flick_iiop_server_decode_target(_local_server_port, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t8_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t8_principal_len);
            flick_iiop_decode_new_chunk(_t8_principal_len);
            flick_iiop_decode_end_chunk(_t8_principal_len);
            flick_iiop_decode_end_glob(_t8_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_format);
            _local_time = &_t9_storage;
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = foo_time(_local_server_port, _local_format, _local_time);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_server_port, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_time);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
