#include "mig-types-client.h"

kern_return_t snd(mach_port_t target, char _char, byte _byte, bool _bool, shortshort _short8, short _short16, int _int, long int _long, signed int _signed, unsigned int _unsigned, float _float, double _double)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(48);
    flick_iiop_encode_new_chunk(36);
    flick_cdr_encode_signed32(0, 4440000);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, _char);
    flick_cdr_encode_signed8(9, _byte);
    flick_cdr_encode_unsigned8(10, _bool);
    flick_cdr_encode_signed8(11, _short8);
    flick_cdr_encode_signed16(12, _short16);
    flick_cdr_encode_signed32(16, _int);
    flick_cdr_encode_signed32(20, _long);
    flick_cdr_encode_signed32(24, _signed);
    flick_cdr_encode_signed32(28, _unsigned);
    flick_cdr_encode_float32(32, _float);
    flick_iiop_encode_end_chunk(36);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, _double);
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(48);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rcv(mach_port_t target, char *_char, byte *_byte, bool *_bool, shortshort *_short8, short *_short16, int *_int, long int *_long, signed int *_signed, unsigned int *_unsigned, float *_float, double *_double)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4440001);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(44);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(28);
            flick_cdr_swap_decode_char8(0, *_char);
            flick_cdr_swap_decode_signed8(1, *_byte);
            flick_cdr_swap_decode_unsigned8(2, *_bool);
            flick_cdr_swap_decode_signed8(3, *_short8);
            flick_cdr_swap_decode_signed16(4, *_short16);
            flick_cdr_swap_decode_signed32(8, *_int);
            flick_cdr_swap_decode_signed32(12, *_long);
            flick_cdr_swap_decode_signed32(16, *_signed);
            flick_cdr_swap_decode_signed32(20, *_unsigned);
            flick_cdr_swap_decode_float32(24, *_float);
            flick_iiop_decode_end_chunk(28);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, *_double);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(44);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(44);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(44);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(28);
            flick_cdr_decode_char8(0, *_char);
            flick_cdr_decode_signed8(1, *_byte);
            flick_cdr_decode_unsigned8(2, *_bool);
            flick_cdr_decode_signed8(3, *_short8);
            flick_cdr_decode_signed16(4, *_short16);
            flick_cdr_decode_signed32(8, *_int);
            flick_cdr_decode_signed32(12, *_long);
            flick_cdr_decode_signed32(16, *_signed);
            flick_cdr_decode_signed32(20, *_unsigned);
            flick_cdr_decode_float32(24, *_float);
            flick_iiop_decode_end_chunk(28);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, *_double);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(44);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(44);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t sndArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    char *_t11_internal;
    byte *_t12_internal;
    bool *_t13_internal;
    shortshort *_t14_internal;
    short *_t15_internal;
    int *_t16_internal;
    long *_t17_internal;
    signed *_t18_internal;
    unsigned *_t19_internal;
    float *_t20_internal;
    double *_t21_internal;

    flick_iiop_encode_new_glob(320);
    flick_iiop_encode_new_chunk(244);
    flick_cdr_encode_signed32(0, 4440002);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t11_internal = (char *)_charA;
    flick_cdr_encode_bcopy(8, _t11_internal, 9);
    _t12_internal = (byte *)_byteA;
    flick_cdr_encode_bcopy(17, _t12_internal, 9);
    _t13_internal = (bool *)_boolA;
    flick_cdr_encode_bcopy(26, _t13_internal, 9);
    _t14_internal = (shortshort *)_short8A;
    flick_cdr_encode_bcopy(35, _t14_internal, 9);
    _t15_internal = (short *)_short16A;
    flick_cdr_encode_bcopy(44, _t15_internal, 18);
    _t16_internal = (int *)_intA;
    flick_cdr_encode_bcopy(64, _t16_internal, 36);
    _t17_internal = (long *)_longA;
    flick_cdr_encode_bcopy(100, _t17_internal, 36);
    _t18_internal = (signed *)_signedA;
    flick_cdr_encode_bcopy(136, _t18_internal, 36);
    _t19_internal = (unsigned *)_unsignedA;
    flick_cdr_encode_bcopy(172, _t19_internal, 36);
    _t20_internal = (float *)_floatA;
    flick_cdr_encode_bcopy(208, _t20_internal, 36);
    _t21_internal = (double *)_doubleA;
    flick_iiop_encode_end_chunk(244);
    flick_iiop_encode_new_chunk_align(72, 3, 2, 0);
    flick_cdr_encode_bcopy(0, _t21_internal, 72);
    flick_iiop_encode_end_chunk(72);
    flick_iiop_encode_end_glob(320);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rcvArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4440003);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(373);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t66_internal;
            flick_unsigned8_t _t67_array_iter;
            byte *_t68_internal;
            flick_unsigned8_t _t69_array_iter;
            bool *_t70_internal;
            flick_unsigned8_t _t71_array_iter;
            shortshort *_t72_internal;
            flick_unsigned8_t _t73_array_iter;
            short *_t74_internal;
            flick_unsigned8_t _t75_array_iter;
            int *_t76_internal;
            flick_unsigned8_t _t77_array_iter;
            long *_t78_internal;
            flick_unsigned8_t _t79_array_iter;
            signed *_t80_internal;
            flick_unsigned8_t _t81_array_iter;
            unsigned *_t82_internal;
            flick_unsigned8_t _t83_array_iter;
            float *_t84_internal;
            flick_unsigned8_t _t85_array_iter;
            double *_t86_internal;
            flick_unsigned8_t _t87_array_iter;

            /* Begin decode phase on parameters */
            _t66_internal = (char *)_charA;
            for (_t67_array_iter = 0; _t67_array_iter < 9; _t67_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t66_internal[_t67_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t68_internal = (byte *)_byteA;
            for (_t69_array_iter = 0; _t69_array_iter < 9; _t69_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_signed8(0, _t68_internal[_t69_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t70_internal = (bool *)_boolA;
            for (_t71_array_iter = 0; _t71_array_iter < 9; _t71_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_unsigned8(0, _t70_internal[_t71_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t72_internal = (shortshort *)_short8A;
            for (_t73_array_iter = 0; _t73_array_iter < 9; _t73_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_signed8(0, _t72_internal[_t73_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _t74_internal = (short *)_short16A;
            for (_t75_array_iter = 0; _t75_array_iter < 9; _t75_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                flick_cdr_swap_decode_signed16(0, _t74_internal[_t75_array_iter]);
                flick_iiop_decode_end_chunk(2);
              }
            _t76_internal = (int *)_intA;
            for (_t77_array_iter = 0; _t77_array_iter < 9; _t77_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                flick_cdr_swap_decode_signed32(0, _t76_internal[_t77_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t78_internal = (long *)_longA;
            for (_t79_array_iter = 0; _t79_array_iter < 9; _t79_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t78_internal[_t79_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t80_internal = (signed *)_signedA;
            for (_t81_array_iter = 0; _t81_array_iter < 9; _t81_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t80_internal[_t81_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t82_internal = (unsigned *)_unsignedA;
            for (_t83_array_iter = 0; _t83_array_iter < 9; _t83_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t82_internal[_t83_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t84_internal = (float *)_floatA;
            for (_t85_array_iter = 0; _t85_array_iter < 9; _t85_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_float32(0, _t84_internal[_t85_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t86_internal = (double *)_doubleA;
            for (_t87_array_iter = 0; _t87_array_iter < 9; _t87_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                flick_cdr_swap_decode_float64(0, _t86_internal[_t87_array_iter]);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_end_glob(373);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(373);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(316);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t33_internal;
            byte *_t34_internal;
            bool *_t35_internal;
            shortshort *_t36_internal;
            short *_t37_internal;
            int *_t38_internal;
            long *_t39_internal;
            signed *_t40_internal;
            unsigned *_t41_internal;
            float *_t42_internal;
            double *_t43_internal;

            /* Begin decode phase on parameters */
            _t33_internal = (char *)_charA;
            flick_iiop_decode_new_chunk(236);
            flick_cdr_decode_bcopy(0, _t33_internal, 9);
            _t34_internal = (byte *)_byteA;
            flick_cdr_decode_bcopy(9, _t34_internal, 9);
            _t35_internal = (bool *)_boolA;
            flick_cdr_decode_bcopy(18, _t35_internal, 9);
            _t36_internal = (shortshort *)_short8A;
            flick_cdr_decode_bcopy(27, _t36_internal, 9);
            _t37_internal = (short *)_short16A;
            flick_cdr_decode_bcopy(36, _t37_internal, 18);
            _t38_internal = (int *)_intA;
            flick_cdr_decode_bcopy(56, _t38_internal, 36);
            _t39_internal = (long *)_longA;
            flick_cdr_decode_bcopy(92, _t39_internal, 36);
            _t40_internal = (signed *)_signedA;
            flick_cdr_decode_bcopy(128, _t40_internal, 36);
            _t41_internal = (unsigned *)_unsignedA;
            flick_cdr_decode_bcopy(164, _t41_internal, 36);
            _t42_internal = (float *)_floatA;
            flick_cdr_decode_bcopy(200, _t42_internal, 36);
            _t43_internal = (double *)_doubleA;
            flick_iiop_decode_end_chunk(236);
            flick_iiop_decode_new_chunk_align(72, 3, 2, 0);
            flick_cdr_decode_bcopy(0, _t43_internal, 72);
            flick_iiop_decode_end_chunk(72);
            flick_iiop_decode_end_glob(316);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(316);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

