#include "nest-refs-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
  flick_iiop_encode_new_chunk(1 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(1 * _data->_length);
  flick_iiop_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  flick_iiop_decode_new_chunk(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_iiop_decode_end_chunk(1 * _data->_length);
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence_swap(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
  flick_iiop_encode_new_chunk(1 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(1 * _data->_length);
  flick_iiop_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  flick_iiop_decode_new_chunk(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_iiop_decode_end_chunk(1 * _data->_length);
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData_swap(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t61_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t61_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t61_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t62_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t62_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t62_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t63_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t63_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t63_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        test _obj;
                        CORBA_Environment *_ev;
                        ReferenceData *_return = 0;
                        unsigned int _t64_principal_len;
                        CORBA_Environment _t65_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t64_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t64_principal_len);
                        flick_iiop_decode_new_chunk(_t64_principal_len);
                        flick_iiop_decode_end_chunk(_t64_principal_len);
                        flick_iiop_decode_end_glob(_t64_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t65_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test__get_id(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_unsigned32(0, _return->_length);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_encode_new_glob(1 * _return->_length);
                              flick_iiop_encode_new_chunk(1 * _return->_length);
                              flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                              CORBA_flick_free(_return->_buffer);
                              flick_iiop_encode_end_chunk(1 * _return->_length);
                              flick_iiop_encode_end_glob(1 * _return->_length);
                              CORBA_flick_free(_return);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t66_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t66_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t66_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        test _obj;
                        ReferenceData *_local_id;
                        CORBA_Environment *_ev;
                        unsigned int _t67_principal_len;
                        ReferenceData _t68_storage;
                        CORBA_unsigned_long _t69_array_iter;
                        CORBA_Environment _t70_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t67_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t67_principal_len);
                        flick_iiop_decode_new_chunk(_t67_principal_len);
                        flick_iiop_decode_end_chunk(_t67_principal_len);
                        flick_iiop_decode_end_glob(_t67_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = &_t68_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_id->_length);
                        _local_id->_maximum = _local_id->_length;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _local_id->_length);
                        _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                        for (_t69_array_iter = 0; _t69_array_iter < _local_id->_length; _t69_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_unsigned8(0, _local_id->_buffer[_t69_array_iter]);
                            flick_iiop_decode_end_chunk(1);
                          }
                        flick_iiop_decode_end_glob(1 * _local_id->_length);
                        _ev = &_t70_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        test__set_id(_obj, _local_id, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t71_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t72_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t72_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t72_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t73_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t73_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t73_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              test _obj;
                              CORBA_Environment *_ev;
                              OctetSequence *_return = 0;
                              unsigned int _t74_principal_len;
                              CORBA_Environment _t75_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t74_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t74_principal_len);
                              flick_iiop_decode_new_chunk(_t74_principal_len);
                              flick_iiop_decode_end_chunk(_t74_principal_len);
                              flick_iiop_decode_end_glob(_t74_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t75_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test__get_info(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    flick_iiop_encode_new_glob(1 * _return->_length);
                                    flick_iiop_encode_new_chunk(1 * _return->_length);
                                    flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                    CORBA_flick_free(_return->_buffer);
                                    flick_iiop_encode_end_chunk(1 * _return->_length);
                                    flick_iiop_encode_end_glob(1 * _return->_length);
                                    CORBA_flick_free(_return);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t76_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t76_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t76_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t77_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t77_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t77_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              test _obj;
                              OctetSequence *_local_info;
                              CORBA_Environment *_ev;
                              unsigned int _t78_principal_len;
                              OctetSequence _t79_storage;
                              CORBA_unsigned_long _t80_array_iter;
                              CORBA_Environment _t81_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t78_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t78_principal_len);
                              flick_iiop_decode_new_chunk(_t78_principal_len);
                              flick_iiop_decode_end_chunk(_t78_principal_len);
                              flick_iiop_decode_end_glob(_t78_principal_len);
                              /* Begin decode phase on parameters */
                              _local_info = &_t79_storage;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_unsigned32(0, _local_info->_length);
                              _local_info->_maximum = _local_info->_length;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _local_info->_length);
                              _local_info->_buffer = auto_flick_alloc(_local_info->_length * sizeof(CORBA_octet ));
                              for (_t80_array_iter = 0; _t80_array_iter < _local_info->_length; _t80_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_unsigned8(0, _local_info->_buffer[_t80_array_iter]);
                                  flick_iiop_decode_end_chunk(1);
                                }
                              flick_iiop_decode_end_glob(1 * _local_info->_length);
                              _ev = &_t81_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              test__set_info(_obj, _local_info, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t21_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t21_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t21_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t22_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t22_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t22_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t23_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t23_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t23_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        test _obj;
                        CORBA_Environment *_ev;
                        ReferenceData *_return = 0;
                        unsigned int _t24_principal_len;
                        CORBA_Environment _t25_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t24_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t24_principal_len);
                        flick_iiop_decode_new_chunk(_t24_principal_len);
                        flick_iiop_decode_end_chunk(_t24_principal_len);
                        flick_iiop_decode_end_glob(_t24_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t25_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test__get_id(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_unsigned32(0, _return->_length);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_encode_new_glob(1 * _return->_length);
                              flick_iiop_encode_new_chunk(1 * _return->_length);
                              flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                              CORBA_flick_free(_return->_buffer);
                              flick_iiop_encode_end_chunk(1 * _return->_length);
                              flick_iiop_encode_end_glob(1 * _return->_length);
                              CORBA_flick_free(_return);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t26_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t26_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t26_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        test _obj;
                        ReferenceData *_local_id;
                        CORBA_Environment *_ev;
                        unsigned int _t27_principal_len;
                        ReferenceData _t28_storage;
                        CORBA_Environment _t29_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t27_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t27_principal_len);
                        flick_iiop_decode_new_chunk(_t27_principal_len);
                        flick_iiop_decode_end_chunk(_t27_principal_len);
                        flick_iiop_decode_end_glob(_t27_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = &_t28_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_id->_length);
                        _local_id->_maximum = _local_id->_length;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _local_id->_length);
                        flick_iiop_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_decode_msgptr(0, _local_id->_buffer);
                        flick_iiop_decode_end_chunk(1 * _local_id->_length);
                        flick_iiop_decode_end_glob(1 * _local_id->_length);
                        _ev = &_t29_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        test__set_id(_obj, _local_id, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t30_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t30_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t30_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t31_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t31_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t31_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t32_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t32_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t32_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              test _obj;
                              CORBA_Environment *_ev;
                              OctetSequence *_return = 0;
                              unsigned int _t33_principal_len;
                              CORBA_Environment _t34_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t33_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t33_principal_len);
                              flick_iiop_decode_new_chunk(_t33_principal_len);
                              flick_iiop_decode_end_chunk(_t33_principal_len);
                              flick_iiop_decode_end_glob(_t33_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t34_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test__get_info(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    flick_iiop_encode_new_glob(1 * _return->_length);
                                    flick_iiop_encode_new_chunk(1 * _return->_length);
                                    flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                    CORBA_flick_free(_return->_buffer);
                                    flick_iiop_encode_end_chunk(1 * _return->_length);
                                    flick_iiop_encode_end_glob(1 * _return->_length);
                                    CORBA_flick_free(_return);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t35_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t35_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t35_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t36_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t36_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t36_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              test _obj;
                              OctetSequence *_local_info;
                              CORBA_Environment *_ev;
                              unsigned int _t37_principal_len;
                              OctetSequence _t38_storage;
                              CORBA_Environment _t39_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t37_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t37_principal_len);
                              flick_iiop_decode_new_chunk(_t37_principal_len);
                              flick_iiop_decode_end_chunk(_t37_principal_len);
                              flick_iiop_decode_end_glob(_t37_principal_len);
                              /* Begin decode phase on parameters */
                              _local_info = &_t38_storage;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_unsigned32(0, _local_info->_length);
                              _local_info->_maximum = _local_info->_length;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _local_info->_length);
                              flick_iiop_decode_new_chunk(1 * _local_info->_length);
                              flick_cdr_decode_msgptr(0, _local_info->_buffer);
                              flick_iiop_decode_end_chunk(1 * _local_info->_length);
                              flick_iiop_decode_end_glob(1 * _local_info->_length);
                              _ev = &_t39_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              test__set_info(_obj, _local_info, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
