#include "oneway-client.h"

void flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, const onewaytest *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_onewaytest_swap(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_short onewaytest_shortlong(onewaytest _obj, CORBA_long *x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 's');
    flick_cdr_encode_char8(5, 'h');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 'r');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, 'l');
    flick_cdr_encode_char8(10, 'o');
    flick_cdr_encode_char8(11, 'n');
    flick_cdr_encode_char8(12, 'g');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(20, *x);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_signed16(0, _return);
            flick_cdr_swap_decode_signed32(4, *x);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(12);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(12);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_signed16(0, _return);
            flick_cdr_decode_signed32(4, *x);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(12);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(12);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void onewaytest_voidlong(onewaytest _obj, CORBA_long x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 'v');
    flick_cdr_encode_char8(5, 'o');
    flick_cdr_encode_char8(6, 'i');
    flick_cdr_encode_char8(7, 'd');
    flick_cdr_encode_char8(8, 'l');
    flick_cdr_encode_char8(9, 'o');
    flick_cdr_encode_char8(10, 'n');
    flick_cdr_encode_char8(11, 'g');
    flick_cdr_encode_char8(12, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(20, x);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
}

void onewaytest_onewaylong(onewaytest _obj, CORBA_long x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'n');
    flick_cdr_encode_char8(6, 'e');
    flick_cdr_encode_char8(7, 'w');
    flick_cdr_encode_char8(8, 'a');
    flick_cdr_encode_char8(9, 'y');
    flick_cdr_encode_char8(10, 'l');
    flick_cdr_encode_char8(11, 'o');
    flick_cdr_encode_char8(12, 'n');
    flick_cdr_encode_char8(13, 'g');
    flick_cdr_encode_char8(14, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(20, x);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(0);
  if (!flick_client_send_request(_obj, _obj->boa->in))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
}

void onewaytest_onewaystring(onewaytest _obj, CORBA_char *x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 13);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'n');
    flick_cdr_encode_char8(6, 'e');
    flick_cdr_encode_char8(7, 'w');
    flick_cdr_encode_char8(8, 'a');
    flick_cdr_encode_char8(9, 'y');
    flick_cdr_encode_char8(10, 's');
    flick_cdr_encode_char8(11, 't');
    flick_cdr_encode_char8(12, 'r');
    flick_cdr_encode_char8(13, 'i');
    flick_cdr_encode_char8(14, 'n');
    flick_cdr_encode_char8(15, 'g');
    flick_cdr_encode_char8(16, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(20, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
    flick_cdr_encode_longstring(x, null_flick_free, iiop);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(0);
  if (!flick_client_send_request(_obj, _obj->boa->in))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
}

CORBA_char *onewaytest_stringreturn(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 13);
    flick_cdr_encode_char8(4, 's');
    flick_cdr_encode_char8(5, 't');
    flick_cdr_encode_char8(6, 'r');
    flick_cdr_encode_char8(7, 'i');
    flick_cdr_encode_char8(8, 'n');
    flick_cdr_encode_char8(9, 'g');
    flick_cdr_encode_char8(10, 'r');
    flick_cdr_encode_char8(11, 'e');
    flick_cdr_encode_char8(12, 't');
    flick_cdr_encode_char8(13, 'u');
    flick_cdr_encode_char8(14, 'r');
    flick_cdr_encode_char8(15, 'n');
    flick_cdr_encode_char8(16, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(20, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_longstring(_return, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_longstring(_return, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long onewaytest_longstring(onewaytest _obj, CORBA_char **x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, 'l');
    flick_cdr_encode_char8(5, 'o');
    flick_cdr_encode_char8(6, 'n');
    flick_cdr_encode_char8(7, 'g');
    flick_cdr_encode_char8(8, 's');
    flick_cdr_encode_char8(9, 't');
    flick_cdr_encode_char8(10, 'r');
    flick_cdr_encode_char8(11, 'i');
    flick_cdr_encode_char8(12, 'n');
    flick_cdr_encode_char8(13, 'g');
    flick_cdr_encode_char8(14, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
    flick_cdr_encode_longstring(*x, CORBA_flick_free, iiop);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_longstring(*x, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_longstring(*x, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_char *onewaytest_stringlong(onewaytest _obj, CORBA_long *x, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, 's');
    flick_cdr_encode_char8(5, 't');
    flick_cdr_encode_char8(6, 'r');
    flick_cdr_encode_char8(7, 'i');
    flick_cdr_encode_char8(8, 'n');
    flick_cdr_encode_char8(9, 'g');
    flick_cdr_encode_char8(10, 'l');
    flick_cdr_encode_char8(11, 'o');
    flick_cdr_encode_char8(12, 'n');
    flick_cdr_encode_char8(13, 'g');
    flick_cdr_encode_char8(14, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_longstring(_return, CORBA_flick_alloc, iiop);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *x);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_longstring(_return, CORBA_flick_alloc, iiop);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *x);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

