#include "parms-client.h"

void flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, const long_seq *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->long_seq_len);
  flick_cdr_encode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_cdr_encode_bcopy(4, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_iiop_encode_end_chunk(4 + 4 * _data->long_seq_len);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->long_seq_len);
  _data->long_seq_val = sun_flick_alloc(_data->long_seq_len * sizeof(int ));
  flick_cdr_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_iiop_decode_end_chunk(4 * _data->long_seq_len);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_long_seq_swap(flick_marshal_stream_t _stream, long_seq *_data)
{
  unsigned int _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
  flick_iiop_decode_end_chunk(4);
  _data->long_seq_val = sun_flick_alloc(_data->long_seq_len * sizeof(int ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_seq_len; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->long_seq_val[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void *void_test_2345(void *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  void *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t4_storage;

            /* Begin decode phase on parameters */
            _return = &_t4_storage;
            flick_iiop_decode_end_glob(4);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(4);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t2_storage;

            /* Begin decode phase on parameters */
            _return = &_t2_storage;
            flick_iiop_decode_end_glob(4);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(4);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

char *char_test_2345(char *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  char *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(9);
    flick_iiop_encode_new_chunk(9);
    flick_cdr_encode_unsigned32(0, 1);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, *arg);
    flick_iiop_encode_end_chunk(9);
    flick_iiop_encode_end_glob(9);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(5);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t8_storage;

            /* Begin decode phase on parameters */
            _return = &_t8_storage;
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, *_return);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(5);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(5);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(5);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t6_storage;

            /* Begin decode phase on parameters */
            _return = &_t6_storage;
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, *_return);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(5);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(5);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *bool_test_2345(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(9);
    flick_iiop_encode_new_chunk(9);
    flick_cdr_encode_unsigned32(0, 2);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(8, *arg);
    flick_iiop_encode_end_chunk(9);
    flick_iiop_encode_end_glob(9);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(5);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t12_storage;

            /* Begin decode phase on parameters */
            _return = &_t12_storage;
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_unsigned8(0, *_return);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(5);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(5);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(5);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t10_storage;

            /* Begin decode phase on parameters */
            _return = &_t10_storage;
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *_return);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(5);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(5);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

short int *short_test_2345(short int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  short int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(10);
    flick_iiop_encode_new_chunk(10);
    flick_cdr_encode_unsigned32(0, 3);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, *arg);
    flick_iiop_encode_end_chunk(10);
    flick_iiop_encode_end_glob(10);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t16_storage;

            /* Begin decode phase on parameters */
            _return = &_t16_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(6);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(6);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(6);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t14_storage;

            /* Begin decode phase on parameters */
            _return = &_t14_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(6);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(6);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(6);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

unsigned short int *ushort_test_2345(unsigned short int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  unsigned short int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(10);
    flick_iiop_encode_new_chunk(10);
    flick_cdr_encode_unsigned32(0, 4);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned16(8, *arg);
    flick_iiop_encode_end_chunk(10);
    flick_iiop_encode_end_glob(10);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t20_storage;

            /* Begin decode phase on parameters */
            _return = &_t20_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_unsigned16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(6);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(6);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(6);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t18_storage;

            /* Begin decode phase on parameters */
            _return = &_t18_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(6);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(6);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(6);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *long_test_2345(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 5);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *arg);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t24_storage;

            /* Begin decode phase on parameters */
            _return = &_t24_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t22_storage;

            /* Begin decode phase on parameters */
            _return = &_t22_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

unsigned int *ulong_test_2345(unsigned int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  unsigned int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 6);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, *arg);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t28_storage;

            /* Begin decode phase on parameters */
            _return = &_t28_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t26_storage;

            /* Begin decode phase on parameters */
            _return = &_t26_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

float *float_test_2345(float *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  float *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 7);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_float32(8, *arg);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t32_storage;

            /* Begin decode phase on parameters */
            _return = &_t32_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_float32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t30_storage;

            /* Begin decode phase on parameters */
            _return = &_t30_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_float32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

double *double_test_2345(double *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  double *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 8);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, *arg);
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t36_storage;

            /* Begin decode phase on parameters */
            _return = &_t36_storage;
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, *_return);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(16);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t34_storage;

            /* Begin decode phase on parameters */
            _return = &_t34_storage;
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, *_return);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(16);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

long_seq *long_seq_test_2345(long_seq *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  long_seq *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(52);
    flick_iiop_encode_new_chunk(12 + 4 * arg->long_seq_len);
    flick_cdr_encode_unsigned32(0, 9);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, arg->long_seq_len);
    if (arg->long_seq_len > (unsigned int) 10)
      flick_sun_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
    flick_cdr_encode_bcopy(12, arg->long_seq_val, 4 * arg->long_seq_len);
    flick_iiop_encode_end_chunk(12 + 4 * arg->long_seq_len);
    flick_iiop_encode_end_glob(52);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(48);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static long_seq _t41_storage;
            unsigned int _t42_array_iter;

            /* Begin decode phase on parameters */
            _return = &_t41_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _return->long_seq_len);
            if (_return->long_seq_len > (unsigned int) 10)
              flick_sun_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            _return->long_seq_val = sun_flick_alloc(_return->long_seq_len * sizeof(int ));
            for (_t42_array_iter = 0; _t42_array_iter < _return->long_seq_len; _t42_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _return->long_seq_val[_t42_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(48);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(48);
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(48);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(48);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static long_seq _t38_storage;

            /* Begin decode phase on parameters */
            _return = &_t38_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->long_seq_len);
            if (_return->long_seq_len > (unsigned int) 10)
              flick_sun_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * _return->long_seq_len);
            _return->long_seq_val = sun_flick_alloc(_return->long_seq_len * sizeof(int ));
            flick_cdr_decode_bcopy(0, _return->long_seq_val, 4 * _return->long_seq_len);
            flick_iiop_decode_end_chunk(4 * _return->long_seq_len);
            flick_iiop_decode_end_glob(48);
            break;
          }
        case -1:
          {
            flick_iiop_decode_end_glob(48);
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(48);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

