#include "program-2-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_parm(flick_marshal_stream_t _stream, const struct parm *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->data.data_len);
  if (_data->data.data_len > (unsigned int) 100000)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->data.data_len);
  flick_iiop_encode_new_chunk(4 * _data->data.data_len);
  flick_cdr_encode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_iiop_encode_end_chunk(4 * _data->data.data_len);
  flick_iiop_encode_end_glob(4 * _data->data.data_len);
}

void flick_unmarshal_stub_parm(flick_marshal_stream_t _stream, struct parm *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->data.data_len);
  if (_data->data.data_len > (unsigned int) 100000)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->data.data_len);
  flick_iiop_decode_new_chunk(4 * _data->data.data_len);
  _data->data.data_val = sun_flick_alloc(_data->data.data_len * sizeof(int ));
  flick_cdr_decode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_iiop_decode_end_chunk(4 * _data->data.data_len);
  flick_iiop_decode_end_glob(4 * _data->data.data_len);
}

void flick_unmarshal_stub_parm_swap(flick_marshal_stream_t _stream, struct parm *_data)
{
  unsigned int _t0_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->data.data_len);
  if (_data->data.data_len > (unsigned int) 100000)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->data.data_len);
  _data->data.data_val = sun_flick_alloc(_data->data.data_len * sizeof(int ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->data.data_len; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data.data_val[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->data.data_len);
}

flick_operation_success_t progname_1(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t11_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t11_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t11_switch_tag)
      {
      case (signed int) 10:
        {
          {
            struct parm *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t12_principal_len;
            struct parm _t13_storage;
            unsigned int _t14_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t12_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t12_principal_len);
            flick_iiop_decode_new_chunk(_t12_principal_len);
            flick_iiop_decode_end_chunk(_t12_principal_len);
            flick_iiop_decode_end_glob(_t12_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t13_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->data.data_len);
            if (_local_arg->data.data_len > (unsigned int) 100000)
              flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_arg->data.data_len);
            _local_arg->data.data_val = sun_flick_alloc(_local_arg->data.data_len * sizeof(int ));
            for (_t14_array_iter = 0; _t14_array_iter < _local_arg->data.data_len; _t14_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->data.data_val[_t14_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4 * _local_arg->data.data_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t4_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t4_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t4_switch_tag)
      {
      case (signed int) 10:
        {
          {
            struct parm *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t5_principal_len;
            struct parm _t6_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t5_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t5_principal_len);
            flick_iiop_decode_new_chunk(_t5_principal_len);
            flick_iiop_decode_end_chunk(_t5_principal_len);
            flick_iiop_decode_end_glob(_t5_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t6_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_arg->data.data_len);
            if (_local_arg->data.data_len > (unsigned int) 100000)
              flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_arg->data.data_len);
            flick_iiop_decode_new_chunk(4 * _local_arg->data.data_len);
            _local_arg->data.data_val = sun_flick_alloc(_local_arg->data.data_len * sizeof(int ));
            flick_cdr_decode_bcopy(0, _local_arg->data.data_val, 4 * _local_arg->data.data_len);
            flick_iiop_decode_end_chunk(4 * _local_arg->data.data_len);
            flick_iiop_decode_end_glob(4 * _local_arg->data.data_len);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_1(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
