#include "struct-3-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->one);
  flick_cdr_encode_signed32(4, _data->two);
  flick_cdr_encode_signed32(8, _data->three);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->one);
  flick_cdr_decode_signed32(4, _data->two);
  flick_cdr_decode_signed32(8, _data->three);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->one);
  flick_cdr_swap_decode_signed32(4, _data->two);
  flick_cdr_swap_decode_signed32(8, _data->three);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t9_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t9_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct bar *_local_arg;
            struct svc_req *_obj;
            struct bar *_return = 0;
            unsigned int _t10_principal_len;
            struct bar _t11_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t10_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t10_principal_len);
            flick_iiop_decode_new_chunk(_t10_principal_len);
            flick_iiop_decode_end_chunk(_t10_principal_len);
            flick_iiop_decode_end_glob(_t10_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t11_storage;
            flick_iiop_decode_new_glob(15);
            flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, _local_arg->one);
            flick_cdr_swap_decode_signed32(4, _local_arg->two);
            flick_cdr_swap_decode_signed32(8, _local_arg->three);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(15);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(16);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return->one);
                  flick_cdr_encode_signed32(4, _return->two);
                  flick_cdr_encode_signed32(8, _return->three);
                  flick_iiop_encode_end_chunk(12);
                  flick_iiop_encode_end_glob(16);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(16);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(16);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t3_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct bar *_local_arg;
            struct svc_req *_obj;
            struct bar *_return = 0;
            unsigned int _t4_principal_len;
            struct bar _t5_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t4_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t4_principal_len);
            flick_iiop_decode_new_chunk(_t4_principal_len);
            flick_iiop_decode_end_chunk(_t4_principal_len);
            flick_iiop_decode_end_glob(_t4_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t5_storage;
            flick_iiop_decode_new_glob(15);
            flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_arg->one);
            flick_cdr_decode_signed32(4, _local_arg->two);
            flick_cdr_decode_signed32(8, _local_arg->three);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(15);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(16);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return->one);
                  flick_cdr_encode_signed32(4, _return->two);
                  flick_cdr_encode_signed32(8, _return->three);
                  flick_iiop_encode_end_chunk(12);
                  flick_iiop_encode_end_glob(16);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(16);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(16);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
