#include "structnestez_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f.f);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f.f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f.f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_bar_foo(flick_marshal_stream_t _stream, const struct bar_foo *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_bar_foo(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_bar_foo_swap(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f.f);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f.f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f.f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t30_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t30_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t30_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t31_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t31_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t31_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t32_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t32_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t32_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        struct bar *_local_arg;
                        CORBA_Environment *_ev;
                        struct bar _return;
                        unsigned int _t33_principal_len;
                        struct bar _t34_storage;
                        CORBA_Environment _t35_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t33_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t33_principal_len);
                        flick_iiop_decode_new_chunk(_t33_principal_len);
                        flick_iiop_decode_end_chunk(_t33_principal_len);
                        flick_iiop_decode_end_glob(_t33_principal_len);
                        /* Begin decode phase on parameters */
                        _local_arg = &_t34_storage;
                        flick_iiop_decode_new_glob(3);
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_cdr_swap_decode_signed16(0, _local_arg->f.f);
                        _ev = &_t35_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(3);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_op(_obj, _local_arg, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(6);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(2);
                              flick_cdr_encode_signed16(0, _return.f.f);
                              flick_iiop_encode_end_chunk(2);
                              flick_iiop_encode_end_glob(6);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(6);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(6);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t36_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t36_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t36_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  test _obj;
                  struct b *_local_arg;
                  CORBA_Environment *_ev;
                  struct b _return;
                  unsigned int _t37_principal_len;
                  struct b _t38_storage;
                  CORBA_Environment _t39_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t37_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t37_principal_len);
                  flick_iiop_decode_new_chunk(_t37_principal_len);
                  flick_iiop_decode_end_chunk(_t37_principal_len);
                  flick_iiop_decode_end_glob(_t37_principal_len);
                  /* Begin decode phase on parameters */
                  _local_arg = &_t38_storage;
                  flick_iiop_decode_new_glob(3);
                  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                  flick_cdr_swap_decode_signed16(0, _local_arg->f.f);
                  _ev = &_t39_storage;
                  flick_iiop_decode_end_chunk(2);
                  flick_iiop_decode_end_glob(3);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = test_op2(_obj, _local_arg, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(6);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_signed16(0, _return.f.f);
                        flick_iiop_encode_end_chunk(2);
                        flick_iiop_encode_end_glob(6);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(6);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(6);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t10_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t10_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t10_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t11_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t11_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t11_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t12_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t12_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t12_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        struct bar *_local_arg;
                        CORBA_Environment *_ev;
                        struct bar _return;
                        unsigned int _t13_principal_len;
                        struct bar _t14_storage;
                        CORBA_Environment _t15_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t13_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t13_principal_len);
                        flick_iiop_decode_new_chunk(_t13_principal_len);
                        flick_iiop_decode_end_chunk(_t13_principal_len);
                        flick_iiop_decode_end_glob(_t13_principal_len);
                        /* Begin decode phase on parameters */
                        _local_arg = &_t14_storage;
                        flick_iiop_decode_new_glob(3);
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_cdr_decode_signed16(0, _local_arg->f.f);
                        _ev = &_t15_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(3);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_op(_obj, _local_arg, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(6);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(2);
                              flick_cdr_encode_signed16(0, _return.f.f);
                              flick_iiop_encode_end_chunk(2);
                              flick_iiop_encode_end_glob(6);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(6);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(6);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t16_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t16_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t16_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  test _obj;
                  struct b *_local_arg;
                  CORBA_Environment *_ev;
                  struct b _return;
                  unsigned int _t17_principal_len;
                  struct b _t18_storage;
                  CORBA_Environment _t19_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t17_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t17_principal_len);
                  flick_iiop_decode_new_chunk(_t17_principal_len);
                  flick_iiop_decode_end_chunk(_t17_principal_len);
                  flick_iiop_decode_end_glob(_t17_principal_len);
                  /* Begin decode phase on parameters */
                  _local_arg = &_t18_storage;
                  flick_iiop_decode_new_glob(3);
                  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                  flick_cdr_decode_signed16(0, _local_arg->f.f);
                  _ev = &_t19_storage;
                  flick_iiop_decode_end_chunk(2);
                  flick_iiop_decode_end_glob(3);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = test_op2(_obj, _local_arg, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(6);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_signed16(0, _return.f.f);
                        flick_iiop_encode_end_chunk(2);
                        flick_iiop_encode_end_glob(6);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(6);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(6);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
