#include "turtle-client-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Client(flick_marshal_stream_t _stream, const Client *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_Client_swap(flick_marshal_stream_t _stream, Client *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t Client_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t57_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t57_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t57_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t58_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t58_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t58_switch_tag)
            {
            case /* SetL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157836):
              {
                unsigned int _t59_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t59_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t59_switch_tag)
                  {
                  case /* eft */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701213184):
                    {
                      {
                        Client _obj;
                        CORBA_long _local_speed;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t60_principal_len;
                        CORBA_Environment _t61_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t60_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t60_principal_len);
                        flick_iiop_decode_new_chunk(_t60_principal_len);
                        flick_iiop_decode_end_chunk(_t60_principal_len);
                        flick_iiop_decode_end_glob(_t60_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_speed);
                        _ev = &_t61_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Client_SetLeft(_obj, _local_speed, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t62_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t62_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t62_switch_tag)
            {
            case /* SetR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157842):
              {
                unsigned int _t63_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t63_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t63_switch_tag)
                  {
                  case /* ight */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768384628):
                    {
                      char _t64_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t64_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t64_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              CORBA_long _local_speed;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t65_principal_len;
                              CORBA_Environment _t66_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t65_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t65_principal_len);
                              flick_iiop_decode_new_chunk(_t65_principal_len);
                              flick_iiop_decode_end_chunk(_t65_principal_len);
                              flick_iiop_decode_end_glob(_t65_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_speed);
                              _ev = &_t66_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Client_SetRight(_obj, _local_speed, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetP */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831248):
              {
                unsigned int _t67_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t67_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t67_switch_tag)
                  {
                  case /* hoto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134767):
                    {
                      char _t68_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t68_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t68_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t69_principal_len;
                              CORBA_Environment _t70_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t69_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t69_principal_len);
                              flick_iiop_decode_new_chunk(_t69_principal_len);
                              flick_iiop_decode_end_chunk(_t69_principal_len);
                              flick_iiop_decode_end_glob(_t69_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t70_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Client_GetPhoto(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t71_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* GetB */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831234):
              {
                unsigned int _t72_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t72_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t72_switch_tag)
                  {
                  case /* utto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970566255):
                    {
                      unsigned short int _t73_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t73_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t73_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              Client _obj;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t74_principal_len;
                              CORBA_Environment _t75_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t74_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t74_principal_len);
                              flick_iiop_decode_new_chunk(_t74_principal_len);
                              flick_iiop_decode_end_chunk(_t74_principal_len);
                              flick_iiop_decode_end_glob(_t74_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t75_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Client_GetButton(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t19_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t19_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t19_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t20_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t20_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t20_switch_tag)
            {
            case /* SetL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157836):
              {
                unsigned int _t21_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t21_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t21_switch_tag)
                  {
                  case /* eft */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701213184):
                    {
                      {
                        Client _obj;
                        CORBA_long _local_speed;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t22_principal_len;
                        CORBA_Environment _t23_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t22_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t22_principal_len);
                        flick_iiop_decode_new_chunk(_t22_principal_len);
                        flick_iiop_decode_end_chunk(_t22_principal_len);
                        flick_iiop_decode_end_glob(_t22_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_speed);
                        _ev = &_t23_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Client_SetLeft(_obj, _local_speed, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t24_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t24_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t24_switch_tag)
            {
            case /* SetR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157842):
              {
                unsigned int _t25_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t25_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t25_switch_tag)
                  {
                  case /* ight */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768384628):
                    {
                      char _t26_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t26_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t26_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              CORBA_long _local_speed;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t27_principal_len;
                              CORBA_Environment _t28_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t27_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t27_principal_len);
                              flick_iiop_decode_new_chunk(_t27_principal_len);
                              flick_iiop_decode_end_chunk(_t27_principal_len);
                              flick_iiop_decode_end_glob(_t27_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_speed);
                              _ev = &_t28_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Client_SetRight(_obj, _local_speed, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetP */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831248):
              {
                unsigned int _t29_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t29_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t29_switch_tag)
                  {
                  case /* hoto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134767):
                    {
                      char _t30_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t30_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t30_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t31_principal_len;
                              CORBA_Environment _t32_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t31_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t31_principal_len);
                              flick_iiop_decode_new_chunk(_t31_principal_len);
                              flick_iiop_decode_end_chunk(_t31_principal_len);
                              flick_iiop_decode_end_glob(_t31_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t32_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Client_GetPhoto(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t33_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t33_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t33_switch_tag)
            {
            case /* GetB */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831234):
              {
                unsigned int _t34_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t34_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t34_switch_tag)
                  {
                  case /* utto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970566255):
                    {
                      unsigned short int _t35_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t35_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t35_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              Client _obj;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t36_principal_len;
                              CORBA_Environment _t37_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t36_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t36_principal_len);
                              flick_iiop_decode_new_chunk(_t36_principal_len);
                              flick_iiop_decode_end_chunk(_t36_principal_len);
                              flick_iiop_decode_end_glob(_t36_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t37_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = Client_GetButton(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
