#include "union-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Bar(flick_marshal_stream_t _stream, const struct Bar *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_char8(4, _data->b2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, struct Bar *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_char8(4, _data->b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_Bar_swap(flick_marshal_stream_t _stream, struct Bar *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_char8(4, _data->b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_iiop_encode_new_glob(9);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(5);
        flick_cdr_encode_signed32(0, _data->_u.y.b1);
        flick_cdr_encode_char8(4, _data->_u.y.b2);
        flick_iiop_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(9);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(9);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_decode_signed32(0, _data->_u.y.b1);
        flick_cdr_decode_char8(4, _data->_u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(9);
}

void flick_unmarshal_stub_Foo_swap(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(9);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_swap_decode_signed32(0, _data->_u.y.b1);
        flick_cdr_swap_decode_char8(4, _data->_u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(9);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_iiop_encode_new_glob(13);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->_d);
  flick_iiop_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.x);
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.y._d);
        flick_iiop_encode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.y._u.x);
              flick_iiop_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_encode_new_chunk(5);
              flick_cdr_encode_signed32(0, _data->_u.y._u.y.b1);
              flick_cdr_encode_char8(4, _data->_u.y._u.y.b2);
              flick_iiop_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_encode_new_chunk(1);
              flick_cdr_encode_char8(0, _data->_u.y._u.z);
              flick_iiop_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_end_glob(13);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(13);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->_u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_cdr_decode_char8(4, _data->_u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _data->_u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(13);
}

void flick_unmarshal_stub_Foo2_swap(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(13);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->_u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_cdr_swap_decode_char8(4, _data->_u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _data->_u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(13);
}

void flick_marshal_stub_a_astruct(flick_marshal_stream_t _stream, const struct a_astruct *_data)
{
  flick_iiop_encode_new_glob(33);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->a1._d);
  flick_iiop_encode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->a1._u.x);
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->a1._u.y._d);
        flick_iiop_encode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->a1._u.y._u.x);
              flick_iiop_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_encode_new_chunk(5);
              flick_cdr_encode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_cdr_encode_char8(4, _data->a1._u.y._u.y.b2);
              flick_iiop_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_encode_new_chunk(1);
              flick_cdr_encode_char8(0, _data->a1._u.y._u.z);
              flick_iiop_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a2._d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->a2._u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(5);
        flick_cdr_encode_signed32(0, _data->a2._u.y.b1);
        flick_cdr_encode_char8(4, _data->a2._u.y.b2);
        flick_iiop_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->a2._u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a3.b1);
  flick_cdr_encode_char8(4, _data->a3.b2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(33);
}

void flick_unmarshal_stub_a_astruct(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  flick_iiop_decode_new_glob(33);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->a1._d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->a1._u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->a1._u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->a1._u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_cdr_decode_char8(4, _data->a1._u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _data->a1._u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->a2._d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->a2._u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_decode_signed32(0, _data->a2._u.y.b1);
        flick_cdr_decode_char8(4, _data->a2._u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->a2._u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->a3.b1);
  flick_cdr_decode_char8(4, _data->a3.b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(33);
}

void flick_unmarshal_stub_a_astruct_swap(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  flick_iiop_decode_new_glob(33);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->a1._d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->a1._u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->a1._u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->a1._u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_cdr_swap_decode_char8(4, _data->a1._u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _data->a1._u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->a2._d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->a2._u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_swap_decode_signed32(0, _data->a2._u.y.b1);
        flick_cdr_swap_decode_char8(4, _data->a2._u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->a2._u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->a3.b1);
  flick_cdr_swap_decode_char8(4, _data->a3.b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(33);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, a *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t a_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t15_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t15_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t15_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t16_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t16_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t16_switch_tag)
            {
            case /* opA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869627648):
              {
                {
                  a _obj;
                  struct a_astruct *_local_b;
                  CORBA_Environment *_ev;
                  struct Foo2 _return;
                  unsigned int _t17_principal_len;
                  struct a_astruct _t18_storage;
                  CORBA_Environment _t19_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t17_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t17_principal_len);
                  flick_iiop_decode_new_chunk(_t17_principal_len);
                  flick_iiop_decode_end_chunk(_t17_principal_len);
                  flick_iiop_decode_end_glob(_t17_principal_len);
                  /* Begin decode phase on parameters */
                  _local_b = &_t18_storage;
                  flick_iiop_decode_new_glob(33);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_b->a1._d);
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_b->a1._d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_b->a1._u.x);
                        flick_iiop_decode_end_chunk(4);
                        break;
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._d);
                        flick_iiop_decode_end_chunk(4);
                        switch (_local_b->a1._u.y._d)
                          {
                          case 1:
                            {
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._u.x);
                              flick_iiop_decode_end_chunk(4);
                              break;
                            }
                          case 2:
                            {
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._u.y.b1);
                              flick_cdr_swap_decode_char8(4, _local_b->a1._u.y._u.y.b2);
                              flick_iiop_decode_end_chunk(5);
                              break;
                            }
                          default:
                            {
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_b->a1._u.y._u.z);
                              flick_iiop_decode_end_chunk(1);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                        break;
                      }
                    }
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_b->a2._d);
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_b->a2._d)
                    {
                    case 1:
                      {
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_b->a2._u.x);
                        flick_iiop_decode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_signed32(0, _local_b->a2._u.y.b1);
                        flick_cdr_swap_decode_char8(4, _local_b->a2._u.y.b2);
                        flick_iiop_decode_end_chunk(5);
                        break;
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_b->a2._u.z);
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    }
                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_b->a3.b1);
                  flick_cdr_swap_decode_char8(4, _local_b->a3.b2);
                  _ev = &_t19_storage;
                  flick_iiop_decode_end_chunk(5);
                  flick_iiop_decode_end_glob(33);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = a_opA(_obj, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(17);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(1);
                        flick_cdr_encode_char8(0, _return._d);
                        flick_iiop_encode_end_chunk(1);
                        switch (_return._d)
                          {
                          case 'a':
                            {
                              flick_iiop_encode_new_chunk(7);
                              flick_cdr_encode_signed32(3, _return._u.x);
                              flick_iiop_encode_end_chunk(7);
                              break;
                            }
                          case 'b':
                            {
                              flick_iiop_encode_new_chunk(7);
                              flick_cdr_encode_signed32(3, _return._u.y._d);
                              flick_iiop_encode_end_chunk(7);
                              switch (_return._u.y._d)
                                {
                                case 1:
                                  {
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return._u.y._u.x);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case 2:
                                  {
                                    flick_iiop_encode_new_chunk(5);
                                    flick_cdr_encode_signed32(0, _return._u.y._u.y.b1);
                                    flick_cdr_encode_char8(4, _return._u.y._u.y.b2);
                                    flick_iiop_encode_end_chunk(5);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return._u.y._u.z);
                                    flick_iiop_encode_end_chunk(1);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                              break;
                            }
                          }
                        flick_iiop_encode_end_glob(17);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(17);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(17);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t5_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t5_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t5_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t6_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t6_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t6_switch_tag)
            {
            case /* opA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869627648):
              {
                {
                  a _obj;
                  struct a_astruct *_local_b;
                  CORBA_Environment *_ev;
                  struct Foo2 _return;
                  unsigned int _t7_principal_len;
                  struct a_astruct _t8_storage;
                  CORBA_Environment _t9_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t7_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t7_principal_len);
                  flick_iiop_decode_new_chunk(_t7_principal_len);
                  flick_iiop_decode_end_chunk(_t7_principal_len);
                  flick_iiop_decode_end_glob(_t7_principal_len);
                  /* Begin decode phase on parameters */
                  _local_b = &_t8_storage;
                  flick_iiop_decode_new_glob(33);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->a1._d);
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_b->a1._d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_b->a1._u.x);
                        flick_iiop_decode_end_chunk(4);
                        break;
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_b->a1._u.y._d);
                        flick_iiop_decode_end_chunk(4);
                        switch (_local_b->a1._u.y._d)
                          {
                          case 1:
                            {
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.x);
                              flick_iiop_decode_end_chunk(4);
                              break;
                            }
                          case 2:
                            {
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.y.b1);
                              flick_cdr_decode_char8(4, _local_b->a1._u.y._u.y.b2);
                              flick_iiop_decode_end_chunk(5);
                              break;
                            }
                          default:
                            {
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_b->a1._u.y._u.z);
                              flick_iiop_decode_end_chunk(1);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                        break;
                      }
                    }
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_b->a2._d);
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_b->a2._d)
                    {
                    case 1:
                      {
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_b->a2._u.x);
                        flick_iiop_decode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_signed32(0, _local_b->a2._u.y.b1);
                        flick_cdr_decode_char8(4, _local_b->a2._u.y.b2);
                        flick_iiop_decode_end_chunk(5);
                        break;
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_b->a2._u.z);
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    }
                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_b->a3.b1);
                  flick_cdr_decode_char8(4, _local_b->a3.b2);
                  _ev = &_t9_storage;
                  flick_iiop_decode_end_chunk(5);
                  flick_iiop_decode_end_glob(33);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = a_opA(_obj, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(17);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(1);
                        flick_cdr_encode_char8(0, _return._d);
                        flick_iiop_encode_end_chunk(1);
                        switch (_return._d)
                          {
                          case 'a':
                            {
                              flick_iiop_encode_new_chunk(7);
                              flick_cdr_encode_signed32(3, _return._u.x);
                              flick_iiop_encode_end_chunk(7);
                              break;
                            }
                          case 'b':
                            {
                              flick_iiop_encode_new_chunk(7);
                              flick_cdr_encode_signed32(3, _return._u.y._d);
                              flick_iiop_encode_end_chunk(7);
                              switch (_return._u.y._d)
                                {
                                case 1:
                                  {
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return._u.y._u.x);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case 2:
                                  {
                                    flick_iiop_encode_new_chunk(5);
                                    flick_cdr_encode_signed32(0, _return._u.y._u.y.b1);
                                    flick_cdr_encode_char8(4, _return._u.y._u.y.b2);
                                    flick_iiop_encode_end_chunk(5);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return._u.y._u.z);
                                    flick_iiop_encode_end_chunk(1);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                              break;
                            }
                          }
                        flick_iiop_encode_end_glob(17);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(17);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(17);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
