#include "unionplain_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(2);
        flick_cdr_encode_signed16(0, _data->_u.y);
        flick_iiop_encode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_decode_signed16(0, _data->_u.y);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_Foo_swap(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_swap_decode_signed16(0, _data->_u.y);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->_d);
  flick_iiop_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.x);
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(3);
        flick_cdr_encode_signed16(1, _data->_u.y);
        flick_iiop_encode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(3);
        flick_cdr_decode_signed16(1, _data->_u.y);
        flick_iiop_decode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_Foo2_swap(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(3);
        flick_cdr_swap_decode_signed16(1, _data->_u.y);
        flick_iiop_decode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, const struct Foo3 *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->_d);
  flick_iiop_encode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_encode_new_chunk(2);
        flick_cdr_encode_signed16(0, _data->_u.a);
        flick_iiop_encode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiop_encode_new_chunk(6);
        flick_cdr_encode_signed32(2, _data->_u.b);
        flick_iiop_encode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.c);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->_d);
  flick_iiop_decode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_decode_signed16(0, _data->_u.a);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiop_decode_new_chunk(6);
        flick_cdr_decode_signed32(2, _data->_u.b);
        flick_iiop_decode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.c);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_Foo3_swap(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->_d);
  flick_iiop_decode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_swap_decode_signed16(0, _data->_u.a);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiop_decode_new_chunk(6);
        flick_cdr_swap_decode_signed32(2, _data->_u.b);
        flick_iiop_decode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.c);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, const struct Foo4 *_data)
{
  flick_iiop_encode_new_glob(48);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_end_glob(48);
        flick_cdr_encode_longstring(_data->_u.a, CORBA_flick_free, iiop);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(4 + 4 * _data->_u.b._length);
        flick_cdr_encode_unsigned32(0, _data->_u.b._length);
        if (_data->_u.b._length > (unsigned int) 10)
          flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
        flick_cdr_encode_bcopy(4, _data->_u.b._buffer, 4 * _data->_u.b._length);
        CORBA_flick_free(_data->_u.b._buffer);
        flick_iiop_encode_end_chunk(4 + 4 * _data->_u.b._length);
        flick_iiop_encode_end_glob(48);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.c);
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(48);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_iiop_decode_new_glob(48);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(48);
        flick_cdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.b._length);
        _data->_u.b._maximum = _data->_u.b._length;
        if (_data->_u.b._length > (unsigned int) 10)
          flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_new_chunk(4 * _data->_u.b._length);
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        flick_cdr_decode_bcopy(0, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_iiop_decode_end_chunk(4 * _data->_u.b._length);
        flick_iiop_decode_end_glob(48);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.c);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(48);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4_swap(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_iiop_decode_new_glob(48);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(48);
        flick_cdr_swap_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    case 2:
      {
        CORBA_unsigned_long _t1_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.b._length);
        _data->_u.b._maximum = _data->_u.b._length;
        if (_data->_u.b._length > (unsigned int) 10)
          flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
        flick_iiop_decode_end_chunk(4);
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        for (_t1_array_iter = 0; _t1_array_iter < _data->_u.b._length; _t1_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->_u.b._buffer[_t1_array_iter]);
            flick_iiop_decode_end_chunk(4);
          }
        flick_iiop_decode_end_glob(48);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.c);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(48);
        break;
      }
    }
}

void flick_marshal_stub_un(flick_marshal_stream_t _stream, const un *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_un_swap(flick_marshal_stream_t _stream, un *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t un_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t28_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t28_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t28_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t29_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t29_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t29_switch_tag)
            {
            case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
              {
                {
                  un _obj;
                  struct Foo2 *_local_a;
                  CORBA_Environment *_ev;
                  struct Foo _return;
                  unsigned int _t30_principal_len;
                  struct Foo2 _t31_storage;
                  CORBA_Environment _t32_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t30_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t30_principal_len);
                  flick_iiop_decode_new_chunk(_t30_principal_len);
                  flick_iiop_decode_end_chunk(_t30_principal_len);
                  flick_iiop_decode_end_glob(_t30_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = &_t31_storage;
                  flick_iiop_decode_new_glob(8);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_a->_d);
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_a->_d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a->_u.x);
                        flick_iiop_decode_end_chunk(4);
                        break;
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_cdr_swap_decode_signed16(0, _local_a->_u.y);
                        flick_iiop_decode_end_chunk(2);
                        break;
                      }
                    case 'c':
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_a->_u.z);
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                        break;
                      }
                    }
                  _ev = &_t32_storage;
                  flick_iiop_decode_end_glob(8);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = un_one(_obj, _local_a, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(12);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return._d);
                        flick_iiop_encode_end_chunk(4);
                        switch (_return._d)
                          {
                          case 1:
                            {
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return._u.x);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case 2:
                            {
                              flick_iiop_encode_new_chunk(2);
                              flick_cdr_encode_signed16(0, _return._u.y);
                              flick_iiop_encode_end_chunk(2);
                              break;
                            }
                          default:
                            {
                              flick_iiop_encode_new_chunk(1);
                              flick_cdr_encode_char8(0, _return._u.z);
                              flick_iiop_encode_end_chunk(1);
                              break;
                            }
                          }
                        flick_iiop_encode_end_glob(12);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(12);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(12);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
              {
                {
                  un _obj;
                  struct Foo4 *_local_a;
                  CORBA_Environment *_ev;
                  struct Foo3 _return;
                  unsigned int _t33_principal_len;
                  struct Foo4 _t34_storage;
                  CORBA_Environment _t37_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t33_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t33_principal_len);
                  flick_iiop_decode_new_chunk(_t33_principal_len);
                  flick_iiop_decode_end_chunk(_t33_principal_len);
                  flick_iiop_decode_end_glob(_t33_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = &_t34_storage;
                  flick_iiop_decode_new_glob(51);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_a->_d);
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_a->_d)
                    {
                    case 1:
                      {
                        flick_iiop_decode_end_glob(51);
                        flick_cdr_swap_decode_auto_string(_local_a->_u.a, auto_flick_alloc, iiop);
                        break;
                      }
                    case 2:
                      {
                        CORBA_unsigned_long _t36_array_iter;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_a->_u.b._length);
                        _local_a->_u.b._maximum = _local_a->_u.b._length;
                        if (_local_a->_u.b._length > (unsigned int) 10)
                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
                        flick_iiop_decode_end_chunk(4);
                        _local_a->_u.b._buffer = auto_flick_alloc(_local_a->_u.b._length * sizeof(CORBA_long ));
                        for (_t36_array_iter = 0; _t36_array_iter < _local_a->_u.b._length; _t36_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_a->_u.b._buffer[_t36_array_iter]);
                            flick_iiop_decode_end_chunk(4);
                          }
                        flick_iiop_decode_end_glob(51);
                        break;
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_a->_u.c);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(51);
                        break;
                      }
                    }
                  _ev = &_t37_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = un_two(_obj, _local_a, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(12);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_signed16(0, _return._d);
                        flick_iiop_encode_end_chunk(2);
                        switch (_return._d)
                          {
                          case -1:
                            {
                              flick_iiop_encode_new_chunk(2);
                              flick_cdr_encode_signed16(0, _return._u.a);
                              flick_iiop_encode_end_chunk(2);
                              break;
                            }
                          case 50:
                            {
                              flick_iiop_encode_new_chunk(6);
                              flick_cdr_encode_signed32(2, _return._u.b);
                              flick_iiop_encode_end_chunk(6);
                              break;
                            }
                          default:
                            {
                              flick_iiop_encode_new_chunk(1);
                              flick_cdr_encode_char8(0, _return._u.c);
                              flick_iiop_encode_end_chunk(1);
                              break;
                            }
                          }
                        flick_iiop_encode_end_glob(12);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(12);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(12);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t10_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t10_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t10_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t11_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t11_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t11_switch_tag)
            {
            case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
              {
                {
                  un _obj;
                  struct Foo2 *_local_a;
                  CORBA_Environment *_ev;
                  struct Foo _return;
                  unsigned int _t12_principal_len;
                  struct Foo2 _t13_storage;
                  CORBA_Environment _t14_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t12_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t12_principal_len);
                  flick_iiop_decode_new_chunk(_t12_principal_len);
                  flick_iiop_decode_end_chunk(_t12_principal_len);
                  flick_iiop_decode_end_glob(_t12_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = &_t13_storage;
                  flick_iiop_decode_new_glob(8);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_d);
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_a->_d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a->_u.x);
                        flick_iiop_decode_end_chunk(4);
                        break;
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_cdr_decode_signed16(0, _local_a->_u.y);
                        flick_iiop_decode_end_chunk(2);
                        break;
                      }
                    case 'c':
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_a->_u.z);
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                        break;
                      }
                    }
                  _ev = &_t14_storage;
                  flick_iiop_decode_end_glob(8);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = un_one(_obj, _local_a, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(12);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return._d);
                        flick_iiop_encode_end_chunk(4);
                        switch (_return._d)
                          {
                          case 1:
                            {
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return._u.x);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case 2:
                            {
                              flick_iiop_encode_new_chunk(2);
                              flick_cdr_encode_signed16(0, _return._u.y);
                              flick_iiop_encode_end_chunk(2);
                              break;
                            }
                          default:
                            {
                              flick_iiop_encode_new_chunk(1);
                              flick_cdr_encode_char8(0, _return._u.z);
                              flick_iiop_encode_end_chunk(1);
                              break;
                            }
                          }
                        flick_iiop_encode_end_glob(12);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(12);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(12);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
              {
                {
                  un _obj;
                  struct Foo4 *_local_a;
                  CORBA_Environment *_ev;
                  struct Foo3 _return;
                  unsigned int _t15_principal_len;
                  struct Foo4 _t16_storage;
                  CORBA_Environment _t17_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t15_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t15_principal_len);
                  flick_iiop_decode_new_chunk(_t15_principal_len);
                  flick_iiop_decode_end_chunk(_t15_principal_len);
                  flick_iiop_decode_end_glob(_t15_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = &_t16_storage;
                  flick_iiop_decode_new_glob(51);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_a->_d);
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_a->_d)
                    {
                    case 1:
                      {
                        flick_iiop_decode_end_glob(51);
                        flick_cdr_decode_auto_string(_local_a->_u.a, auto_flick_alloc, iiop);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_a->_u.b._length);
                        _local_a->_u.b._maximum = _local_a->_u.b._length;
                        if (_local_a->_u.b._length > (unsigned int) 10)
                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_new_chunk(4 * _local_a->_u.b._length);
                        flick_cdr_decode_msgptr(0, _local_a->_u.b._buffer);
                        flick_iiop_decode_end_chunk(4 * _local_a->_u.b._length);
                        flick_iiop_decode_end_glob(51);
                        break;
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_a->_u.c);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(51);
                        break;
                      }
                    }
                  _ev = &_t17_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = un_two(_obj, _local_a, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(12);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_signed16(0, _return._d);
                        flick_iiop_encode_end_chunk(2);
                        switch (_return._d)
                          {
                          case -1:
                            {
                              flick_iiop_encode_new_chunk(2);
                              flick_cdr_encode_signed16(0, _return._u.a);
                              flick_iiop_encode_end_chunk(2);
                              break;
                            }
                          case 50:
                            {
                              flick_iiop_encode_new_chunk(6);
                              flick_cdr_encode_signed32(2, _return._u.b);
                              flick_iiop_encode_end_chunk(6);
                              break;
                            }
                          default:
                            {
                              flick_iiop_encode_new_chunk(1);
                              flick_cdr_encode_char8(0, _return._u.c);
                              flick_iiop_encode_end_chunk(1);
                              break;
                            }
                          }
                        flick_iiop_encode_end_glob(12);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(12);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(12);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
