#include "IIOP-client.h"

void flick_marshal_stub_Version(flick_marshal_stream_t _stream, const struct Version *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->major);
  flick_xdr_encode_char8(4, _data->minor);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Version(flick_marshal_stream_t _stream, struct Version *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->major);
  flick_xdr_decode_char8(4, _data->minor);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, const IOP_ServiceID *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, const struct IOP_ServiceContext *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->context_id);
  flick_xdr_encode_unsigned32(4, _data->context_data._length);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_suntcp_encode_new_glob(4 * _data->context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->context_data._length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->context_data._buffer[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->context_data._length);
  flick_xdr_encode_bcopy(0, _data->context_data._buffer, 4 * _data->context_data._length);
  flick_suntcp_encode_end_chunk(4 * _data->context_data._length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->context_data._length);
}

void flick_unmarshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->context_id);
  flick_xdr_decode_unsigned32(4, _data->context_data._length);
  _data->context_data._maximum = _data->context_data._length;
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_suntcp_decode_new_glob(4 * _data->context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->context_data._buffer = CORBA_flick_alloc(_data->context_data._length * sizeof(CORBA_octet ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->context_data._length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->context_data._buffer[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->context_data._length);
  _data->context_data._buffer = CORBA_flick_alloc(_data->context_data._length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->context_data._buffer, 4 * _data->context_data._length);
  flick_suntcp_decode_end_chunk(4 * _data->context_data._length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->context_data._length);
}

void flick_marshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, const IOP_ServiceContextList *_data)
{
  CORBA_unsigned_long _t4_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t4_array_iter = 0; _t4_array_iter < _data->_length; _t4_array_iter++)
    {
#if BYTE_ORDER != BIG_ENDIAN
      CORBA_unsigned_long _t6_array_iter;
#endif /* ENDIANness */

      flick_suntcp_encode_new_glob(8);
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t4_array_iter].context_id);
      flick_xdr_encode_unsigned32(4, _data->_buffer[_t4_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(8);
      flick_suntcp_encode_end_glob(8);
      flick_suntcp_encode_new_glob(4 * _data->_buffer[_t4_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t6_array_iter = 0; _t6_array_iter < _data->_buffer[_t4_array_iter].context_data._length; _t6_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_unsigned8(0, _data->_buffer[_t4_array_iter].context_data._buffer[_t6_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(4 * _data->_buffer[_t4_array_iter].context_data._length);
      flick_xdr_encode_bcopy(0, _data->_buffer[_t4_array_iter].context_data._buffer, 4 * _data->_buffer[_t4_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(4 * _data->_buffer[_t4_array_iter].context_data._length);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(4 * _data->_buffer[_t4_array_iter].context_data._length);
    }
}

void flick_unmarshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  CORBA_unsigned_long _t9_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct IOP_ServiceContext ));
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
#if BYTE_ORDER != BIG_ENDIAN
      CORBA_unsigned_long _t11_array_iter;
#endif /* ENDIANness */

      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t9_array_iter].context_id);
      flick_xdr_decode_unsigned32(4, _data->_buffer[_t9_array_iter].context_data._length);
      _data->_buffer[_t9_array_iter].context_data._maximum = _data->_buffer[_t9_array_iter].context_data._length;
      flick_suntcp_decode_end_chunk(8);
      flick_suntcp_decode_end_glob(8);
      flick_suntcp_decode_new_glob(4 * _data->_buffer[_t9_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      _data->_buffer[_t9_array_iter].context_data._buffer = CORBA_flick_alloc(_data->_buffer[_t9_array_iter].context_data._length * sizeof(CORBA_octet ));
      for (_t11_array_iter = 0; _t11_array_iter < _data->_buffer[_t9_array_iter].context_data._length; _t11_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_unsigned8(0, _data->_buffer[_t9_array_iter].context_data._buffer[_t11_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(4 * _data->_buffer[_t9_array_iter].context_data._length);
      _data->_buffer[_t9_array_iter].context_data._buffer = CORBA_flick_alloc(_data->_buffer[_t9_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_xdr_decode_bcopy(0, _data->_buffer[_t9_array_iter].context_data._buffer, 4 * _data->_buffer[_t9_array_iter].context_data._length);
      flick_suntcp_decode_end_chunk(4 * _data->_buffer[_t9_array_iter].context_data._length);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(4 * _data->_buffer[_t9_array_iter].context_data._length);
    }
}

void flick_marshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, const GIOP_Principal *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, const GIOP_MsgType *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, const struct GIOP_MessageHeader *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t12_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(27);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t12_array_iter = 0; _t12_array_iter < 4; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->magic[_t12_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_bcopy(0, _data->magic, 4);
  flick_suntcp_encode_end_chunk(4);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_encode_char8(0, _data->GIOP_version.major);
  flick_xdr_encode_char8(4, _data->GIOP_version.minor);
  flick_xdr_encode_unsigned8(8, _data->byte_order);
  flick_xdr_encode_unsigned8(12, _data->message_type);
  flick_xdr_encode_unsigned32(16, _data->message_size);
  flick_suntcp_encode_end_chunk(20);
  flick_suntcp_encode_end_glob(27);
}

void flick_unmarshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t13_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(27);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t13_array_iter = 0; _t13_array_iter < 4; _t13_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->magic[_t13_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_bcopy(0, _data->magic, 4);
  flick_suntcp_decode_end_chunk(4);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_decode_char8(0, _data->GIOP_version.major);
  flick_xdr_decode_char8(4, _data->GIOP_version.minor);
  flick_xdr_decode_unsigned8(8, _data->byte_order);
  flick_xdr_decode_unsigned8(12, _data->message_type);
  flick_xdr_decode_unsigned32(16, _data->message_size);
  flick_suntcp_decode_end_chunk(20);
  flick_suntcp_decode_end_glob(27);
}

void flick_marshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, const struct GIOP_RequestHeader *_data)
{
  CORBA_unsigned_long _t16_array_iter;
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t19_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->service_context._length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t16_array_iter = 0; _t16_array_iter < _data->service_context._length; _t16_array_iter++)
    {
#if BYTE_ORDER != BIG_ENDIAN
      CORBA_unsigned_long _t18_array_iter;
#endif /* ENDIANness */

      flick_suntcp_encode_new_glob(8);
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_unsigned32(0, _data->service_context._buffer[_t16_array_iter].context_id);
      flick_xdr_encode_unsigned32(4, _data->service_context._buffer[_t16_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(8);
      flick_suntcp_encode_end_glob(8);
      flick_suntcp_encode_new_glob(4 * _data->service_context._buffer[_t16_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t18_array_iter = 0; _t18_array_iter < _data->service_context._buffer[_t16_array_iter].context_data._length; _t18_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_unsigned8(0, _data->service_context._buffer[_t16_array_iter].context_data._buffer[_t18_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(4 * _data->service_context._buffer[_t16_array_iter].context_data._length);
      flick_xdr_encode_bcopy(0, _data->service_context._buffer[_t16_array_iter].context_data._buffer, 4 * _data->service_context._buffer[_t16_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(4 * _data->service_context._buffer[_t16_array_iter].context_data._length);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(4 * _data->service_context._buffer[_t16_array_iter].context_data._length);
    }
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_unsigned32(0, _data->request_id);
  flick_xdr_encode_unsigned8(4, _data->response_expected);
  flick_xdr_encode_unsigned32(8, _data->object_key._length);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  flick_suntcp_encode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t19_array_iter = 0; _t19_array_iter < _data->object_key._length; _t19_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->object_key._buffer[_t19_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->object_key._length);
  flick_xdr_encode_bcopy(0, _data->object_key._buffer, 4 * _data->object_key._length);
  flick_suntcp_encode_end_chunk(4 * _data->object_key._length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->object_key._length);
  flick_xdr_encode_longstring(_data->operation, null_flick_free, suntcp);
  flick_suntcp_encode_new_glob(7);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_port32(0, _data->requesting_principal, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(7);
}

void flick_unmarshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  CORBA_unsigned_long _t22_array_iter;
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t25_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->service_context._length);
  _data->service_context._maximum = _data->service_context._length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->service_context._buffer = CORBA_flick_alloc(_data->service_context._length * sizeof(struct IOP_ServiceContext ));
  for (_t22_array_iter = 0; _t22_array_iter < _data->service_context._length; _t22_array_iter++)
    {
#if BYTE_ORDER != BIG_ENDIAN
      CORBA_unsigned_long _t24_array_iter;
#endif /* ENDIANness */

      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_unsigned32(0, _data->service_context._buffer[_t22_array_iter].context_id);
      flick_xdr_decode_unsigned32(4, _data->service_context._buffer[_t22_array_iter].context_data._length);
      _data->service_context._buffer[_t22_array_iter].context_data._maximum = _data->service_context._buffer[_t22_array_iter].context_data._length;
      flick_suntcp_decode_end_chunk(8);
      flick_suntcp_decode_end_glob(8);
      flick_suntcp_decode_new_glob(4 * _data->service_context._buffer[_t22_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      _data->service_context._buffer[_t22_array_iter].context_data._buffer = CORBA_flick_alloc(_data->service_context._buffer[_t22_array_iter].context_data._length * sizeof(CORBA_octet ));
      for (_t24_array_iter = 0; _t24_array_iter < _data->service_context._buffer[_t22_array_iter].context_data._length; _t24_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_unsigned8(0, _data->service_context._buffer[_t22_array_iter].context_data._buffer[_t24_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(4 * _data->service_context._buffer[_t22_array_iter].context_data._length);
      _data->service_context._buffer[_t22_array_iter].context_data._buffer = CORBA_flick_alloc(_data->service_context._buffer[_t22_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_xdr_decode_bcopy(0, _data->service_context._buffer[_t22_array_iter].context_data._buffer, 4 * _data->service_context._buffer[_t22_array_iter].context_data._length);
      flick_suntcp_decode_end_chunk(4 * _data->service_context._buffer[_t22_array_iter].context_data._length);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(4 * _data->service_context._buffer[_t22_array_iter].context_data._length);
    }
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_unsigned32(0, _data->request_id);
  flick_xdr_decode_unsigned8(4, _data->response_expected);
  flick_xdr_decode_unsigned32(8, _data->object_key._length);
  _data->object_key._maximum = _data->object_key._length;
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  flick_suntcp_decode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  for (_t25_array_iter = 0; _t25_array_iter < _data->object_key._length; _t25_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->object_key._buffer[_t25_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->object_key._buffer, 4 * _data->object_key._length);
  flick_suntcp_decode_end_chunk(4 * _data->object_key._length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->object_key._length);
  flick_xdr_decode_longstring(_data->operation, CORBA_flick_alloc, suntcp);
  flick_suntcp_decode_new_glob(7);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_port32(0, _data->requesting_principal, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(7);
}

void flick_marshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, const GIOP_ReplyStatusType *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_ReplyHeader *_data)
{
  CORBA_unsigned_long _t28_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->server_context._length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t28_array_iter = 0; _t28_array_iter < _data->server_context._length; _t28_array_iter++)
    {
#if BYTE_ORDER != BIG_ENDIAN
      CORBA_unsigned_long _t30_array_iter;
#endif /* ENDIANness */

      flick_suntcp_encode_new_glob(8);
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_unsigned32(0, _data->server_context._buffer[_t28_array_iter].context_id);
      flick_xdr_encode_unsigned32(4, _data->server_context._buffer[_t28_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(8);
      flick_suntcp_encode_end_glob(8);
      flick_suntcp_encode_new_glob(4 * _data->server_context._buffer[_t28_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t30_array_iter = 0; _t30_array_iter < _data->server_context._buffer[_t28_array_iter].context_data._length; _t30_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_unsigned8(0, _data->server_context._buffer[_t28_array_iter].context_data._buffer[_t30_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(4 * _data->server_context._buffer[_t28_array_iter].context_data._length);
      flick_xdr_encode_bcopy(0, _data->server_context._buffer[_t28_array_iter].context_data._buffer, 4 * _data->server_context._buffer[_t28_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(4 * _data->server_context._buffer[_t28_array_iter].context_data._length);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(4 * _data->server_context._buffer[_t28_array_iter].context_data._length);
    }
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->request_id);
  flick_xdr_encode_unsigned32(4, _data->reply_status);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  CORBA_unsigned_long _t33_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->server_context._length);
  _data->server_context._maximum = _data->server_context._length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->server_context._buffer = CORBA_flick_alloc(_data->server_context._length * sizeof(struct IOP_ServiceContext ));
  for (_t33_array_iter = 0; _t33_array_iter < _data->server_context._length; _t33_array_iter++)
    {
#if BYTE_ORDER != BIG_ENDIAN
      CORBA_unsigned_long _t35_array_iter;
#endif /* ENDIANness */

      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_unsigned32(0, _data->server_context._buffer[_t33_array_iter].context_id);
      flick_xdr_decode_unsigned32(4, _data->server_context._buffer[_t33_array_iter].context_data._length);
      _data->server_context._buffer[_t33_array_iter].context_data._maximum = _data->server_context._buffer[_t33_array_iter].context_data._length;
      flick_suntcp_decode_end_chunk(8);
      flick_suntcp_decode_end_glob(8);
      flick_suntcp_decode_new_glob(4 * _data->server_context._buffer[_t33_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      _data->server_context._buffer[_t33_array_iter].context_data._buffer = CORBA_flick_alloc(_data->server_context._buffer[_t33_array_iter].context_data._length * sizeof(CORBA_octet ));
      for (_t35_array_iter = 0; _t35_array_iter < _data->server_context._buffer[_t33_array_iter].context_data._length; _t35_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_unsigned8(0, _data->server_context._buffer[_t33_array_iter].context_data._buffer[_t35_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(4 * _data->server_context._buffer[_t33_array_iter].context_data._length);
      _data->server_context._buffer[_t33_array_iter].context_data._buffer = CORBA_flick_alloc(_data->server_context._buffer[_t33_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_xdr_decode_bcopy(0, _data->server_context._buffer[_t33_array_iter].context_data._buffer, 4 * _data->server_context._buffer[_t33_array_iter].context_data._length);
      flick_suntcp_decode_end_chunk(4 * _data->server_context._buffer[_t33_array_iter].context_data._length);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(4 * _data->server_context._buffer[_t33_array_iter].context_data._length);
    }
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->request_id);
  flick_xdr_decode_unsigned32(4, _data->reply_status);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_CancelRequestHeader *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->request_id);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->request_id);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateRequestHeader *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t36_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->request_id);
  flick_xdr_encode_unsigned32(4, _data->object_key._length);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_suntcp_encode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t36_array_iter = 0; _t36_array_iter < _data->object_key._length; _t36_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->object_key._buffer[_t36_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->object_key._length);
  flick_xdr_encode_bcopy(0, _data->object_key._buffer, 4 * _data->object_key._length);
  flick_suntcp_encode_end_chunk(4 * _data->object_key._length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->object_key._length);
}

void flick_unmarshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t37_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->request_id);
  flick_xdr_decode_unsigned32(4, _data->object_key._length);
  _data->object_key._maximum = _data->object_key._length;
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_suntcp_decode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  for (_t37_array_iter = 0; _t37_array_iter < _data->object_key._length; _t37_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->object_key._buffer[_t37_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->object_key._buffer, 4 * _data->object_key._length);
  flick_suntcp_decode_end_chunk(4 * _data->object_key._length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->object_key._length);
}

void flick_marshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, const GIOP_LocateStatusType *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateReplyHeader *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->request_id);
  flick_xdr_encode_unsigned32(4, _data->locate_status);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->request_id);
  flick_xdr_decode_unsigned32(4, _data->locate_status);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, const struct IIOP_ProfileBody *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t38_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->iiop_version.major);
  flick_xdr_encode_char8(4, _data->iiop_version.minor);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_xdr_encode_longstring(_data->host, null_flick_free, suntcp);
  flick_suntcp_encode_new_glob(11);
  flick_suntcp_encode_new_chunk_align(8, 2, 0, 0);
  flick_xdr_encode_unsigned16(0, _data->port);
  flick_xdr_encode_unsigned32(4, _data->object_key._length);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(11);
  flick_suntcp_encode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t38_array_iter = 0; _t38_array_iter < _data->object_key._length; _t38_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->object_key._buffer[_t38_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->object_key._length);
  flick_xdr_encode_bcopy(0, _data->object_key._buffer, 4 * _data->object_key._length);
  flick_suntcp_encode_end_chunk(4 * _data->object_key._length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->object_key._length);
}

void flick_unmarshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t39_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->iiop_version.major);
  flick_xdr_decode_char8(4, _data->iiop_version.minor);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_xdr_decode_longstring(_data->host, CORBA_flick_alloc, suntcp);
  flick_suntcp_decode_new_glob(11);
  flick_suntcp_decode_new_chunk_align(8, 2, 0, 0);
  flick_xdr_decode_unsigned16(0, _data->port);
  flick_xdr_decode_unsigned32(4, _data->object_key._length);
  _data->object_key._maximum = _data->object_key._length;
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(11);
  flick_suntcp_decode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  for (_t39_array_iter = 0; _t39_array_iter < _data->object_key._length; _t39_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->object_key._buffer[_t39_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->object_key._buffer, 4 * _data->object_key._length);
  flick_suntcp_decode_end_chunk(4 * _data->object_key._length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->object_key._length);
}

