#include "arrayez-client.h"

void flick_marshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, const arrayez_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned16_t _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 2048; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8192);
  flick_xdr_encode_bcopy(0, *_data, 8192);
  flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(8192);
}

void flick_unmarshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned16_t _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 2048; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8192);
  flick_xdr_decode_bcopy(0, *_data, 8192);
  flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(8192);
}

void flick_marshal_stub_arrayez(flick_marshal_stream_t _stream, const arrayez *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_long arrayez_test_in8k(arrayez _obj, arrayez_arr8k a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    flick_unsigned16_t _t3_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'i');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, '8');
    flick_xdr_encode_char8(36, 'k');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
    flick_suntcp_encode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t3_array_iter = 0; _t3_array_iter < 2048; _t3_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a[_t3_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(8192);
    flick_xdr_encode_bcopy(0, a, 8192);
    flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(8192);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long arrayez_test_out8k(arrayez _obj, arrayez_arr8k a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'o');
    flick_xdr_encode_char8(28, 'u');
    flick_xdr_encode_char8(32, 't');
    flick_xdr_encode_char8(36, '8');
    flick_xdr_encode_char8(40, 'k');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned16_t _t5_array_iter;
#endif /* ENDIANness */

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t5_array_iter = 0; _t5_array_iter < 2048; _t5_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, a[_t5_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(8192);
            flick_xdr_decode_bcopy(0, a, 8192);
            flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(8192);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long arrayez_test_io8k(arrayez _obj, arrayez_arr8k a, arrayez_arr8k b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    flick_unsigned16_t _t7_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'i');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, '8');
    flick_xdr_encode_char8(36, 'k');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
    flick_suntcp_encode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t7_array_iter = 0; _t7_array_iter < 2048; _t7_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a[_t7_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(8192);
    flick_xdr_encode_bcopy(0, a, 8192);
    flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(8192);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned16_t _t9_array_iter;
#endif /* ENDIANness */

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t9_array_iter = 0; _t9_array_iter < 2048; _t9_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, b[_t9_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(8192);
            flick_xdr_decode_bcopy(0, b, 8192);
            flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(8192);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

