#include "arrayez-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_arrayez;
	s.vers_num = _VERS_arrayez;

	reg_success = flick_server_register(s, &arrayez_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, const arrayez_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned16_t _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 2048; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8192);
  flick_xdr_encode_bcopy(0, *_data, 8192);
  flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(8192);
}

void flick_unmarshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned16_t _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 2048; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8192);
  flick_xdr_decode_bcopy(0, *_data, 8192);
  flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(8192);
}

void flick_marshal_stub_arrayez(flick_marshal_stream_t _stream, const arrayez *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t arrayez_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t47_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t47_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t47_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t48_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t48_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t48_switch_tag)
            {
            case 't':
              {
                char _t49_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t49_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t49_switch_tag)
                  {
                  case 'e':
                    {
                      char _t50_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t50_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t50_switch_tag)
                        {
                        case 's':
                          {
                            char _t51_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t51_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t51_switch_tag)
                              {
                              case 't':
                                {
                                  char _t52_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t52_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t52_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t53_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t53_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t53_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t54_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t54_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t54_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t55_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t55_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t55_switch_tag)
                                                      {
                                                      case '8':
                                                        {
                                                          char _t56_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t56_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t56_switch_tag)
                                                            {
                                                            case 'k':
                                                              {
                                                                char _t57_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t57_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t57_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrayez _obj;
                                                                        CORBA_long *_local_a;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        unsigned int _t58_ignore;
#if BYTE_ORDER != BIG_ENDIAN
                                                                        CORBA_long _t60_storage[2048];
                                                                        flick_unsigned16_t _t61_array_iter;
#endif /* ENDIANness */
                                                                        CORBA_Environment _t62_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t58_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t58_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t58_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t58_ignore);
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(64);
                                                                        flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        _local_a = _t60_storage;
                                                                        for (_t61_array_iter = 0; _t61_array_iter < 2048; _t61_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_signed32(0, _local_a[_t61_array_iter]);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_decode_new_chunk(8192);
                                                                        flick_xdr_decode_msgptr(0, _local_a);
                                                                        flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
                                                                        _ev = &_t62_storage;
                                                                        flick_suntcp_decode_end_glob(8192);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrayez_test_in8k(_obj, _local_a, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _return);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'o':
                                                  {
                                                    char _t63_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t63_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t63_switch_tag)
                                                      {
                                                      case '8':
                                                        {
                                                          char _t64_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t64_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t64_switch_tag)
                                                            {
                                                            case 'k':
                                                              {
                                                                char _t65_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t65_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t65_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrayez _obj;
                                                                        CORBA_long *_local_a;
                                                                        CORBA_long *_local_b;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        unsigned int _t66_ignore;
#if BYTE_ORDER != BIG_ENDIAN
                                                                        CORBA_long _t68_storage[2048];
                                                                        flick_unsigned16_t _t69_array_iter;
#endif /* ENDIANness */
                                                                        CORBA_long _t71_storage[2048];
                                                                        CORBA_Environment _t72_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t66_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t66_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t66_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t66_ignore);
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(64);
                                                                        flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        _local_a = _t68_storage;
                                                                        for (_t69_array_iter = 0; _t69_array_iter < 2048; _t69_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_signed32(0, _local_a[_t69_array_iter]);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_decode_new_chunk(8192);
                                                                        flick_xdr_decode_msgptr(0, _local_a);
                                                                        flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
                                                                        _local_b = _t71_storage;
                                                                        _ev = &_t72_storage;
                                                                        flick_suntcp_decode_end_glob(8192);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrayez_test_io8k(_obj, _local_a, _local_b, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
#if BYTE_ORDER != BIG_ENDIAN
                                                                              flick_unsigned16_t _t74_array_iter;
#endif /* ENDIANness */

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _return);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              flick_suntcp_encode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
                                                                              for (_t74_array_iter = 0; _t74_array_iter < 2048; _t74_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                  flick_xdr_encode_signed32(0, _local_b[_t74_array_iter]);
                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                              flick_suntcp_encode_new_chunk(8192);
                                                                              flick_xdr_encode_bcopy(0, _local_b, 8192);
                                                                              flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
                                                                              flick_suntcp_encode_end_glob(8192);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t75_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t75_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t75_switch_tag)
            {
            case 't':
              {
                char _t76_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t76_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t76_switch_tag)
                  {
                  case 'e':
                    {
                      char _t77_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t77_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t77_switch_tag)
                        {
                        case 's':
                          {
                            char _t78_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t78_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t78_switch_tag)
                              {
                              case 't':
                                {
                                  char _t79_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t79_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t79_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t80_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t80_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t80_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t81_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t81_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t81_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t82_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t82_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t82_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t83_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t83_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t83_switch_tag)
                                                            {
                                                            case '8':
                                                              {
                                                                char _t84_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t84_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t84_switch_tag)
                                                                  {
                                                                  case 'k':
                                                                    {
                                                                      char _t85_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t85_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t85_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              arrayez _obj;
                                                                              CORBA_long *_local_a;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_long _return = 0;
                                                                              unsigned int _t86_ignore;
                                                                              CORBA_long _t88_storage[2048];
                                                                              CORBA_Environment _t89_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(16);
                                                                              flick_xdr_decode_unsigned32(0, _t86_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t86_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t86_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t86_ignore);
                                                                              _local_a = _t88_storage;
                                                                              _ev = &_t89_storage;
                                                                              flick_suntcp_decode_end_chunk(16);
                                                                              flick_suntcp_decode_end_glob(64);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _return = arrayez_test_out8k(_obj, _local_a, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(8);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
#if BYTE_ORDER != BIG_ENDIAN
                                                                                    flick_unsigned16_t _t91_array_iter;
#endif /* ENDIANness */

                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _return);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                    flick_suntcp_encode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                    for (_t91_array_iter = 0; _t91_array_iter < 2048; _t91_array_iter++)
                                                                                      {
                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                        flick_xdr_encode_signed32(0, _local_a[_t91_array_iter]);
                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                    flick_suntcp_encode_new_chunk(8192);
                                                                                    flick_xdr_encode_bcopy(0, _local_a, 8192);
                                                                                    flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
                                                                                    flick_suntcp_encode_end_glob(8192);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(64);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
