#include "arrays-client.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->elem1);
  flick_xdr_encode_char8(4, _data->elem2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->elem1);
  flick_xdr_decode_char8(4, _data->elem2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->elem1);
  flick_xdr_encode_signed32(4, _data->elem2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->elem1);
  flick_xdr_decode_signed32(4, _data->elem2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(212);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 200);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(212);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(212);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 50; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 200);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(212);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t2_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(212);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < 50; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 200);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(212);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t3_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(212);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 200);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(212);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t4_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(208);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < 50; _t4_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t4_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 200);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(208);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t5_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(208);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < 50; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 200);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(208);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t6_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t6_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t7_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
  for (_t7_array_iter = 0; _t7_array_iter < 50; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t7_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t7_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t8_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < 50; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t8_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t8_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  flick_suntcp_decode_end_chunk(8);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t9_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t9_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t10_array_iter;

  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t10_array_iter = 0; _t10_array_iter < 50; _t10_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t10_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t10_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t11_array_iter;

  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
  for (_t11_array_iter = 0; _t11_array_iter < 50; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t11_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t11_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t12_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t12_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t12_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t13_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
  for (_t13_array_iter = 0; _t13_array_iter < 50; _t13_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t13_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t13_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t14_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
  for (_t14_array_iter = 0; _t14_array_iter < 50; _t14_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t14_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t14_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t15_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  flick_suntcp_decode_end_chunk(8);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t15_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t15_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t16_array_iter;

  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t16_array_iter = 0; _t16_array_iter < 50; _t16_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t16_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t16_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t17_array_iter;

  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
  for (_t17_array_iter = 0; _t17_array_iter < 50; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t17_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t17_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

struct cLd arrays_test_cLd(arrays _obj, struct cLd *inp, struct cLd *iop, struct cLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cLd _return;

  memset(&_return, 0, sizeof(struct cLd ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    flick_unsigned8_t _t20_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
    flick_unsigned8_t _t21_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(480);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'c');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 'd');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_char8(56, inp->first);
    flick_suntcp_encode_end_chunk(60);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t20_array_iter = 0; _t20_array_iter < 50; _t20_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, inp->data[_t20_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, inp->data, 200);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_float64(0, inp->last);
    flick_xdr_encode_char8(8, iop->first);
    flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t21_array_iter = 0; _t21_array_iter < 50; _t21_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, iop->data[_t21_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, iop->data, 200);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_float64(0, iop->last);
    flick_suntcp_encode_end_chunk(8);
    flick_suntcp_encode_end_glob(480);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(640);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned8_t _t25_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned8_t _t26_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned8_t _t27_array_iter;
#endif /* ENDIANness */

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, _return.first);
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t25_array_iter = 0; _t25_array_iter < 50; _t25_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return.data[_t25_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, _return.data, 200);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, _return.last);
            flick_xdr_decode_char8(8, iop->first);
            flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t26_array_iter = 0; _t26_array_iter < 50; _t26_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, iop->data[_t26_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, iop->data, 200);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, iop->last);
            flick_xdr_decode_char8(8, outp->first);
            flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t27_array_iter = 0; _t27_array_iter < 50; _t27_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, outp->data[_t27_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, outp->data, 200);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, outp->last);
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(640);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(640);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(640);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct dLc arrays_test_dLc(arrays _obj, struct dLc *inp, struct dLc *iop, struct dLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dLc _return;

  memset(&_return, 0, sizeof(struct dLc ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    flick_unsigned8_t _t30_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
    flick_unsigned8_t _t31_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(480);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 'c');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_float64(56, inp->first);
    flick_suntcp_encode_end_chunk(64);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t30_array_iter = 0; _t30_array_iter < 50; _t30_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, inp->data[_t30_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, inp->data, 200);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_char8(0, inp->last);
    flick_xdr_encode_float64(4, iop->first);
    flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t31_array_iter = 0; _t31_array_iter < 50; _t31_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, iop->data[_t31_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, iop->data, 200);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_char8(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(480);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(640);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned8_t _t35_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned8_t _t36_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned8_t _t37_array_iter;
#endif /* ENDIANness */

            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, _return.first);
            flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t35_array_iter = 0; _t35_array_iter < 50; _t35_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return.data[_t35_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, _return.data, 200);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return.last);
            flick_xdr_decode_float64(4, iop->first);
            flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t36_array_iter = 0; _t36_array_iter < 50; _t36_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, iop->data[_t36_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, iop->data, 200);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, iop->last);
            flick_xdr_decode_float64(4, outp->first);
            flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t37_array_iter = 0; _t37_array_iter < 50; _t37_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, outp->data[_t37_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, outp->data, 200);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(640);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(640);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(640);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct sLs arrays_test_sLs(arrays _obj, struct sLs *inp, struct sLs *iop, struct sLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sLs _return;

  memset(&_return, 0, sizeof(struct sLs ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    flick_unsigned8_t _t40_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
    flick_unsigned8_t _t41_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(472);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 's');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed16(56, inp->first);
    flick_suntcp_encode_end_chunk(60);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t40_array_iter = 0; _t40_array_iter < 50; _t40_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, inp->data[_t40_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, inp->data, 200);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_signed16(0, inp->last);
    flick_xdr_encode_signed16(4, iop->first);
    flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t41_array_iter = 0; _t41_array_iter < 50; _t41_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, iop->data[_t41_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, iop->data, 200);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_signed16(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(472);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(628);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned8_t _t45_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned8_t _t46_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
            flick_unsigned8_t _t47_array_iter;
#endif /* ENDIANness */

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return.first);
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t45_array_iter = 0; _t45_array_iter < 50; _t45_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return.data[_t45_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, _return.data, 200);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, _return.last);
            flick_xdr_decode_signed16(4, iop->first);
            flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t46_array_iter = 0; _t46_array_iter < 50; _t46_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, iop->data[_t46_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, iop->data, 200);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, iop->last);
            flick_xdr_decode_signed16(4, outp->first);
            flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t47_array_iter = 0; _t47_array_iter < 50; _t47_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, outp->data[_t47_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, outp->data, 200);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(628);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(628);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(628);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct cLCd arrays_test_cLCd(arrays _obj, struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cLCd _return;

  memset(&_return, 0, sizeof(struct cLCd ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t50_array_iter;
    flick_unsigned8_t _t51_array_iter;

    flick_suntcp_encode_new_glob(884);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'c');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 'C');
    flick_xdr_encode_char8(36, 'd');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_char8(60, inp->first);
    flick_suntcp_encode_end_chunk(64);
    for (_t50_array_iter = 0; _t50_array_iter < 50; _t50_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, inp->data[_t50_array_iter].elem1);
        flick_xdr_encode_char8(4, inp->data[_t50_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_float64(0, inp->last);
    flick_xdr_encode_char8(8, iop->first);
    flick_suntcp_encode_end_chunk(12);
    for (_t51_array_iter = 0; _t51_array_iter < 50; _t51_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, iop->data[_t51_array_iter].elem1);
        flick_xdr_encode_char8(4, iop->data[_t51_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_float64(0, iop->last);
    flick_suntcp_encode_end_chunk(8);
    flick_suntcp_encode_end_glob(884);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1240);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t55_array_iter;
            flick_unsigned8_t _t56_array_iter;
            flick_unsigned8_t _t57_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, _return.first);
            flick_suntcp_decode_end_chunk(4);
            for (_t55_array_iter = 0; _t55_array_iter < 50; _t55_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, _return.data[_t55_array_iter].elem1);
                flick_xdr_decode_char8(4, _return.data[_t55_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, _return.last);
            flick_xdr_decode_char8(8, iop->first);
            flick_suntcp_decode_end_chunk(12);
            for (_t56_array_iter = 0; _t56_array_iter < 50; _t56_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, iop->data[_t56_array_iter].elem1);
                flick_xdr_decode_char8(4, iop->data[_t56_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, iop->last);
            flick_xdr_decode_char8(8, outp->first);
            flick_suntcp_decode_end_chunk(12);
            for (_t57_array_iter = 0; _t57_array_iter < 50; _t57_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, outp->data[_t57_array_iter].elem1);
                flick_xdr_decode_char8(4, outp->data[_t57_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, outp->last);
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(1240);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(1240);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(1240);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct dLCc arrays_test_dLCc(arrays _obj, struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dLCc _return;

  memset(&_return, 0, sizeof(struct dLCc ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t60_array_iter;
    flick_unsigned8_t _t61_array_iter;

    flick_suntcp_encode_new_glob(884);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 'C');
    flick_xdr_encode_char8(36, 'c');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_float64(60, inp->first);
    flick_suntcp_encode_end_chunk(68);
    for (_t60_array_iter = 0; _t60_array_iter < 50; _t60_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, inp->data[_t60_array_iter].elem1);
        flick_xdr_encode_char8(4, inp->data[_t60_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_char8(0, inp->last);
    flick_xdr_encode_float64(4, iop->first);
    flick_suntcp_encode_end_chunk(12);
    for (_t61_array_iter = 0; _t61_array_iter < 50; _t61_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, iop->data[_t61_array_iter].elem1);
        flick_xdr_encode_char8(4, iop->data[_t61_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_char8(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(884);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1240);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t65_array_iter;
            flick_unsigned8_t _t66_array_iter;
            flick_unsigned8_t _t67_array_iter;

            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, _return.first);
            flick_suntcp_decode_end_chunk(8);
            for (_t65_array_iter = 0; _t65_array_iter < 50; _t65_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, _return.data[_t65_array_iter].elem1);
                flick_xdr_decode_char8(4, _return.data[_t65_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return.last);
            flick_xdr_decode_float64(4, iop->first);
            flick_suntcp_decode_end_chunk(12);
            for (_t66_array_iter = 0; _t66_array_iter < 50; _t66_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, iop->data[_t66_array_iter].elem1);
                flick_xdr_decode_char8(4, iop->data[_t66_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, iop->last);
            flick_xdr_decode_float64(4, outp->first);
            flick_suntcp_decode_end_chunk(12);
            for (_t67_array_iter = 0; _t67_array_iter < 50; _t67_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, outp->data[_t67_array_iter].elem1);
                flick_xdr_decode_char8(4, outp->data[_t67_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(1240);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(1240);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(1240);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct sLCs arrays_test_sLCs(arrays _obj, struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sLCs _return;

  memset(&_return, 0, sizeof(struct sLCs ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t70_array_iter;
    flick_unsigned8_t _t71_array_iter;

    flick_suntcp_encode_new_glob(876);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 'C');
    flick_xdr_encode_char8(36, 's');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_signed16(60, inp->first);
    flick_suntcp_encode_end_chunk(64);
    for (_t70_array_iter = 0; _t70_array_iter < 50; _t70_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, inp->data[_t70_array_iter].elem1);
        flick_xdr_encode_char8(4, inp->data[_t70_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_signed16(0, inp->last);
    flick_xdr_encode_signed16(4, iop->first);
    flick_suntcp_encode_end_chunk(8);
    for (_t71_array_iter = 0; _t71_array_iter < 50; _t71_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, iop->data[_t71_array_iter].elem1);
        flick_xdr_encode_char8(4, iop->data[_t71_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_signed16(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(876);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1228);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t75_array_iter;
            flick_unsigned8_t _t76_array_iter;
            flick_unsigned8_t _t77_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return.first);
            flick_suntcp_decode_end_chunk(4);
            for (_t75_array_iter = 0; _t75_array_iter < 50; _t75_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, _return.data[_t75_array_iter].elem1);
                flick_xdr_decode_char8(4, _return.data[_t75_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, _return.last);
            flick_xdr_decode_signed16(4, iop->first);
            flick_suntcp_decode_end_chunk(8);
            for (_t76_array_iter = 0; _t76_array_iter < 50; _t76_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, iop->data[_t76_array_iter].elem1);
                flick_xdr_decode_char8(4, iop->data[_t76_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, iop->last);
            flick_xdr_decode_signed16(4, outp->first);
            flick_suntcp_decode_end_chunk(8);
            for (_t77_array_iter = 0; _t77_array_iter < 50; _t77_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, outp->data[_t77_array_iter].elem1);
                flick_xdr_decode_char8(4, outp->data[_t77_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(1228);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(1228);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(1228);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct cCLd arrays_test_cCLd(arrays _obj, struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cCLd _return;

  memset(&_return, 0, sizeof(struct cCLd ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t80_array_iter;
    flick_unsigned8_t _t81_array_iter;

    flick_suntcp_encode_new_glob(884);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'c');
    flick_xdr_encode_char8(28, 'C');
    flick_xdr_encode_char8(32, 'L');
    flick_xdr_encode_char8(36, 'd');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_char8(60, inp->first);
    flick_suntcp_encode_end_chunk(64);
    for (_t80_array_iter = 0; _t80_array_iter < 50; _t80_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, inp->data[_t80_array_iter].elem1);
        flick_xdr_encode_signed32(4, inp->data[_t80_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_float64(0, inp->last);
    flick_xdr_encode_char8(8, iop->first);
    flick_suntcp_encode_end_chunk(12);
    for (_t81_array_iter = 0; _t81_array_iter < 50; _t81_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, iop->data[_t81_array_iter].elem1);
        flick_xdr_encode_signed32(4, iop->data[_t81_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_float64(0, iop->last);
    flick_suntcp_encode_end_chunk(8);
    flick_suntcp_encode_end_glob(884);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1240);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t85_array_iter;
            flick_unsigned8_t _t86_array_iter;
            flick_unsigned8_t _t87_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, _return.first);
            flick_suntcp_decode_end_chunk(4);
            for (_t85_array_iter = 0; _t85_array_iter < 50; _t85_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, _return.data[_t85_array_iter].elem1);
                flick_xdr_decode_signed32(4, _return.data[_t85_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, _return.last);
            flick_xdr_decode_char8(8, iop->first);
            flick_suntcp_decode_end_chunk(12);
            for (_t86_array_iter = 0; _t86_array_iter < 50; _t86_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, iop->data[_t86_array_iter].elem1);
                flick_xdr_decode_signed32(4, iop->data[_t86_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, iop->last);
            flick_xdr_decode_char8(8, outp->first);
            flick_suntcp_decode_end_chunk(12);
            for (_t87_array_iter = 0; _t87_array_iter < 50; _t87_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, outp->data[_t87_array_iter].elem1);
                flick_xdr_decode_signed32(4, outp->data[_t87_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, outp->last);
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(1240);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(1240);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(1240);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct dCLc arrays_test_dCLc(arrays _obj, struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dCLc _return;

  memset(&_return, 0, sizeof(struct dCLc ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t90_array_iter;
    flick_unsigned8_t _t91_array_iter;

    flick_suntcp_encode_new_glob(884);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'C');
    flick_xdr_encode_char8(32, 'L');
    flick_xdr_encode_char8(36, 'c');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_float64(60, inp->first);
    flick_suntcp_encode_end_chunk(68);
    for (_t90_array_iter = 0; _t90_array_iter < 50; _t90_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, inp->data[_t90_array_iter].elem1);
        flick_xdr_encode_signed32(4, inp->data[_t90_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_char8(0, inp->last);
    flick_xdr_encode_float64(4, iop->first);
    flick_suntcp_encode_end_chunk(12);
    for (_t91_array_iter = 0; _t91_array_iter < 50; _t91_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, iop->data[_t91_array_iter].elem1);
        flick_xdr_encode_signed32(4, iop->data[_t91_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_char8(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(884);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1240);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t95_array_iter;
            flick_unsigned8_t _t96_array_iter;
            flick_unsigned8_t _t97_array_iter;

            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, _return.first);
            flick_suntcp_decode_end_chunk(8);
            for (_t95_array_iter = 0; _t95_array_iter < 50; _t95_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, _return.data[_t95_array_iter].elem1);
                flick_xdr_decode_signed32(4, _return.data[_t95_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return.last);
            flick_xdr_decode_float64(4, iop->first);
            flick_suntcp_decode_end_chunk(12);
            for (_t96_array_iter = 0; _t96_array_iter < 50; _t96_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, iop->data[_t96_array_iter].elem1);
                flick_xdr_decode_signed32(4, iop->data[_t96_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, iop->last);
            flick_xdr_decode_float64(4, outp->first);
            flick_suntcp_decode_end_chunk(12);
            for (_t97_array_iter = 0; _t97_array_iter < 50; _t97_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, outp->data[_t97_array_iter].elem1);
                flick_xdr_decode_signed32(4, outp->data[_t97_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(1240);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(1240);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(1240);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct sCLs arrays_test_sCLs(arrays _obj, struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sCLs _return;

  memset(&_return, 0, sizeof(struct sCLs ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t100_array_iter;
    flick_unsigned8_t _t101_array_iter;

    flick_suntcp_encode_new_glob(876);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'C');
    flick_xdr_encode_char8(32, 'L');
    flick_xdr_encode_char8(36, 's');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_signed16(60, inp->first);
    flick_suntcp_encode_end_chunk(64);
    for (_t100_array_iter = 0; _t100_array_iter < 50; _t100_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, inp->data[_t100_array_iter].elem1);
        flick_xdr_encode_signed32(4, inp->data[_t100_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_signed16(0, inp->last);
    flick_xdr_encode_signed16(4, iop->first);
    flick_suntcp_encode_end_chunk(8);
    for (_t101_array_iter = 0; _t101_array_iter < 50; _t101_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, iop->data[_t101_array_iter].elem1);
        flick_xdr_encode_signed32(4, iop->data[_t101_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_signed16(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(876);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1228);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t105_array_iter;
            flick_unsigned8_t _t106_array_iter;
            flick_unsigned8_t _t107_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return.first);
            flick_suntcp_decode_end_chunk(4);
            for (_t105_array_iter = 0; _t105_array_iter < 50; _t105_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, _return.data[_t105_array_iter].elem1);
                flick_xdr_decode_signed32(4, _return.data[_t105_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, _return.last);
            flick_xdr_decode_signed16(4, iop->first);
            flick_suntcp_decode_end_chunk(8);
            for (_t106_array_iter = 0; _t106_array_iter < 50; _t106_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, iop->data[_t106_array_iter].elem1);
                flick_xdr_decode_signed32(4, iop->data[_t106_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, iop->last);
            flick_xdr_decode_signed16(4, outp->first);
            flick_suntcp_decode_end_chunk(8);
            for (_t107_array_iter = 0; _t107_array_iter < 50; _t107_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, outp->data[_t107_array_iter].elem1);
                flick_xdr_decode_signed32(4, outp->data[_t107_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(1228);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(1228);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(1228);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

