#include "ex-client.h"

void flick_marshal_stub_A_B(flick_marshal_stream_t _stream, const A_B *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->a);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_xdr_encode_string(_data->d, null_flick_free, suntcp, 20);
}

void flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->a);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_xdr_decode_string(_data->d, CORBA_flick_alloc, suntcp, 20);
}

void flick_marshal_stub_A(flick_marshal_stream_t _stream, const A *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_short A_op(A _obj, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed16(32, b);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(60);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(60);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(60);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            unsigned int _t39_switch_tag;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t39_switch_tag);
            flick_suntcp_decode_end_chunk(4);
            switch ((unsigned int )_t39_switch_tag)
              {
              case (unsigned int) 12:
                {
                  char _t40_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t40_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t40_switch_tag)
                    {
                    case 'I':
                      {
                        char _t41_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t41_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t41_switch_tag)
                          {
                          case 'D':
                            {
                              char _t42_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t42_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t42_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t43_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t43_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t43_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t44_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t44_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t44_switch_tag)
                                            {
                                            case 'A':
                                              {
                                                char _t45_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t45_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t45_switch_tag)
                                                  {
                                                  case '/':
                                                    {
                                                      char _t46_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t46_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t46_switch_tag)
                                                        {
                                                        case 'B':
                                                          {
                                                            char _t47_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t47_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t47_switch_tag)
                                                              {
                                                              case ':':
                                                                {
                                                                  char _t48_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t48_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t48_switch_tag)
                                                                    {
                                                                    case '1':
                                                                      {
                                                                        char _t49_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t49_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t49_switch_tag)
                                                                          {
                                                                          case '.':
                                                                            {
                                                                              char _t50_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t50_switch_tag);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t50_switch_tag)
                                                                                {
                                                                                case '0':
                                                                                  {
                                                                                    char _t51_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t51_switch_tag);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t51_switch_tag)
                                                                                      {
                                                                                      case 0:
                                                                                        {
                                                                                          _ev->_id = "IDL:A/B:1.0";
                                                                                          (A_B *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(A_B ));
                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_signed16(0, ((A_B *)(_ev->_value._user_except))->a);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          flick_suntcp_decode_end_glob(60);
                                                                                          flick_xdr_decode_string(((A_B *)(_ev->_value._user_except))->d, CORBA_flick_alloc, suntcp, 20);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          flick_suntcp_decode_end_glob(60);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    flick_suntcp_decode_end_glob(60);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              flick_suntcp_decode_end_glob(60);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        flick_suntcp_decode_end_glob(60);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            flick_suntcp_decode_end_glob(60);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      flick_suntcp_decode_end_glob(60);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                flick_suntcp_decode_end_glob(60);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          flick_suntcp_decode_end_glob(60);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    flick_suntcp_decode_end_glob(60);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              flick_suntcp_decode_end_glob(60);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        flick_suntcp_decode_end_glob(60);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  flick_suntcp_decode_end_glob(60);
                  break;
                }
              }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

