#include "interface_-client.h"

void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_short math_addshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 'a');
    flick_xdr_encode_char8(8, 'd');
    flick_xdr_encode_char8(12, 'd');
    flick_xdr_encode_char8(16, 's');
    flick_xdr_encode_char8(20, 'h');
    flick_xdr_encode_char8(24, 'o');
    flick_xdr_encode_char8(28, 'r');
    flick_xdr_encode_char8(32, 't');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed16(56, a);
    flick_xdr_encode_signed16(60, b);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_short math_subshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 's');
    flick_xdr_encode_char8(8, 'u');
    flick_xdr_encode_char8(12, 'b');
    flick_xdr_encode_char8(16, 's');
    flick_xdr_encode_char8(20, 'h');
    flick_xdr_encode_char8(24, 'o');
    flick_xdr_encode_char8(28, 'r');
    flick_xdr_encode_char8(32, 't');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed16(56, a);
    flick_xdr_encode_signed16(60, b);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_short math_multshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 'm');
    flick_xdr_encode_char8(8, 'u');
    flick_xdr_encode_char8(12, 'l');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, 's');
    flick_xdr_encode_char8(24, 'h');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_signed16(60, a);
    flick_xdr_encode_signed16(64, b);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long math_addlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 8);
    flick_xdr_encode_char8(4, 'a');
    flick_xdr_encode_char8(8, 'd');
    flick_xdr_encode_char8(12, 'd');
    flick_xdr_encode_char8(16, 'l');
    flick_xdr_encode_char8(20, 'o');
    flick_xdr_encode_char8(24, 'n');
    flick_xdr_encode_char8(28, 'g');
    flick_xdr_encode_char8(32, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_signed32(52, a);
    flick_xdr_encode_signed32(56, b);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long math_sublong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 8);
    flick_xdr_encode_char8(4, 's');
    flick_xdr_encode_char8(8, 'u');
    flick_xdr_encode_char8(12, 'b');
    flick_xdr_encode_char8(16, 'l');
    flick_xdr_encode_char8(20, 'o');
    flick_xdr_encode_char8(24, 'n');
    flick_xdr_encode_char8(28, 'g');
    flick_xdr_encode_char8(32, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_signed32(52, a);
    flick_xdr_encode_signed32(56, b);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long math_multlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 'm');
    flick_xdr_encode_char8(8, 'u');
    flick_xdr_encode_char8(12, 'l');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, 'l');
    flick_xdr_encode_char8(24, 'o');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 'g');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed32(56, a);
    flick_xdr_encode_signed32(60, b);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long math_addlonglist(math _obj, long10 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    CORBA_unsigned_long _t3_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(112);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 'a');
    flick_xdr_encode_char8(8, 'd');
    flick_xdr_encode_char8(12, 'd');
    flick_xdr_encode_char8(16, 'l');
    flick_xdr_encode_char8(20, 'o');
    flick_xdr_encode_char8(24, 'n');
    flick_xdr_encode_char8(28, 'g');
    flick_xdr_encode_char8(32, 'l');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 's');
    flick_xdr_encode_char8(44, 't');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_unsigned32(68, a->_length);
    if (a->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return 0, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
    flick_suntcp_encode_end_chunk(72);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t3_array_iter = 0; _t3_array_iter < a->_length; _t3_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a->_buffer[_t3_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * a->_length);
    flick_xdr_encode_bcopy(0, a->_buffer, 4 * a->_length);
    flick_suntcp_encode_end_chunk(4 * a->_length);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(112);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long math_multlonglist(math _obj, long10 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    CORBA_unsigned_long _t5_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(116);
    flick_suntcp_encode_new_chunk(76);
    flick_xdr_encode_unsigned32(0, 13);
    flick_xdr_encode_char8(4, 'm');
    flick_xdr_encode_char8(8, 'u');
    flick_xdr_encode_char8(12, 'l');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, 'l');
    flick_xdr_encode_char8(24, 'o');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 'g');
    flick_xdr_encode_char8(36, 'l');
    flick_xdr_encode_char8(40, 'i');
    flick_xdr_encode_char8(44, 's');
    flick_xdr_encode_char8(48, 't');
    flick_xdr_encode_char8(52, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_unsigned32(68, (unsigned int) 0);
    flick_xdr_encode_unsigned32(72, a->_length);
    if (a->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return 0, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
    flick_suntcp_encode_end_chunk(76);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t5_array_iter = 0; _t5_array_iter < a->_length; _t5_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a->_buffer[_t5_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * a->_length);
    flick_xdr_encode_bcopy(0, a->_buffer, 4 * a->_length);
    flick_suntcp_encode_end_chunk(4 * a->_length);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(116);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

