#include "namelens-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_onewaytest;
	s.vers_num = _VERS_onewaytest;

	reg_success = flick_server_register(s, &onewaytest_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, const onewaytest *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t onewaytest_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t86_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t86_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t86_switch_tag)
      {
      case (unsigned int) 2:
        {
          char _t87_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t87_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t87_switch_tag)
            {
            case 'n':
              {
                char _t88_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t88_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t88_switch_tag)
                  {
                  case 0:
                    {
                      {
                        onewaytest _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t89_ignore;
                        CORBA_Environment _t90_storage;

                        {
                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                        }
                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                        flick_suntcp_decode_new_chunk(16);
                        flick_xdr_decode_unsigned32(0, _t89_ignore);
                        flick_xdr_decode_unsigned32(4, _t89_ignore);
                        flick_xdr_decode_unsigned32(8, _t89_ignore);
                        flick_xdr_decode_unsigned32(12, _t89_ignore);
                        _ev = &_t90_storage;
                        flick_suntcp_decode_end_chunk(16);
                        flick_suntcp_decode_end_glob(64);
                        flick_suntcp_server_end_decode();
                        flick_corba_init_environment();
                        onewaytest_n(_obj, _ev);
                        flick_suntcp_server_start_encode();
                        {
                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                        }
                        flick_suntcp_encode_new_glob(4);
                        flick_suntcp_encode_new_chunk(4);
                        flick_xdr_encode_signed32(0, _ev->_major);
                        flick_suntcp_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              flick_suntcp_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_suntcp_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                              flick_suntcp_encode_end_glob(4);
                            }
                          }
                        flick_suntcp_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t91_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t91_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t91_switch_tag)
            {
            case 'n':
              {
                char _t92_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t92_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t92_switch_tag)
                  {
                  case '2':
                    {
                      char _t93_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t93_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t93_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t94_ignore;
                              CORBA_Environment _t95_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(16);
                              flick_xdr_decode_unsigned32(0, _t94_ignore);
                              flick_xdr_decode_unsigned32(4, _t94_ignore);
                              flick_xdr_decode_unsigned32(8, _t94_ignore);
                              flick_xdr_decode_unsigned32(12, _t94_ignore);
                              _ev = &_t95_storage;
                              flick_suntcp_decode_end_chunk(16);
                              flick_suntcp_decode_end_glob(64);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              onewaytest_n2(_obj, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(4);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_suntcp_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                    flick_suntcp_encode_end_glob(4);
                                  }
                                }
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t96_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t96_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t96_switch_tag)
            {
            case 'n':
              {
                char _t97_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t97_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t97_switch_tag)
                  {
                  case '2':
                    {
                      char _t98_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t98_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t98_switch_tag)
                        {
                        case '3':
                          {
                            char _t99_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t99_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t99_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_Environment *_ev;
                                    unsigned int _t100_ignore;
                                    CORBA_Environment _t101_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t100_ignore);
                                    flick_xdr_decode_unsigned32(4, _t100_ignore);
                                    flick_xdr_decode_unsigned32(8, _t100_ignore);
                                    flick_xdr_decode_unsigned32(12, _t100_ignore);
                                    _ev = &_t101_storage;
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(64);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    onewaytest_n23(_obj, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(4);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_end_glob(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_suntcp_encode_end_glob(4);
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(4);
                                        }
                                      }
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t102_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t102_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t102_switch_tag)
            {
            case 'n':
              {
                char _t103_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t103_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t103_switch_tag)
                  {
                  case '2':
                    {
                      char _t104_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t104_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t104_switch_tag)
                        {
                        case '3':
                          {
                            char _t105_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t105_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t105_switch_tag)
                              {
                              case '4':
                                {
                                  char _t106_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t106_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t106_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          onewaytest _obj;
                                          CORBA_Environment *_ev;
                                          unsigned int _t107_ignore;
                                          CORBA_Environment _t108_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(16);
                                          flick_xdr_decode_unsigned32(0, _t107_ignore);
                                          flick_xdr_decode_unsigned32(4, _t107_ignore);
                                          flick_xdr_decode_unsigned32(8, _t107_ignore);
                                          flick_xdr_decode_unsigned32(12, _t107_ignore);
                                          _ev = &_t108_storage;
                                          flick_suntcp_decode_end_chunk(16);
                                          flick_suntcp_decode_end_glob(64);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          onewaytest_n234(_obj, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(4);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t109_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t109_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t109_switch_tag)
            {
            case 'n':
              {
                char _t110_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t110_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t110_switch_tag)
                  {
                  case '2':
                    {
                      char _t111_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t111_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t111_switch_tag)
                        {
                        case '3':
                          {
                            char _t112_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t112_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t112_switch_tag)
                              {
                              case '4':
                                {
                                  char _t113_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t113_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t113_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t114_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t114_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t114_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                onewaytest _obj;
                                                CORBA_Environment *_ev;
                                                unsigned int _t115_ignore;
                                                CORBA_Environment _t116_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(16);
                                                flick_xdr_decode_unsigned32(0, _t115_ignore);
                                                flick_xdr_decode_unsigned32(4, _t115_ignore);
                                                flick_xdr_decode_unsigned32(8, _t115_ignore);
                                                flick_xdr_decode_unsigned32(12, _t115_ignore);
                                                _ev = &_t116_storage;
                                                flick_suntcp_decode_end_chunk(16);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                onewaytest_n2345(_obj, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(4);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t117_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t117_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t117_switch_tag)
            {
            case 'n':
              {
                char _t118_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t118_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t118_switch_tag)
                  {
                  case '2':
                    {
                      char _t119_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t119_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t119_switch_tag)
                        {
                        case '3':
                          {
                            char _t120_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t120_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t120_switch_tag)
                              {
                              case '4':
                                {
                                  char _t121_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t121_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t121_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t122_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t122_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t122_switch_tag)
                                          {
                                          case '6':
                                            {
                                              char _t123_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t123_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t123_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      onewaytest _obj;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t124_ignore;
                                                      CORBA_Environment _t125_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t124_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t124_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t124_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t124_ignore);
                                                      _ev = &_t125_storage;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(64);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      onewaytest_n23456(_obj, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(4);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t126_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t126_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t126_switch_tag)
            {
            case 'n':
              {
                char _t127_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t127_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t127_switch_tag)
                  {
                  case '2':
                    {
                      char _t128_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t128_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t128_switch_tag)
                        {
                        case '3':
                          {
                            char _t129_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t129_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t129_switch_tag)
                              {
                              case '4':
                                {
                                  char _t130_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t130_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t130_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t131_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t131_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t131_switch_tag)
                                          {
                                          case '6':
                                            {
                                              char _t132_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t132_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t132_switch_tag)
                                                {
                                                case '7':
                                                  {
                                                    char _t133_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t133_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t133_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            onewaytest _obj;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t134_ignore;
                                                            CORBA_Environment _t135_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t134_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t134_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t134_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t134_ignore);
                                                            _ev = &_t135_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(64);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            onewaytest_n234567(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(4);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t136_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t136_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t136_switch_tag)
            {
            case 'n':
              {
                char _t137_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t137_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t137_switch_tag)
                  {
                  case '2':
                    {
                      char _t138_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t138_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t138_switch_tag)
                        {
                        case '3':
                          {
                            char _t139_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t139_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t139_switch_tag)
                              {
                              case '4':
                                {
                                  char _t140_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t140_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t140_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t141_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t141_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t141_switch_tag)
                                          {
                                          case '6':
                                            {
                                              char _t142_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t142_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t142_switch_tag)
                                                {
                                                case '7':
                                                  {
                                                    char _t143_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t143_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t143_switch_tag)
                                                      {
                                                      case '8':
                                                        {
                                                          char _t144_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t144_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t144_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  onewaytest _obj;
                                                                  CORBA_Environment *_ev;
                                                                  unsigned int _t145_ignore;
                                                                  CORBA_Environment _t146_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t145_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t145_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t145_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t145_ignore);
                                                                  _ev = &_t146_storage;
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(64);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  onewaytest_n2345678(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(4);
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(4);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t147_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t147_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t147_switch_tag)
            {
            case 'n':
              {
                char _t148_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t148_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t148_switch_tag)
                  {
                  case '2':
                    {
                      char _t149_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t149_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t149_switch_tag)
                        {
                        case '3':
                          {
                            char _t150_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t150_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t150_switch_tag)
                              {
                              case '4':
                                {
                                  char _t151_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t151_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t151_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t152_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t152_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t152_switch_tag)
                                          {
                                          case '6':
                                            {
                                              char _t153_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t153_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t153_switch_tag)
                                                {
                                                case '7':
                                                  {
                                                    char _t154_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t154_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t154_switch_tag)
                                                      {
                                                      case '8':
                                                        {
                                                          char _t155_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t155_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t155_switch_tag)
                                                            {
                                                            case '9':
                                                              {
                                                                char _t156_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t156_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t156_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        onewaytest _obj;
                                                                        CORBA_Environment *_ev;
                                                                        unsigned int _t157_ignore;
                                                                        CORBA_Environment _t158_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t157_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t157_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t157_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t157_ignore);
                                                                        _ev = &_t158_storage;
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(64);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        onewaytest_n23456789(_obj, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(4);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(4);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t159_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t159_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t159_switch_tag)
            {
            case 'n':
              {
                char _t160_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t160_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t160_switch_tag)
                  {
                  case '2':
                    {
                      char _t161_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t161_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t161_switch_tag)
                        {
                        case '3':
                          {
                            char _t162_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t162_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t162_switch_tag)
                              {
                              case '4':
                                {
                                  char _t163_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t163_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t163_switch_tag)
                                    {
                                    case '5':
                                      {
                                        char _t164_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t164_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t164_switch_tag)
                                          {
                                          case '6':
                                            {
                                              char _t165_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t165_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t165_switch_tag)
                                                {
                                                case '7':
                                                  {
                                                    char _t166_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t166_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t166_switch_tag)
                                                      {
                                                      case '8':
                                                        {
                                                          char _t167_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t167_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t167_switch_tag)
                                                            {
                                                            case '9':
                                                              {
                                                                char _t168_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t168_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t168_switch_tag)
                                                                  {
                                                                  case '0':
                                                                    {
                                                                      char _t169_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t169_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t169_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              onewaytest _obj;
                                                                              CORBA_Environment *_ev;
                                                                              unsigned int _t170_ignore;
                                                                              CORBA_Environment _t171_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(16);
                                                                              flick_xdr_decode_unsigned32(0, _t170_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t170_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t170_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t170_ignore);
                                                                              _ev = &_t171_storage;
                                                                              flick_suntcp_decode_end_chunk(16);
                                                                              flick_suntcp_decode_end_glob(64);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              onewaytest_n234567890(_obj, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(4);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(64);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
