#include "oneway-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_onewaytest;
	s.vers_num = _VERS_onewaytest;

	reg_success = flick_server_register(s, &onewaytest_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, const onewaytest *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t onewaytest_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t93_switch_tag;

    flick_suntcp_decode_new_glob(72);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t93_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t93_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t94_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t94_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t94_switch_tag)
            {
            case 's':
              {
                char _t95_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t95_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t95_switch_tag)
                  {
                  case 'h':
                    {
                      char _t96_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t96_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t96_switch_tag)
                        {
                        case 'o':
                          {
                            char _t97_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t97_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t97_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t98_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t98_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t98_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t99_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t99_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t99_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t100_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t100_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t100_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t101_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t101_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t101_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t102_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t102_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t102_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t103_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t103_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t103_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        onewaytest _obj;
                                                                        CORBA_long *_local_x;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_short _return = 0;
                                                                        unsigned int _t104_ignore;
                                                                        CORBA_long _t105_storage;
                                                                        CORBA_Environment _t106_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t104_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t104_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t104_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t104_ignore);
                                                                        _local_x = &_t105_storage;
                                                                        flick_xdr_decode_signed32(16, *_local_x);
                                                                        _ev = &_t106_storage;
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        flick_suntcp_decode_end_glob(72);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = onewaytest_shortlong(_obj, _local_x, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(12);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _return);
                                                                              flick_xdr_encode_signed32(4, *_local_x);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              flick_suntcp_encode_end_glob(12);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(12);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(12);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t107_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t107_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t107_switch_tag)
            {
            case 'v':
              {
                char _t108_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t108_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t108_switch_tag)
                  {
                  case 'o':
                    {
                      char _t109_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t109_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t109_switch_tag)
                        {
                        case 'i':
                          {
                            char _t110_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t110_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t110_switch_tag)
                              {
                              case 'd':
                                {
                                  char _t111_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t111_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t111_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t112_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t112_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t112_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t113_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t113_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t113_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t114_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t114_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t114_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t115_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t115_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t115_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  onewaytest _obj;
                                                                  CORBA_long _local_x;
                                                                  CORBA_Environment *_ev;
                                                                  unsigned int _t116_ignore;
                                                                  CORBA_Environment _t117_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t116_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t116_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t116_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t116_ignore);
                                                                  flick_xdr_decode_signed32(16, _local_x);
                                                                  _ev = &_t117_storage;
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(72);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  onewaytest_voidlong(_obj, _local_x, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(4);
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(4);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t118_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t118_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t118_switch_tag)
            {
            case 'o':
              {
                char _t119_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t119_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t119_switch_tag)
                  {
                  case 'n':
                    {
                      char _t120_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t120_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t120_switch_tag)
                        {
                        case 'e':
                          {
                            char _t121_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t121_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t121_switch_tag)
                              {
                              case 'w':
                                {
                                  char _t122_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t122_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t122_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t123_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t123_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t123_switch_tag)
                                          {
                                          case 'y':
                                            {
                                              char _t124_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t124_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t124_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t125_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t125_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t125_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t126_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t126_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t126_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t127_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t127_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t127_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t128_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t128_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t128_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              onewaytest _obj;
                                                                              CORBA_long _local_x;
                                                                              CORBA_Environment *_ev;
                                                                              unsigned int _t129_ignore;
                                                                              CORBA_Environment _t130_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t129_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t129_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t129_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t129_ignore);
                                                                              flick_xdr_decode_signed32(16, _local_x);
                                                                              _ev = &_t130_storage;
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(72);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              onewaytest_onewaylong(_obj, _local_x, _ev);
                                                                              return FLICK_OPERATION_SUCCESS_NOREPLY;
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(72);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            case 'l':
              {
                char _t131_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t131_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t131_switch_tag)
                  {
                  case 'o':
                    {
                      char _t132_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t132_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t132_switch_tag)
                        {
                        case 'n':
                          {
                            char _t133_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t133_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t133_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t134_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t134_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t134_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t135_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t135_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t135_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t136_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t136_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t136_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t137_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t137_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t137_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t138_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t138_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t138_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t139_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t139_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t139_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t140_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t140_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t140_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              onewaytest _obj;
                                                                              CORBA_char **_local_x;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_long _return = 0;
                                                                              unsigned int _t141_ignore;
                                                                              CORBA_char *_t142_storage;
                                                                              CORBA_Environment _t143_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(16);
                                                                              flick_xdr_decode_unsigned32(0, _t141_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t141_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t141_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t141_ignore);
                                                                              _local_x = &_t142_storage;
                                                                              flick_suntcp_decode_end_chunk(16);
                                                                              flick_suntcp_decode_end_glob(72);
                                                                              flick_xdr_decode_longstring(*_local_x, CORBA_flick_alloc, suntcp);
                                                                              _ev = &_t143_storage;
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _return = onewaytest_longstring(_obj, _local_x, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(8);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _return);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                    flick_xdr_encode_longstring(*_local_x, CORBA_flick_free, suntcp);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(72);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t144_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t144_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t144_switch_tag)
                  {
                  case 't':
                    {
                      char _t145_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t145_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t145_switch_tag)
                        {
                        case 'r':
                          {
                            char _t146_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t146_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t146_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t147_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t147_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t147_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t148_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t148_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t148_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t149_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t149_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t149_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t150_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t150_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t150_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t151_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t151_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t151_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t152_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t152_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t152_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t153_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t153_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t153_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              onewaytest _obj;
                                                                              CORBA_long *_local_x;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_char *_return = 0;
                                                                              unsigned int _t154_ignore;
                                                                              CORBA_long _t155_storage;
                                                                              CORBA_Environment _t156_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(16);
                                                                              flick_xdr_decode_unsigned32(0, _t154_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t154_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t154_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t154_ignore);
                                                                              _local_x = &_t155_storage;
                                                                              _ev = &_t156_storage;
                                                                              flick_suntcp_decode_end_chunk(16);
                                                                              flick_suntcp_decode_end_glob(72);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _return = onewaytest_stringlong(_obj, _local_x, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(4);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                    flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                    flick_suntcp_encode_new_glob(7);
                                                                                    flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                                    flick_xdr_encode_signed32(0, *_local_x);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    flick_suntcp_encode_end_glob(7);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(72);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t157_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t157_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t157_switch_tag)
            {
            case 'o':
              {
                char _t158_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t158_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t158_switch_tag)
                  {
                  case 'n':
                    {
                      char _t159_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t159_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t159_switch_tag)
                        {
                        case 'e':
                          {
                            char _t160_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t160_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t160_switch_tag)
                              {
                              case 'w':
                                {
                                  char _t161_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t161_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t161_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t162_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t162_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t162_switch_tag)
                                          {
                                          case 'y':
                                            {
                                              char _t163_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t163_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t163_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t164_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t164_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t164_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t165_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t165_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t165_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t166_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t166_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t166_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t167_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t167_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t167_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t168_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t168_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t168_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t169_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t169_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t169_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          onewaytest _obj;
                                                                                          CORBA_char *_local_x;
                                                                                          CORBA_Environment *_ev;
                                                                                          unsigned int _t170_ignore;
                                                                                          CORBA_Environment _t171_storage;

                                                                                          {
                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                          flick_xdr_decode_unsigned32(0, _t170_ignore);
                                                                                          flick_xdr_decode_unsigned32(4, _t170_ignore);
                                                                                          flick_xdr_decode_unsigned32(8, _t170_ignore);
                                                                                          flick_xdr_decode_unsigned32(12, _t170_ignore);
                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                          flick_suntcp_decode_end_glob(72);
                                                                                          flick_xdr_decode_auto_string(_local_x, auto_flick_alloc, suntcp);
                                                                                          _ev = &_t171_storage;
                                                                                          flick_suntcp_server_end_decode();
                                                                                          flick_corba_init_environment();
                                                                                          onewaytest_onewaystring(_obj, _local_x, _ev);
                                                                                          return FLICK_OPERATION_SUCCESS_NOREPLY;
                                                                                        }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(72);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(72);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(72);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t172_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t172_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t172_switch_tag)
                  {
                  case 't':
                    {
                      char _t173_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t173_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t173_switch_tag)
                        {
                        case 'r':
                          {
                            char _t174_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t174_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t174_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t175_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t175_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t175_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t176_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t176_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t176_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t177_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t177_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t177_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t178_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t178_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t178_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t179_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t179_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t179_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t180_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t180_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t180_switch_tag)
                                                                  {
                                                                  case 'u':
                                                                    {
                                                                      char _t181_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t181_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t181_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t182_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t182_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t182_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t183_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t183_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t183_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          onewaytest _obj;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_char *_return = 0;
                                                                                          unsigned int _t184_ignore;
                                                                                          CORBA_Environment _t185_storage;

                                                                                          {
                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                          flick_xdr_decode_unsigned32(0, _t184_ignore);
                                                                                          flick_xdr_decode_unsigned32(4, _t184_ignore);
                                                                                          flick_xdr_decode_unsigned32(8, _t184_ignore);
                                                                                          flick_xdr_decode_unsigned32(12, _t184_ignore);
                                                                                          _ev = &_t185_storage;
                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                          flick_suntcp_decode_end_glob(72);
                                                                                          flick_suntcp_server_end_decode();
                                                                                          flick_corba_init_environment();
                                                                                          _return = onewaytest_stringreturn(_obj, _ev);
                                                                                          flick_suntcp_server_start_encode();
                                                                                          {
                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          flick_suntcp_encode_new_glob(4);
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          switch (_ev->_major)
                                                                                            {
                                                                                            case CORBA_NO_EXCEPTION:
                                                                                              {
                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                              {
                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                              }
                                                                                            }
                                                                                          flick_suntcp_server_end_encode();
                                                                                        }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(72);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(72);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(72);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(72);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
