#include "parm_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->a);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->a);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_xdr_encode_longstring(_data->a, CORBA_flick_free, suntcp);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_xdr_decode_longstring(_data->a, CORBA_flick_alloc, suntcp);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_end_glob(8);
        flick_xdr_encode_longstring(_data->_u.a, CORBA_flick_free, suntcp);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(8);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_end_glob(8);
        flick_xdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, suntcp);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(8);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 10; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_bcopy(0, *_data, 40);
  flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 10; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_bcopy(0, *_data, 40);
  flick_suntcp_decode_end_chunk(40);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t2_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t3_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t220_switch_tag;

    flick_suntcp_decode_new_glob(144);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t220_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t220_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t221_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t221_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t221_switch_tag)
            {
            case 'S':
              {
                char _t222_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t222_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t222_switch_tag)
                  {
                  case 'h':
                    {
                      char _t223_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t223_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t223_switch_tag)
                        {
                        case 'o':
                          {
                            char _t224_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t224_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t224_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t225_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t225_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t225_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t226_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t226_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t226_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_short _local_a;
                                                CORBA_short *_local_b;
                                                CORBA_short *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                unsigned int _t227_ignore;
                                                CORBA_short _t228_storage;
                                                CORBA_short _t229_storage;
                                                CORBA_Environment _t230_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t227_ignore);
                                                flick_xdr_decode_unsigned32(4, _t227_ignore);
                                                flick_xdr_decode_unsigned32(8, _t227_ignore);
                                                flick_xdr_decode_unsigned32(12, _t227_ignore);
                                                flick_xdr_decode_signed16(16, _local_a);
                                                _local_b = &_t228_storage;
                                                flick_xdr_decode_signed16(20, *_local_b);
                                                _local_c = &_t229_storage;
                                                _ev = &_t230_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_signed16(0, _return);
                                                      flick_xdr_encode_signed16(4, *_local_b);
                                                      flick_xdr_encode_signed16(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      flick_suntcp_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'U':
              {
                char _t231_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t231_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t231_switch_tag)
                  {
                  case 'L':
                    {
                      char _t232_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t232_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t232_switch_tag)
                        {
                        case 'o':
                          {
                            char _t233_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t233_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t233_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t234_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t234_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t234_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t235_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t235_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t235_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_unsigned_long _local_a;
                                                CORBA_unsigned_long *_local_b;
                                                CORBA_unsigned_long *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_unsigned_long _return = 0;
                                                unsigned int _t236_ignore;
                                                CORBA_unsigned_long _t237_storage;
                                                CORBA_unsigned_long _t238_storage;
                                                CORBA_Environment _t239_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t236_ignore);
                                                flick_xdr_decode_unsigned32(4, _t236_ignore);
                                                flick_xdr_decode_unsigned32(8, _t236_ignore);
                                                flick_xdr_decode_unsigned32(12, _t236_ignore);
                                                flick_xdr_decode_unsigned32(16, _local_a);
                                                _local_b = &_t237_storage;
                                                flick_xdr_decode_unsigned32(20, *_local_b);
                                                _local_c = &_t238_storage;
                                                _ev = &_t239_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_unsigned32(0, _return);
                                                      flick_xdr_encode_unsigned32(4, *_local_b);
                                                      flick_xdr_encode_unsigned32(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      flick_suntcp_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'F':
              {
                char _t240_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t240_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t240_switch_tag)
                  {
                  case 'l':
                    {
                      char _t241_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t241_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t241_switch_tag)
                        {
                        case 'o':
                          {
                            char _t242_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t242_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t242_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t243_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t243_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t243_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t244_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t244_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t244_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_float _local_a;
                                                CORBA_float *_local_b;
                                                CORBA_float *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                unsigned int _t245_ignore;
                                                CORBA_float _t246_storage;
                                                CORBA_float _t247_storage;
                                                CORBA_Environment _t248_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t245_ignore);
                                                flick_xdr_decode_unsigned32(4, _t245_ignore);
                                                flick_xdr_decode_unsigned32(8, _t245_ignore);
                                                flick_xdr_decode_unsigned32(12, _t245_ignore);
                                                flick_xdr_decode_float32(16, _local_a);
                                                _local_b = &_t246_storage;
                                                flick_xdr_decode_float32(20, *_local_b);
                                                _local_c = &_t247_storage;
                                                _ev = &_t248_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_float32(0, _return);
                                                      flick_xdr_encode_float32(4, *_local_b);
                                                      flick_xdr_encode_float32(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      flick_suntcp_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'O':
              {
                char _t249_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t249_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t249_switch_tag)
                  {
                  case 'c':
                    {
                      char _t250_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t250_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t250_switch_tag)
                        {
                        case 't':
                          {
                            char _t251_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t251_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t251_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t252_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t252_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t252_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t253_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t253_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t253_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_octet _local_a;
                                                CORBA_octet *_local_b;
                                                CORBA_octet *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_octet _return = 0;
                                                unsigned int _t254_ignore;
                                                CORBA_octet _t255_storage;
                                                CORBA_octet _t256_storage;
                                                CORBA_Environment _t257_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t254_ignore);
                                                flick_xdr_decode_unsigned32(4, _t254_ignore);
                                                flick_xdr_decode_unsigned32(8, _t254_ignore);
                                                flick_xdr_decode_unsigned32(12, _t254_ignore);
                                                flick_xdr_decode_unsigned8(16, _local_a);
                                                _local_b = &_t255_storage;
                                                flick_xdr_decode_unsigned8(20, *_local_b);
                                                _local_c = &_t256_storage;
                                                _ev = &_t257_storage;
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_unsigned8(0, _return);
                                                      flick_xdr_encode_unsigned8(4, *_local_b);
                                                      flick_xdr_encode_unsigned8(8, *_local_c);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      flick_suntcp_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'A':
              {
                char _t258_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t258_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t258_switch_tag)
                  {
                  case 'r':
                    {
                      char _t259_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t259_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t259_switch_tag)
                        {
                        case 'r':
                          {
                            char _t260_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t260_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t260_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t261_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t261_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t261_switch_tag)
                                    {
                                    case 'y':
                                      {
                                        char _t262_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t262_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t262_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_long *_local_a;
                                                CORBA_long *_local_b;
                                                CORBA_long *_local_c;
                                                CORBA_Environment *_ev;
                                                test_arr_slice *_return = 0;
                                                unsigned int _t263_ignore;
#if BYTE_ORDER != BIG_ENDIAN
                                                CORBA_long _t265_storage[10];
                                                flick_unsigned8_t _t266_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                CORBA_long _t268_storage[10];
                                                flick_unsigned8_t _t269_array_iter;
#endif /* ENDIANness */
                                                CORBA_long _t270_storage[10];
                                                CORBA_long _t272_storage[10];
                                                CORBA_Environment _t273_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(16);
                                                flick_xdr_decode_unsigned32(0, _t263_ignore);
                                                flick_xdr_decode_unsigned32(4, _t263_ignore);
                                                flick_xdr_decode_unsigned32(8, _t263_ignore);
                                                flick_xdr_decode_unsigned32(12, _t263_ignore);
                                                flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
                                                _local_a = _t265_storage;
                                                for (_t266_array_iter = 0; _t266_array_iter < 10; _t266_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_a[_t266_array_iter]);
                                                    flick_suntcp_decode_end_chunk(4);
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_suntcp_decode_new_chunk(40);
                                                flick_xdr_decode_msgptr(0, _local_a);
                                                flick_suntcp_decode_end_chunk(40);
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                _local_b = _t268_storage;
                                                for (_t269_array_iter = 0; _t269_array_iter < 10; _t269_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_b[_t269_array_iter]);
                                                    flick_suntcp_decode_end_chunk(4);
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_suntcp_decode_new_chunk(40);
                                                _local_b = _t270_storage;
                                                flick_xdr_decode_bcopy(0, _local_b, 40);
                                                flick_suntcp_decode_end_chunk(40);
#endif /* ENDIANness */
                                                _local_c = _t272_storage;
                                                _ev = &_t273_storage;
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(124);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
#if BYTE_ORDER != BIG_ENDIAN
                                                      flick_unsigned8_t _t277_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                      flick_unsigned8_t _t278_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                      flick_unsigned8_t _t279_array_iter;
#endif /* ENDIANness */

#if BYTE_ORDER != BIG_ENDIAN
                                                      for (_t277_array_iter = 0; _t277_array_iter < 10; _t277_array_iter++)
                                                        {
                                                          flick_suntcp_encode_new_chunk(4);
                                                          flick_xdr_encode_signed32(0, _return[_t277_array_iter]);
                                                          flick_suntcp_encode_end_chunk(4);
                                                        }
                                                      CORBA_flick_free(_return);
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_suntcp_encode_new_chunk(40);
                                                      flick_xdr_encode_bcopy(0, _return, 40);
                                                      CORBA_flick_free(_return);
                                                      flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                      for (_t278_array_iter = 0; _t278_array_iter < 10; _t278_array_iter++)
                                                        {
                                                          flick_suntcp_encode_new_chunk(4);
                                                          flick_xdr_encode_signed32(0, _local_b[_t278_array_iter]);
                                                          flick_suntcp_encode_end_chunk(4);
                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_suntcp_encode_new_chunk(40);
                                                      flick_xdr_encode_bcopy(0, _local_b, 40);
                                                      flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                      for (_t279_array_iter = 0; _t279_array_iter < 10; _t279_array_iter++)
                                                        {
                                                          flick_suntcp_encode_new_chunk(4);
                                                          flick_xdr_encode_signed32(0, _local_c[_t279_array_iter]);
                                                          flick_suntcp_encode_end_chunk(4);
                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_suntcp_encode_new_chunk(40);
                                                      flick_xdr_encode_bcopy(0, _local_c, 40);
                                                      flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
                                                      flick_suntcp_encode_end_glob(124);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(124);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(124);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t280_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t280_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t280_switch_tag)
            {
            case 'L':
              {
                char _t281_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t281_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t281_switch_tag)
                  {
                  case 'o':
                    {
                      char _t282_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t282_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t282_switch_tag)
                        {
                        case 'n':
                          {
                            char _t283_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t283_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t283_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t284_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t284_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t284_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          CORBA_long _local_a;
                                          CORBA_long *_local_b;
                                          CORBA_long *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          unsigned int _t285_ignore;
                                          CORBA_long _t286_storage;
                                          CORBA_long _t287_storage;
                                          CORBA_Environment _t288_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t285_ignore);
                                          flick_xdr_decode_unsigned32(4, _t285_ignore);
                                          flick_xdr_decode_unsigned32(8, _t285_ignore);
                                          flick_xdr_decode_unsigned32(12, _t285_ignore);
                                          flick_xdr_decode_signed32(16, _local_a);
                                          _local_b = &_t286_storage;
                                          flick_xdr_decode_signed32(20, *_local_b);
                                          _local_c = &_t287_storage;
                                          _ev = &_t288_storage;
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_signed32(0, _return);
                                                flick_xdr_encode_signed32(4, *_local_b);
                                                flick_xdr_encode_signed32(8, *_local_c);
                                                flick_suntcp_encode_end_chunk(12);
                                                flick_suntcp_encode_end_glob(16);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(16);
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(16);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'C':
              {
                char _t289_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t289_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t289_switch_tag)
                  {
                  case 'h':
                    {
                      char _t290_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t290_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t290_switch_tag)
                        {
                        case 'a':
                          {
                            char _t291_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t291_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t291_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t292_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t292_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t292_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          CORBA_char _local_a;
                                          CORBA_char *_local_b;
                                          CORBA_char *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_char _return = 0;
                                          unsigned int _t293_ignore;
                                          CORBA_char _t294_storage;
                                          CORBA_char _t295_storage;
                                          CORBA_Environment _t296_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t293_ignore);
                                          flick_xdr_decode_unsigned32(4, _t293_ignore);
                                          flick_xdr_decode_unsigned32(8, _t293_ignore);
                                          flick_xdr_decode_unsigned32(12, _t293_ignore);
                                          flick_xdr_decode_char8(16, _local_a);
                                          _local_b = &_t294_storage;
                                          flick_xdr_decode_char8(20, *_local_b);
                                          _local_c = &_t295_storage;
                                          _ev = &_t296_storage;
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_char8(0, _return);
                                                flick_xdr_encode_char8(4, *_local_b);
                                                flick_xdr_encode_char8(8, *_local_c);
                                                flick_suntcp_encode_end_chunk(12);
                                                flick_suntcp_encode_end_glob(16);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(16);
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(16);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'E':
              {
                char _t297_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t297_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t297_switch_tag)
                  {
                  case 'n':
                    {
                      char _t298_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t298_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t298_switch_tag)
                        {
                        case 'u':
                          {
                            char _t299_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t299_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t299_switch_tag)
                              {
                              case 'm':
                                {
                                  char _t300_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t300_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t300_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          Enumeration _local_a;
                                          Enumeration *_local_b;
                                          Enumeration *_local_c;
                                          CORBA_Environment *_ev;
                                          Enumeration _return;
                                          unsigned int _t301_ignore;
                                          Enumeration _t302_storage;
                                          Enumeration _t303_storage;
                                          CORBA_Environment _t304_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t301_ignore);
                                          flick_xdr_decode_unsigned32(4, _t301_ignore);
                                          flick_xdr_decode_unsigned32(8, _t301_ignore);
                                          flick_xdr_decode_unsigned32(12, _t301_ignore);
                                          flick_xdr_decode_unsigned32(16, _local_a);
                                          _local_b = &_t302_storage;
                                          flick_xdr_decode_unsigned32(20, *_local_b);
                                          _local_c = &_t303_storage;
                                          _ev = &_t304_storage;
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_unsigned32(0, _return);
                                                flick_xdr_encode_unsigned32(4, *_local_b);
                                                flick_xdr_encode_unsigned32(8, *_local_c);
                                                flick_suntcp_encode_end_chunk(12);
                                                flick_suntcp_encode_end_glob(16);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(16);
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(16);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t305_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t305_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t305_switch_tag)
            {
            case 'U':
              {
                char _t306_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t306_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t306_switch_tag)
                  {
                  case 'S':
                    {
                      char _t307_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t307_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t307_switch_tag)
                        {
                        case 'h':
                          {
                            char _t308_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t308_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t308_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t309_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t309_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t309_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t310_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t310_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t310_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t311_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t311_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t311_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_unsigned_short _local_a;
                                                      CORBA_unsigned_short *_local_b;
                                                      CORBA_unsigned_short *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_unsigned_short _return = 0;
                                                      unsigned int _t312_ignore;
                                                      CORBA_unsigned_short _t313_storage;
                                                      CORBA_unsigned_short _t314_storage;
                                                      CORBA_Environment _t315_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(24);
                                                      flick_xdr_decode_unsigned32(0, _t312_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t312_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t312_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t312_ignore);
                                                      flick_xdr_decode_unsigned16(16, _local_a);
                                                      _local_b = &_t313_storage;
                                                      flick_xdr_decode_unsigned16(20, *_local_b);
                                                      _local_c = &_t314_storage;
                                                      _ev = &_t315_storage;
                                                      flick_suntcp_decode_end_chunk(24);
                                                      flick_suntcp_decode_end_glob(144);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(16);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(12);
                                                            flick_xdr_encode_unsigned16(0, _return);
                                                            flick_xdr_encode_unsigned16(4, *_local_b);
                                                            flick_xdr_encode_unsigned16(8, *_local_c);
                                                            flick_suntcp_encode_end_chunk(12);
                                                            flick_suntcp_encode_end_glob(16);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(16);
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(16);
                                                          }
                                                        }
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t316_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t316_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t316_switch_tag)
                  {
                  case 't':
                    {
                      char _t317_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t317_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t317_switch_tag)
                        {
                        case 'r':
                          {
                            char _t318_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t318_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t318_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t319_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t319_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t319_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t320_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t320_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t320_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t321_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t321_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t321_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_char *_local_a;
                                                      CORBA_char **_local_b;
                                                      CORBA_char **_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_char *_return = 0;
                                                      unsigned int _t322_ignore;
                                                      CORBA_char *_t323_storage;
                                                      CORBA_char *_t324_storage;
                                                      CORBA_Environment _t325_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t322_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t322_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t322_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t322_ignore);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(144);
                                                      flick_xdr_decode_auto_string(_local_a, auto_flick_alloc, suntcp);
                                                      _local_b = &_t323_storage;
                                                      flick_xdr_decode_longstring(*_local_b, CORBA_flick_alloc, suntcp);
                                                      _local_c = &_t324_storage;
                                                      _ev = &_t325_storage;
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                            flick_xdr_encode_longstring(*_local_b, CORBA_flick_free, suntcp);
                                                            flick_xdr_encode_longstring(*_local_c, CORBA_flick_free, suntcp);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t326_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t326_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t326_switch_tag)
            {
            case 'B':
              {
                char _t327_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t327_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t327_switch_tag)
                  {
                  case 'o':
                    {
                      char _t328_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t328_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t328_switch_tag)
                        {
                        case 'o':
                          {
                            char _t329_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t329_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t329_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t330_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t330_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t330_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t331_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t331_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t331_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t332_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t332_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t332_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t333_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t333_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t333_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            CORBA_boolean _local_a;
                                                            CORBA_boolean *_local_b;
                                                            CORBA_boolean *_local_c;
                                                            CORBA_Environment *_ev;
                                                            CORBA_boolean _return = 0;
                                                            unsigned int _t334_ignore;
                                                            CORBA_boolean _t335_storage;
                                                            CORBA_boolean _t336_storage;
                                                            CORBA_Environment _t337_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t334_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t334_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t334_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t334_ignore);
                                                            flick_xdr_decode_unsigned8(16, _local_a);
                                                            _local_b = &_t335_storage;
                                                            flick_xdr_decode_unsigned8(20, *_local_b);
                                                            _local_c = &_t336_storage;
                                                            _ev = &_t337_storage;
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(144);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(16);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(12);
                                                                  flick_xdr_encode_unsigned8(0, _return);
                                                                  flick_xdr_encode_unsigned8(4, *_local_b);
                                                                  flick_xdr_encode_unsigned8(8, *_local_c);
                                                                  flick_suntcp_encode_end_chunk(12);
                                                                  flick_suntcp_encode_end_glob(16);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_end_glob(16);
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(16);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t338_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t338_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t338_switch_tag)
            {
            case 'F':
              {
                char _t339_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t339_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t339_switch_tag)
                  {
                  case 'i':
                    {
                      char _t340_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t340_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t340_switch_tag)
                        {
                        case 'x':
                          {
                            char _t341_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t341_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t341_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t342_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t342_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t342_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t343_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t343_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t343_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t344_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t344_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t344_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t345_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t345_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t345_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t346_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t346_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t346_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t347_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t347_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t347_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t348_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t348_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t348_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t349_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t349_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t349_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    struct FStruct *_local_a;
                                                                                    struct FStruct *_local_b;
                                                                                    struct FStruct *_local_c;
                                                                                    CORBA_Environment *_ev;
                                                                                    struct FStruct _return;
                                                                                    unsigned int _t350_ignore;
                                                                                    struct FStruct _t351_storage;
                                                                                    struct FStruct _t352_storage;
                                                                                    struct FStruct _t353_storage;
                                                                                    CORBA_Environment _t354_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(24);
                                                                                    flick_xdr_decode_unsigned32(0, _t350_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t350_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t350_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t350_ignore);
                                                                                    _local_a = &_t351_storage;
                                                                                    flick_xdr_decode_signed16(16, _local_a->a);
                                                                                    _local_b = &_t352_storage;
                                                                                    flick_xdr_decode_signed16(20, _local_b->a);
                                                                                    _local_c = &_t353_storage;
                                                                                    _ev = &_t354_storage;
                                                                                    flick_suntcp_decode_end_chunk(24);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(16);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(12);
                                                                                          flick_xdr_encode_signed16(0, _return.a);
                                                                                          flick_xdr_encode_signed16(4, _local_b->a);
                                                                                          flick_xdr_encode_signed16(8, _local_c->a);
                                                                                          flick_suntcp_encode_end_chunk(12);
                                                                                          flick_suntcp_encode_end_glob(16);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_end_glob(16);
                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(16);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'B':
              {
                char _t355_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t355_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t355_switch_tag)
                  {
                  case 'o':
                    {
                      char _t356_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t356_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t356_switch_tag)
                        {
                        case 'u':
                          {
                            char _t357_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t357_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t357_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t358_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t358_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t358_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t359_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t359_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t359_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t360_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t360_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t360_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t361_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t361_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t361_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t362_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t362_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t362_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t363_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t363_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t363_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t364_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t364_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t364_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t365_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t365_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t365_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    CORBA_char *_local_a;
                                                                                    CORBA_char **_local_b;
                                                                                    CORBA_char **_local_c;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_char *_return = 0;
                                                                                    unsigned int _t366_ignore;
                                                                                    CORBA_char *_t367_storage;
                                                                                    CORBA_char *_t368_storage;
                                                                                    CORBA_Environment _t369_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                    flick_xdr_decode_unsigned32(0, _t366_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t366_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t366_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t366_ignore);
                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    flick_xdr_decode_auto_string(_local_a, auto_flick_alloc, suntcp);
                                                                                    _local_b = &_t367_storage;
                                                                                    flick_xdr_decode_string(*_local_b, CORBA_flick_alloc, suntcp, 20);
                                                                                    _local_c = &_t368_storage;
                                                                                    _ev = &_t369_storage;
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          flick_xdr_encode_string(_return, CORBA_flick_free, suntcp, 20);
                                                                                          flick_xdr_encode_string(*_local_b, CORBA_flick_free, suntcp, 20);
                                                                                          flick_xdr_encode_string(*_local_c, CORBA_flick_free, suntcp, 20);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t370_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t370_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t370_switch_tag)
            {
            case 'V':
              {
                char _t371_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t371_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t371_switch_tag)
                  {
                  case 'a':
                    {
                      char _t372_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t372_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t372_switch_tag)
                        {
                        case 'r':
                          {
                            char _t373_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t373_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t373_switch_tag)
                              {
                              case 'S':
                                {
                                  char _t374_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t374_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t374_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t375_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t375_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t375_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t376_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t376_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t376_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t377_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t377_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t377_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t378_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t378_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t378_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t379_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t379_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t379_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test _obj;
                                                                        struct VStruct *_local_a;
                                                                        struct VStruct *_local_b;
                                                                        struct VStruct **_local_c;
                                                                        CORBA_Environment *_ev;
                                                                        struct VStruct *_return = 0;
                                                                        unsigned int _t380_ignore;
                                                                        struct VStruct _t381_storage;
                                                                        struct VStruct _t382_storage;
                                                                        struct VStruct *_t383_storage;
                                                                        CORBA_Environment _t384_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t380_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t380_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t380_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t380_ignore);
                                                                        _local_a = &_t381_storage;
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        flick_xdr_decode_auto_string(_local_a->a, auto_flick_alloc, suntcp);
                                                                        _local_b = &_t382_storage;
                                                                        flick_xdr_decode_longstring(_local_b->a, CORBA_flick_alloc, suntcp);
                                                                        _local_c = &_t383_storage;
                                                                        _ev = &_t384_storage;
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(4);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              flick_xdr_encode_longstring(_return->a, CORBA_flick_free, suntcp);
                                                                              CORBA_flick_free(_return);
                                                                              flick_xdr_encode_longstring(_local_b->a, CORBA_flick_free, suntcp);
                                                                              flick_xdr_encode_longstring((*_local_c)->a, CORBA_flick_free, suntcp);
                                                                              CORBA_flick_free(*_local_c);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(4);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t385_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t385_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t385_switch_tag)
            {
            case 'F':
              {
                char _t386_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t386_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t386_switch_tag)
                  {
                  case 'i':
                    {
                      char _t387_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t387_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t387_switch_tag)
                        {
                        case 'x':
                          {
                            char _t388_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t388_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t388_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t389_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t389_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t389_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t390_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t390_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t390_switch_tag)
                                          {
                                          case 'U':
                                            {
                                              char _t391_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t391_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t391_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t392_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t392_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t392_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t393_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t393_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t393_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t394_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t394_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t394_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t395_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t395_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t395_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              struct FUnion *_local_a;
                                                                              struct FUnion *_local_b;
                                                                              struct FUnion *_local_c;
                                                                              CORBA_Environment *_ev;
                                                                              struct FUnion _return;
                                                                              unsigned int _t396_ignore;
                                                                              struct FUnion _t397_storage;
                                                                              struct FUnion _t398_storage;
                                                                              struct FUnion _t399_storage;
                                                                              CORBA_Environment _t400_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t396_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t396_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t396_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t396_ignore);
                                                                              _local_a = &_t397_storage;
                                                                              flick_xdr_decode_signed32(16, _local_a->_d);
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              switch (_local_a->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_signed32(0, _local_a->_u.x);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _local_a->_u.z);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              _local_b = &_t398_storage;
                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_signed32(0, _local_b->_d);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch (_local_b->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_signed32(0, _local_b->_u.x);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _local_b->_u.z);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              _local_c = &_t399_storage;
                                                                              _ev = &_t400_storage;
                                                                              flick_suntcp_decode_end_glob(144);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(28);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _return._d);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_return._d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _return._u.x);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_char8(0, _return._u.z);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _local_b->_d);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_local_b->_d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _local_b->_u.x);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_char8(0, _local_b->_u.z);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _local_c->_d);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_local_c->_d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _local_c->_u.x);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_char8(0, _local_c->_u.z);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(28);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_end_glob(28);
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(28);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t401_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t401_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t401_switch_tag)
            {
            case 'V':
              {
                char _t402_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t402_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t402_switch_tag)
                  {
                  case 'a':
                    {
                      char _t403_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t403_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t403_switch_tag)
                        {
                        case 'r':
                          {
                            char _t404_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t404_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t404_switch_tag)
                              {
                              case 'U':
                                {
                                  char _t405_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t405_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t405_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t406_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t406_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t406_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t407_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t407_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t407_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t408_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t408_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t408_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t409_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t409_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t409_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  struct VUnion *_local_a;
                                                                  struct VUnion *_local_b;
                                                                  struct VUnion **_local_c;
                                                                  CORBA_Environment *_ev;
                                                                  struct VUnion *_return = 0;
                                                                  unsigned int _t410_ignore;
                                                                  struct VUnion _t411_storage;
                                                                  struct VUnion _t412_storage;
                                                                  struct VUnion *_t413_storage;
                                                                  CORBA_Environment _t414_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t410_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t410_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t410_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t410_ignore);
                                                                  _local_a = &_t411_storage;
                                                                  flick_xdr_decode_signed32(16, _local_a->_d);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  switch (_local_a->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        flick_xdr_decode_auto_string(_local_a->_u.a, auto_flick_alloc, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_a->_u.z);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        break;
                                                                      }
                                                                    }
                                                                  _local_b = &_t412_storage;
                                                                  flick_suntcp_decode_new_glob(11);
                                                                  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                                  flick_xdr_decode_signed32(0, _local_b->_d);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch (_local_b->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_suntcp_decode_end_glob(11);
                                                                        flick_xdr_decode_longstring(_local_b->_u.a, CORBA_flick_alloc, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_b->_u.z);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(11);
                                                                        break;
                                                                      }
                                                                    }
                                                                  _local_c = &_t413_storage;
                                                                  _ev = &_t414_storage;
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(12);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return->_d);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_return->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(12);
                                                                              flick_xdr_encode_longstring(_return->_u.a, CORBA_flick_free, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _return->_u.z);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(12);
                                                                              break;
                                                                            }
                                                                          }
                                                                        CORBA_flick_free(_return);
                                                                        flick_suntcp_encode_new_glob(11);
                                                                        flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_xdr_encode_signed32(0, _local_b->_d);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_local_b->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(11);
                                                                              flick_xdr_encode_longstring(_local_b->_u.a, CORBA_flick_free, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _local_b->_u.z);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(11);
                                                                              break;
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_new_glob(11);
                                                                        flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_xdr_encode_signed32(0, (*_local_c)->_d);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch ((*_local_c)->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(11);
                                                                              flick_xdr_encode_longstring((*_local_c)->_u.a, CORBA_flick_free, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, (*_local_c)->_u.z);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(11);
                                                                              break;
                                                                            }
                                                                          }
                                                                        CORBA_flick_free(*_local_c);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(12);
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(12);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t415_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t415_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t415_switch_tag)
                  {
                  case 'e':
                    {
                      char _t416_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t416_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t416_switch_tag)
                        {
                        case 'q':
                          {
                            char _t417_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t417_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t417_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t418_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t418_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t418_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t419_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t419_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t419_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t420_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t420_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t420_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t421_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t421_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t421_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t422_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t422_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t422_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  test_seq *_local_a;
                                                                  test_seq *_local_b;
                                                                  test_seq **_local_c;
                                                                  CORBA_Environment *_ev;
                                                                  test_seq *_return = 0;
                                                                  unsigned int _t423_ignore;
                                                                  test_seq _t424_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  CORBA_unsigned_long _t425_array_iter;
#endif /* ENDIANness */
                                                                  test_seq _t426_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  CORBA_unsigned_long _t427_array_iter;
#endif /* ENDIANness */
                                                                  test_seq *_t428_storage;
                                                                  CORBA_Environment _t429_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t423_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t423_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t423_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t423_ignore);
                                                                  _local_a = &_t424_storage;
                                                                  flick_xdr_decode_unsigned32(16, _local_a->_length);
                                                                  _local_a->_maximum = _local_a->_length;
                                                                  if (_local_a->_length > (unsigned int) 10)
                                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                  for (_t425_array_iter = 0; _t425_array_iter < _local_a->_length; _t425_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_a->_buffer[_t425_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(4 * _local_a->_length);
                                                                  flick_xdr_decode_msgptr(0, _local_a->_buffer);
                                                                  flick_suntcp_decode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                  _local_b = &_t426_storage;
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_unsigned32(0, _local_b->_length);
                                                                  _local_b->_maximum = _local_b->_length;
                                                                  if (_local_b->_length > (unsigned int) 10)
                                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                                                                  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                                                                  for (_t427_array_iter = 0; _t427_array_iter < _local_b->_length; _t427_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_b->_buffer[_t427_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(4 * _local_b->_length);
                                                                  _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                                                                  flick_xdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                                                                  flick_suntcp_decode_end_chunk(4 * _local_b->_length);
#endif /* ENDIANness */
                                                                  _local_c = &_t428_storage;
                                                                  _ev = &_t429_storage;
                                                                  flick_suntcp_decode_end_glob(144);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(136);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
#if BYTE_ORDER != BIG_ENDIAN
                                                                        CORBA_unsigned_long _t433_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                        CORBA_unsigned_long _t434_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                        CORBA_unsigned_long _t435_array_iter;
#endif /* ENDIANness */

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _return->_length);
                                                                        if (_return->_length > (unsigned int) 10)
                                                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t433_array_iter = 0; _t433_array_iter < _return->_length; _t433_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return->_buffer[_t433_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
                                                                        CORBA_flick_free(_return->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(4 * _return->_length);
                                                                        flick_xdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        flick_suntcp_encode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
                                                                        CORBA_flick_free(_return);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _local_b->_length);
                                                                        if (_local_b->_length > (unsigned int) 10)
                                                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t434_array_iter = 0; _t434_array_iter < _local_b->_length; _t434_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_b->_buffer[_t434_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
                                                                        CORBA_flick_free(_local_b->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(4 * _local_b->_length);
                                                                        flick_xdr_encode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                                                                        CORBA_flick_free(_local_b->_buffer);
                                                                        flick_suntcp_encode_end_chunk(4 * _local_b->_length);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, (*_local_c)->_length);
                                                                        if ((*_local_c)->_length > (unsigned int) 10)
                                                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t435_array_iter = 0; _t435_array_iter < (*_local_c)->_length; _t435_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, (*_local_c)->_buffer[_t435_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
                                                                        CORBA_flick_free((*_local_c)->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(4 * (*_local_c)->_length);
                                                                        flick_xdr_encode_bcopy(0, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                                                        CORBA_flick_free((*_local_c)->_buffer);
                                                                        flick_suntcp_encode_end_chunk(4 * (*_local_c)->_length);
#endif /* ENDIANness */
                                                                        CORBA_flick_free(*_local_c);
                                                                        flick_suntcp_encode_end_glob(136);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(136);
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(136);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(144);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
