#include "structplain_-client.h"

void flick_marshal_stub_coord(flick_marshal_stream_t _stream, const struct coord *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed16(0, _data->row);
  flick_xdr_encode_signed16(4, _data->col);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed16(0, _data->row);
  flick_xdr_decode_signed16(4, _data->col);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_geom(flick_marshal_stream_t _stream, const geom *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_short geom_dist(geom _obj, struct coord *a, struct coord *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(56);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'd');
    flick_xdr_encode_char8(8, 'i');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_signed16(40, a->row);
    flick_xdr_encode_signed16(44, a->col);
    flick_xdr_encode_signed16(48, b->row);
    flick_xdr_encode_signed16(52, b->col);
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

