#include "sunstat-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = progname;
	s.vers_num = versname;

	reg_success = flick_server_register(s, &progname_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const struct my_timespec *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->tv_sec);
  flick_xdr_encode_signed32(4, _data->tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->tv_sec);
  flick_xdr_decode_signed32(4, _data->tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->tv_sec);
  flick_xdr_encode_signed32(4, _data->tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->tv_sec);
  flick_xdr_decode_signed32(4, _data->tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_my_stat(flick_marshal_stream_t _stream, const struct my_stat *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t0_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t1_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t2_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t3_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(139);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->st_dev);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 3; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad1[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_bcopy(0, _data->st_pad1, 12);
  flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->st_ino);
  flick_xdr_encode_unsigned32(4, _data->st_mode);
  flick_xdr_encode_unsigned32(8, _data->st_nlink);
  flick_xdr_encode_signed32(12, _data->st_uid);
  flick_xdr_encode_signed32(16, _data->st_gid);
  flick_xdr_encode_unsigned32(20, _data->st_rdev);
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 2; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad2[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_bcopy(0, _data->st_pad2, 8);
  flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->st_size);
  flick_xdr_encode_signed32(4, _data->st_pad3);
  flick_xdr_encode_signed32(8, _data->st_atime.tv_sec);
  flick_xdr_encode_signed32(12, _data->st_atime.tv_nsec);
  flick_xdr_encode_signed32(16, _data->st_mtime.tv_sec);
  flick_xdr_encode_signed32(20, _data->st_mtime.tv_nsec);
  flick_xdr_encode_signed32(24, _data->st_ctime.tv_sec);
  flick_xdr_encode_signed32(28, _data->st_ctime.tv_nsec);
  flick_xdr_encode_signed32(32, _data->st_blksize);
  flick_xdr_encode_signed32(36, _data->st_blocks);
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < 16; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->st_fstype[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_bcopy(0, _data->st_fstype, 16);
  flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 8; _t3_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad4[_t3_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, _data->st_pad4, 32);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(139);
}

void flick_unmarshal_stub_my_stat(flick_marshal_stream_t _stream, struct my_stat *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t4_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t5_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t6_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t7_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(139);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->st_dev);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < 3; _t4_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad1[_t4_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_bcopy(0, _data->st_pad1, 12);
  flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->st_ino);
  flick_xdr_decode_unsigned32(4, _data->st_mode);
  flick_xdr_decode_unsigned32(8, _data->st_nlink);
  flick_xdr_decode_signed32(12, _data->st_uid);
  flick_xdr_decode_signed32(16, _data->st_gid);
  flick_xdr_decode_unsigned32(20, _data->st_rdev);
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < 2; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad2[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_bcopy(0, _data->st_pad2, 8);
  flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->st_size);
  flick_xdr_decode_signed32(4, _data->st_pad3);
  flick_xdr_decode_signed32(8, _data->st_atime.tv_sec);
  flick_xdr_decode_signed32(12, _data->st_atime.tv_nsec);
  flick_xdr_decode_signed32(16, _data->st_mtime.tv_sec);
  flick_xdr_decode_signed32(20, _data->st_mtime.tv_nsec);
  flick_xdr_decode_signed32(24, _data->st_ctime.tv_sec);
  flick_xdr_decode_signed32(28, _data->st_ctime.tv_nsec);
  flick_xdr_decode_signed32(32, _data->st_blksize);
  flick_xdr_decode_signed32(36, _data->st_blocks);
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t6_array_iter = 0; _t6_array_iter < 16; _t6_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->st_fstype[_t6_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_bcopy(0, _data->st_fstype, 16);
  flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < 8; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad4[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, _data->st_pad4, 32);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(139);
}

void flick_marshal_stub_entry(flick_marshal_stream_t _stream, const struct entry *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t8_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t9_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t10_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t11_array_iter;
#endif /* ENDIANness */

  flick_xdr_encode_string(_data->filename, null_flick_free, suntcp, 255);
  flick_suntcp_encode_new_glob(142);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->info.st_dev);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < 3; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad1[_t8_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_bcopy(0, _data->info.st_pad1, 12);
  flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->info.st_ino);
  flick_xdr_encode_unsigned32(4, _data->info.st_mode);
  flick_xdr_encode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_encode_signed32(12, _data->info.st_uid);
  flick_xdr_encode_signed32(16, _data->info.st_gid);
  flick_xdr_encode_unsigned32(20, _data->info.st_rdev);
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t9_array_iter = 0; _t9_array_iter < 2; _t9_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad2[_t9_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_bcopy(0, _data->info.st_pad2, 8);
  flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->info.st_size);
  flick_xdr_encode_signed32(4, _data->info.st_pad3);
  flick_xdr_encode_signed32(8, _data->info.st_atime.tv_sec);
  flick_xdr_encode_signed32(12, _data->info.st_atime.tv_nsec);
  flick_xdr_encode_signed32(16, _data->info.st_mtime.tv_sec);
  flick_xdr_encode_signed32(20, _data->info.st_mtime.tv_nsec);
  flick_xdr_encode_signed32(24, _data->info.st_ctime.tv_sec);
  flick_xdr_encode_signed32(28, _data->info.st_ctime.tv_nsec);
  flick_xdr_encode_signed32(32, _data->info.st_blksize);
  flick_xdr_encode_signed32(36, _data->info.st_blocks);
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t10_array_iter = 0; _t10_array_iter < 16; _t10_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->info.st_fstype[_t10_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_bcopy(0, _data->info.st_fstype, 16);
  flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < 8; _t11_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad4[_t11_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, _data->info.st_pad4, 32);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(142);
}

void flick_unmarshal_stub_entry(flick_marshal_stream_t _stream, struct entry *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t12_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t13_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t14_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t15_array_iter;
#endif /* ENDIANness */

  flick_xdr_decode_string(_data->filename, sun_flick_alloc, suntcp, 255);
  flick_suntcp_decode_new_glob(142);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->info.st_dev);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t12_array_iter = 0; _t12_array_iter < 3; _t12_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad1[_t12_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_bcopy(0, _data->info.st_pad1, 12);
  flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->info.st_ino);
  flick_xdr_decode_unsigned32(4, _data->info.st_mode);
  flick_xdr_decode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_decode_signed32(12, _data->info.st_uid);
  flick_xdr_decode_signed32(16, _data->info.st_gid);
  flick_xdr_decode_unsigned32(20, _data->info.st_rdev);
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t13_array_iter = 0; _t13_array_iter < 2; _t13_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad2[_t13_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_bcopy(0, _data->info.st_pad2, 8);
  flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->info.st_size);
  flick_xdr_decode_signed32(4, _data->info.st_pad3);
  flick_xdr_decode_signed32(8, _data->info.st_atime.tv_sec);
  flick_xdr_decode_signed32(12, _data->info.st_atime.tv_nsec);
  flick_xdr_decode_signed32(16, _data->info.st_mtime.tv_sec);
  flick_xdr_decode_signed32(20, _data->info.st_mtime.tv_nsec);
  flick_xdr_decode_signed32(24, _data->info.st_ctime.tv_sec);
  flick_xdr_decode_signed32(28, _data->info.st_ctime.tv_nsec);
  flick_xdr_decode_signed32(32, _data->info.st_blksize);
  flick_xdr_decode_signed32(36, _data->info.st_blocks);
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < 16; _t14_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->info.st_fstype[_t14_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_bcopy(0, _data->info.st_fstype, 16);
  flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t15_array_iter = 0; _t15_array_iter < 8; _t15_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad4[_t15_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, _data->info.st_pad4, 32);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(142);
}

void flick_marshal_stub_inner(flick_marshal_stream_t _stream, const struct inner *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a);
  flick_xdr_encode_signed32(4, _data->b);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_inner(flick_marshal_stream_t _stream, struct inner *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a);
  flick_xdr_decode_signed32(4, _data->b);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_outer(flick_marshal_stream_t _stream, const struct outer *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->a.a);
  flick_xdr_encode_signed32(4, _data->a.b);
  flick_xdr_encode_signed32(8, _data->b.a);
  flick_xdr_encode_signed32(12, _data->b.b);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_outer(flick_marshal_stream_t _stream, struct outer *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->a.a);
  flick_xdr_decode_signed32(4, _data->a.b);
  flick_xdr_decode_signed32(8, _data->b.a);
  flick_xdr_decode_signed32(12, _data->b.b);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_directory(flick_marshal_stream_t _stream, const directory *_data)
{
  unsigned int _t24_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->directory_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t24_array_iter = 0; _t24_array_iter < _data->directory_len; _t24_array_iter++)
    {
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t29_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t30_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t31_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t32_array_iter;
#endif /* ENDIANness */

      flick_xdr_encode_string(_data->directory_val[_t24_array_iter].filename, null_flick_free, suntcp, 255);
      flick_suntcp_encode_new_glob(142);
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_unsigned32(0, _data->directory_val[_t24_array_iter].info.st_dev);
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t29_array_iter = 0; _t29_array_iter < 3; _t29_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t24_array_iter].info.st_pad1[_t29_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(12);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t24_array_iter].info.st_pad1, 12);
      flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(24);
      flick_xdr_encode_unsigned32(0, _data->directory_val[_t24_array_iter].info.st_ino);
      flick_xdr_encode_unsigned32(4, _data->directory_val[_t24_array_iter].info.st_mode);
      flick_xdr_encode_unsigned32(8, _data->directory_val[_t24_array_iter].info.st_nlink);
      flick_xdr_encode_signed32(12, _data->directory_val[_t24_array_iter].info.st_uid);
      flick_xdr_encode_signed32(16, _data->directory_val[_t24_array_iter].info.st_gid);
      flick_xdr_encode_unsigned32(20, _data->directory_val[_t24_array_iter].info.st_rdev);
      flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t30_array_iter = 0; _t30_array_iter < 2; _t30_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t24_array_iter].info.st_pad2[_t30_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t24_array_iter].info.st_pad2, 8);
      flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(40);
      flick_xdr_encode_signed32(0, _data->directory_val[_t24_array_iter].info.st_size);
      flick_xdr_encode_signed32(4, _data->directory_val[_t24_array_iter].info.st_pad3);
      flick_xdr_encode_signed32(8, _data->directory_val[_t24_array_iter].info.st_atime.tv_sec);
      flick_xdr_encode_signed32(12, _data->directory_val[_t24_array_iter].info.st_atime.tv_nsec);
      flick_xdr_encode_signed32(16, _data->directory_val[_t24_array_iter].info.st_mtime.tv_sec);
      flick_xdr_encode_signed32(20, _data->directory_val[_t24_array_iter].info.st_mtime.tv_nsec);
      flick_xdr_encode_signed32(24, _data->directory_val[_t24_array_iter].info.st_ctime.tv_sec);
      flick_xdr_encode_signed32(28, _data->directory_val[_t24_array_iter].info.st_ctime.tv_nsec);
      flick_xdr_encode_signed32(32, _data->directory_val[_t24_array_iter].info.st_blksize);
      flick_xdr_encode_signed32(36, _data->directory_val[_t24_array_iter].info.st_blocks);
      flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t31_array_iter = 0; _t31_array_iter < 16; _t31_array_iter++)
        {
          flick_suntcp_encode_new_chunk(1);
          flick_xdr_encode_char8_packed(0, _data->directory_val[_t24_array_iter].info.st_fstype[_t31_array_iter]);
          flick_suntcp_encode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t24_array_iter].info.st_fstype, 16);
      flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t32_array_iter = 0; _t32_array_iter < 8; _t32_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t24_array_iter].info.st_pad4[_t32_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(32);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t24_array_iter].info.st_pad4, 32);
      flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(142);
    }
}

void flick_unmarshal_stub_directory(flick_marshal_stream_t _stream, directory *_data)
{
  unsigned int _t41_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->directory_len);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->directory_val = sun_flick_alloc(_data->directory_len * sizeof(struct entry ));
  for (_t41_array_iter = 0; _t41_array_iter < _data->directory_len; _t41_array_iter++)
    {
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t46_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t47_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t48_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t49_array_iter;
#endif /* ENDIANness */

      flick_xdr_decode_string(_data->directory_val[_t41_array_iter].filename, sun_flick_alloc, suntcp, 255);
      flick_suntcp_decode_new_glob(142);
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_unsigned32(0, _data->directory_val[_t41_array_iter].info.st_dev);
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t46_array_iter = 0; _t46_array_iter < 3; _t46_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t41_array_iter].info.st_pad1[_t46_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(12);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t41_array_iter].info.st_pad1, 12);
      flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(24);
      flick_xdr_decode_unsigned32(0, _data->directory_val[_t41_array_iter].info.st_ino);
      flick_xdr_decode_unsigned32(4, _data->directory_val[_t41_array_iter].info.st_mode);
      flick_xdr_decode_unsigned32(8, _data->directory_val[_t41_array_iter].info.st_nlink);
      flick_xdr_decode_signed32(12, _data->directory_val[_t41_array_iter].info.st_uid);
      flick_xdr_decode_signed32(16, _data->directory_val[_t41_array_iter].info.st_gid);
      flick_xdr_decode_unsigned32(20, _data->directory_val[_t41_array_iter].info.st_rdev);
      flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t47_array_iter = 0; _t47_array_iter < 2; _t47_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t41_array_iter].info.st_pad2[_t47_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t41_array_iter].info.st_pad2, 8);
      flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(40);
      flick_xdr_decode_signed32(0, _data->directory_val[_t41_array_iter].info.st_size);
      flick_xdr_decode_signed32(4, _data->directory_val[_t41_array_iter].info.st_pad3);
      flick_xdr_decode_signed32(8, _data->directory_val[_t41_array_iter].info.st_atime.tv_sec);
      flick_xdr_decode_signed32(12, _data->directory_val[_t41_array_iter].info.st_atime.tv_nsec);
      flick_xdr_decode_signed32(16, _data->directory_val[_t41_array_iter].info.st_mtime.tv_sec);
      flick_xdr_decode_signed32(20, _data->directory_val[_t41_array_iter].info.st_mtime.tv_nsec);
      flick_xdr_decode_signed32(24, _data->directory_val[_t41_array_iter].info.st_ctime.tv_sec);
      flick_xdr_decode_signed32(28, _data->directory_val[_t41_array_iter].info.st_ctime.tv_nsec);
      flick_xdr_decode_signed32(32, _data->directory_val[_t41_array_iter].info.st_blksize);
      flick_xdr_decode_signed32(36, _data->directory_val[_t41_array_iter].info.st_blocks);
      flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t48_array_iter = 0; _t48_array_iter < 16; _t48_array_iter++)
        {
          flick_suntcp_decode_new_chunk(1);
          flick_xdr_decode_char8_packed(0, _data->directory_val[_t41_array_iter].info.st_fstype[_t48_array_iter]);
          flick_suntcp_decode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t41_array_iter].info.st_fstype, 16);
      flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t49_array_iter = 0; _t49_array_iter < 8; _t49_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t41_array_iter].info.st_pad4[_t49_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(32);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t41_array_iter].info.st_pad4, 32);
      flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(142);
    }
}

void flick_marshal_stub_longlist(flick_marshal_stream_t _stream, const longlist *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t50_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->longlist_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t50_array_iter = 0; _t50_array_iter < _data->longlist_len; _t50_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->longlist_val[_t50_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->longlist_len);
  flick_xdr_encode_bcopy(0, _data->longlist_val, 4 * _data->longlist_len);
  flick_suntcp_encode_end_chunk(4 * _data->longlist_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->longlist_len);
}

void flick_unmarshal_stub_longlist(flick_marshal_stream_t _stream, longlist *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t51_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->longlist_len);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
  _data->longlist_val = sun_flick_alloc(_data->longlist_len * sizeof(int ));
  for (_t51_array_iter = 0; _t51_array_iter < _data->longlist_len; _t51_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->longlist_val[_t51_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->longlist_len);
  _data->longlist_val = sun_flick_alloc(_data->longlist_len * sizeof(int ));
  flick_xdr_decode_bcopy(0, _data->longlist_val, 4 * _data->longlist_len);
  flick_suntcp_decode_end_chunk(4 * _data->longlist_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->longlist_len);
}

void flick_marshal_stub_structlist(flick_marshal_stream_t _stream, const structlist *_data)
{
  unsigned int _t52_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->structlist_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->structlist_len);
  for (_t52_array_iter = 0; _t52_array_iter < _data->structlist_len; _t52_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->structlist_val[_t52_array_iter].a.a);
      flick_xdr_encode_signed32(4, _data->structlist_val[_t52_array_iter].a.b);
      flick_xdr_encode_signed32(8, _data->structlist_val[_t52_array_iter].b.a);
      flick_xdr_encode_signed32(12, _data->structlist_val[_t52_array_iter].b.b);
      flick_suntcp_encode_end_chunk(16);
    }
  flick_suntcp_encode_end_glob(16 * _data->structlist_len);
}

void flick_unmarshal_stub_structlist(flick_marshal_stream_t _stream, structlist *_data)
{
  unsigned int _t53_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->structlist_len);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->structlist_len);
  _data->structlist_val = sun_flick_alloc(_data->structlist_len * sizeof(struct outer ));
  for (_t53_array_iter = 0; _t53_array_iter < _data->structlist_len; _t53_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->structlist_val[_t53_array_iter].a.a);
      flick_xdr_decode_signed32(4, _data->structlist_val[_t53_array_iter].a.b);
      flick_xdr_decode_signed32(8, _data->structlist_val[_t53_array_iter].b.a);
      flick_xdr_decode_signed32(12, _data->structlist_val[_t53_array_iter].b.b);
      flick_suntcp_decode_end_chunk(16);
    }
  flick_suntcp_decode_end_glob(16 * _data->structlist_len);
}

flick_operation_success_t progname_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t80_switch_tag;

    flick_suntcp_decode_new_glob(24);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t80_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t80_switch_tag)
      {
      case (signed int) 1:
        {
          {
            directory *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t81_ignore;
            directory _t82_storage;
            unsigned int _t91_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t81_ignore);
            flick_xdr_decode_unsigned32(4, _t81_ignore);
            flick_xdr_decode_unsigned32(8, _t81_ignore);
            flick_xdr_decode_unsigned32(12, _t81_ignore);
            _local_arg = &_t82_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->directory_len);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            _local_arg->directory_val = sun_flick_alloc(_local_arg->directory_len * sizeof(struct entry ));
            for (_t91_array_iter = 0; _t91_array_iter < _local_arg->directory_len; _t91_array_iter++)
              {
#if BYTE_ORDER != BIG_ENDIAN
                flick_unsigned8_t _t96_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                flick_unsigned8_t _t97_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                flick_unsigned8_t _t98_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                flick_unsigned8_t _t99_array_iter;
#endif /* ENDIANness */

                flick_xdr_decode_string(_local_arg->directory_val[_t91_array_iter].filename, sun_flick_alloc, suntcp, 255);
                flick_suntcp_decode_new_glob(142);
                flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                flick_xdr_decode_unsigned32(0, _local_arg->directory_val[_t91_array_iter].info.st_dev);
                flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t96_array_iter = 0; _t96_array_iter < 3; _t96_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t91_array_iter].info.st_pad1[_t96_array_iter]);
                    flick_suntcp_decode_end_chunk(4);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(12);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t91_array_iter].info.st_pad1, 12);
                flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
                flick_suntcp_decode_new_chunk(24);
                flick_xdr_decode_unsigned32(0, _local_arg->directory_val[_t91_array_iter].info.st_ino);
                flick_xdr_decode_unsigned32(4, _local_arg->directory_val[_t91_array_iter].info.st_mode);
                flick_xdr_decode_unsigned32(8, _local_arg->directory_val[_t91_array_iter].info.st_nlink);
                flick_xdr_decode_signed32(12, _local_arg->directory_val[_t91_array_iter].info.st_uid);
                flick_xdr_decode_signed32(16, _local_arg->directory_val[_t91_array_iter].info.st_gid);
                flick_xdr_decode_unsigned32(20, _local_arg->directory_val[_t91_array_iter].info.st_rdev);
                flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t97_array_iter = 0; _t97_array_iter < 2; _t97_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t91_array_iter].info.st_pad2[_t97_array_iter]);
                    flick_suntcp_decode_end_chunk(4);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t91_array_iter].info.st_pad2, 8);
                flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
                flick_suntcp_decode_new_chunk(40);
                flick_xdr_decode_signed32(0, _local_arg->directory_val[_t91_array_iter].info.st_size);
                flick_xdr_decode_signed32(4, _local_arg->directory_val[_t91_array_iter].info.st_pad3);
                flick_xdr_decode_signed32(8, _local_arg->directory_val[_t91_array_iter].info.st_atime.tv_sec);
                flick_xdr_decode_signed32(12, _local_arg->directory_val[_t91_array_iter].info.st_atime.tv_nsec);
                flick_xdr_decode_signed32(16, _local_arg->directory_val[_t91_array_iter].info.st_mtime.tv_sec);
                flick_xdr_decode_signed32(20, _local_arg->directory_val[_t91_array_iter].info.st_mtime.tv_nsec);
                flick_xdr_decode_signed32(24, _local_arg->directory_val[_t91_array_iter].info.st_ctime.tv_sec);
                flick_xdr_decode_signed32(28, _local_arg->directory_val[_t91_array_iter].info.st_ctime.tv_nsec);
                flick_xdr_decode_signed32(32, _local_arg->directory_val[_t91_array_iter].info.st_blksize);
                flick_xdr_decode_signed32(36, _local_arg->directory_val[_t91_array_iter].info.st_blocks);
                flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t98_array_iter = 0; _t98_array_iter < 16; _t98_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(1);
                    flick_xdr_decode_char8_packed(0, _local_arg->directory_val[_t91_array_iter].info.st_fstype[_t98_array_iter]);
                    flick_suntcp_decode_end_chunk(1);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(16);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t91_array_iter].info.st_fstype, 16);
                flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t99_array_iter = 0; _t99_array_iter < 8; _t99_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t91_array_iter].info.st_pad4[_t99_array_iter]);
                    flick_suntcp_decode_end_chunk(4);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(32);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t91_array_iter].info.st_pad4, 32);
                flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
                flick_suntcp_decode_end_glob(142);
              }
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = dirlst_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            longlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t100_ignore;
            longlist _t101_storage;
#if BYTE_ORDER != BIG_ENDIAN
            unsigned int _t102_array_iter;
#endif /* ENDIANness */

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t100_ignore);
            flick_xdr_decode_unsigned32(4, _t100_ignore);
            flick_xdr_decode_unsigned32(8, _t100_ignore);
            flick_xdr_decode_unsigned32(12, _t100_ignore);
            _local_arg = &_t101_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->longlist_len);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(4 * _local_arg->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg->longlist_val = sun_flick_alloc(_local_arg->longlist_len * sizeof(int ));
            for (_t102_array_iter = 0; _t102_array_iter < _local_arg->longlist_len; _t102_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->longlist_val[_t102_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * _local_arg->longlist_len);
            _local_arg->longlist_val = sun_flick_alloc(_local_arg->longlist_len * sizeof(int ));
            flick_xdr_decode_bcopy(0, _local_arg->longlist_val, 4 * _local_arg->longlist_len);
            flick_suntcp_decode_end_chunk(4 * _local_arg->longlist_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _local_arg->longlist_len);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = lng_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            structlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t103_ignore;
            structlist _t104_storage;
            unsigned int _t105_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t103_ignore);
            flick_xdr_decode_unsigned32(4, _t103_ignore);
            flick_xdr_decode_unsigned32(8, _t103_ignore);
            flick_xdr_decode_unsigned32(12, _t103_ignore);
            _local_arg = &_t104_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->structlist_len);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(16 * _local_arg->structlist_len);
            _local_arg->structlist_val = sun_flick_alloc(_local_arg->structlist_len * sizeof(struct outer ));
            for (_t105_array_iter = 0; _t105_array_iter < _local_arg->structlist_len; _t105_array_iter++)
              {
                flick_suntcp_decode_new_chunk(16);
                flick_xdr_decode_signed32(0, _local_arg->structlist_val[_t105_array_iter].a.a);
                flick_xdr_decode_signed32(4, _local_arg->structlist_val[_t105_array_iter].a.b);
                flick_xdr_decode_signed32(8, _local_arg->structlist_val[_t105_array_iter].b.a);
                flick_xdr_decode_signed32(12, _local_arg->structlist_val[_t105_array_iter].b.b);
                flick_suntcp_decode_end_chunk(16);
              }
            flick_suntcp_decode_end_glob(16 * _local_arg->structlist_len);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = strct_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(24);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
