#include "ex-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t A_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t2_switch_tag;

    flick_trapeze_decode_new_glob(10);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t2_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t2_switch_tag)
      {
      case (signed int) 0:
        {
          {
            A _obj;
            CORBA_short _local_b;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_Environment _t3_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_b);
            _ev = &_t3_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(10);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = A_op(_obj, _local_b, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(22);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, _return);
                  flick_trapeze_encode_end_chunk(2);
                  flick_trapeze_encode_end_glob(22);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(22);
                  break;
                }
              default:
                {
                  switch ((unsigned int )(1+strlen(_ev->_id)))
                    {
                    case (unsigned int) 12:
                      {
                        switch (*(unsigned int *)(_ev->_id + 0))
                          {
                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                            {
                              switch (*(unsigned int *)(_ev->_id + 4))
                                {
                                case /* A/B: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 8))
                                      {
                                      case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                        {
                                          flick_trapeze_encode_new_chunk(18);
                                          flick_cdr_encode_unsigned32(0, 12);
                                          flick_cdr_encode_char8(4, 'I');
                                          flick_cdr_encode_char8(5, 'D');
                                          flick_cdr_encode_char8(6, 'L');
                                          flick_cdr_encode_char8(7, ':');
                                          flick_cdr_encode_char8(8, 'A');
                                          flick_cdr_encode_char8(9, '/');
                                          flick_cdr_encode_char8(10, 'B');
                                          flick_cdr_encode_char8(11, ':');
                                          flick_cdr_encode_char8(12, '1');
                                          flick_cdr_encode_char8(13, '.');
                                          flick_cdr_encode_char8(14, '0');
                                          flick_cdr_encode_char8(15, 0);
                                          flick_cdr_encode_signed16(16, ((A_B *)(_ev->_value._user_except))->a);
                                          flick_trapeze_encode_end_chunk(18);
                                          flick_trapeze_encode_end_glob(22);
                                          flick_cdr_encode_string(((A_B *)(_ev->_value._user_except))->d, CORBA_flick_free, trapeze, 20);
                                          CORBA_flick_free((A_B *)(_ev->_value._user_except));
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          flick_trapeze_encode_end_glob(22);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    flick_trapeze_encode_end_glob(22);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              flick_trapeze_encode_end_glob(22);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        flick_trapeze_encode_end_glob(22);
                        break;
                      }
                    }
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(10);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
