#include "mig-simple-client.h"

kern_return_t get_time(mach_port_t server_port, int format, int *time)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(server_port, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 400);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, format);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *time);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t foo_time(mach_port_t server_port, foo_int format, foo_int *time)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(server_port, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 401);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, format);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *time);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

