#include "mig-tests-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t tests_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t26_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t26_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t26_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint *_local_outInt;
            kern_return_t _return;
            Iint _t27_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_inInt);
            _local_inoutInt = &_t27_storage;
            flick_cdr_decode_signed32(8, *_local_inoutInt);
            _local_outInt = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_signed32(0, *_local_inoutInt);
                  flick_cdr_encode_signed32(4, *_local_outInt);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            IFstruct _local_inStruct;
            IFstruct *_local_inoutStruct;
            IFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned *_t28_internal;
            IFstruct _t29_storage;
            unsigned *_t30_internal;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _t28_internal = (unsigned *)(&(_local_inStruct));
            flick_trapeze_server_decode_array(_t28_internal, 4 * 100);
            _local_inoutStruct = &_t29_storage;
            _t30_internal = (unsigned *)(&(*_local_inoutStruct));
            flick_trapeze_server_decode_array(_t30_internal, 4 * 100);
            _local_outStruct = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t33_internal;
                  unsigned *_t34_internal;

                  /* Begin encode phase on parameters */
                  _t33_internal = (unsigned *)(&(*_local_inoutStruct));
                  flick_trapeze_server_encode_array(_t33_internal, 4 * 100);
                  _t34_internal = (unsigned *)(&(*_local_outStruct));
                  flick_trapeze_server_encode_array(_t34_internal, 4 * 100);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_inArray;
            unsigned *_local_inoutArray;
            unsigned *_local_outArray;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_inArray, 4 * 300);
            flick_trapeze_server_decode_array(_local_inoutArray, 4 * 300);
            _local_outArray = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_inArray, sizeof(unsigned ) * 300);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_local_inoutArray, 4 * 300);
                  flick_trapeze_server_encode_array(_local_outArray, 4 * 300);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            unsigned *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArrayCnt);
            flick_trapeze_server_decode_array(_local_inArray, 4 * _local_inArrayCnt);
            _local_outArray = flick_trapeze_server_array__alloc();
            _local_outArrayCnt = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_inArray, sizeof(unsigned ) * _local_inArrayCnt);
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_local_outArrayCnt);
                  flick_trapeze_server_encode_array(_local_outArray, 4 * *_local_outArrayCnt);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArrayCnt);
            flick_trapeze_server_decode_array(_local_inArray, 4 * _local_inArrayCnt);
            _local_outArray = flick_trapeze_server_array__alloc();
            _local_outArrayCnt = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_inArray, sizeof(unsigned ) * _local_inArrayCnt);
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_local_outArrayCnt);
                  flick_trapeze_server_encode_array(*_local_outArray, 4 * *_local_outArrayCnt);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                  flick_trapeze_encode_end_glob(8);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            char *_local_inString;
            char *_local_inoutString;
            char *_local_outString;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_inString, 0);
            flick_trapeze_server_decode_array(_local_inoutString, 0);
            _local_outString = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_local_inoutString, strlen(_local_inoutString));
                  flick_trapeze_server_encode_array(_local_outString, strlen(_local_outString));
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            char *_local_inString;
            char *_local_outString;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_inString, 0);
            _local_outString = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_local_outString, strlen(_local_outString));
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t *_local_outRight;
            kern_return_t _return;
            mach_port_t _t35_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_inoutRight = &_t35_storage;
            _local_outRight = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inRightCnt);
            flick_trapeze_server_decode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
            _local_outRight = flick_trapeze_server_array__alloc();
            _local_outRightCnt = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_local_outRightCnt);
                  flick_trapeze_server_encode_array(*_local_outRight, sizeof(mach_port_t ) * *_local_outRightCnt);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550010:
        {
          {
            mach_port_t _local_target;
            Imach_poly_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_poly_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inRightCnt);
            flick_trapeze_server_decode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
            _local_outRight = flick_trapeze_server_array__alloc();
            _local_outRightCnt = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_local_outRightCnt);
                  flick_trapeze_server_encode_array(*_local_outRight, sizeof(mach_port_t ) * *_local_outRightCnt);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint *_local_outInt;
            kern_return_t _return;
            Oint _t36_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inInt);
            _local_inoutInt = &_t36_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutInt);
            _local_outInt = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutInt);
                  flick_cdr_encode_unsigned32(4, *_local_outInt);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct *_local_outStruct;
            kern_return_t _return;
            OFstruct _t37_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inStruct);
            _local_inoutStruct = &_t37_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutStruct);
            _local_outStruct = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutStruct);
                  flick_cdr_encode_unsigned32(4, *_local_outStruct);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray *_local_outArray;
            kern_return_t _return;
            OFarray _t38_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArray);
            _local_inoutArray = &_t38_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutArray);
            _local_outArray = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(4, *_local_outArray);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            mach_msg_type_number_t _t39_storage;
            Oarray _t40_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArrayCnt);
            flick_trapeze_server_decode_array(_local_inArray, 4 * _local_inArrayCnt);
            _local_inoutArrayCnt = &_t39_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutArrayCnt);
            _local_inoutArray = &_t40_storage;
            flick_trapeze_server_decode_array(*_local_inoutArray, 4 * *_local_inoutArrayCnt);
            _local_outArray = flick_trapeze_server_array__alloc();
            _local_outArrayCnt = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_inArray, sizeof(unsigned ) * _local_inArrayCnt);
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt);
                  flick_trapeze_server_encode_array(*_local_inoutArray, 4 * *_local_inoutArrayCnt);
                  flick_cdr_encode_unsigned32(4, *_local_outArrayCnt);
                  flick_trapeze_server_encode_array(*_local_outArray, 4 * *_local_outArrayCnt);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring *_local_outString;
            kern_return_t _return;
            OFstring _t41_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inString);
            _local_inoutString = &_t41_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutString);
            _local_outString = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutString);
                  flick_cdr_encode_unsigned32(4, *_local_outString);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550017:
        {
          {
            mach_port_t _local_target;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            mach_msg_type_number_t _t42_storage;
            mach_port_array_t _t43_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inRightCnt);
            flick_trapeze_server_decode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
            _local_inoutRightCnt = &_t42_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutRightCnt);
            _local_inoutRight = &_t43_storage;
            flick_trapeze_server_decode_array(*_local_inoutRight, sizeof(mach_port_t ) * *_local_inoutRightCnt);
            _local_outRight = flick_trapeze_server_array__alloc();
            _local_outRightCnt = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt);
                  flick_trapeze_server_encode_array(*_local_inoutRight, sizeof(mach_port_t ) * *_local_inoutRightCnt);
                  flick_cdr_encode_unsigned32(4, *_local_outRightCnt);
                  flick_trapeze_server_encode_array(*_local_outRight, sizeof(mach_port_t ) * *_local_outRightCnt);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550018:
        {
          {
            mach_port_t _local_target;
            Omach_poly_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Omach_poly_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            Omach_poly_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            mach_msg_type_number_t _t44_storage;
            Omach_poly_array_t _t45_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inRightCnt);
            flick_trapeze_server_decode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
            _local_inoutRightCnt = &_t44_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutRightCnt);
            _local_inoutRight = &_t45_storage;
            flick_trapeze_server_decode_array(*_local_inoutRight, sizeof(mach_port_t ) * *_local_inoutRightCnt);
            _local_outRight = flick_trapeze_server_array__alloc();
            _local_outRightCnt = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_inRight, sizeof(mach_port_t ) * _local_inRightCnt);
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt);
                  flick_trapeze_server_encode_array(*_local_inoutRight, sizeof(mach_port_t ) * *_local_inoutRightCnt);
                  flick_cdr_encode_unsigned32(4, *_local_outRightCnt);
                  flick_trapeze_server_encode_array(*_local_outRight, sizeof(mach_port_t ) * *_local_outRightCnt);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550020:
        {
          {
            mach_port_t _local_reply;
            mach_port_t _local_target;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t46_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            {
              flick_trapeze_server_decode_client(_local_reply, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_data = &_t46_storage;
            flick_cdr_decode_signed32(4, *_local_data);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_reply_ports(_local_reply, _local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550021:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t47_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            {
              flick_trapeze_server_decode_client(_local_reply, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_data = &_t47_storage;
            flick_cdr_decode_signed32(4, *_local_data);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_sreply_ports(_local_target, _local_reply, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550022:
        {
          {
            mach_port_t _local_target;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t48_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_data = &_t48_storage;
            flick_cdr_decode_signed32(4, *_local_data);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_ureply_ports(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550023:
        {
          {
            mach_port_t _local_target;
            unsigned int _local_seq;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t49_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_data = &_t49_storage;
            flick_cdr_decode_signed32(4, *_local_data);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_param_flags(_local_target, _local_seq, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550024:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            mach_msg_type_number_t _t50_storage;
            Oarray _t51_storage;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArrayCnt);
            flick_trapeze_server_decode_array(_local_inArray, 4 * _local_inArrayCnt);
            _local_inoutArrayCnt = &_t50_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutArrayCnt);
            _local_inoutArray = &_t51_storage;
            flick_trapeze_server_decode_array(*_local_inoutArray, 4 * *_local_inoutArrayCnt);
            _local_outArray = flick_trapeze_server_array__alloc();
            _local_outArrayCnt = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_inArray, sizeof(unsigned ) * _local_inArrayCnt);
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt);
                  flick_trapeze_server_encode_array(*_local_inoutArray, 4 * *_local_inoutArrayCnt);
                  flick_cdr_encode_unsigned32(4, *_local_outArrayCnt);
                  flick_trapeze_server_encode_array(*_local_outArray, 4 * *_local_outArrayCnt);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550025:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            boolean_t _local_inArraySCopy;
            boolean_t *_local_scopy;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_inArrayCnt);
            flick_trapeze_server_decode_array(_local_inArray, 4 * _local_inArrayCnt);
            _local_scopy = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_servercopy(_local_target, _local_inArray, _local_inArrayCnt, _local_inArraySCopy, _local_scopy);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_inArray, sizeof(unsigned ) * _local_inArrayCnt);
            flick_trapeze_encode_new_glob(5);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, *_local_scopy);
                  flick_trapeze_encode_end_chunk(1);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(5);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5550026:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_terminate(_local_target);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
