#include "oneway-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t onewaytest_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t10_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t10_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t10_switch_tag)
      {
      case (signed int) 0:
        {
          {
            onewaytest _obj;
            CORBA_long *_local_x;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_long _t11_storage;
            CORBA_Environment _t12_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_x = &_t11_storage;
            flick_cdr_decode_signed32(4, *_local_x);
            _ev = &_t12_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = onewaytest_shortlong(_obj, _local_x, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_signed16(0, _return);
                  flick_cdr_encode_signed32(4, *_local_x);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            onewaytest _obj;
            CORBA_long _local_x;
            CORBA_Environment *_ev;
            CORBA_Environment _t13_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_x);
            _ev = &_t13_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            onewaytest_voidlong(_obj, _local_x, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            onewaytest _obj;
            CORBA_long _local_x;
            CORBA_Environment *_ev;
            CORBA_Environment _t14_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_x);
            _ev = &_t14_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            onewaytest_onewaylong(_obj, _local_x, _ev);
            return FLICK_OPERATION_SUCCESS_NOREPLY;
          }
          break;
        }
      case (signed int) 3:
        {
          {
            onewaytest _obj;
            CORBA_char *_local_x;
            CORBA_Environment *_ev;
            CORBA_Environment _t15_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_x, 0);
            _ev = &_t15_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            onewaytest_onewaystring(_obj, _local_x, _ev);
            return FLICK_OPERATION_SUCCESS_NOREPLY;
          }
          break;
        }
      case (signed int) 4:
        {
          {
            onewaytest _obj;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_Environment _t16_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t16_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = onewaytest_stringreturn(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_return, strlen(_return));
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            onewaytest _obj;
            CORBA_char **_local_x;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_char *_t17_storage;
            CORBA_Environment _t18_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_x = &_t17_storage;
            flick_trapeze_server_decode_array(*_local_x, 0);
            _ev = &_t18_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = onewaytest_longstring(_obj, _local_x, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_server_encode_array(*_local_x, strlen(*_local_x));
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_end_glob(8);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(8);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            onewaytest _obj;
            CORBA_long *_local_x;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_Environment _t19_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_x = flick_trapeze_server_array__alloc();
            _ev = &_t19_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = onewaytest_stringlong(_obj, _local_x, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_return, strlen(_return));
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_x);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_end_glob(8);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(8);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
