#include "structnest_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t test_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t3_switch_tag;

    flick_trapeze_decode_new_glob(104);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 0:
        {
          {
            test _obj;
            struct a *_local_s1;
            CORBA_Environment *_ev;
            struct b _return;
            struct a _t4_storage;
            CORBA_Environment _t5_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(22);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_s1 = &_t4_storage;
            flick_cdr_decode_signed16(4, _local_s1->e.c);
            flick_cdr_decode_char8(6, _local_s1->e.d);
            flick_cdr_decode_unsigned8(7, _local_s1->e.e.c);
            flick_cdr_decode_signed32(8, _local_s1->e.e.d);
            flick_cdr_decode_signed16(12, _local_s1->e.f);
            flick_cdr_decode_unsigned8(14, _local_s1->e.g.c);
            flick_cdr_decode_signed32(16, _local_s1->e.g.d);
            flick_cdr_decode_signed16(20, _local_s1->h.a);
            flick_trapeze_decode_end_chunk(22);
            flick_trapeze_decode_new_chunk_align(72, 3, 2, 2);
            flick_cdr_decode_float64(0, _local_s1->h.b);
            flick_cdr_decode_signed16(8, _local_s1->j.b.a.a);
            flick_cdr_decode_float64(16, _local_s1->j.b.a.b);
            flick_cdr_decode_signed16(24, _local_s1->j.z.a);
            flick_cdr_decode_float64(32, _local_s1->j.z.b);
            flick_cdr_decode_float32(40, _local_s1->f);
            flick_cdr_decode_signed16(44, _local_s1->g.c);
            flick_cdr_decode_char8(46, _local_s1->g.d);
            flick_cdr_decode_unsigned8(47, _local_s1->g.e.c);
            flick_cdr_decode_signed32(48, _local_s1->g.e.d);
            flick_cdr_decode_signed16(52, _local_s1->g.f);
            flick_cdr_decode_unsigned8(54, _local_s1->g.g.c);
            flick_cdr_decode_signed32(56, _local_s1->g.g.d);
            flick_cdr_decode_signed16(60, _local_s1->i.a);
            flick_cdr_decode_float64(64, _local_s1->i.b);
            _ev = &_t5_storage;
            flick_trapeze_decode_end_chunk(72);
            flick_trapeze_decode_end_glob(104);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_CopyAdd(_obj, _local_s1, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(21);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(17);
                  flick_cdr_encode_signed16(0, _return.c.c);
                  flick_cdr_encode_char8(2, _return.c.d);
                  flick_cdr_encode_unsigned8(3, _return.c.e.c);
                  flick_cdr_encode_signed32(4, _return.c.e.d);
                  flick_cdr_encode_signed16(8, _return.c.f);
                  flick_cdr_encode_unsigned8(10, _return.c.g.c);
                  flick_cdr_encode_signed32(12, _return.c.g.d);
                  flick_cdr_encode_char8(16, _return.d);
                  flick_trapeze_encode_end_chunk(17);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(21);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(104);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
