#include "sunstat-client.h"

int *dirlst_2(directory *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_unsigned32(8, arg->directory_len);
    flick_trapeze_client_encode_array(arg->directory_val, sizeof(struct entry ) * arg->directory_len);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t1_storage;

            /* Begin decode phase on parameters */
            _return = &_t1_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

int *lng_2(longlist *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 2);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_unsigned32(8, arg->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
    flick_trapeze_array_swap32(arg->longlist_val, 4 * arg->longlist_len);
#endif /* ENDIANness */
    flick_trapeze_client_encode_array(arg->longlist_val, 4 * arg->longlist_len);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t5_storage;

            /* Begin decode phase on parameters */
            _return = &_t5_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

int *strct_2(structlist *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 3);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_xdr_encode_unsigned32(8, arg->structlist_len);
    flick_trapeze_client_encode_array(arg->structlist_val, sizeof(struct outer ) * arg->structlist_len);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t9_storage;

            /* Begin decode phase on parameters */
            _return = &_t9_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

