#include "test1-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t test1_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t26_switch_tag;

    flick_trapeze_decode_new_glob(28);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t26_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t26_switch_tag)
      {
      case (signed int) 0:
        {
          {
            test1 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t27_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t27_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            test1_test_void(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            test1 _obj;
            CORBA_short _local_a1;
            CORBA_short *_local_a2;
            CORBA_short *_local_a3;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_short _t28_storage;
            CORBA_Environment _t29_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_a1);
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t28_storage;
            flick_cdr_decode_signed16(6, *_local_a3);
            _ev = &_t29_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(10);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(6);
                  flick_cdr_encode_signed16(0, _return);
                  flick_cdr_encode_signed16(2, *_local_a2);
                  flick_cdr_encode_signed16(4, *_local_a3);
                  flick_trapeze_encode_end_chunk(6);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(10);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            test1 _obj;
            CORBA_long _local_a1;
            CORBA_long *_local_a2;
            CORBA_long *_local_a3;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_long _t30_storage;
            CORBA_Environment _t31_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a1);
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t30_storage;
            flick_cdr_decode_signed32(8, *_local_a3);
            _ev = &_t31_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed32(4, *_local_a2);
                  flick_cdr_encode_signed32(8, *_local_a3);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            test1 _obj;
            test1_ushort _local_a1;
            test1_ushort *_local_a2;
            test1_ushort *_local_a3;
            CORBA_Environment *_ev;
            test1_ushort _return;
            test1_ushort _t32_storage;
            CORBA_Environment _t33_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned16(4, _local_a1);
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t32_storage;
            flick_cdr_decode_unsigned16(6, *_local_a3);
            _ev = &_t33_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(10);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(6);
                  flick_cdr_encode_unsigned16(0, _return);
                  flick_cdr_encode_unsigned16(2, *_local_a2);
                  flick_cdr_encode_unsigned16(4, *_local_a3);
                  flick_trapeze_encode_end_chunk(6);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(10);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            test1 _obj;
            test1_ulong _local_a1;
            test1_ulong *_local_a2;
            test1_ulong *_local_a3;
            CORBA_Environment *_ev;
            test1_ulong _return;
            test1_ulong _t34_storage;
            CORBA_Environment _t35_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_a1);
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t34_storage;
            flick_cdr_decode_unsigned32(8, *_local_a3);
            _ev = &_t35_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_unsigned32(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_a2);
                  flick_cdr_encode_unsigned32(8, *_local_a3);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            test1 _obj;
            CORBA_float _local_a1;
            CORBA_float *_local_a2;
            CORBA_float *_local_a3;
            CORBA_Environment *_ev;
            CORBA_float _return = 0.000000;
            CORBA_float _t36_storage;
            CORBA_Environment _t37_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_float32(4, _local_a1);
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t36_storage;
            flick_cdr_decode_float32(8, *_local_a3);
            _ev = &_t37_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_float32(0, _return);
                  flick_cdr_encode_float32(4, *_local_a2);
                  flick_cdr_encode_float32(8, *_local_a3);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            test1 _obj;
            CORBA_double _local_a1;
            CORBA_double *_local_a2;
            CORBA_double *_local_a3;
            CORBA_Environment *_ev;
            CORBA_double _return = 0.000000;
            CORBA_double _t38_storage;
            CORBA_Environment _t39_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(16, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_a1);
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t38_storage;
            flick_cdr_decode_float64(8, *_local_a3);
            _ev = &_t39_storage;
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(32);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(24, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return);
                  flick_cdr_encode_float64(8, *_local_a2);
                  flick_cdr_encode_float64(16, *_local_a3);
                  flick_trapeze_encode_end_chunk(24);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(32);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            test1 _obj;
            CORBA_boolean _local_a1;
            CORBA_boolean *_local_a2;
            CORBA_boolean *_local_a3;
            CORBA_Environment *_ev;
            CORBA_boolean _return = 0;
            CORBA_boolean _t40_storage;
            CORBA_Environment _t41_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned8(4, _local_a1);
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t40_storage;
            flick_cdr_decode_unsigned8(5, *_local_a3);
            _ev = &_t41_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_a2);
                  flick_cdr_encode_unsigned8(2, *_local_a3);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            test1 _obj;
            CORBA_char _local_a1;
            CORBA_char *_local_a2;
            CORBA_char *_local_a3;
            CORBA_Environment *_ev;
            CORBA_char _return = 0;
            CORBA_char _t42_storage;
            CORBA_Environment _t43_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_char8(4, _local_a1);
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t42_storage;
            flick_cdr_decode_char8(5, *_local_a3);
            _ev = &_t43_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_char8(0, _return);
                  flick_cdr_encode_char8(1, *_local_a2);
                  flick_cdr_encode_char8(2, *_local_a3);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            test1 _obj;
            CORBA_octet _local_a1;
            CORBA_octet *_local_a2;
            CORBA_octet *_local_a3;
            CORBA_Environment *_ev;
            CORBA_octet _return = 0;
            CORBA_octet _t44_storage;
            CORBA_Environment _t45_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned8(4, _local_a1);
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t44_storage;
            flick_cdr_decode_unsigned8(5, *_local_a3);
            _ev = &_t45_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_a2);
                  flick_cdr_encode_unsigned8(2, *_local_a3);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 10:
        {
          {
            test1 _obj;
            CORBA_char *_local_a1;
            CORBA_char **_local_a2;
            CORBA_char **_local_a3;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_char *_t46_storage;
            CORBA_Environment _t47_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_a1, 0);
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t46_storage;
            flick_trapeze_server_decode_array(*_local_a3, 0);
            _ev = &_t47_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_return, strlen(_return));
                  flick_trapeze_server_encode_array(*_local_a2, strlen(*_local_a2));
                  flick_trapeze_server_encode_array(*_local_a3, strlen(*_local_a3));
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 11:
        {
          {
            test1 _obj;
            CORBA_Object _local_a1;
            CORBA_Object *_local_a2;
            CORBA_Object *_local_a3;
            CORBA_Environment *_ev;
            CORBA_Object _return;
            CORBA_Object _t48_storage;
            CORBA_Environment _t49_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a2 = flick_trapeze_server_array__alloc();
            _local_a3 = &_t48_storage;
            _ev = &_t49_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test1_test_Object(_obj, _local_a1, _local_a2, _local_a3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 12:
        {
          {
            test1 _obj;
            CORBA_long _local_case_num;
            CORBA_Environment *_ev;
            CORBA_Environment _t50_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_case_num);
            _ev = &_t50_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            test1_test_throw(_obj, _local_case_num, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(32);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  switch ((unsigned int )(1+strlen(_ev->_id)))
                    {
                    case (unsigned int) 17:
                      {
                        switch (*(unsigned int *)(_ev->_id + 0))
                          {
                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                            {
                              switch (*(unsigned int *)(_ev->_id + 4))
                                {
                                case /* test */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 8))
                                      {
                                      case /* 1/x1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 12))
                                            {
                                            case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                              {
                                                switch (*(char *)(_ev->_id + 16))
                                                  {
                                                  case 0:
                                                    {
                                                      flick_trapeze_encode_new_chunk(28);
                                                      flick_cdr_encode_unsigned32(0, 17);
                                                      flick_cdr_encode_char8(4, 'I');
                                                      flick_cdr_encode_char8(5, 'D');
                                                      flick_cdr_encode_char8(6, 'L');
                                                      flick_cdr_encode_char8(7, ':');
                                                      flick_cdr_encode_char8(8, 't');
                                                      flick_cdr_encode_char8(9, 'e');
                                                      flick_cdr_encode_char8(10, 's');
                                                      flick_cdr_encode_char8(11, 't');
                                                      flick_cdr_encode_char8(12, '1');
                                                      flick_cdr_encode_char8(13, '/');
                                                      flick_cdr_encode_char8(14, 'x');
                                                      flick_cdr_encode_char8(15, '1');
                                                      flick_cdr_encode_char8(16, ':');
                                                      flick_cdr_encode_char8(17, '1');
                                                      flick_cdr_encode_char8(18, '.');
                                                      flick_cdr_encode_char8(19, '0');
                                                      flick_cdr_encode_char8(20, 0);
                                                      flick_cdr_encode_signed32(24, ((test1_x1 *)(_ev->_value._user_except))->case_num);
                                                      CORBA_flick_free((test1_x1 *)(_ev->_value._user_except));
                                                      flick_trapeze_encode_end_chunk(28);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case /* 1/x2 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 12))
                                            {
                                            case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                              {
                                                switch (*(char *)(_ev->_id + 16))
                                                  {
                                                  case 0:
                                                    {
                                                      flick_trapeze_encode_new_chunk(28);
                                                      flick_cdr_encode_unsigned32(0, 17);
                                                      flick_cdr_encode_char8(4, 'I');
                                                      flick_cdr_encode_char8(5, 'D');
                                                      flick_cdr_encode_char8(6, 'L');
                                                      flick_cdr_encode_char8(7, ':');
                                                      flick_cdr_encode_char8(8, 't');
                                                      flick_cdr_encode_char8(9, 'e');
                                                      flick_cdr_encode_char8(10, 's');
                                                      flick_cdr_encode_char8(11, 't');
                                                      flick_cdr_encode_char8(12, '1');
                                                      flick_cdr_encode_char8(13, '/');
                                                      flick_cdr_encode_char8(14, 'x');
                                                      flick_cdr_encode_char8(15, '2');
                                                      flick_cdr_encode_char8(16, ':');
                                                      flick_cdr_encode_char8(17, '1');
                                                      flick_cdr_encode_char8(18, '.');
                                                      flick_cdr_encode_char8(19, '0');
                                                      flick_cdr_encode_char8(20, 0);
                                                      flick_cdr_encode_signed32(24, ((test1_x2 *)(_ev->_value._user_except))->value);
                                                      CORBA_flick_free((test1_x2 *)(_ev->_value._user_except));
                                                      flick_trapeze_encode_end_chunk(28);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                }
              }
            flick_trapeze_encode_end_glob(32);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 13:
        {
          {
            test1 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t51_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t51_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            test1_please_exit(_obj, _ev);
            return FLICK_OPERATION_SUCCESS_NOREPLY;
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(28);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
