#include "turtle-server-client.h"

CORBA_long Server_SetSize(Server _obj, CORBA_long width, CORBA_long height, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, width);
    flick_cdr_encode_signed32(12, height);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long Server_AddWall(Server _obj, CORBA_long startx, CORBA_long starty, CORBA_long endx, CORBA_long endy, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(24);
    flick_trapeze_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, startx);
    flick_cdr_encode_signed32(12, starty);
    flick_cdr_encode_signed32(16, endx);
    flick_cdr_encode_signed32(20, endy);
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(24);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long Server_DelWall(Server _obj, CORBA_long startx, CORBA_long starty, CORBA_long endx, CORBA_long endy, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(24);
    flick_trapeze_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 2);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, startx);
    flick_cdr_encode_signed32(12, starty);
    flick_cdr_encode_signed32(16, endx);
    flick_cdr_encode_signed32(20, endy);
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(24);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long Server_AddRect(Server _obj, CORBA_long left, CORBA_long top, CORBA_long right, CORBA_long bottom, CORBA_long color, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(28);
    flick_trapeze_encode_new_chunk(28);
    flick_cdr_encode_signed32(0, 3);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, left);
    flick_cdr_encode_signed32(12, top);
    flick_cdr_encode_signed32(16, right);
    flick_cdr_encode_signed32(20, bottom);
    flick_cdr_encode_signed32(24, color);
    flick_trapeze_encode_end_chunk(28);
    flick_trapeze_encode_end_glob(28);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long Server_DelRect(Server _obj, CORBA_long left, CORBA_long top, CORBA_long right, CORBA_long bottom, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(24);
    flick_trapeze_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 4);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, left);
    flick_cdr_encode_signed32(12, top);
    flick_cdr_encode_signed32(16, right);
    flick_cdr_encode_signed32(20, bottom);
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(24);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long Server_SetTurtle(Server _obj, CORBA_long x, CORBA_long y, CORBA_long angle, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(20);
    flick_trapeze_encode_new_chunk(20);
    flick_cdr_encode_signed32(0, 5);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, x);
    flick_cdr_encode_signed32(12, y);
    flick_cdr_encode_signed32(16, angle);
    flick_trapeze_encode_end_chunk(20);
    flick_trapeze_encode_end_glob(20);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long Server_GetTurtle(Server _obj, CORBA_long *x, CORBA_long *y, CORBA_long *angle, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 6);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(20);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_signed32(0, _return);
            flick_cdr_decode_signed32(4, *x);
            flick_cdr_decode_signed32(8, *y);
            flick_cdr_decode_signed32(12, *angle);
            flick_trapeze_decode_end_chunk(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(20);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

