#include "turtle-server-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t Server_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t8_switch_tag;

    flick_trapeze_decode_new_glob(28);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t8_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t8_switch_tag)
      {
      case (signed int) 0:
        {
          {
            Server _obj;
            CORBA_long _local_width;
            CORBA_long _local_height;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t9_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_width);
            flick_cdr_decode_signed32(8, _local_height);
            _ev = &_t9_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            Server _obj;
            CORBA_long _local_startx;
            CORBA_long _local_starty;
            CORBA_long _local_endx;
            CORBA_long _local_endy;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t10_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(20);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_startx);
            flick_cdr_decode_signed32(8, _local_starty);
            flick_cdr_decode_signed32(12, _local_endx);
            flick_cdr_decode_signed32(16, _local_endy);
            _ev = &_t10_storage;
            flick_trapeze_decode_end_chunk(20);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            Server _obj;
            CORBA_long _local_startx;
            CORBA_long _local_starty;
            CORBA_long _local_endx;
            CORBA_long _local_endy;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t11_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(20);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_startx);
            flick_cdr_decode_signed32(8, _local_starty);
            flick_cdr_decode_signed32(12, _local_endx);
            flick_cdr_decode_signed32(16, _local_endy);
            _ev = &_t11_storage;
            flick_trapeze_decode_end_chunk(20);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            Server _obj;
            CORBA_long _local_left;
            CORBA_long _local_top;
            CORBA_long _local_right;
            CORBA_long _local_bottom;
            CORBA_long _local_color;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t12_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(24);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_left);
            flick_cdr_decode_signed32(8, _local_top);
            flick_cdr_decode_signed32(12, _local_right);
            flick_cdr_decode_signed32(16, _local_bottom);
            flick_cdr_decode_signed32(20, _local_color);
            _ev = &_t12_storage;
            flick_trapeze_decode_end_chunk(24);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            Server _obj;
            CORBA_long _local_left;
            CORBA_long _local_top;
            CORBA_long _local_right;
            CORBA_long _local_bottom;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t13_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(20);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_left);
            flick_cdr_decode_signed32(8, _local_top);
            flick_cdr_decode_signed32(12, _local_right);
            flick_cdr_decode_signed32(16, _local_bottom);
            _ev = &_t13_storage;
            flick_trapeze_decode_end_chunk(20);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            Server _obj;
            CORBA_long _local_x;
            CORBA_long _local_y;
            CORBA_long _local_angle;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t14_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_x);
            flick_cdr_decode_signed32(8, _local_y);
            flick_cdr_decode_signed32(12, _local_angle);
            _ev = &_t14_storage;
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            Server _obj;
            CORBA_long *_local_x;
            CORBA_long *_local_y;
            CORBA_long *_local_angle;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t15_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_x = flick_trapeze_server_array__alloc();
            _local_y = flick_trapeze_server_array__alloc();
            _local_angle = flick_trapeze_server_array__alloc();
            _ev = &_t15_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(20);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(16);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed32(4, *_local_x);
                  flick_cdr_encode_signed32(8, *_local_y);
                  flick_cdr_encode_signed32(12, *_local_angle);
                  flick_trapeze_encode_end_chunk(16);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(20);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(28);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
