#include "union-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t a_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t3_switch_tag;

    flick_trapeze_decode_new_glob(41);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 0:
        {
          {
            a _obj;
            struct a_astruct *_local_b;
            CORBA_Environment *_ev;
            struct Foo2 _return;
            struct a_astruct _t4_storage;
            CORBA_Environment _t5_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_b = &_t4_storage;
            flick_cdr_decode_char8(4, _local_b->a1._d);
            flick_trapeze_decode_end_chunk(5);
            switch (_local_b->a1._d)
              {
              case 'a':
                {
                  flick_trapeze_decode_new_chunk(7);
                  flick_cdr_decode_signed32(3, _local_b->a1._u.x);
                  flick_trapeze_decode_end_chunk(7);
                  break;
                }
              case 'b':
                {
                  flick_trapeze_decode_new_chunk(7);
                  flick_cdr_decode_signed32(3, _local_b->a1._u.y._d);
                  flick_trapeze_decode_end_chunk(7);
                  switch (_local_b->a1._u.y._d)
                    {
                    case 1:
                      {
                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.x);
                        flick_trapeze_decode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_trapeze_decode_new_chunk(5);
                        flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.y.b1);
                        flick_cdr_decode_char8(4, _local_b->a1._u.y._u.y.b2);
                        flick_trapeze_decode_end_chunk(5);
                        break;
                      }
                    default:
                      {
                        flick_trapeze_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_b->a1._u.y._u.z);
                        flick_trapeze_decode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_STRUCT_UNION, cdr, trapeze);
                  break;
                }
              }
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_b->a2._d);
            flick_trapeze_decode_end_chunk(4);
            switch (_local_b->a2._d)
              {
              case 1:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_b->a2._u.x);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_trapeze_decode_new_chunk(5);
                  flick_cdr_decode_signed32(0, _local_b->a2._u.y.b1);
                  flick_cdr_decode_char8(4, _local_b->a2._u.y.b2);
                  flick_trapeze_decode_end_chunk(5);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->a2._u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            flick_trapeze_decode_new_chunk_align(5, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_b->a3.b1);
            flick_cdr_decode_char8(4, _local_b->a3.b2);
            _ev = &_t5_storage;
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(41);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = a_opA(_obj, _local_b, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(17);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, _return._d);
                  flick_trapeze_encode_end_chunk(1);
                  switch (_return._d)
                    {
                    case 'a':
                      {
                        flick_trapeze_encode_new_chunk(7);
                        flick_cdr_encode_signed32(3, _return._u.x);
                        flick_trapeze_encode_end_chunk(7);
                        break;
                      }
                    case 'b':
                      {
                        flick_trapeze_encode_new_chunk(7);
                        flick_cdr_encode_signed32(3, _return._u.y._d);
                        flick_trapeze_encode_end_chunk(7);
                        switch (_return._u.y._d)
                          {
                          case 1:
                            {
                              flick_trapeze_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return._u.y._u.x);
                              flick_trapeze_encode_end_chunk(4);
                              break;
                            }
                          case 2:
                            {
                              flick_trapeze_encode_new_chunk(5);
                              flick_cdr_encode_signed32(0, _return._u.y._u.y.b1);
                              flick_cdr_encode_char8(4, _return._u.y._u.y.b2);
                              flick_trapeze_encode_end_chunk(5);
                              break;
                            }
                          default:
                            {
                              flick_trapeze_encode_new_chunk(1);
                              flick_cdr_encode_char8(0, _return._u.y._u.z);
                              flick_trapeze_encode_end_chunk(1);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_STRUCT_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(17);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(41);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
