#include "dif2-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_ex1_swap(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t84_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t84_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t84_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t85_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t85_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t85_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex1 _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t86_principal_len;
                  CORBA_Environment _t87_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t86_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t86_principal_len);
                  flick_iiop_decode_new_chunk(_t86_principal_len);
                  flick_iiop_decode_end_chunk(_t86_principal_len);
                  flick_iiop_decode_end_glob(_t86_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t87_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  ex1_op0(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex1 _obj;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_float _return = 0.000000;
                  unsigned int _t88_principal_len;
                  CORBA_double _t89_storage;
                  CORBA_long _t90_storage;
                  CORBA_Environment _t91_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t88_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t88_principal_len);
                  flick_iiop_decode_new_chunk(_t88_principal_len);
                  flick_iiop_decode_end_chunk(_t88_principal_len);
                  flick_iiop_decode_end_glob(_t88_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_swap_decode_float32(0, _local_f);
                  _local_d = &_t89_storage;
                  _local_l = &_t90_storage;
                  flick_cdr_swap_decode_signed32(4, *_local_l);
                  _ev = &_t91_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(24);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_float32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_new_chunk_align(12, 3, 2, 0);
                        flick_cdr_encode_float64(0, *_local_d);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(24);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(24);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(24);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex1 _obj;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_short *_local_s;
                  CORBA_Environment *_ev;
                  CORBA_double _return = 0.000000;
                  unsigned int _t92_principal_len;
                  CORBA_long _t93_storage;
                  CORBA_short _t94_storage;
                  CORBA_Environment _t95_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t92_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t92_principal_len);
                  flick_iiop_decode_new_chunk(_t92_principal_len);
                  flick_iiop_decode_end_chunk(_t92_principal_len);
                  flick_iiop_decode_end_glob(_t92_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(17);
                  flick_iiop_decode_new_chunk_align(10, 3, 0, 0);
                  flick_cdr_swap_decode_float64(0, _local_d);
                  _local_l = &_t93_storage;
                  _local_s = &_t94_storage;
                  flick_cdr_swap_decode_signed16(8, *_local_s);
                  _ev = &_t95_storage;
                  flick_iiop_decode_end_chunk(10);
                  flick_iiop_decode_end_glob(17);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(22);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk_align(14, 3, 2, 0);
                        flick_cdr_encode_float64(0, _return);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_cdr_encode_signed16(12, *_local_s);
                        flick_iiop_encode_end_chunk(14);
                        flick_iiop_encode_end_glob(22);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(22);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(22);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex1 _obj;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t96_principal_len;
                  CORBA_short _t97_storage;
                  CORBA_unsigned_long _t98_storage;
                  CORBA_Environment _t99_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t96_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t96_principal_len);
                  flick_iiop_decode_new_chunk(_t96_principal_len);
                  flick_iiop_decode_end_chunk(_t96_principal_len);
                  flick_iiop_decode_end_glob(_t96_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_l);
                  _local_s = &_t97_storage;
                  _local_ul = &_t98_storage;
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul);
                  _ev = &_t99_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(16);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return);
                        flick_cdr_encode_signed16(4, *_local_s);
                        flick_cdr_encode_unsigned32(8, *_local_ul);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(16);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(16);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(16);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex1 _obj;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short *_local_us;
                  CORBA_Environment *_ev;
                  CORBA_short _return = 0;
                  unsigned int _t100_principal_len;
                  CORBA_unsigned_long _t101_storage;
                  CORBA_unsigned_short _t102_storage;
                  CORBA_Environment _t103_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t100_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t100_principal_len);
                  flick_iiop_decode_new_chunk(_t100_principal_len);
                  flick_iiop_decode_end_chunk(_t100_principal_len);
                  flick_iiop_decode_end_glob(_t100_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(5);
                  flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                  flick_cdr_swap_decode_signed16(0, _local_s);
                  _local_ul = &_t101_storage;
                  _local_us = &_t102_storage;
                  flick_cdr_swap_decode_unsigned16(2, *_local_us);
                  _ev = &_t103_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(5);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(14);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(10);
                        flick_cdr_encode_signed16(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_unsigned16(8, *_local_us);
                        flick_iiop_encode_end_chunk(10);
                        flick_iiop_encode_end_glob(14);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(14);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(14);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex1 _obj;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_long _return = 0;
                  unsigned int _t104_principal_len;
                  CORBA_unsigned_long _t105_storage;
                  CORBA_char _t106_storage;
                  CORBA_Environment _t107_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t104_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t104_principal_len);
                  flick_iiop_decode_new_chunk(_t104_principal_len);
                  flick_iiop_decode_end_chunk(_t104_principal_len);
                  flick_iiop_decode_end_glob(_t104_principal_len);
                  /* Begin decode phase on parameters */
                  _local_ul = &_t105_storage;
                  flick_iiop_decode_new_glob(10);
                  flick_iiop_decode_new_chunk_align(7, 2, 0, 0);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul);
                  flick_cdr_swap_decode_unsigned16(4, _local_us);
                  _local_c = &_t106_storage;
                  flick_cdr_swap_decode_unsigned8(6, _local_b);
                  _ev = &_t107_storage;
                  flick_iiop_decode_end_chunk(7);
                  flick_iiop_decode_end_glob(10);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(13);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(9);
                        flick_cdr_encode_unsigned32(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_char8(8, *_local_c);
                        flick_iiop_encode_end_chunk(9);
                        flick_iiop_encode_end_glob(13);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(13);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(13);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex1 _obj;
                  CORBA_unsigned_short *_local_us;
                  CORBA_char *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_short _return = 0;
                  unsigned int _t108_principal_len;
                  CORBA_unsigned_short _t109_storage;
                  CORBA_char _t110_storage;
                  CORBA_Environment _t111_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t108_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t108_principal_len);
                  flick_iiop_decode_new_chunk(_t108_principal_len);
                  flick_iiop_decode_end_chunk(_t108_principal_len);
                  flick_iiop_decode_end_glob(_t108_principal_len);
                  /* Begin decode phase on parameters */
                  _local_us = &_t109_storage;
                  _local_c = &_t110_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c);
                  _ev = &_t111_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(9);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(5);
                        flick_cdr_encode_unsigned16(0, _return);
                        flick_cdr_encode_unsigned16(2, *_local_us);
                        flick_cdr_encode_char8(4, *_local_c);
                        flick_iiop_encode_end_chunk(5);
                        flick_iiop_encode_end_glob(9);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(9);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(9);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t28_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t28_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t28_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t29_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t29_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t29_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex1 _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t30_principal_len;
                  CORBA_Environment _t31_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t30_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t30_principal_len);
                  flick_iiop_decode_new_chunk(_t30_principal_len);
                  flick_iiop_decode_end_chunk(_t30_principal_len);
                  flick_iiop_decode_end_glob(_t30_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t31_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  ex1_op0(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex1 _obj;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_float _return = 0.000000;
                  unsigned int _t32_principal_len;
                  CORBA_double _t33_storage;
                  CORBA_long _t34_storage;
                  CORBA_Environment _t35_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t32_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t32_principal_len);
                  flick_iiop_decode_new_chunk(_t32_principal_len);
                  flick_iiop_decode_end_chunk(_t32_principal_len);
                  flick_iiop_decode_end_glob(_t32_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_decode_float32(0, _local_f);
                  _local_d = &_t33_storage;
                  _local_l = &_t34_storage;
                  flick_cdr_decode_signed32(4, *_local_l);
                  _ev = &_t35_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(24);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_float32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_new_chunk_align(12, 3, 2, 0);
                        flick_cdr_encode_float64(0, *_local_d);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(24);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(24);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(24);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex1 _obj;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_short *_local_s;
                  CORBA_Environment *_ev;
                  CORBA_double _return = 0.000000;
                  unsigned int _t36_principal_len;
                  CORBA_long _t37_storage;
                  CORBA_short _t38_storage;
                  CORBA_Environment _t39_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t36_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t36_principal_len);
                  flick_iiop_decode_new_chunk(_t36_principal_len);
                  flick_iiop_decode_end_chunk(_t36_principal_len);
                  flick_iiop_decode_end_glob(_t36_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(17);
                  flick_iiop_decode_new_chunk_align(10, 3, 0, 0);
                  flick_cdr_decode_float64(0, _local_d);
                  _local_l = &_t37_storage;
                  _local_s = &_t38_storage;
                  flick_cdr_decode_signed16(8, *_local_s);
                  _ev = &_t39_storage;
                  flick_iiop_decode_end_chunk(10);
                  flick_iiop_decode_end_glob(17);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(22);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk_align(14, 3, 2, 0);
                        flick_cdr_encode_float64(0, _return);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_cdr_encode_signed16(12, *_local_s);
                        flick_iiop_encode_end_chunk(14);
                        flick_iiop_encode_end_glob(22);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(22);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(22);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex1 _obj;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t40_principal_len;
                  CORBA_short _t41_storage;
                  CORBA_unsigned_long _t42_storage;
                  CORBA_Environment _t43_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t40_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t40_principal_len);
                  flick_iiop_decode_new_chunk(_t40_principal_len);
                  flick_iiop_decode_end_chunk(_t40_principal_len);
                  flick_iiop_decode_end_glob(_t40_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_l);
                  _local_s = &_t41_storage;
                  _local_ul = &_t42_storage;
                  flick_cdr_decode_unsigned32(4, *_local_ul);
                  _ev = &_t43_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(16);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return);
                        flick_cdr_encode_signed16(4, *_local_s);
                        flick_cdr_encode_unsigned32(8, *_local_ul);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(16);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(16);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(16);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex1 _obj;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short *_local_us;
                  CORBA_Environment *_ev;
                  CORBA_short _return = 0;
                  unsigned int _t44_principal_len;
                  CORBA_unsigned_long _t45_storage;
                  CORBA_unsigned_short _t46_storage;
                  CORBA_Environment _t47_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t44_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t44_principal_len);
                  flick_iiop_decode_new_chunk(_t44_principal_len);
                  flick_iiop_decode_end_chunk(_t44_principal_len);
                  flick_iiop_decode_end_glob(_t44_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(5);
                  flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                  flick_cdr_decode_signed16(0, _local_s);
                  _local_ul = &_t45_storage;
                  _local_us = &_t46_storage;
                  flick_cdr_decode_unsigned16(2, *_local_us);
                  _ev = &_t47_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(5);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(14);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(10);
                        flick_cdr_encode_signed16(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_unsigned16(8, *_local_us);
                        flick_iiop_encode_end_chunk(10);
                        flick_iiop_encode_end_glob(14);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(14);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(14);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex1 _obj;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_long _return = 0;
                  unsigned int _t48_principal_len;
                  CORBA_unsigned_long _t49_storage;
                  CORBA_char _t50_storage;
                  CORBA_Environment _t51_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t48_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t48_principal_len);
                  flick_iiop_decode_new_chunk(_t48_principal_len);
                  flick_iiop_decode_end_chunk(_t48_principal_len);
                  flick_iiop_decode_end_glob(_t48_principal_len);
                  /* Begin decode phase on parameters */
                  _local_ul = &_t49_storage;
                  flick_iiop_decode_new_glob(10);
                  flick_iiop_decode_new_chunk_align(7, 2, 0, 0);
                  flick_cdr_decode_unsigned32(0, *_local_ul);
                  flick_cdr_decode_unsigned16(4, _local_us);
                  _local_c = &_t50_storage;
                  flick_cdr_decode_unsigned8(6, _local_b);
                  _ev = &_t51_storage;
                  flick_iiop_decode_end_chunk(7);
                  flick_iiop_decode_end_glob(10);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(13);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(9);
                        flick_cdr_encode_unsigned32(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_char8(8, *_local_c);
                        flick_iiop_encode_end_chunk(9);
                        flick_iiop_encode_end_glob(13);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(13);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(13);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex1 _obj;
                  CORBA_unsigned_short *_local_us;
                  CORBA_char *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_short _return = 0;
                  unsigned int _t52_principal_len;
                  CORBA_unsigned_short _t53_storage;
                  CORBA_char _t54_storage;
                  CORBA_Environment _t55_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t52_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t52_principal_len);
                  flick_iiop_decode_new_chunk(_t52_principal_len);
                  flick_iiop_decode_end_chunk(_t52_principal_len);
                  flick_iiop_decode_end_glob(_t52_principal_len);
                  /* Begin decode phase on parameters */
                  _local_us = &_t53_storage;
                  _local_c = &_t54_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c);
                  _ev = &_t55_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(9);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(5);
                        flick_cdr_encode_unsigned16(0, _return);
                        flick_cdr_encode_unsigned16(2, *_local_us);
                        flick_cdr_encode_char8(4, *_local_c);
                        flick_iiop_encode_end_chunk(5);
                        flick_iiop_encode_end_glob(9);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(9);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(9);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_ex2_swap(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t271_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t271_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t271_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t272_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t272_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t272_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex2 _obj;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_octet *_local_o;
                  CORBA_Environment *_ev;
                  CORBA_char _return = 0;
                  unsigned int _t273_principal_len;
                  CORBA_boolean _t274_storage;
                  CORBA_octet _t275_storage;
                  CORBA_Environment _t276_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t273_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t273_principal_len);
                  flick_iiop_decode_new_chunk(_t273_principal_len);
                  flick_iiop_decode_end_chunk(_t273_principal_len);
                  flick_iiop_decode_end_glob(_t273_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(2);
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_swap_decode_char8(0, _local_c);
                  _local_b = &_t274_storage;
                  _local_o = &_t275_storage;
                  flick_cdr_swap_decode_unsigned8(1, *_local_o);
                  _ev = &_t276_storage;
                  flick_iiop_decode_end_chunk(2);
                  flick_iiop_decode_end_glob(2);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(7);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(3);
                        flick_cdr_encode_char8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_b);
                        flick_cdr_encode_unsigned8(2, *_local_o);
                        flick_iiop_encode_end_chunk(3);
                        flick_iiop_encode_end_glob(7);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(7);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(7);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex2 _obj;
                  CORBA_boolean *_local_b;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_boolean _return = 0;
                  unsigned int _t277_principal_len;
                  CORBA_boolean _t278_storage;
                  CORBA_Environment _t279_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t277_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t277_principal_len);
                  flick_iiop_decode_new_chunk(_t277_principal_len);
                  flick_iiop_decode_end_chunk(_t277_principal_len);
                  flick_iiop_decode_end_glob(_t277_principal_len);
                  /* Begin decode phase on parameters */
                  _local_b = &_t278_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o);
                  _ev = &_t279_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(6);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_unsigned8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_b);
                        flick_iiop_encode_end_chunk(2);
                        flick_iiop_encode_end_glob(6);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(6);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(6);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex2 _obj;
                  CORBA_octet *_local_o;
                  CORBA_char **_local_s;
                  CORBA_char *_local_ls;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_octet _return = 0;
                  unsigned int _t280_principal_len;
                  CORBA_octet _t281_storage;
                  CORBA_char *_t282_storage;
                  CORBA_long _t283_storage;
                  CORBA_Environment _t284_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t280_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t280_principal_len);
                  flick_iiop_decode_new_chunk(_t280_principal_len);
                  flick_iiop_decode_end_chunk(_t280_principal_len);
                  flick_iiop_decode_end_glob(_t280_principal_len);
                  /* Begin decode phase on parameters */
                  _local_o = &_t281_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, *_local_o);
                  _local_s = &_t282_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_cdr_swap_decode_auto_string(_local_ls, auto_flick_alloc, iiop);
                  _local_l = &_t283_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, *_local_l);
                  _ev = &_t284_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(6);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_unsigned8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_o);
                        flick_iiop_encode_end_chunk(2);
                        flick_iiop_encode_end_glob(6);
                        flick_cdr_encode_longstring(*_local_s, CORBA_flick_free, iiop);
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_encode_signed32(0, *_local_l);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(7);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(6);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(6);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex2 _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t285_principal_len;
                  CORBA_Environment _t286_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t285_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t285_principal_len);
                  flick_iiop_decode_new_chunk(_t285_principal_len);
                  flick_iiop_decode_end_chunk(_t285_principal_len);
                  flick_iiop_decode_end_glob(_t285_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t286_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  ex2_op0(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex2 _obj;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_float _return = 0.000000;
                  unsigned int _t287_principal_len;
                  CORBA_double _t288_storage;
                  CORBA_long _t289_storage;
                  CORBA_Environment _t290_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t287_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t287_principal_len);
                  flick_iiop_decode_new_chunk(_t287_principal_len);
                  flick_iiop_decode_end_chunk(_t287_principal_len);
                  flick_iiop_decode_end_glob(_t287_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_swap_decode_float32(0, _local_f);
                  _local_d = &_t288_storage;
                  _local_l = &_t289_storage;
                  flick_cdr_swap_decode_signed32(4, *_local_l);
                  _ev = &_t290_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(24);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_float32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_new_chunk_align(12, 3, 2, 0);
                        flick_cdr_encode_float64(0, *_local_d);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(24);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(24);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(24);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex2 _obj;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_short *_local_s;
                  CORBA_Environment *_ev;
                  CORBA_double _return = 0.000000;
                  unsigned int _t291_principal_len;
                  CORBA_long _t292_storage;
                  CORBA_short _t293_storage;
                  CORBA_Environment _t294_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t291_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t291_principal_len);
                  flick_iiop_decode_new_chunk(_t291_principal_len);
                  flick_iiop_decode_end_chunk(_t291_principal_len);
                  flick_iiop_decode_end_glob(_t291_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(17);
                  flick_iiop_decode_new_chunk_align(10, 3, 0, 0);
                  flick_cdr_swap_decode_float64(0, _local_d);
                  _local_l = &_t292_storage;
                  _local_s = &_t293_storage;
                  flick_cdr_swap_decode_signed16(8, *_local_s);
                  _ev = &_t294_storage;
                  flick_iiop_decode_end_chunk(10);
                  flick_iiop_decode_end_glob(17);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(22);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk_align(14, 3, 2, 0);
                        flick_cdr_encode_float64(0, _return);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_cdr_encode_signed16(12, *_local_s);
                        flick_iiop_encode_end_chunk(14);
                        flick_iiop_encode_end_glob(22);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(22);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(22);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex2 _obj;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t295_principal_len;
                  CORBA_short _t296_storage;
                  CORBA_unsigned_long _t297_storage;
                  CORBA_Environment _t298_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t295_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t295_principal_len);
                  flick_iiop_decode_new_chunk(_t295_principal_len);
                  flick_iiop_decode_end_chunk(_t295_principal_len);
                  flick_iiop_decode_end_glob(_t295_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_l);
                  _local_s = &_t296_storage;
                  _local_ul = &_t297_storage;
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul);
                  _ev = &_t298_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(16);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return);
                        flick_cdr_encode_signed16(4, *_local_s);
                        flick_cdr_encode_unsigned32(8, *_local_ul);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(16);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(16);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(16);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex2 _obj;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short *_local_us;
                  CORBA_Environment *_ev;
                  CORBA_short _return = 0;
                  unsigned int _t299_principal_len;
                  CORBA_unsigned_long _t300_storage;
                  CORBA_unsigned_short _t301_storage;
                  CORBA_Environment _t302_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t299_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t299_principal_len);
                  flick_iiop_decode_new_chunk(_t299_principal_len);
                  flick_iiop_decode_end_chunk(_t299_principal_len);
                  flick_iiop_decode_end_glob(_t299_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(5);
                  flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                  flick_cdr_swap_decode_signed16(0, _local_s);
                  _local_ul = &_t300_storage;
                  _local_us = &_t301_storage;
                  flick_cdr_swap_decode_unsigned16(2, *_local_us);
                  _ev = &_t302_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(5);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(14);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(10);
                        flick_cdr_encode_signed16(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_unsigned16(8, *_local_us);
                        flick_iiop_encode_end_chunk(10);
                        flick_iiop_encode_end_glob(14);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(14);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(14);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex2 _obj;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_long _return = 0;
                  unsigned int _t303_principal_len;
                  CORBA_unsigned_long _t304_storage;
                  CORBA_char _t305_storage;
                  CORBA_Environment _t306_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t303_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t303_principal_len);
                  flick_iiop_decode_new_chunk(_t303_principal_len);
                  flick_iiop_decode_end_chunk(_t303_principal_len);
                  flick_iiop_decode_end_glob(_t303_principal_len);
                  /* Begin decode phase on parameters */
                  _local_ul = &_t304_storage;
                  flick_iiop_decode_new_glob(10);
                  flick_iiop_decode_new_chunk_align(7, 2, 0, 0);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul);
                  flick_cdr_swap_decode_unsigned16(4, _local_us);
                  _local_c = &_t305_storage;
                  flick_cdr_swap_decode_unsigned8(6, _local_b);
                  _ev = &_t306_storage;
                  flick_iiop_decode_end_chunk(7);
                  flick_iiop_decode_end_glob(10);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(13);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(9);
                        flick_cdr_encode_unsigned32(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_char8(8, *_local_c);
                        flick_iiop_encode_end_chunk(9);
                        flick_iiop_encode_end_glob(13);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(13);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(13);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex2 _obj;
                  CORBA_unsigned_short *_local_us;
                  CORBA_char *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_short _return = 0;
                  unsigned int _t307_principal_len;
                  CORBA_unsigned_short _t308_storage;
                  CORBA_char _t309_storage;
                  CORBA_Environment _t310_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t307_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t307_principal_len);
                  flick_iiop_decode_new_chunk(_t307_principal_len);
                  flick_iiop_decode_end_chunk(_t307_principal_len);
                  flick_iiop_decode_end_glob(_t307_principal_len);
                  /* Begin decode phase on parameters */
                  _local_us = &_t308_storage;
                  _local_c = &_t309_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c);
                  _ev = &_t310_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(9);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(5);
                        flick_cdr_encode_unsigned16(0, _return);
                        flick_cdr_encode_unsigned16(2, *_local_us);
                        flick_cdr_encode_char8(4, *_local_c);
                        flick_iiop_encode_end_chunk(5);
                        flick_iiop_encode_end_glob(9);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(9);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(9);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t311_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t311_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t311_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t312_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t312_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t312_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_char *_local_s;
                        CORBA_char **_local_ls;
                        CORBA_Environment *_ev;
                        CORBA_char *_return = 0;
                        unsigned int _t313_principal_len;
                        CORBA_char *_t314_storage;
                        CORBA_Environment _t315_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t313_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t313_principal_len);
                        flick_iiop_decode_new_chunk(_t313_principal_len);
                        flick_iiop_decode_end_chunk(_t313_principal_len);
                        flick_iiop_decode_end_glob(_t313_principal_len);
                        /* Begin decode phase on parameters */
                        flick_cdr_swap_decode_auto_string(_local_s, auto_flick_alloc, iiop);
                        _local_ls = &_t314_storage;
                        _ev = &_t315_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                              flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t316_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t316_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t316_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_char **_local_ls;
                        CORBA_long *_local_l;
                        CORBA_Environment *_ev;
                        CORBA_char *_return = 0;
                        unsigned int _t317_principal_len;
                        CORBA_char *_t318_storage;
                        CORBA_long _t319_storage;
                        CORBA_Environment _t320_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t317_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t317_principal_len);
                        flick_iiop_decode_new_chunk(_t317_principal_len);
                        flick_iiop_decode_end_chunk(_t317_principal_len);
                        flick_iiop_decode_end_glob(_t317_principal_len);
                        /* Begin decode phase on parameters */
                        _local_ls = &_t318_storage;
                        flick_cdr_swap_decode_string(*_local_ls, CORBA_flick_alloc, iiop, 10);
                        _local_l = &_t319_storage;
                        _ev = &_t320_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                              flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_encode_signed32(0, *_local_l);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t321_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t321_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t321_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t322_principal_len;
                        CORBA_Environment _t323_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t322_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t322_principal_len);
                        flick_iiop_decode_new_chunk(_t322_principal_len);
                        flick_iiop_decode_end_chunk(_t322_principal_len);
                        flick_iiop_decode_end_glob(_t322_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_l);
                        _ev = &_t323_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2_op12(_obj, _local_l, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t165_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t165_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t165_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t166_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t166_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t166_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex2 _obj;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_octet *_local_o;
                  CORBA_Environment *_ev;
                  CORBA_char _return = 0;
                  unsigned int _t167_principal_len;
                  CORBA_boolean _t168_storage;
                  CORBA_octet _t169_storage;
                  CORBA_Environment _t170_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t167_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t167_principal_len);
                  flick_iiop_decode_new_chunk(_t167_principal_len);
                  flick_iiop_decode_end_chunk(_t167_principal_len);
                  flick_iiop_decode_end_glob(_t167_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(2);
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_decode_char8(0, _local_c);
                  _local_b = &_t168_storage;
                  _local_o = &_t169_storage;
                  flick_cdr_decode_unsigned8(1, *_local_o);
                  _ev = &_t170_storage;
                  flick_iiop_decode_end_chunk(2);
                  flick_iiop_decode_end_glob(2);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(7);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(3);
                        flick_cdr_encode_char8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_b);
                        flick_cdr_encode_unsigned8(2, *_local_o);
                        flick_iiop_encode_end_chunk(3);
                        flick_iiop_encode_end_glob(7);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(7);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(7);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex2 _obj;
                  CORBA_boolean *_local_b;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_boolean _return = 0;
                  unsigned int _t171_principal_len;
                  CORBA_boolean _t172_storage;
                  CORBA_Environment _t173_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t171_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t171_principal_len);
                  flick_iiop_decode_new_chunk(_t171_principal_len);
                  flick_iiop_decode_end_chunk(_t171_principal_len);
                  flick_iiop_decode_end_glob(_t171_principal_len);
                  /* Begin decode phase on parameters */
                  _local_b = &_t172_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o);
                  _ev = &_t173_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(6);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_unsigned8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_b);
                        flick_iiop_encode_end_chunk(2);
                        flick_iiop_encode_end_glob(6);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(6);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(6);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex2 _obj;
                  CORBA_octet *_local_o;
                  CORBA_char **_local_s;
                  CORBA_char *_local_ls;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_octet _return = 0;
                  unsigned int _t174_principal_len;
                  CORBA_octet _t175_storage;
                  CORBA_char *_t176_storage;
                  CORBA_long _t177_storage;
                  CORBA_Environment _t178_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t174_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t174_principal_len);
                  flick_iiop_decode_new_chunk(_t174_principal_len);
                  flick_iiop_decode_end_chunk(_t174_principal_len);
                  flick_iiop_decode_end_glob(_t174_principal_len);
                  /* Begin decode phase on parameters */
                  _local_o = &_t175_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, *_local_o);
                  _local_s = &_t176_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_cdr_decode_auto_string(_local_ls, auto_flick_alloc, iiop);
                  _local_l = &_t177_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_signed32(0, *_local_l);
                  _ev = &_t178_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(6);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_unsigned8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_o);
                        flick_iiop_encode_end_chunk(2);
                        flick_iiop_encode_end_glob(6);
                        flick_cdr_encode_longstring(*_local_s, CORBA_flick_free, iiop);
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_encode_signed32(0, *_local_l);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(7);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(6);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(6);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex2 _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t179_principal_len;
                  CORBA_Environment _t180_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t179_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t179_principal_len);
                  flick_iiop_decode_new_chunk(_t179_principal_len);
                  flick_iiop_decode_end_chunk(_t179_principal_len);
                  flick_iiop_decode_end_glob(_t179_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t180_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  ex2_op0(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex2 _obj;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_float _return = 0.000000;
                  unsigned int _t181_principal_len;
                  CORBA_double _t182_storage;
                  CORBA_long _t183_storage;
                  CORBA_Environment _t184_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t181_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t181_principal_len);
                  flick_iiop_decode_new_chunk(_t181_principal_len);
                  flick_iiop_decode_end_chunk(_t181_principal_len);
                  flick_iiop_decode_end_glob(_t181_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_decode_float32(0, _local_f);
                  _local_d = &_t182_storage;
                  _local_l = &_t183_storage;
                  flick_cdr_decode_signed32(4, *_local_l);
                  _ev = &_t184_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(24);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_float32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_new_chunk_align(12, 3, 2, 0);
                        flick_cdr_encode_float64(0, *_local_d);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(24);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(24);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(24);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex2 _obj;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_short *_local_s;
                  CORBA_Environment *_ev;
                  CORBA_double _return = 0.000000;
                  unsigned int _t185_principal_len;
                  CORBA_long _t186_storage;
                  CORBA_short _t187_storage;
                  CORBA_Environment _t188_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t185_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t185_principal_len);
                  flick_iiop_decode_new_chunk(_t185_principal_len);
                  flick_iiop_decode_end_chunk(_t185_principal_len);
                  flick_iiop_decode_end_glob(_t185_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(17);
                  flick_iiop_decode_new_chunk_align(10, 3, 0, 0);
                  flick_cdr_decode_float64(0, _local_d);
                  _local_l = &_t186_storage;
                  _local_s = &_t187_storage;
                  flick_cdr_decode_signed16(8, *_local_s);
                  _ev = &_t188_storage;
                  flick_iiop_decode_end_chunk(10);
                  flick_iiop_decode_end_glob(17);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(22);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk_align(14, 3, 2, 0);
                        flick_cdr_encode_float64(0, _return);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_cdr_encode_signed16(12, *_local_s);
                        flick_iiop_encode_end_chunk(14);
                        flick_iiop_encode_end_glob(22);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(22);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(22);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex2 _obj;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t189_principal_len;
                  CORBA_short _t190_storage;
                  CORBA_unsigned_long _t191_storage;
                  CORBA_Environment _t192_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t189_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t189_principal_len);
                  flick_iiop_decode_new_chunk(_t189_principal_len);
                  flick_iiop_decode_end_chunk(_t189_principal_len);
                  flick_iiop_decode_end_glob(_t189_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_l);
                  _local_s = &_t190_storage;
                  _local_ul = &_t191_storage;
                  flick_cdr_decode_unsigned32(4, *_local_ul);
                  _ev = &_t192_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(16);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return);
                        flick_cdr_encode_signed16(4, *_local_s);
                        flick_cdr_encode_unsigned32(8, *_local_ul);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(16);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(16);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(16);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex2 _obj;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short *_local_us;
                  CORBA_Environment *_ev;
                  CORBA_short _return = 0;
                  unsigned int _t193_principal_len;
                  CORBA_unsigned_long _t194_storage;
                  CORBA_unsigned_short _t195_storage;
                  CORBA_Environment _t196_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t193_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t193_principal_len);
                  flick_iiop_decode_new_chunk(_t193_principal_len);
                  flick_iiop_decode_end_chunk(_t193_principal_len);
                  flick_iiop_decode_end_glob(_t193_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(5);
                  flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                  flick_cdr_decode_signed16(0, _local_s);
                  _local_ul = &_t194_storage;
                  _local_us = &_t195_storage;
                  flick_cdr_decode_unsigned16(2, *_local_us);
                  _ev = &_t196_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(5);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(14);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(10);
                        flick_cdr_encode_signed16(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_unsigned16(8, *_local_us);
                        flick_iiop_encode_end_chunk(10);
                        flick_iiop_encode_end_glob(14);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(14);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(14);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex2 _obj;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_long _return = 0;
                  unsigned int _t197_principal_len;
                  CORBA_unsigned_long _t198_storage;
                  CORBA_char _t199_storage;
                  CORBA_Environment _t200_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t197_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t197_principal_len);
                  flick_iiop_decode_new_chunk(_t197_principal_len);
                  flick_iiop_decode_end_chunk(_t197_principal_len);
                  flick_iiop_decode_end_glob(_t197_principal_len);
                  /* Begin decode phase on parameters */
                  _local_ul = &_t198_storage;
                  flick_iiop_decode_new_glob(10);
                  flick_iiop_decode_new_chunk_align(7, 2, 0, 0);
                  flick_cdr_decode_unsigned32(0, *_local_ul);
                  flick_cdr_decode_unsigned16(4, _local_us);
                  _local_c = &_t199_storage;
                  flick_cdr_decode_unsigned8(6, _local_b);
                  _ev = &_t200_storage;
                  flick_iiop_decode_end_chunk(7);
                  flick_iiop_decode_end_glob(10);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(13);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(9);
                        flick_cdr_encode_unsigned32(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_char8(8, *_local_c);
                        flick_iiop_encode_end_chunk(9);
                        flick_iiop_encode_end_glob(13);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(13);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(13);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex2 _obj;
                  CORBA_unsigned_short *_local_us;
                  CORBA_char *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_short _return = 0;
                  unsigned int _t201_principal_len;
                  CORBA_unsigned_short _t202_storage;
                  CORBA_char _t203_storage;
                  CORBA_Environment _t204_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t201_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t201_principal_len);
                  flick_iiop_decode_new_chunk(_t201_principal_len);
                  flick_iiop_decode_end_chunk(_t201_principal_len);
                  flick_iiop_decode_end_glob(_t201_principal_len);
                  /* Begin decode phase on parameters */
                  _local_us = &_t202_storage;
                  _local_c = &_t203_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c);
                  _ev = &_t204_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(9);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(5);
                        flick_cdr_encode_unsigned16(0, _return);
                        flick_cdr_encode_unsigned16(2, *_local_us);
                        flick_cdr_encode_char8(4, *_local_c);
                        flick_iiop_encode_end_chunk(5);
                        flick_iiop_encode_end_glob(9);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(9);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(9);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t205_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t205_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t205_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t206_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t206_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t206_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_char *_local_s;
                        CORBA_char **_local_ls;
                        CORBA_Environment *_ev;
                        CORBA_char *_return = 0;
                        unsigned int _t207_principal_len;
                        CORBA_char *_t208_storage;
                        CORBA_Environment _t209_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t207_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t207_principal_len);
                        flick_iiop_decode_new_chunk(_t207_principal_len);
                        flick_iiop_decode_end_chunk(_t207_principal_len);
                        flick_iiop_decode_end_glob(_t207_principal_len);
                        /* Begin decode phase on parameters */
                        flick_cdr_decode_auto_string(_local_s, auto_flick_alloc, iiop);
                        _local_ls = &_t208_storage;
                        _ev = &_t209_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                              flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t210_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t210_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t210_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_char **_local_ls;
                        CORBA_long *_local_l;
                        CORBA_Environment *_ev;
                        CORBA_char *_return = 0;
                        unsigned int _t211_principal_len;
                        CORBA_char *_t212_storage;
                        CORBA_long _t213_storage;
                        CORBA_Environment _t214_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t211_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t211_principal_len);
                        flick_iiop_decode_new_chunk(_t211_principal_len);
                        flick_iiop_decode_end_chunk(_t211_principal_len);
                        flick_iiop_decode_end_glob(_t211_principal_len);
                        /* Begin decode phase on parameters */
                        _local_ls = &_t212_storage;
                        flick_cdr_decode_string(*_local_ls, CORBA_flick_alloc, iiop, 10);
                        _local_l = &_t213_storage;
                        _ev = &_t214_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                              flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_encode_signed32(0, *_local_l);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t215_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t215_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t215_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t216_principal_len;
                        CORBA_Environment _t217_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t216_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t216_principal_len);
                        flick_iiop_decode_new_chunk(_t216_principal_len);
                        flick_iiop_decode_end_chunk(_t216_principal_len);
                        flick_iiop_decode_end_glob(_t216_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_l);
                        _ev = &_t217_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2_op12(_obj, _local_l, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_ex3(flick_marshal_stream_t _stream, const ex3 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_ex3(flick_marshal_stream_t _stream, ex3 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_ex3_swap(flick_marshal_stream_t _stream, ex3 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t ex3_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t567_switch_tag;

    flick_iiop_decode_new_glob(40);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t567_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t567_switch_tag)
      {
      case (unsigned int) 21:
        {
          unsigned int _t568_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t568_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t568_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t569_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t569_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t569_switch_tag)
                  {
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t570_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t570_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t570_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t571_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t571_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t571_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t572_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t572_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t572_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t573_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t573_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t573_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                unsigned int _t574_principal_len;
                                                CORBA_Environment _t575_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t574_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t574_principal_len);
                                                flick_iiop_decode_new_chunk(_t574_principal_len);
                                                flick_iiop_decode_end_chunk(_t574_principal_len);
                                                flick_iiop_decode_end_glob(_t574_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t575_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex3__get_float_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(8);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_float32(0, _return);
                                                      flick_iiop_encode_end_chunk(4);
                                                      flick_iiop_encode_end_glob(8);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(8);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(8);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t576_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t576_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t576_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t577_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t577_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t577_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t578_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t578_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t578_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t579_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t579_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t579_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                unsigned int _t580_principal_len;
                                                CORBA_Environment _t581_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t580_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t580_principal_len);
                                                flick_iiop_decode_new_chunk(_t580_principal_len);
                                                flick_iiop_decode_end_chunk(_t580_principal_len);
                                                flick_iiop_decode_end_glob(_t580_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t581_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex3__get_short_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(6);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(2);
                                                      flick_cdr_encode_signed16(0, _return);
                                                      flick_iiop_encode_end_chunk(2);
                                                      flick_iiop_encode_end_glob(6);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(6);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(6);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t582_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t582_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t582_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t583_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t583_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t583_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t584_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t584_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t584_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t585_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t585_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t585_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t586_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t586_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t586_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                unsigned int _t587_principal_len;
                                                CORBA_Environment _t588_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t587_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t587_principal_len);
                                                flick_iiop_decode_new_chunk(_t587_principal_len);
                                                flick_iiop_decode_end_chunk(_t587_principal_len);
                                                flick_iiop_decode_end_glob(_t587_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiop_decode_new_glob(3);
                                                flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_cdr_swap_decode_signed16(0, _local_short_attribute);
                                                _ev = &_t588_storage;
                                                flick_iiop_decode_end_chunk(2);
                                                flick_iiop_decode_end_glob(3);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t589_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t589_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t589_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t590_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t590_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t590_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t591_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t591_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t591_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t592_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t592_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t592_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t593_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t593_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t593_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t594_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t594_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t594_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_double _return = 0.000000;
                                                unsigned int _t595_principal_len;
                                                CORBA_Environment _t596_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t595_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t595_principal_len);
                                                flick_iiop_decode_new_chunk(_t595_principal_len);
                                                flick_iiop_decode_end_chunk(_t595_principal_len);
                                                flick_iiop_decode_end_glob(_t595_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t596_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex3__get_double_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                      flick_cdr_encode_float64(0, _return);
                                                      flick_iiop_encode_end_chunk(8);
                                                      flick_iiop_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t597_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t597_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t597_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t598_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t598_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t598_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t599_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t599_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t599_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t600_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t600_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t600_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t601_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t601_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t601_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                unsigned int _t602_principal_len;
                                                CORBA_Environment _t603_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t602_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t602_principal_len);
                                                flick_iiop_decode_new_chunk(_t602_principal_len);
                                                flick_iiop_decode_end_chunk(_t602_principal_len);
                                                flick_iiop_decode_end_glob(_t602_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiop_decode_new_glob(15);
                                                flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_cdr_swap_decode_float64(0, _local_double_attribute);
                                                _ev = &_t603_storage;
                                                flick_iiop_decode_end_chunk(8);
                                                flick_iiop_decode_end_glob(15);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t604_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t604_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t604_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t605_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t605_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t605_switch_tag)
                  {
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t606_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t606_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t606_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t607_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t607_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t607_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t608_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t608_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t608_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex3 _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          unsigned int _t609_principal_len;
                                          CORBA_Environment _t610_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t609_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(40);
                                          flick_iiop_decode_new_glob(_t609_principal_len);
                                          flick_iiop_decode_new_chunk(_t609_principal_len);
                                          flick_iiop_decode_end_chunk(_t609_principal_len);
                                          flick_iiop_decode_end_glob(_t609_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t610_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex3__get_long_attribute(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(8);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return);
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(8);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(8);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(8);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t611_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t611_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t611_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t612_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t612_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t612_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t613_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t613_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t613_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t614_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t614_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t614_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t615_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t615_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t615_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t616_switch_tag;

                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t616_switch_tag);
                                        flick_iiop_decode_end_chunk(4);
                                        switch ((unsigned int )_t616_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t617_switch_tag;

                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t617_switch_tag);
                                              flick_iiop_decode_end_chunk(4);
                                              switch ((unsigned int )_t617_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t618_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t618_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch ((char )_t618_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex3 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_unsigned_long _return = 0;
                                                            unsigned int _t619_principal_len;
                                                            CORBA_Environment _t620_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                            flick_iiop_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_unsigned32(3, _t619_principal_len);
                                                            flick_iiop_decode_end_chunk(7);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_iiop_decode_new_glob(_t619_principal_len);
                                                            flick_iiop_decode_new_chunk(_t619_principal_len);
                                                            flick_iiop_decode_end_chunk(_t619_principal_len);
                                                            flick_iiop_decode_end_glob(_t619_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _ev = &_t620_storage;
                                                            flick_iiop_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_unsigned32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  flick_iiop_encode_end_glob(8);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                  flick_iiop_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t621_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t621_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t621_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex3 _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t622_principal_len;
                  CORBA_Environment _t623_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t622_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t622_principal_len);
                  flick_iiop_decode_new_chunk(_t622_principal_len);
                  flick_iiop_decode_end_chunk(_t622_principal_len);
                  flick_iiop_decode_end_glob(_t622_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t623_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  ex3_op0(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex3 _obj;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_float _return = 0.000000;
                  unsigned int _t624_principal_len;
                  CORBA_double _t625_storage;
                  CORBA_long _t626_storage;
                  CORBA_Environment _t627_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t624_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t624_principal_len);
                  flick_iiop_decode_new_chunk(_t624_principal_len);
                  flick_iiop_decode_end_chunk(_t624_principal_len);
                  flick_iiop_decode_end_glob(_t624_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_swap_decode_float32(0, _local_f);
                  _local_d = &_t625_storage;
                  _local_l = &_t626_storage;
                  flick_cdr_swap_decode_signed32(4, *_local_l);
                  _ev = &_t627_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(24);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_float32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_new_chunk_align(12, 3, 2, 0);
                        flick_cdr_encode_float64(0, *_local_d);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(24);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(24);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(24);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex3 _obj;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_short *_local_s;
                  CORBA_Environment *_ev;
                  CORBA_double _return = 0.000000;
                  unsigned int _t628_principal_len;
                  CORBA_long _t629_storage;
                  CORBA_short _t630_storage;
                  CORBA_Environment _t631_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t628_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t628_principal_len);
                  flick_iiop_decode_new_chunk(_t628_principal_len);
                  flick_iiop_decode_end_chunk(_t628_principal_len);
                  flick_iiop_decode_end_glob(_t628_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(17);
                  flick_iiop_decode_new_chunk_align(10, 3, 0, 0);
                  flick_cdr_swap_decode_float64(0, _local_d);
                  _local_l = &_t629_storage;
                  _local_s = &_t630_storage;
                  flick_cdr_swap_decode_signed16(8, *_local_s);
                  _ev = &_t631_storage;
                  flick_iiop_decode_end_chunk(10);
                  flick_iiop_decode_end_glob(17);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(22);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk_align(14, 3, 2, 0);
                        flick_cdr_encode_float64(0, _return);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_cdr_encode_signed16(12, *_local_s);
                        flick_iiop_encode_end_chunk(14);
                        flick_iiop_encode_end_glob(22);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(22);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(22);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex3 _obj;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t632_principal_len;
                  CORBA_short _t633_storage;
                  CORBA_unsigned_long _t634_storage;
                  CORBA_Environment _t635_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t632_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t632_principal_len);
                  flick_iiop_decode_new_chunk(_t632_principal_len);
                  flick_iiop_decode_end_chunk(_t632_principal_len);
                  flick_iiop_decode_end_glob(_t632_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_l);
                  _local_s = &_t633_storage;
                  _local_ul = &_t634_storage;
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul);
                  _ev = &_t635_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(16);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return);
                        flick_cdr_encode_signed16(4, *_local_s);
                        flick_cdr_encode_unsigned32(8, *_local_ul);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(16);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(16);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(16);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex3 _obj;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short *_local_us;
                  CORBA_Environment *_ev;
                  CORBA_short _return = 0;
                  unsigned int _t636_principal_len;
                  CORBA_unsigned_long _t637_storage;
                  CORBA_unsigned_short _t638_storage;
                  CORBA_Environment _t639_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t636_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t636_principal_len);
                  flick_iiop_decode_new_chunk(_t636_principal_len);
                  flick_iiop_decode_end_chunk(_t636_principal_len);
                  flick_iiop_decode_end_glob(_t636_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(5);
                  flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                  flick_cdr_swap_decode_signed16(0, _local_s);
                  _local_ul = &_t637_storage;
                  _local_us = &_t638_storage;
                  flick_cdr_swap_decode_unsigned16(2, *_local_us);
                  _ev = &_t639_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(5);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(14);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(10);
                        flick_cdr_encode_signed16(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_unsigned16(8, *_local_us);
                        flick_iiop_encode_end_chunk(10);
                        flick_iiop_encode_end_glob(14);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(14);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(14);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex3 _obj;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_long _return = 0;
                  unsigned int _t640_principal_len;
                  CORBA_unsigned_long _t641_storage;
                  CORBA_char _t642_storage;
                  CORBA_Environment _t643_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t640_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t640_principal_len);
                  flick_iiop_decode_new_chunk(_t640_principal_len);
                  flick_iiop_decode_end_chunk(_t640_principal_len);
                  flick_iiop_decode_end_glob(_t640_principal_len);
                  /* Begin decode phase on parameters */
                  _local_ul = &_t641_storage;
                  flick_iiop_decode_new_glob(10);
                  flick_iiop_decode_new_chunk_align(7, 2, 0, 0);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul);
                  flick_cdr_swap_decode_unsigned16(4, _local_us);
                  _local_c = &_t642_storage;
                  flick_cdr_swap_decode_unsigned8(6, _local_b);
                  _ev = &_t643_storage;
                  flick_iiop_decode_end_chunk(7);
                  flick_iiop_decode_end_glob(10);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(13);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(9);
                        flick_cdr_encode_unsigned32(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_char8(8, *_local_c);
                        flick_iiop_encode_end_chunk(9);
                        flick_iiop_encode_end_glob(13);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(13);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(13);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex3 _obj;
                  CORBA_unsigned_short *_local_us;
                  CORBA_char *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_short _return = 0;
                  unsigned int _t644_principal_len;
                  CORBA_unsigned_short _t645_storage;
                  CORBA_char _t646_storage;
                  CORBA_Environment _t647_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t644_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t644_principal_len);
                  flick_iiop_decode_new_chunk(_t644_principal_len);
                  flick_iiop_decode_end_chunk(_t644_principal_len);
                  flick_iiop_decode_end_glob(_t644_principal_len);
                  /* Begin decode phase on parameters */
                  _local_us = &_t645_storage;
                  _local_c = &_t646_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c);
                  _ev = &_t647_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(9);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(5);
                        flick_cdr_encode_unsigned16(0, _return);
                        flick_cdr_encode_unsigned16(2, *_local_us);
                        flick_cdr_encode_char8(4, *_local_c);
                        flick_iiop_encode_end_chunk(5);
                        flick_iiop_encode_end_glob(9);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(9);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(9);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t405_switch_tag;

    flick_iiop_decode_new_glob(40);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t405_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t405_switch_tag)
      {
      case (unsigned int) 21:
        {
          unsigned int _t406_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t406_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t406_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t407_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t407_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t407_switch_tag)
                  {
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t408_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t408_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t408_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t409_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t409_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t409_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t410_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t410_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t410_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t411_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t411_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t411_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                unsigned int _t412_principal_len;
                                                CORBA_Environment _t413_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t412_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t412_principal_len);
                                                flick_iiop_decode_new_chunk(_t412_principal_len);
                                                flick_iiop_decode_end_chunk(_t412_principal_len);
                                                flick_iiop_decode_end_glob(_t412_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t413_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex3__get_float_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(8);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_float32(0, _return);
                                                      flick_iiop_encode_end_chunk(4);
                                                      flick_iiop_encode_end_glob(8);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(8);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(8);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t414_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t414_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t414_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t415_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t415_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t415_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t416_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t416_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t416_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t417_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t417_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t417_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                unsigned int _t418_principal_len;
                                                CORBA_Environment _t419_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t418_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t418_principal_len);
                                                flick_iiop_decode_new_chunk(_t418_principal_len);
                                                flick_iiop_decode_end_chunk(_t418_principal_len);
                                                flick_iiop_decode_end_glob(_t418_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t419_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex3__get_short_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(6);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(2);
                                                      flick_cdr_encode_signed16(0, _return);
                                                      flick_iiop_encode_end_chunk(2);
                                                      flick_iiop_encode_end_glob(6);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(6);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(6);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t420_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t420_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t420_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t421_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t421_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t421_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t422_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t422_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t422_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t423_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t423_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t423_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t424_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t424_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t424_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                unsigned int _t425_principal_len;
                                                CORBA_Environment _t426_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t425_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t425_principal_len);
                                                flick_iiop_decode_new_chunk(_t425_principal_len);
                                                flick_iiop_decode_end_chunk(_t425_principal_len);
                                                flick_iiop_decode_end_glob(_t425_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiop_decode_new_glob(3);
                                                flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_cdr_decode_signed16(0, _local_short_attribute);
                                                _ev = &_t426_storage;
                                                flick_iiop_decode_end_chunk(2);
                                                flick_iiop_decode_end_glob(3);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t427_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t427_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t427_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t428_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t428_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t428_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t429_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t429_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t429_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t430_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t430_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t430_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t431_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t431_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t431_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t432_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t432_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t432_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_double _return = 0.000000;
                                                unsigned int _t433_principal_len;
                                                CORBA_Environment _t434_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t433_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t433_principal_len);
                                                flick_iiop_decode_new_chunk(_t433_principal_len);
                                                flick_iiop_decode_end_chunk(_t433_principal_len);
                                                flick_iiop_decode_end_glob(_t433_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t434_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex3__get_double_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                      flick_cdr_encode_float64(0, _return);
                                                      flick_iiop_encode_end_chunk(8);
                                                      flick_iiop_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t435_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t435_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t435_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t436_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t436_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t436_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t437_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t437_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t437_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t438_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t438_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t438_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t439_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t439_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t439_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                unsigned int _t440_principal_len;
                                                CORBA_Environment _t441_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t440_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t440_principal_len);
                                                flick_iiop_decode_new_chunk(_t440_principal_len);
                                                flick_iiop_decode_end_chunk(_t440_principal_len);
                                                flick_iiop_decode_end_glob(_t440_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiop_decode_new_glob(15);
                                                flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_cdr_decode_float64(0, _local_double_attribute);
                                                _ev = &_t441_storage;
                                                flick_iiop_decode_end_chunk(8);
                                                flick_iiop_decode_end_glob(15);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t442_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t442_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t442_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t443_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t443_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t443_switch_tag)
                  {
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t444_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t444_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t444_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t445_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t445_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t445_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t446_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t446_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t446_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex3 _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          unsigned int _t447_principal_len;
                                          CORBA_Environment _t448_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t447_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(40);
                                          flick_iiop_decode_new_glob(_t447_principal_len);
                                          flick_iiop_decode_new_chunk(_t447_principal_len);
                                          flick_iiop_decode_end_chunk(_t447_principal_len);
                                          flick_iiop_decode_end_glob(_t447_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t448_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex3__get_long_attribute(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(8);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return);
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(8);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(8);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(8);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t449_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t449_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t449_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t450_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t450_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t450_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t451_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t451_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t451_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t452_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t452_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t452_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t453_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t453_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t453_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t454_switch_tag;

                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t454_switch_tag);
                                        flick_iiop_decode_end_chunk(4);
                                        switch ((unsigned int )_t454_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t455_switch_tag;

                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t455_switch_tag);
                                              flick_iiop_decode_end_chunk(4);
                                              switch ((unsigned int )_t455_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t456_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t456_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch ((char )_t456_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex3 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_unsigned_long _return = 0;
                                                            unsigned int _t457_principal_len;
                                                            CORBA_Environment _t458_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                            flick_iiop_decode_new_chunk(7);
                                                            flick_cdr_decode_unsigned32(3, _t457_principal_len);
                                                            flick_iiop_decode_end_chunk(7);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_iiop_decode_new_glob(_t457_principal_len);
                                                            flick_iiop_decode_new_chunk(_t457_principal_len);
                                                            flick_iiop_decode_end_chunk(_t457_principal_len);
                                                            flick_iiop_decode_end_glob(_t457_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _ev = &_t458_storage;
                                                            flick_iiop_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_unsigned32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  flick_iiop_encode_end_glob(8);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                  flick_iiop_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t459_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t459_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t459_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex3 _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t460_principal_len;
                  CORBA_Environment _t461_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t460_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t460_principal_len);
                  flick_iiop_decode_new_chunk(_t460_principal_len);
                  flick_iiop_decode_end_chunk(_t460_principal_len);
                  flick_iiop_decode_end_glob(_t460_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t461_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  ex3_op0(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex3 _obj;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_float _return = 0.000000;
                  unsigned int _t462_principal_len;
                  CORBA_double _t463_storage;
                  CORBA_long _t464_storage;
                  CORBA_Environment _t465_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t462_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t462_principal_len);
                  flick_iiop_decode_new_chunk(_t462_principal_len);
                  flick_iiop_decode_end_chunk(_t462_principal_len);
                  flick_iiop_decode_end_glob(_t462_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_decode_float32(0, _local_f);
                  _local_d = &_t463_storage;
                  _local_l = &_t464_storage;
                  flick_cdr_decode_signed32(4, *_local_l);
                  _ev = &_t465_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(24);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_float32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_new_chunk_align(12, 3, 2, 0);
                        flick_cdr_encode_float64(0, *_local_d);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(24);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(24);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(24);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex3 _obj;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_short *_local_s;
                  CORBA_Environment *_ev;
                  CORBA_double _return = 0.000000;
                  unsigned int _t466_principal_len;
                  CORBA_long _t467_storage;
                  CORBA_short _t468_storage;
                  CORBA_Environment _t469_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t466_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t466_principal_len);
                  flick_iiop_decode_new_chunk(_t466_principal_len);
                  flick_iiop_decode_end_chunk(_t466_principal_len);
                  flick_iiop_decode_end_glob(_t466_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(17);
                  flick_iiop_decode_new_chunk_align(10, 3, 0, 0);
                  flick_cdr_decode_float64(0, _local_d);
                  _local_l = &_t467_storage;
                  _local_s = &_t468_storage;
                  flick_cdr_decode_signed16(8, *_local_s);
                  _ev = &_t469_storage;
                  flick_iiop_decode_end_chunk(10);
                  flick_iiop_decode_end_glob(17);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(22);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk_align(14, 3, 2, 0);
                        flick_cdr_encode_float64(0, _return);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_cdr_encode_signed16(12, *_local_s);
                        flick_iiop_encode_end_chunk(14);
                        flick_iiop_encode_end_glob(22);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(22);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(22);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex3 _obj;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t470_principal_len;
                  CORBA_short _t471_storage;
                  CORBA_unsigned_long _t472_storage;
                  CORBA_Environment _t473_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t470_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t470_principal_len);
                  flick_iiop_decode_new_chunk(_t470_principal_len);
                  flick_iiop_decode_end_chunk(_t470_principal_len);
                  flick_iiop_decode_end_glob(_t470_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_l);
                  _local_s = &_t471_storage;
                  _local_ul = &_t472_storage;
                  flick_cdr_decode_unsigned32(4, *_local_ul);
                  _ev = &_t473_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(16);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return);
                        flick_cdr_encode_signed16(4, *_local_s);
                        flick_cdr_encode_unsigned32(8, *_local_ul);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(16);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(16);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(16);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex3 _obj;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short *_local_us;
                  CORBA_Environment *_ev;
                  CORBA_short _return = 0;
                  unsigned int _t474_principal_len;
                  CORBA_unsigned_long _t475_storage;
                  CORBA_unsigned_short _t476_storage;
                  CORBA_Environment _t477_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t474_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t474_principal_len);
                  flick_iiop_decode_new_chunk(_t474_principal_len);
                  flick_iiop_decode_end_chunk(_t474_principal_len);
                  flick_iiop_decode_end_glob(_t474_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(5);
                  flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                  flick_cdr_decode_signed16(0, _local_s);
                  _local_ul = &_t475_storage;
                  _local_us = &_t476_storage;
                  flick_cdr_decode_unsigned16(2, *_local_us);
                  _ev = &_t477_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(5);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(14);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(10);
                        flick_cdr_encode_signed16(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_unsigned16(8, *_local_us);
                        flick_iiop_encode_end_chunk(10);
                        flick_iiop_encode_end_glob(14);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(14);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(14);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex3 _obj;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_long _return = 0;
                  unsigned int _t478_principal_len;
                  CORBA_unsigned_long _t479_storage;
                  CORBA_char _t480_storage;
                  CORBA_Environment _t481_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t478_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t478_principal_len);
                  flick_iiop_decode_new_chunk(_t478_principal_len);
                  flick_iiop_decode_end_chunk(_t478_principal_len);
                  flick_iiop_decode_end_glob(_t478_principal_len);
                  /* Begin decode phase on parameters */
                  _local_ul = &_t479_storage;
                  flick_iiop_decode_new_glob(10);
                  flick_iiop_decode_new_chunk_align(7, 2, 0, 0);
                  flick_cdr_decode_unsigned32(0, *_local_ul);
                  flick_cdr_decode_unsigned16(4, _local_us);
                  _local_c = &_t480_storage;
                  flick_cdr_decode_unsigned8(6, _local_b);
                  _ev = &_t481_storage;
                  flick_iiop_decode_end_chunk(7);
                  flick_iiop_decode_end_glob(10);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(13);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(9);
                        flick_cdr_encode_unsigned32(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_char8(8, *_local_c);
                        flick_iiop_encode_end_chunk(9);
                        flick_iiop_encode_end_glob(13);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(13);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(13);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex3 _obj;
                  CORBA_unsigned_short *_local_us;
                  CORBA_char *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_short _return = 0;
                  unsigned int _t482_principal_len;
                  CORBA_unsigned_short _t483_storage;
                  CORBA_char _t484_storage;
                  CORBA_Environment _t485_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t482_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t482_principal_len);
                  flick_iiop_decode_new_chunk(_t482_principal_len);
                  flick_iiop_decode_end_chunk(_t482_principal_len);
                  flick_iiop_decode_end_glob(_t482_principal_len);
                  /* Begin decode phase on parameters */
                  _local_us = &_t483_storage;
                  _local_c = &_t484_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c);
                  _ev = &_t485_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(9);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(5);
                        flick_cdr_encode_unsigned16(0, _return);
                        flick_cdr_encode_unsigned16(2, *_local_us);
                        flick_cdr_encode_char8(4, *_local_c);
                        flick_iiop_encode_end_chunk(5);
                        flick_iiop_encode_end_glob(9);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(9);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(9);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(40);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_ex4(flick_marshal_stream_t _stream, const ex4 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_ex4(flick_marshal_stream_t _stream, ex4 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_ex4_swap(flick_marshal_stream_t _stream, ex4 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t ex4_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t1167_switch_tag;

    flick_iiop_decode_new_glob(40);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t1167_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t1167_switch_tag)
      {
      case (unsigned int) 30:
        {
          unsigned int _t1168_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1168_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1168_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1169_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1169_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1169_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1170_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1170_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1170_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1171_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1171_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1171_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t1172_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1172_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1172_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t1173_switch_tag;

                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1173_switch_tag);
                                        flick_iiop_decode_end_chunk(4);
                                        switch ((unsigned int )_t1173_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1174_switch_tag;

                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1174_switch_tag);
                                              flick_iiop_decode_end_chunk(4);
                                              switch ((unsigned int )_t1174_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1175_switch_tag;

                                                    flick_iiop_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1175_switch_tag);
                                                    flick_iiop_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1175_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_unsigned_short _return = 0;
                                                            unsigned int _t1176_principal_len;
                                                            CORBA_Environment _t1177_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1176_principal_len);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_iiop_decode_new_glob(_t1176_principal_len);
                                                            flick_iiop_decode_new_chunk(_t1176_principal_len);
                                                            flick_iiop_decode_end_chunk(_t1176_principal_len);
                                                            flick_iiop_decode_end_glob(_t1176_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _ev = &_t1177_storage;
                                                            flick_iiop_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(6);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(2);
                                                                  flick_cdr_encode_unsigned16(0, _return);
                                                                  flick_iiop_encode_end_chunk(2);
                                                                  flick_iiop_encode_end_glob(6);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_iiop_encode_end_glob(6);
                                                                  flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                  flick_iiop_encode_end_glob(6);
                                                                }
                                                              }
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lim */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600940397):
                    {
                      unsigned int _t1178_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1178_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1178_switch_tag)
                        {
                        case /* ited */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769235812):
                          {
                            unsigned int _t1179_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1179_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1179_switch_tag)
                              {
                              case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                                {
                                  unsigned int _t1180_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1180_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1180_switch_tag)
                                    {
                                    case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                                      {
                                        unsigned int _t1181_switch_tag;

                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1181_switch_tag);
                                        flick_iiop_decode_end_chunk(4);
                                        switch ((unsigned int )_t1181_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1182_switch_tag;

                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1182_switch_tag);
                                              flick_iiop_decode_end_chunk(4);
                                              switch ((unsigned int )_t1182_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1183_switch_tag;

                                                    flick_iiop_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1183_switch_tag);
                                                    flick_iiop_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1183_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_char *_return = 0;
                                                            unsigned int _t1184_principal_len;
                                                            CORBA_Environment _t1185_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1184_principal_len);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_iiop_decode_new_glob(_t1184_principal_len);
                                                            flick_iiop_decode_new_chunk(_t1184_principal_len);
                                                            flick_iiop_decode_end_chunk(_t1184_principal_len);
                                                            flick_iiop_decode_end_glob(_t1184_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _ev = &_t1185_storage;
                                                            flick_iiop_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                  flick_iiop_encode_end_glob(4);
                                                                }
                                                              }
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1186_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1186_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1186_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1187_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1187_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1187_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1188_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1188_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1188_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t1189_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1189_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1189_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t1190_switch_tag;

                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1190_switch_tag);
                                        flick_iiop_decode_end_chunk(4);
                                        switch ((unsigned int )_t1190_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1191_switch_tag;

                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1191_switch_tag);
                                              flick_iiop_decode_end_chunk(4);
                                              switch ((unsigned int )_t1191_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1192_switch_tag;

                                                    flick_iiop_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1192_switch_tag);
                                                    flick_iiop_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1192_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            CORBA_unsigned_short _local_unsigned_short_attribute;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t1193_principal_len;
                                                            CORBA_Environment _t1194_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1193_principal_len);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_iiop_decode_new_glob(_t1193_principal_len);
                                                            flick_iiop_decode_new_chunk(_t1193_principal_len);
                                                            flick_iiop_decode_end_chunk(_t1193_principal_len);
                                                            flick_iiop_decode_end_glob(_t1193_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            flick_iiop_decode_new_glob(3);
                                                            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                                                            flick_cdr_swap_decode_unsigned16(0, _local_unsigned_short_attribute);
                                                            _ev = &_t1194_storage;
                                                            flick_iiop_decode_end_chunk(2);
                                                            flick_iiop_decode_end_glob(3);
                                                            flick_iiop_server_end_decode();
                                                            flick_corba_init_environment();
                                                            ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_end_glob(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                  flick_iiop_encode_end_glob(4);
                                                                }
                                                              }
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t1195_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1195_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1195_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1196_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1196_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1196_switch_tag)
                  {
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned int _t1197_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1197_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1197_switch_tag)
                        {
                        case /* r_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1918853492):
                          {
                            unsigned int _t1198_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1198_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1198_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t1199_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1199_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1199_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char _return = 0;
                                          unsigned int _t1200_principal_len;
                                          CORBA_Environment _t1201_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1200_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(40);
                                          flick_iiop_decode_new_glob(_t1200_principal_len);
                                          flick_iiop_decode_new_chunk(_t1200_principal_len);
                                          flick_iiop_decode_end_chunk(_t1200_principal_len);
                                          flick_iiop_decode_end_glob(_t1200_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t1201_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex4__get_char_attribute(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(5);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _return);
                                                flick_iiop_encode_end_chunk(1);
                                                flick_iiop_encode_end_glob(5);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(5);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(5);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t1202_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1202_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1202_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t1203_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1203_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1203_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t1204_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1204_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1204_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          unsigned int _t1205_principal_len;
                                          CORBA_Environment _t1206_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1205_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(40);
                                          flick_iiop_decode_new_glob(_t1205_principal_len);
                                          flick_iiop_decode_new_chunk(_t1205_principal_len);
                                          flick_iiop_decode_end_chunk(_t1205_principal_len);
                                          flick_iiop_decode_end_glob(_t1205_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t1206_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex4__get_long_attribute(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(8);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return);
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(8);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(8);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(8);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t1207_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1207_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1207_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1208_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1208_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1208_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1209_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1209_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1209_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1210_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1210_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1210_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1211_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1211_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1211_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1212_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1212_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1212_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1213_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1213_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch ((char )_t1213_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_boolean _return = 0;
                                                      unsigned int _t1214_principal_len;
                                                      CORBA_Environment _t1215_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t1214_principal_len);
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(40);
                                                      flick_iiop_decode_new_glob(_t1214_principal_len);
                                                      flick_iiop_decode_new_chunk(_t1214_principal_len);
                                                      flick_iiop_decode_end_chunk(_t1214_principal_len);
                                                      flick_iiop_decode_end_glob(_t1214_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _ev = &_t1215_storage;
                                                      flick_iiop_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = ex4__get_boolean_attribute(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(5);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(1);
                                                            flick_cdr_encode_unsigned8(0, _return);
                                                            flick_iiop_encode_end_chunk(1);
                                                            flick_iiop_encode_end_glob(5);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_iiop_encode_end_glob(5);
                                                            flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(5);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1216_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1216_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1216_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1217_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1217_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1217_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1218_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1218_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1218_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1219_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1219_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1219_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1220_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1220_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1220_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1221_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1221_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch ((char )_t1221_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      CORBA_boolean _local_boolean_attribute;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t1222_principal_len;
                                                      CORBA_Environment _t1223_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t1222_principal_len);
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(40);
                                                      flick_iiop_decode_new_glob(_t1222_principal_len);
                                                      flick_iiop_decode_new_chunk(_t1222_principal_len);
                                                      flick_iiop_decode_end_chunk(_t1222_principal_len);
                                                      flick_iiop_decode_end_glob(_t1222_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiop_decode_new_glob(1);
                                                      flick_iiop_decode_new_chunk(1);
                                                      flick_cdr_swap_decode_unsigned8(0, _local_boolean_attribute);
                                                      _ev = &_t1223_storage;
                                                      flick_iiop_decode_end_chunk(1);
                                                      flick_iiop_decode_end_glob(1);
                                                      flick_iiop_server_end_decode();
                                                      flick_corba_init_environment();
                                                      ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_end_glob(4);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t1224_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1224_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1224_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1225_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1225_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1225_switch_tag)
                  {
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned int _t1226_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1226_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1226_switch_tag)
                        {
                        case /* et_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702125409):
                          {
                            unsigned int _t1227_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1227_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1227_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1228_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1228_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1228_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1229_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1229_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t1229_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_octet _return = 0;
                                                unsigned int _t1230_principal_len;
                                                CORBA_Environment _t1231_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1230_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t1230_principal_len);
                                                flick_iiop_decode_new_chunk(_t1230_principal_len);
                                                flick_iiop_decode_end_chunk(_t1230_principal_len);
                                                flick_iiop_decode_end_glob(_t1230_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t1231_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex4__get_octet_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(5);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(1);
                                                      flick_cdr_encode_unsigned8(0, _return);
                                                      flick_iiop_encode_end_chunk(1);
                                                      flick_iiop_encode_end_glob(5);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(5);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(5);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t1232_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1232_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1232_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t1233_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1233_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1233_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1234_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1234_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1234_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1235_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1235_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t1235_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                unsigned int _t1236_principal_len;
                                                CORBA_Environment _t1237_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1236_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t1236_principal_len);
                                                flick_iiop_decode_new_chunk(_t1236_principal_len);
                                                flick_iiop_decode_end_chunk(_t1236_principal_len);
                                                flick_iiop_decode_end_glob(_t1236_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t1237_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex4__get_float_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(8);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_float32(0, _return);
                                                      flick_iiop_encode_end_chunk(4);
                                                      flick_iiop_encode_end_glob(8);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(8);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(8);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1238_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1238_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1238_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1239_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1239_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1239_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1240_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1240_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1240_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1241_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1241_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t1241_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                unsigned int _t1242_principal_len;
                                                CORBA_Environment _t1243_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1242_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t1242_principal_len);
                                                flick_iiop_decode_new_chunk(_t1242_principal_len);
                                                flick_iiop_decode_end_chunk(_t1242_principal_len);
                                                flick_iiop_decode_end_glob(_t1242_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t1243_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex4__get_short_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(6);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(2);
                                                      flick_cdr_encode_signed16(0, _return);
                                                      flick_iiop_encode_end_chunk(2);
                                                      flick_iiop_encode_end_glob(6);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(6);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(6);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1244_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1244_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1244_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1245_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1245_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1245_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1246_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1246_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1246_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1247_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1247_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1247_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1248_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1248_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t1248_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                unsigned int _t1249_principal_len;
                                                CORBA_Environment _t1250_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1249_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t1249_principal_len);
                                                flick_iiop_decode_new_chunk(_t1249_principal_len);
                                                flick_iiop_decode_end_chunk(_t1249_principal_len);
                                                flick_iiop_decode_end_glob(_t1249_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiop_decode_new_glob(3);
                                                flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_cdr_swap_decode_signed16(0, _local_short_attribute);
                                                _ev = &_t1250_storage;
                                                flick_iiop_decode_end_chunk(2);
                                                flick_iiop_decode_end_glob(3);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t1251_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1251_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1251_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1252_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1252_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1252_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1253_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1253_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1253_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1254_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1254_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1254_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1255_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1255_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1255_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1256_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1256_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1256_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_char *_return = 0;
                                                unsigned int _t1257_principal_len;
                                                CORBA_Environment _t1258_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1257_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t1257_principal_len);
                                                flick_iiop_decode_new_chunk(_t1257_principal_len);
                                                flick_iiop_decode_end_chunk(_t1257_principal_len);
                                                flick_iiop_decode_end_glob(_t1257_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t1258_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex4__get_string_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1259_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1259_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1259_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1260_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1260_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1260_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1261_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1261_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1261_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1262_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1262_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1262_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_double _return = 0.000000;
                                                unsigned int _t1263_principal_len;
                                                CORBA_Environment _t1264_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1263_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t1263_principal_len);
                                                flick_iiop_decode_new_chunk(_t1263_principal_len);
                                                flick_iiop_decode_end_chunk(_t1263_principal_len);
                                                flick_iiop_decode_end_glob(_t1263_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t1264_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex4__get_double_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                      flick_cdr_encode_float64(0, _return);
                                                      flick_iiop_encode_end_chunk(8);
                                                      flick_iiop_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1265_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1265_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1265_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1266_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1266_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1266_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1267_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1267_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1267_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1268_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1268_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1268_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1269_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1269_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1269_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_char *_local_string_attribute;
                                                CORBA_Environment *_ev;
                                                unsigned int _t1270_principal_len;
                                                CORBA_Environment _t1271_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1270_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t1270_principal_len);
                                                flick_iiop_decode_new_chunk(_t1270_principal_len);
                                                flick_iiop_decode_end_chunk(_t1270_principal_len);
                                                flick_iiop_decode_end_glob(_t1270_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_cdr_swap_decode_auto_string(_local_string_attribute, auto_flick_alloc, iiop);
                                                _ev = &_t1271_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1272_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1272_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1272_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1273_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1273_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1273_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1274_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1274_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1274_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1275_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1275_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1275_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                unsigned int _t1276_principal_len;
                                                CORBA_Environment _t1277_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1276_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t1276_principal_len);
                                                flick_iiop_decode_new_chunk(_t1276_principal_len);
                                                flick_iiop_decode_end_chunk(_t1276_principal_len);
                                                flick_iiop_decode_end_glob(_t1276_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiop_decode_new_glob(15);
                                                flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_cdr_swap_decode_float64(0, _local_double_attribute);
                                                _ev = &_t1277_storage;
                                                flick_iiop_decode_end_chunk(8);
                                                flick_iiop_decode_end_glob(15);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t1278_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1278_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1278_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex4 _obj;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_octet *_local_o;
                  CORBA_Environment *_ev;
                  CORBA_char _return = 0;
                  unsigned int _t1279_principal_len;
                  CORBA_boolean _t1280_storage;
                  CORBA_octet _t1281_storage;
                  CORBA_Environment _t1282_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1279_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t1279_principal_len);
                  flick_iiop_decode_new_chunk(_t1279_principal_len);
                  flick_iiop_decode_end_chunk(_t1279_principal_len);
                  flick_iiop_decode_end_glob(_t1279_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(2);
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_swap_decode_char8(0, _local_c);
                  _local_b = &_t1280_storage;
                  _local_o = &_t1281_storage;
                  flick_cdr_swap_decode_unsigned8(1, *_local_o);
                  _ev = &_t1282_storage;
                  flick_iiop_decode_end_chunk(2);
                  flick_iiop_decode_end_glob(2);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(7);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(3);
                        flick_cdr_encode_char8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_b);
                        flick_cdr_encode_unsigned8(2, *_local_o);
                        flick_iiop_encode_end_chunk(3);
                        flick_iiop_encode_end_glob(7);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(7);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(7);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex4 _obj;
                  CORBA_boolean *_local_b;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_boolean _return = 0;
                  unsigned int _t1283_principal_len;
                  CORBA_boolean _t1284_storage;
                  CORBA_Environment _t1285_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1283_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t1283_principal_len);
                  flick_iiop_decode_new_chunk(_t1283_principal_len);
                  flick_iiop_decode_end_chunk(_t1283_principal_len);
                  flick_iiop_decode_end_glob(_t1283_principal_len);
                  /* Begin decode phase on parameters */
                  _local_b = &_t1284_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o);
                  _ev = &_t1285_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(6);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_unsigned8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_b);
                        flick_iiop_encode_end_chunk(2);
                        flick_iiop_encode_end_glob(6);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(6);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(6);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex4 _obj;
                  CORBA_octet *_local_o;
                  CORBA_char **_local_s;
                  CORBA_char *_local_ls;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_octet _return = 0;
                  unsigned int _t1286_principal_len;
                  CORBA_octet _t1287_storage;
                  CORBA_char *_t1288_storage;
                  CORBA_long _t1289_storage;
                  CORBA_Environment _t1290_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1286_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t1286_principal_len);
                  flick_iiop_decode_new_chunk(_t1286_principal_len);
                  flick_iiop_decode_end_chunk(_t1286_principal_len);
                  flick_iiop_decode_end_glob(_t1286_principal_len);
                  /* Begin decode phase on parameters */
                  _local_o = &_t1287_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, *_local_o);
                  _local_s = &_t1288_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_cdr_swap_decode_auto_string(_local_ls, auto_flick_alloc, iiop);
                  _local_l = &_t1289_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, *_local_l);
                  _ev = &_t1290_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(6);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_unsigned8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_o);
                        flick_iiop_encode_end_chunk(2);
                        flick_iiop_encode_end_glob(6);
                        flick_cdr_encode_longstring(*_local_s, CORBA_flick_free, iiop);
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_encode_signed32(0, *_local_l);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(7);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(6);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(6);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex4 _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t1291_principal_len;
                  CORBA_Environment _t1292_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1291_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t1291_principal_len);
                  flick_iiop_decode_new_chunk(_t1291_principal_len);
                  flick_iiop_decode_end_chunk(_t1291_principal_len);
                  flick_iiop_decode_end_glob(_t1291_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t1292_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  ex4_op0(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex4 _obj;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_float _return = 0.000000;
                  unsigned int _t1293_principal_len;
                  CORBA_double _t1294_storage;
                  CORBA_long _t1295_storage;
                  CORBA_Environment _t1296_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1293_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t1293_principal_len);
                  flick_iiop_decode_new_chunk(_t1293_principal_len);
                  flick_iiop_decode_end_chunk(_t1293_principal_len);
                  flick_iiop_decode_end_glob(_t1293_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_swap_decode_float32(0, _local_f);
                  _local_d = &_t1294_storage;
                  _local_l = &_t1295_storage;
                  flick_cdr_swap_decode_signed32(4, *_local_l);
                  _ev = &_t1296_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(24);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_float32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_new_chunk_align(12, 3, 2, 0);
                        flick_cdr_encode_float64(0, *_local_d);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(24);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(24);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(24);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex4 _obj;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_short *_local_s;
                  CORBA_Environment *_ev;
                  CORBA_double _return = 0.000000;
                  unsigned int _t1297_principal_len;
                  CORBA_long _t1298_storage;
                  CORBA_short _t1299_storage;
                  CORBA_Environment _t1300_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1297_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t1297_principal_len);
                  flick_iiop_decode_new_chunk(_t1297_principal_len);
                  flick_iiop_decode_end_chunk(_t1297_principal_len);
                  flick_iiop_decode_end_glob(_t1297_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(17);
                  flick_iiop_decode_new_chunk_align(10, 3, 0, 0);
                  flick_cdr_swap_decode_float64(0, _local_d);
                  _local_l = &_t1298_storage;
                  _local_s = &_t1299_storage;
                  flick_cdr_swap_decode_signed16(8, *_local_s);
                  _ev = &_t1300_storage;
                  flick_iiop_decode_end_chunk(10);
                  flick_iiop_decode_end_glob(17);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(22);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk_align(14, 3, 2, 0);
                        flick_cdr_encode_float64(0, _return);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_cdr_encode_signed16(12, *_local_s);
                        flick_iiop_encode_end_chunk(14);
                        flick_iiop_encode_end_glob(22);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(22);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(22);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex4 _obj;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t1301_principal_len;
                  CORBA_short _t1302_storage;
                  CORBA_unsigned_long _t1303_storage;
                  CORBA_Environment _t1304_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1301_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t1301_principal_len);
                  flick_iiop_decode_new_chunk(_t1301_principal_len);
                  flick_iiop_decode_end_chunk(_t1301_principal_len);
                  flick_iiop_decode_end_glob(_t1301_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_l);
                  _local_s = &_t1302_storage;
                  _local_ul = &_t1303_storage;
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul);
                  _ev = &_t1304_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(16);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return);
                        flick_cdr_encode_signed16(4, *_local_s);
                        flick_cdr_encode_unsigned32(8, *_local_ul);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(16);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(16);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(16);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex4 _obj;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short *_local_us;
                  CORBA_Environment *_ev;
                  CORBA_short _return = 0;
                  unsigned int _t1305_principal_len;
                  CORBA_unsigned_long _t1306_storage;
                  CORBA_unsigned_short _t1307_storage;
                  CORBA_Environment _t1308_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1305_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t1305_principal_len);
                  flick_iiop_decode_new_chunk(_t1305_principal_len);
                  flick_iiop_decode_end_chunk(_t1305_principal_len);
                  flick_iiop_decode_end_glob(_t1305_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(5);
                  flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                  flick_cdr_swap_decode_signed16(0, _local_s);
                  _local_ul = &_t1306_storage;
                  _local_us = &_t1307_storage;
                  flick_cdr_swap_decode_unsigned16(2, *_local_us);
                  _ev = &_t1308_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(5);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(14);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(10);
                        flick_cdr_encode_signed16(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_unsigned16(8, *_local_us);
                        flick_iiop_encode_end_chunk(10);
                        flick_iiop_encode_end_glob(14);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(14);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(14);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex4 _obj;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_long _return = 0;
                  unsigned int _t1309_principal_len;
                  CORBA_unsigned_long _t1310_storage;
                  CORBA_char _t1311_storage;
                  CORBA_Environment _t1312_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1309_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t1309_principal_len);
                  flick_iiop_decode_new_chunk(_t1309_principal_len);
                  flick_iiop_decode_end_chunk(_t1309_principal_len);
                  flick_iiop_decode_end_glob(_t1309_principal_len);
                  /* Begin decode phase on parameters */
                  _local_ul = &_t1310_storage;
                  flick_iiop_decode_new_glob(10);
                  flick_iiop_decode_new_chunk_align(7, 2, 0, 0);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul);
                  flick_cdr_swap_decode_unsigned16(4, _local_us);
                  _local_c = &_t1311_storage;
                  flick_cdr_swap_decode_unsigned8(6, _local_b);
                  _ev = &_t1312_storage;
                  flick_iiop_decode_end_chunk(7);
                  flick_iiop_decode_end_glob(10);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(13);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(9);
                        flick_cdr_encode_unsigned32(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_char8(8, *_local_c);
                        flick_iiop_encode_end_chunk(9);
                        flick_iiop_encode_end_glob(13);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(13);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(13);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex4 _obj;
                  CORBA_unsigned_short *_local_us;
                  CORBA_char *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_short _return = 0;
                  unsigned int _t1313_principal_len;
                  CORBA_unsigned_short _t1314_storage;
                  CORBA_char _t1315_storage;
                  CORBA_Environment _t1316_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1313_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t1313_principal_len);
                  flick_iiop_decode_new_chunk(_t1313_principal_len);
                  flick_iiop_decode_end_chunk(_t1313_principal_len);
                  flick_iiop_decode_end_glob(_t1313_principal_len);
                  /* Begin decode phase on parameters */
                  _local_us = &_t1314_storage;
                  _local_c = &_t1315_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c);
                  _ev = &_t1316_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(9);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(5);
                        flick_cdr_encode_unsigned16(0, _return);
                        flick_cdr_encode_unsigned16(2, *_local_us);
                        flick_cdr_encode_char8(4, *_local_c);
                        flick_iiop_encode_end_chunk(5);
                        flick_iiop_encode_end_glob(9);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(9);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(9);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t1317_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1317_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1317_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t1318_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1318_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t1318_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        CORBA_char *_local_s;
                        CORBA_char **_local_ls;
                        CORBA_Environment *_ev;
                        CORBA_char *_return = 0;
                        unsigned int _t1319_principal_len;
                        CORBA_char *_t1320_storage;
                        CORBA_Environment _t1321_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1319_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(40);
                        flick_iiop_decode_new_glob(_t1319_principal_len);
                        flick_iiop_decode_new_chunk(_t1319_principal_len);
                        flick_iiop_decode_end_chunk(_t1319_principal_len);
                        flick_iiop_decode_end_glob(_t1319_principal_len);
                        /* Begin decode phase on parameters */
                        flick_cdr_swap_decode_auto_string(_local_s, auto_flick_alloc, iiop);
                        _local_ls = &_t1320_storage;
                        _ev = &_t1321_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                              flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t1322_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1322_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t1322_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        CORBA_char **_local_ls;
                        CORBA_long *_local_l;
                        CORBA_Environment *_ev;
                        CORBA_char *_return = 0;
                        unsigned int _t1323_principal_len;
                        CORBA_char *_t1324_storage;
                        CORBA_long _t1325_storage;
                        CORBA_Environment _t1326_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1323_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(40);
                        flick_iiop_decode_new_glob(_t1323_principal_len);
                        flick_iiop_decode_new_chunk(_t1323_principal_len);
                        flick_iiop_decode_end_chunk(_t1323_principal_len);
                        flick_iiop_decode_end_glob(_t1323_principal_len);
                        /* Begin decode phase on parameters */
                        _local_ls = &_t1324_storage;
                        flick_cdr_swap_decode_string(*_local_ls, CORBA_flick_alloc, iiop, 10);
                        _local_l = &_t1325_storage;
                        _ev = &_t1326_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                              flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_encode_signed32(0, *_local_l);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t1327_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1327_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t1327_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t1328_principal_len;
                        CORBA_Environment _t1329_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1328_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(40);
                        flick_iiop_decode_new_glob(_t1328_principal_len);
                        flick_iiop_decode_new_chunk(_t1328_principal_len);
                        flick_iiop_decode_end_chunk(_t1328_principal_len);
                        flick_iiop_decode_end_glob(_t1328_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_l);
                        _ev = &_t1329_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex4_op12(_obj, _local_l, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t1330_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1330_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1330_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1331_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1331_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1331_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1332_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1332_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1332_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1333_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1333_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1333_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t1334_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1334_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1334_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t1335_switch_tag;

                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1335_switch_tag);
                                        flick_iiop_decode_end_chunk(4);
                                        switch ((unsigned int )_t1335_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t1336_switch_tag;

                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1336_switch_tag);
                                              flick_iiop_decode_end_chunk(4);
                                              switch ((unsigned int )_t1336_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t1337_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1337_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch ((char )_t1337_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_unsigned_long _return = 0;
                                                            unsigned int _t1338_principal_len;
                                                            CORBA_Environment _t1339_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                            flick_iiop_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_unsigned32(3, _t1338_principal_len);
                                                            flick_iiop_decode_end_chunk(7);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_iiop_decode_new_glob(_t1338_principal_len);
                                                            flick_iiop_decode_new_chunk(_t1338_principal_len);
                                                            flick_iiop_decode_end_chunk(_t1338_principal_len);
                                                            flick_iiop_decode_end_glob(_t1338_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _ev = &_t1339_storage;
                                                            flick_iiop_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_unsigned32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  flick_iiop_encode_end_glob(8);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                  flick_iiop_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t821_switch_tag;

    flick_iiop_decode_new_glob(40);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t821_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t821_switch_tag)
      {
      case (unsigned int) 30:
        {
          unsigned int _t822_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t822_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t822_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t823_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t823_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t823_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t824_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t824_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t824_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t825_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t825_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t825_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t826_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t826_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t826_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t827_switch_tag;

                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t827_switch_tag);
                                        flick_iiop_decode_end_chunk(4);
                                        switch ((unsigned int )_t827_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t828_switch_tag;

                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t828_switch_tag);
                                              flick_iiop_decode_end_chunk(4);
                                              switch ((unsigned int )_t828_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t829_switch_tag;

                                                    flick_iiop_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t829_switch_tag);
                                                    flick_iiop_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t829_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_unsigned_short _return = 0;
                                                            unsigned int _t830_principal_len;
                                                            CORBA_Environment _t831_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t830_principal_len);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_iiop_decode_new_glob(_t830_principal_len);
                                                            flick_iiop_decode_new_chunk(_t830_principal_len);
                                                            flick_iiop_decode_end_chunk(_t830_principal_len);
                                                            flick_iiop_decode_end_glob(_t830_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _ev = &_t831_storage;
                                                            flick_iiop_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(6);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(2);
                                                                  flick_cdr_encode_unsigned16(0, _return);
                                                                  flick_iiop_encode_end_chunk(2);
                                                                  flick_iiop_encode_end_glob(6);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_iiop_encode_end_glob(6);
                                                                  flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                  flick_iiop_encode_end_glob(6);
                                                                }
                                                              }
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lim */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600940397):
                    {
                      unsigned int _t832_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t832_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t832_switch_tag)
                        {
                        case /* ited */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769235812):
                          {
                            unsigned int _t833_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t833_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t833_switch_tag)
                              {
                              case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                                {
                                  unsigned int _t834_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t834_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t834_switch_tag)
                                    {
                                    case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                                      {
                                        unsigned int _t835_switch_tag;

                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t835_switch_tag);
                                        flick_iiop_decode_end_chunk(4);
                                        switch ((unsigned int )_t835_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t836_switch_tag;

                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t836_switch_tag);
                                              flick_iiop_decode_end_chunk(4);
                                              switch ((unsigned int )_t836_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t837_switch_tag;

                                                    flick_iiop_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t837_switch_tag);
                                                    flick_iiop_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t837_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_char *_return = 0;
                                                            unsigned int _t838_principal_len;
                                                            CORBA_Environment _t839_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t838_principal_len);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_iiop_decode_new_glob(_t838_principal_len);
                                                            flick_iiop_decode_new_chunk(_t838_principal_len);
                                                            flick_iiop_decode_end_chunk(_t838_principal_len);
                                                            flick_iiop_decode_end_glob(_t838_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _ev = &_t839_storage;
                                                            flick_iiop_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                  flick_iiop_encode_end_glob(4);
                                                                }
                                                              }
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t840_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t840_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t840_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t841_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t841_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t841_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t842_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t842_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t842_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t843_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t843_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t843_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t844_switch_tag;

                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t844_switch_tag);
                                        flick_iiop_decode_end_chunk(4);
                                        switch ((unsigned int )_t844_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t845_switch_tag;

                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t845_switch_tag);
                                              flick_iiop_decode_end_chunk(4);
                                              switch ((unsigned int )_t845_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t846_switch_tag;

                                                    flick_iiop_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t846_switch_tag);
                                                    flick_iiop_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t846_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            CORBA_unsigned_short _local_unsigned_short_attribute;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t847_principal_len;
                                                            CORBA_Environment _t848_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t847_principal_len);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_iiop_decode_new_glob(_t847_principal_len);
                                                            flick_iiop_decode_new_chunk(_t847_principal_len);
                                                            flick_iiop_decode_end_chunk(_t847_principal_len);
                                                            flick_iiop_decode_end_glob(_t847_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            flick_iiop_decode_new_glob(3);
                                                            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                                                            flick_cdr_decode_unsigned16(0, _local_unsigned_short_attribute);
                                                            _ev = &_t848_storage;
                                                            flick_iiop_decode_end_chunk(2);
                                                            flick_iiop_decode_end_glob(3);
                                                            flick_iiop_server_end_decode();
                                                            flick_corba_init_environment();
                                                            ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_end_glob(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                  flick_iiop_encode_end_glob(4);
                                                                }
                                                              }
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t849_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t849_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t849_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t850_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t850_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t850_switch_tag)
                  {
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned int _t851_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t851_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t851_switch_tag)
                        {
                        case /* r_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1918853492):
                          {
                            unsigned int _t852_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t852_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t852_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t853_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t853_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t853_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char _return = 0;
                                          unsigned int _t854_principal_len;
                                          CORBA_Environment _t855_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t854_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(40);
                                          flick_iiop_decode_new_glob(_t854_principal_len);
                                          flick_iiop_decode_new_chunk(_t854_principal_len);
                                          flick_iiop_decode_end_chunk(_t854_principal_len);
                                          flick_iiop_decode_end_glob(_t854_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t855_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex4__get_char_attribute(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(5);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _return);
                                                flick_iiop_encode_end_chunk(1);
                                                flick_iiop_encode_end_glob(5);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(5);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(5);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t856_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t856_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t856_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t857_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t857_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t857_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t858_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t858_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t858_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          unsigned int _t859_principal_len;
                                          CORBA_Environment _t860_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t859_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(40);
                                          flick_iiop_decode_new_glob(_t859_principal_len);
                                          flick_iiop_decode_new_chunk(_t859_principal_len);
                                          flick_iiop_decode_end_chunk(_t859_principal_len);
                                          flick_iiop_decode_end_glob(_t859_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t860_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex4__get_long_attribute(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(8);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return);
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(8);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(8);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(8);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t861_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t861_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t861_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t862_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t862_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t862_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t863_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t863_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t863_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t864_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t864_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t864_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t865_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t865_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t865_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t866_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t866_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t866_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t867_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t867_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch ((char )_t867_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_boolean _return = 0;
                                                      unsigned int _t868_principal_len;
                                                      CORBA_Environment _t869_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t868_principal_len);
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(40);
                                                      flick_iiop_decode_new_glob(_t868_principal_len);
                                                      flick_iiop_decode_new_chunk(_t868_principal_len);
                                                      flick_iiop_decode_end_chunk(_t868_principal_len);
                                                      flick_iiop_decode_end_glob(_t868_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _ev = &_t869_storage;
                                                      flick_iiop_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = ex4__get_boolean_attribute(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(5);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(1);
                                                            flick_cdr_encode_unsigned8(0, _return);
                                                            flick_iiop_encode_end_chunk(1);
                                                            flick_iiop_encode_end_glob(5);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_iiop_encode_end_glob(5);
                                                            flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(5);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t870_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t870_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t870_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t871_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t871_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t871_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t872_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t872_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t872_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t873_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t873_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t873_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t874_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t874_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t874_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t875_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t875_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch ((char )_t875_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      CORBA_boolean _local_boolean_attribute;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t876_principal_len;
                                                      CORBA_Environment _t877_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t876_principal_len);
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(40);
                                                      flick_iiop_decode_new_glob(_t876_principal_len);
                                                      flick_iiop_decode_new_chunk(_t876_principal_len);
                                                      flick_iiop_decode_end_chunk(_t876_principal_len);
                                                      flick_iiop_decode_end_glob(_t876_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiop_decode_new_glob(1);
                                                      flick_iiop_decode_new_chunk(1);
                                                      flick_cdr_decode_unsigned8(0, _local_boolean_attribute);
                                                      _ev = &_t877_storage;
                                                      flick_iiop_decode_end_chunk(1);
                                                      flick_iiop_decode_end_glob(1);
                                                      flick_iiop_server_end_decode();
                                                      flick_corba_init_environment();
                                                      ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_end_glob(4);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t878_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t878_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t878_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t879_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t879_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t879_switch_tag)
                  {
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned int _t880_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t880_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t880_switch_tag)
                        {
                        case /* et_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702125409):
                          {
                            unsigned int _t881_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t881_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t881_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t882_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t882_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t882_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t883_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t883_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t883_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_octet _return = 0;
                                                unsigned int _t884_principal_len;
                                                CORBA_Environment _t885_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t884_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t884_principal_len);
                                                flick_iiop_decode_new_chunk(_t884_principal_len);
                                                flick_iiop_decode_end_chunk(_t884_principal_len);
                                                flick_iiop_decode_end_glob(_t884_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t885_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex4__get_octet_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(5);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(1);
                                                      flick_cdr_encode_unsigned8(0, _return);
                                                      flick_iiop_encode_end_chunk(1);
                                                      flick_iiop_encode_end_glob(5);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(5);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(5);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t886_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t886_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t886_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t887_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t887_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t887_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t888_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t888_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t888_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t889_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t889_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t889_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                unsigned int _t890_principal_len;
                                                CORBA_Environment _t891_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t890_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t890_principal_len);
                                                flick_iiop_decode_new_chunk(_t890_principal_len);
                                                flick_iiop_decode_end_chunk(_t890_principal_len);
                                                flick_iiop_decode_end_glob(_t890_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t891_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex4__get_float_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(8);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_float32(0, _return);
                                                      flick_iiop_encode_end_chunk(4);
                                                      flick_iiop_encode_end_glob(8);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(8);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(8);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t892_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t892_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t892_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t893_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t893_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t893_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t894_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t894_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t894_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t895_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t895_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t895_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                unsigned int _t896_principal_len;
                                                CORBA_Environment _t897_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t896_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t896_principal_len);
                                                flick_iiop_decode_new_chunk(_t896_principal_len);
                                                flick_iiop_decode_end_chunk(_t896_principal_len);
                                                flick_iiop_decode_end_glob(_t896_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t897_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex4__get_short_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(6);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(2);
                                                      flick_cdr_encode_signed16(0, _return);
                                                      flick_iiop_encode_end_chunk(2);
                                                      flick_iiop_encode_end_glob(6);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(6);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(6);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t898_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t898_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t898_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t899_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t899_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t899_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t900_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t900_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t900_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t901_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t901_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t901_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t902_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t902_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t902_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                unsigned int _t903_principal_len;
                                                CORBA_Environment _t904_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t903_principal_len);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t903_principal_len);
                                                flick_iiop_decode_new_chunk(_t903_principal_len);
                                                flick_iiop_decode_end_chunk(_t903_principal_len);
                                                flick_iiop_decode_end_glob(_t903_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiop_decode_new_glob(3);
                                                flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_cdr_decode_signed16(0, _local_short_attribute);
                                                _ev = &_t904_storage;
                                                flick_iiop_decode_end_chunk(2);
                                                flick_iiop_decode_end_glob(3);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t905_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t905_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t905_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t906_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t906_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t906_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t907_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t907_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t907_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t908_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t908_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t908_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t909_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t909_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t909_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t910_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t910_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t910_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_char *_return = 0;
                                                unsigned int _t911_principal_len;
                                                CORBA_Environment _t912_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t911_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t911_principal_len);
                                                flick_iiop_decode_new_chunk(_t911_principal_len);
                                                flick_iiop_decode_end_chunk(_t911_principal_len);
                                                flick_iiop_decode_end_glob(_t911_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t912_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex4__get_string_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t913_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t913_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t913_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t914_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t914_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t914_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t915_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t915_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t915_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t916_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t916_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t916_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_double _return = 0.000000;
                                                unsigned int _t917_principal_len;
                                                CORBA_Environment _t918_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t917_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t917_principal_len);
                                                flick_iiop_decode_new_chunk(_t917_principal_len);
                                                flick_iiop_decode_end_chunk(_t917_principal_len);
                                                flick_iiop_decode_end_glob(_t917_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t918_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = ex4__get_double_attribute(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                      flick_cdr_encode_float64(0, _return);
                                                      flick_iiop_encode_end_chunk(8);
                                                      flick_iiop_encode_end_glob(16);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(16);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(16);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t919_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t919_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t919_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t920_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t920_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t920_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t921_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t921_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t921_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t922_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t922_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t922_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t923_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t923_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t923_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_char *_local_string_attribute;
                                                CORBA_Environment *_ev;
                                                unsigned int _t924_principal_len;
                                                CORBA_Environment _t925_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t924_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t924_principal_len);
                                                flick_iiop_decode_new_chunk(_t924_principal_len);
                                                flick_iiop_decode_end_chunk(_t924_principal_len);
                                                flick_iiop_decode_end_glob(_t924_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_cdr_decode_auto_string(_local_string_attribute, auto_flick_alloc, iiop);
                                                _ev = &_t925_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t926_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t926_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t926_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t927_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t927_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t927_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t928_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t928_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t928_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t929_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t929_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t929_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                unsigned int _t930_principal_len;
                                                CORBA_Environment _t931_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t930_principal_len);
                                                flick_iiop_decode_end_chunk(6);
                                                flick_iiop_decode_end_glob(40);
                                                flick_iiop_decode_new_glob(_t930_principal_len);
                                                flick_iiop_decode_new_chunk(_t930_principal_len);
                                                flick_iiop_decode_end_chunk(_t930_principal_len);
                                                flick_iiop_decode_end_glob(_t930_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiop_decode_new_glob(15);
                                                flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_cdr_decode_float64(0, _local_double_attribute);
                                                _ev = &_t931_storage;
                                                flick_iiop_decode_end_chunk(8);
                                                flick_iiop_decode_end_glob(15);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t932_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t932_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t932_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex4 _obj;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_octet *_local_o;
                  CORBA_Environment *_ev;
                  CORBA_char _return = 0;
                  unsigned int _t933_principal_len;
                  CORBA_boolean _t934_storage;
                  CORBA_octet _t935_storage;
                  CORBA_Environment _t936_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t933_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t933_principal_len);
                  flick_iiop_decode_new_chunk(_t933_principal_len);
                  flick_iiop_decode_end_chunk(_t933_principal_len);
                  flick_iiop_decode_end_glob(_t933_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(2);
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_decode_char8(0, _local_c);
                  _local_b = &_t934_storage;
                  _local_o = &_t935_storage;
                  flick_cdr_decode_unsigned8(1, *_local_o);
                  _ev = &_t936_storage;
                  flick_iiop_decode_end_chunk(2);
                  flick_iiop_decode_end_glob(2);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(7);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(3);
                        flick_cdr_encode_char8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_b);
                        flick_cdr_encode_unsigned8(2, *_local_o);
                        flick_iiop_encode_end_chunk(3);
                        flick_iiop_encode_end_glob(7);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(7);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(7);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex4 _obj;
                  CORBA_boolean *_local_b;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_boolean _return = 0;
                  unsigned int _t937_principal_len;
                  CORBA_boolean _t938_storage;
                  CORBA_Environment _t939_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t937_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t937_principal_len);
                  flick_iiop_decode_new_chunk(_t937_principal_len);
                  flick_iiop_decode_end_chunk(_t937_principal_len);
                  flick_iiop_decode_end_glob(_t937_principal_len);
                  /* Begin decode phase on parameters */
                  _local_b = &_t938_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o);
                  _ev = &_t939_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(6);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_unsigned8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_b);
                        flick_iiop_encode_end_chunk(2);
                        flick_iiop_encode_end_glob(6);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(6);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(6);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex4 _obj;
                  CORBA_octet *_local_o;
                  CORBA_char **_local_s;
                  CORBA_char *_local_ls;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_octet _return = 0;
                  unsigned int _t940_principal_len;
                  CORBA_octet _t941_storage;
                  CORBA_char *_t942_storage;
                  CORBA_long _t943_storage;
                  CORBA_Environment _t944_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t940_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t940_principal_len);
                  flick_iiop_decode_new_chunk(_t940_principal_len);
                  flick_iiop_decode_end_chunk(_t940_principal_len);
                  flick_iiop_decode_end_glob(_t940_principal_len);
                  /* Begin decode phase on parameters */
                  _local_o = &_t941_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, *_local_o);
                  _local_s = &_t942_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_cdr_decode_auto_string(_local_ls, auto_flick_alloc, iiop);
                  _local_l = &_t943_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_signed32(0, *_local_l);
                  _ev = &_t944_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(6);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(2);
                        flick_cdr_encode_unsigned8(0, _return);
                        flick_cdr_encode_unsigned8(1, *_local_o);
                        flick_iiop_encode_end_chunk(2);
                        flick_iiop_encode_end_glob(6);
                        flick_cdr_encode_longstring(*_local_s, CORBA_flick_free, iiop);
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_encode_signed32(0, *_local_l);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(7);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(6);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(6);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex4 _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t945_principal_len;
                  CORBA_Environment _t946_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t945_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t945_principal_len);
                  flick_iiop_decode_new_chunk(_t945_principal_len);
                  flick_iiop_decode_end_chunk(_t945_principal_len);
                  flick_iiop_decode_end_glob(_t945_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t946_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  ex4_op0(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex4 _obj;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_long *_local_l;
                  CORBA_Environment *_ev;
                  CORBA_float _return = 0.000000;
                  unsigned int _t947_principal_len;
                  CORBA_double _t948_storage;
                  CORBA_long _t949_storage;
                  CORBA_Environment _t950_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t947_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t947_principal_len);
                  flick_iiop_decode_new_chunk(_t947_principal_len);
                  flick_iiop_decode_end_chunk(_t947_principal_len);
                  flick_iiop_decode_end_glob(_t947_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_decode_float32(0, _local_f);
                  _local_d = &_t948_storage;
                  _local_l = &_t949_storage;
                  flick_cdr_decode_signed32(4, *_local_l);
                  _ev = &_t950_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(24);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_float32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_new_chunk_align(12, 3, 2, 0);
                        flick_cdr_encode_float64(0, *_local_d);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(24);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(24);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(24);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex4 _obj;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_short *_local_s;
                  CORBA_Environment *_ev;
                  CORBA_double _return = 0.000000;
                  unsigned int _t951_principal_len;
                  CORBA_long _t952_storage;
                  CORBA_short _t953_storage;
                  CORBA_Environment _t954_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t951_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t951_principal_len);
                  flick_iiop_decode_new_chunk(_t951_principal_len);
                  flick_iiop_decode_end_chunk(_t951_principal_len);
                  flick_iiop_decode_end_glob(_t951_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(17);
                  flick_iiop_decode_new_chunk_align(10, 3, 0, 0);
                  flick_cdr_decode_float64(0, _local_d);
                  _local_l = &_t952_storage;
                  _local_s = &_t953_storage;
                  flick_cdr_decode_signed16(8, *_local_s);
                  _ev = &_t954_storage;
                  flick_iiop_decode_end_chunk(10);
                  flick_iiop_decode_end_glob(17);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(22);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk_align(14, 3, 2, 0);
                        flick_cdr_encode_float64(0, _return);
                        flick_cdr_encode_signed32(8, *_local_l);
                        flick_cdr_encode_signed16(12, *_local_s);
                        flick_iiop_encode_end_chunk(14);
                        flick_iiop_encode_end_glob(22);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(22);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(22);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex4 _obj;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t955_principal_len;
                  CORBA_short _t956_storage;
                  CORBA_unsigned_long _t957_storage;
                  CORBA_Environment _t958_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t955_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t955_principal_len);
                  flick_iiop_decode_new_chunk(_t955_principal_len);
                  flick_iiop_decode_end_chunk(_t955_principal_len);
                  flick_iiop_decode_end_glob(_t955_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_l);
                  _local_s = &_t956_storage;
                  _local_ul = &_t957_storage;
                  flick_cdr_decode_unsigned32(4, *_local_ul);
                  _ev = &_t958_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(16);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return);
                        flick_cdr_encode_signed16(4, *_local_s);
                        flick_cdr_encode_unsigned32(8, *_local_ul);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(16);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(16);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(16);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex4 _obj;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short *_local_us;
                  CORBA_Environment *_ev;
                  CORBA_short _return = 0;
                  unsigned int _t959_principal_len;
                  CORBA_unsigned_long _t960_storage;
                  CORBA_unsigned_short _t961_storage;
                  CORBA_Environment _t962_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t959_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t959_principal_len);
                  flick_iiop_decode_new_chunk(_t959_principal_len);
                  flick_iiop_decode_end_chunk(_t959_principal_len);
                  flick_iiop_decode_end_glob(_t959_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(5);
                  flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                  flick_cdr_decode_signed16(0, _local_s);
                  _local_ul = &_t960_storage;
                  _local_us = &_t961_storage;
                  flick_cdr_decode_unsigned16(2, *_local_us);
                  _ev = &_t962_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(5);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(14);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(10);
                        flick_cdr_encode_signed16(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_unsigned16(8, *_local_us);
                        flick_iiop_encode_end_chunk(10);
                        flick_iiop_encode_end_glob(14);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(14);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(14);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex4 _obj;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_long _return = 0;
                  unsigned int _t963_principal_len;
                  CORBA_unsigned_long _t964_storage;
                  CORBA_char _t965_storage;
                  CORBA_Environment _t966_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t963_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t963_principal_len);
                  flick_iiop_decode_new_chunk(_t963_principal_len);
                  flick_iiop_decode_end_chunk(_t963_principal_len);
                  flick_iiop_decode_end_glob(_t963_principal_len);
                  /* Begin decode phase on parameters */
                  _local_ul = &_t964_storage;
                  flick_iiop_decode_new_glob(10);
                  flick_iiop_decode_new_chunk_align(7, 2, 0, 0);
                  flick_cdr_decode_unsigned32(0, *_local_ul);
                  flick_cdr_decode_unsigned16(4, _local_us);
                  _local_c = &_t965_storage;
                  flick_cdr_decode_unsigned8(6, _local_b);
                  _ev = &_t966_storage;
                  flick_iiop_decode_end_chunk(7);
                  flick_iiop_decode_end_glob(10);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(13);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(9);
                        flick_cdr_encode_unsigned32(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_ul);
                        flick_cdr_encode_char8(8, *_local_c);
                        flick_iiop_encode_end_chunk(9);
                        flick_iiop_encode_end_glob(13);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(13);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(13);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex4 _obj;
                  CORBA_unsigned_short *_local_us;
                  CORBA_char *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_unsigned_short _return = 0;
                  unsigned int _t967_principal_len;
                  CORBA_unsigned_short _t968_storage;
                  CORBA_char _t969_storage;
                  CORBA_Environment _t970_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t967_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(40);
                  flick_iiop_decode_new_glob(_t967_principal_len);
                  flick_iiop_decode_new_chunk(_t967_principal_len);
                  flick_iiop_decode_end_chunk(_t967_principal_len);
                  flick_iiop_decode_end_glob(_t967_principal_len);
                  /* Begin decode phase on parameters */
                  _local_us = &_t968_storage;
                  _local_c = &_t969_storage;
                  flick_iiop_decode_new_glob(1);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c);
                  _ev = &_t970_storage;
                  flick_iiop_decode_end_chunk(1);
                  flick_iiop_decode_end_glob(1);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(9);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(5);
                        flick_cdr_encode_unsigned16(0, _return);
                        flick_cdr_encode_unsigned16(2, *_local_us);
                        flick_cdr_encode_char8(4, *_local_c);
                        flick_iiop_encode_end_chunk(5);
                        flick_iiop_encode_end_glob(9);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(9);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(9);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t971_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t971_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t971_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t972_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t972_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t972_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        CORBA_char *_local_s;
                        CORBA_char **_local_ls;
                        CORBA_Environment *_ev;
                        CORBA_char *_return = 0;
                        unsigned int _t973_principal_len;
                        CORBA_char *_t974_storage;
                        CORBA_Environment _t975_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t973_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(40);
                        flick_iiop_decode_new_glob(_t973_principal_len);
                        flick_iiop_decode_new_chunk(_t973_principal_len);
                        flick_iiop_decode_end_chunk(_t973_principal_len);
                        flick_iiop_decode_end_glob(_t973_principal_len);
                        /* Begin decode phase on parameters */
                        flick_cdr_decode_auto_string(_local_s, auto_flick_alloc, iiop);
                        _local_ls = &_t974_storage;
                        _ev = &_t975_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                              flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t976_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t976_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t976_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        CORBA_char **_local_ls;
                        CORBA_long *_local_l;
                        CORBA_Environment *_ev;
                        CORBA_char *_return = 0;
                        unsigned int _t977_principal_len;
                        CORBA_char *_t978_storage;
                        CORBA_long _t979_storage;
                        CORBA_Environment _t980_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t977_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(40);
                        flick_iiop_decode_new_glob(_t977_principal_len);
                        flick_iiop_decode_new_chunk(_t977_principal_len);
                        flick_iiop_decode_end_chunk(_t977_principal_len);
                        flick_iiop_decode_end_glob(_t977_principal_len);
                        /* Begin decode phase on parameters */
                        _local_ls = &_t978_storage;
                        flick_cdr_decode_string(*_local_ls, CORBA_flick_alloc, iiop, 10);
                        _local_l = &_t979_storage;
                        _ev = &_t980_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                              flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_encode_signed32(0, *_local_l);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t981_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t981_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t981_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t982_principal_len;
                        CORBA_Environment _t983_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t982_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(40);
                        flick_iiop_decode_new_glob(_t982_principal_len);
                        flick_iiop_decode_new_chunk(_t982_principal_len);
                        flick_iiop_decode_end_chunk(_t982_principal_len);
                        flick_iiop_decode_end_glob(_t982_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_l);
                        _ev = &_t983_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex4_op12(_obj, _local_l, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t984_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t984_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t984_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t985_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t985_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t985_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t986_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t986_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t986_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t987_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t987_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t987_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t988_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t988_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t988_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t989_switch_tag;

                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t989_switch_tag);
                                        flick_iiop_decode_end_chunk(4);
                                        switch ((unsigned int )_t989_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t990_switch_tag;

                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t990_switch_tag);
                                              flick_iiop_decode_end_chunk(4);
                                              switch ((unsigned int )_t990_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t991_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t991_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch ((char )_t991_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_unsigned_long _return = 0;
                                                            unsigned int _t992_principal_len;
                                                            CORBA_Environment _t993_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                            flick_iiop_decode_new_chunk(7);
                                                            flick_cdr_decode_unsigned32(3, _t992_principal_len);
                                                            flick_iiop_decode_end_chunk(7);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_iiop_decode_new_glob(_t992_principal_len);
                                                            flick_iiop_decode_new_chunk(_t992_principal_len);
                                                            flick_iiop_decode_end_chunk(_t992_principal_len);
                                                            flick_iiop_decode_end_glob(_t992_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _ev = &_t993_storage;
                                                            flick_iiop_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_unsigned32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  flick_iiop_encode_end_glob(8);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                  flick_iiop_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(40);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
