#include "parm_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration_swap(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_FStruct_swap(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_cdr_encode_longstring(_data->a, CORBA_flick_free, iiop);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_cdr_decode_longstring(_data->a, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_VStruct_swap(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_cdr_swap_decode_longstring(_data->a, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_FUnion_swap(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_end_glob(5);
        flick_cdr_encode_longstring(_data->_u.a, CORBA_flick_free, iiop);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(5);
        flick_cdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        flick_iiop_decode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion_swap(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(5);
        flick_cdr_swap_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        flick_iiop_decode_end_glob(5);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_iiop_encode_new_glob(40);
  flick_iiop_encode_new_chunk(40);
  flick_cdr_encode_bcopy(0, *_data, 40);
  flick_iiop_encode_end_chunk(40);
  flick_iiop_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_iiop_decode_new_glob(40);
  flick_iiop_decode_new_chunk(40);
  flick_cdr_decode_bcopy(0, *_data, 40);
  flick_iiop_decode_end_chunk(40);
  flick_iiop_decode_end_glob(40);
}

void flick_unmarshal_stub_test_arr_swap(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_iiop_decode_new_glob(40);
  for (_t0_array_iter = 0; _t0_array_iter < 10; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_test_seq_swap(flick_marshal_stream_t _stream, test_seq *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t340_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t340_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t340_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t341_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t341_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t341_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t342_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t342_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t342_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_short _return = 0;
                        unsigned int _t343_principal_len;
                        CORBA_short _t344_storage;
                        CORBA_short _t345_storage;
                        CORBA_Environment _t346_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t343_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t343_principal_len);
                        flick_iiop_decode_new_chunk(_t343_principal_len);
                        flick_iiop_decode_end_chunk(_t343_principal_len);
                        flick_iiop_decode_end_glob(_t343_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(5);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_cdr_swap_decode_signed16(0, _local_a);
                        _local_b = &_t344_storage;
                        flick_cdr_swap_decode_signed16(2, *_local_b);
                        _local_c = &_t345_storage;
                        _ev = &_t346_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(5);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(10);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(6);
                              flick_cdr_encode_signed16(0, _return);
                              flick_cdr_encode_signed16(2, *_local_b);
                              flick_cdr_encode_signed16(4, *_local_c);
                              flick_iiop_encode_end_chunk(6);
                              flick_iiop_encode_end_glob(10);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(10);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(10);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t347_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t347_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t347_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        test _obj;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_unsigned_long _return = 0;
                        unsigned int _t348_principal_len;
                        CORBA_unsigned_long _t349_storage;
                        CORBA_unsigned_long _t350_storage;
                        CORBA_Environment _t351_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t348_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t348_principal_len);
                        flick_iiop_decode_new_chunk(_t348_principal_len);
                        flick_iiop_decode_end_chunk(_t348_principal_len);
                        flick_iiop_decode_end_glob(_t348_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_a);
                        _local_b = &_t349_storage;
                        flick_cdr_swap_decode_unsigned32(4, *_local_b);
                        _local_c = &_t350_storage;
                        _ev = &_t351_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              flick_iiop_encode_end_glob(16);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(16);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(16);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t352_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t352_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t352_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_float _return = 0.000000;
                        unsigned int _t353_principal_len;
                        CORBA_float _t354_storage;
                        CORBA_float _t355_storage;
                        CORBA_Environment _t356_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t353_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t353_principal_len);
                        flick_iiop_decode_new_chunk(_t353_principal_len);
                        flick_iiop_decode_end_chunk(_t353_principal_len);
                        flick_iiop_decode_end_glob(_t353_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_float32(0, _local_a);
                        _local_b = &_t354_storage;
                        flick_cdr_swap_decode_float32(4, *_local_b);
                        _local_c = &_t355_storage;
                        _ev = &_t356_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_float32(0, _return);
                              flick_cdr_encode_float32(4, *_local_b);
                              flick_cdr_encode_float32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              flick_iiop_encode_end_glob(16);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(16);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(16);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t357_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t357_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t357_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_octet _return = 0;
                        unsigned int _t358_principal_len;
                        CORBA_octet _t359_storage;
                        CORBA_octet _t360_storage;
                        CORBA_Environment _t361_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t358_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t358_principal_len);
                        flick_iiop_decode_new_chunk(_t358_principal_len);
                        flick_iiop_decode_end_chunk(_t358_principal_len);
                        flick_iiop_decode_end_glob(_t358_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a);
                        _local_b = &_t359_storage;
                        flick_cdr_swap_decode_unsigned8(1, *_local_b);
                        _local_c = &_t360_storage;
                        _ev = &_t361_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(7);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(7);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Arra */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1098019425):
              {
                unsigned short int _t362_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t362_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t362_switch_tag)
                  {
                  case /* y */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30976):
                    {
                      {
                        test _obj;
                        CORBA_long *_local_a;
                        CORBA_long *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        test_arr_slice *_return = 0;
                        unsigned int _t363_principal_len;
                        CORBA_long _t365_storage[10];
                        flick_unsigned8_t _t366_array_iter;
                        CORBA_long _t368_storage[10];
                        flick_unsigned8_t _t369_array_iter;
                        CORBA_long _t371_storage[10];
                        CORBA_Environment _t372_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t363_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t363_principal_len);
                        flick_iiop_decode_new_chunk(_t363_principal_len);
                        flick_iiop_decode_end_chunk(_t363_principal_len);
                        flick_iiop_decode_end_glob(_t363_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(110);
                        _local_a = _t365_storage;
                        for (_t366_array_iter = 0; _t366_array_iter < 10; _t366_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t366_array_iter]);
                            flick_iiop_decode_end_chunk(4);
                          }
                        _local_b = _t368_storage;
                        for (_t369_array_iter = 0; _t369_array_iter < 10; _t369_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_b[_t369_array_iter]);
                            flick_iiop_decode_end_chunk(4);
                          }
                        _local_c = _t371_storage;
                        _ev = &_t372_storage;
                        flick_iiop_decode_end_glob(110);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(124);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(120);
                              flick_cdr_encode_bcopy(0, _return, 40);
                              CORBA_flick_free(_return);
                              flick_cdr_encode_bcopy(40, _local_b, 40);
                              flick_cdr_encode_bcopy(80, _local_c, 40);
                              flick_iiop_encode_end_chunk(120);
                              flick_iiop_encode_end_glob(124);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(124);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(124);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t373_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t373_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t373_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t374_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t374_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t374_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t375_principal_len;
                        CORBA_long _t376_storage;
                        CORBA_long _t377_storage;
                        CORBA_Environment _t378_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t375_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t375_principal_len);
                        flick_iiop_decode_new_chunk(_t375_principal_len);
                        flick_iiop_decode_end_chunk(_t375_principal_len);
                        flick_iiop_decode_end_glob(_t375_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _local_b = &_t376_storage;
                        flick_cdr_swap_decode_signed32(4, *_local_b);
                        _local_c = &_t377_storage;
                        _ev = &_t378_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, *_local_b);
                              flick_cdr_encode_signed32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              flick_iiop_encode_end_glob(16);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(16);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(16);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t379_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t379_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t379_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_char _return = 0;
                        unsigned int _t380_principal_len;
                        CORBA_char _t381_storage;
                        CORBA_char _t382_storage;
                        CORBA_Environment _t383_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t380_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t380_principal_len);
                        flick_iiop_decode_new_chunk(_t380_principal_len);
                        flick_iiop_decode_end_chunk(_t380_principal_len);
                        flick_iiop_decode_end_glob(_t380_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_char8(0, _local_a);
                        _local_b = &_t381_storage;
                        flick_cdr_swap_decode_char8(1, *_local_b);
                        _local_c = &_t382_storage;
                        _ev = &_t383_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_char8(0, _return);
                              flick_cdr_encode_char8(1, *_local_b);
                              flick_cdr_encode_char8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(7);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(7);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t384_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t384_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t384_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        Enumeration _local_a;
                        Enumeration *_local_b;
                        Enumeration *_local_c;
                        CORBA_Environment *_ev;
                        Enumeration _return;
                        unsigned int _t385_principal_len;
                        Enumeration _t386_storage;
                        Enumeration _t387_storage;
                        CORBA_Environment _t388_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t385_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t385_principal_len);
                        flick_iiop_decode_new_chunk(_t385_principal_len);
                        flick_iiop_decode_end_chunk(_t385_principal_len);
                        flick_iiop_decode_end_glob(_t385_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_a);
                        _local_b = &_t386_storage;
                        flick_cdr_swap_decode_unsigned32(4, *_local_b);
                        _local_c = &_t387_storage;
                        _ev = &_t388_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              flick_iiop_encode_end_glob(16);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(16);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(16);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t389_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t389_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t389_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t390_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t390_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t390_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t391_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t391_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t391_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_unsigned_short _return = 0;
                              unsigned int _t392_principal_len;
                              CORBA_unsigned_short _t393_storage;
                              CORBA_unsigned_short _t394_storage;
                              CORBA_Environment _t395_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t392_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t392_principal_len);
                              flick_iiop_decode_new_chunk(_t392_principal_len);
                              flick_iiop_decode_end_chunk(_t392_principal_len);
                              flick_iiop_decode_end_glob(_t392_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_swap_decode_unsigned16(0, _local_a);
                              _local_b = &_t393_storage;
                              flick_cdr_swap_decode_unsigned16(2, *_local_b);
                              _local_c = &_t394_storage;
                              _ev = &_t395_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_unsigned16(0, _return);
                                    flick_cdr_encode_unsigned16(2, *_local_b);
                                    flick_cdr_encode_unsigned16(4, *_local_c);
                                    flick_iiop_encode_end_chunk(6);
                                    flick_iiop_encode_end_glob(10);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(10);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(10);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t396_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t396_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t396_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t397_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t397_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t397_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              CORBA_char *_local_a;
                              CORBA_char **_local_b;
                              CORBA_char **_local_c;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t398_principal_len;
                              CORBA_char *_t399_storage;
                              CORBA_char *_t400_storage;
                              CORBA_Environment _t401_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t398_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t398_principal_len);
                              flick_iiop_decode_new_chunk(_t398_principal_len);
                              flick_iiop_decode_end_chunk(_t398_principal_len);
                              flick_iiop_decode_end_glob(_t398_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                              _local_b = &_t399_storage;
                              flick_cdr_swap_decode_longstring(*_local_b, CORBA_flick_alloc, iiop);
                              _local_c = &_t400_storage;
                              _ev = &_t401_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_b, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_c, CORBA_flick_free, iiop);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t402_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t402_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t402_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t403_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t403_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t403_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        test _obj;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_boolean _return = 0;
                        unsigned int _t404_principal_len;
                        CORBA_boolean _t405_storage;
                        CORBA_boolean _t406_storage;
                        CORBA_Environment _t407_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t404_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t404_principal_len);
                        flick_iiop_decode_new_chunk(_t404_principal_len);
                        flick_iiop_decode_end_chunk(_t404_principal_len);
                        flick_iiop_decode_end_glob(_t404_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a);
                        _local_b = &_t405_storage;
                        flick_cdr_swap_decode_unsigned8(1, *_local_b);
                        _local_c = &_t406_storage;
                        _ev = &_t407_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(7);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(7);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t408_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t408_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t408_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t409_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t409_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t409_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t410_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t410_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t410_switch_tag)
                        {
                        case /* uct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969452032):
                          {
                            {
                              test _obj;
                              struct FStruct *_local_a;
                              struct FStruct *_local_b;
                              struct FStruct *_local_c;
                              CORBA_Environment *_ev;
                              struct FStruct _return;
                              unsigned int _t411_principal_len;
                              struct FStruct _t412_storage;
                              struct FStruct _t413_storage;
                              struct FStruct _t414_storage;
                              CORBA_Environment _t415_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t411_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t411_principal_len);
                              flick_iiop_decode_new_chunk(_t411_principal_len);
                              flick_iiop_decode_end_chunk(_t411_principal_len);
                              flick_iiop_decode_end_glob(_t411_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t412_storage;
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_a->a);
                              _local_b = &_t413_storage;
                              flick_cdr_swap_decode_signed16(2, _local_b->a);
                              _local_c = &_t414_storage;
                              _ev = &_t415_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_signed16(0, _return.a);
                                    flick_cdr_encode_signed16(2, _local_b->a);
                                    flick_cdr_encode_signed16(4, _local_c->a);
                                    flick_iiop_encode_end_chunk(6);
                                    flick_iiop_encode_end_glob(10);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(10);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(10);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t416_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t416_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t416_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t417_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t417_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t417_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test _obj;
                              CORBA_char *_local_a;
                              CORBA_char **_local_b;
                              CORBA_char **_local_c;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t418_principal_len;
                              CORBA_char *_t419_storage;
                              CORBA_char *_t420_storage;
                              CORBA_Environment _t421_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t418_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t418_principal_len);
                              flick_iiop_decode_new_chunk(_t418_principal_len);
                              flick_iiop_decode_end_chunk(_t418_principal_len);
                              flick_iiop_decode_end_glob(_t418_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                              _local_b = &_t419_storage;
                              flick_cdr_swap_decode_string(*_local_b, CORBA_flick_alloc, iiop, 20);
                              _local_c = &_t420_storage;
                              _ev = &_t421_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 20);
                                    flick_cdr_encode_string(*_local_b, CORBA_flick_free, iiop, 20);
                                    flick_cdr_encode_string(*_local_c, CORBA_flick_free, iiop, 20);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t422_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t422_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t422_switch_tag)
            {
            case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t423_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t423_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t423_switch_tag)
                  {
                  case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                    {
                      unsigned short int _t424_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t424_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t424_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              test _obj;
                              struct VStruct *_local_a;
                              struct VStruct *_local_b;
                              struct VStruct **_local_c;
                              CORBA_Environment *_ev;
                              struct VStruct *_return = 0;
                              unsigned int _t425_principal_len;
                              struct VStruct _t426_storage;
                              struct VStruct _t427_storage;
                              struct VStruct *_t428_storage;
                              CORBA_Environment _t429_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t425_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t425_principal_len);
                              flick_iiop_decode_new_chunk(_t425_principal_len);
                              flick_iiop_decode_end_chunk(_t425_principal_len);
                              flick_iiop_decode_end_glob(_t425_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t426_storage;
                              flick_cdr_swap_decode_auto_string(_local_a->a, auto_flick_alloc, iiop);
                              _local_b = &_t427_storage;
                              flick_cdr_swap_decode_longstring(_local_b->a, CORBA_flick_alloc, iiop);
                              _local_c = &_t428_storage;
                              _ev = &_t429_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return->a, CORBA_flick_free, iiop);
                                    CORBA_flick_free(_return);
                                    flick_cdr_encode_longstring(_local_b->a, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring((*_local_c)->a, CORBA_flick_free, iiop);
                                    CORBA_flick_free(*_local_c);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t430_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t430_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t430_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t431_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t431_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t431_switch_tag)
                  {
                  case /* dUni */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683320425):
                    {
                      unsigned short int _t432_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t432_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t432_switch_tag)
                        {
                        case /* on */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28526):
                          {
                            char _t433_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t433_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t433_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    struct FUnion *_local_a;
                                    struct FUnion *_local_b;
                                    struct FUnion *_local_c;
                                    CORBA_Environment *_ev;
                                    struct FUnion _return;
                                    unsigned int _t434_principal_len;
                                    struct FUnion _t435_storage;
                                    struct FUnion _t436_storage;
                                    struct FUnion _t437_storage;
                                    CORBA_Environment _t438_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t434_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t434_principal_len);
                                    flick_iiop_decode_new_chunk(_t434_principal_len);
                                    flick_iiop_decode_end_chunk(_t434_principal_len);
                                    flick_iiop_decode_end_glob(_t434_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = &_t435_storage;
                                    flick_iiop_decode_new_glob(22);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_signed32(0, _local_a->_d);
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_a->_u.x);
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_a->_u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_b = &_t436_storage;
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_signed32(0, _local_b->_d);
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_b->_u.x);
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_b->_u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_c = &_t437_storage;
                                    _ev = &_t438_storage;
                                    flick_iiop_decode_end_glob(22);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(34);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return._d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_return._d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return._u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _return._u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_b->_d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_local_b->_d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _local_b->_u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _local_b->_u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_c->_d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_local_c->_d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _local_c->_u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _local_c->_u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          flick_iiop_encode_end_glob(34);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_iiop_encode_end_glob(34);
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(34);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t439_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t439_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t439_switch_tag)
            {
            case /* VarU */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226837):
              {
                unsigned int _t440_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t440_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t440_switch_tag)
                  {
                  case /* nion */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852403566):
                    {
                      char _t441_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t441_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t441_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              struct VUnion *_local_a;
                              struct VUnion *_local_b;
                              struct VUnion **_local_c;
                              CORBA_Environment *_ev;
                              struct VUnion *_return = 0;
                              unsigned int _t442_principal_len;
                              struct VUnion _t443_storage;
                              struct VUnion _t444_storage;
                              struct VUnion *_t445_storage;
                              CORBA_Environment _t446_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t442_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t442_principal_len);
                              flick_iiop_decode_new_chunk(_t442_principal_len);
                              flick_iiop_decode_end_chunk(_t442_principal_len);
                              flick_iiop_decode_end_glob(_t442_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t443_storage;
                              flick_iiop_decode_new_glob(8);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_a->_d);
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_a->_d)
                                {
                                case 1:
                                  {
                                    flick_iiop_decode_end_glob(8);
                                    flick_cdr_swap_decode_auto_string(_local_a->_u.a, auto_flick_alloc, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _local_a->_u.z);
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(8);
                                    break;
                                  }
                                }
                              _local_b = &_t444_storage;
                              flick_iiop_decode_new_glob(8);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_b->_d);
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_b->_d)
                                {
                                case 1:
                                  {
                                    flick_iiop_decode_end_glob(8);
                                    flick_cdr_swap_decode_longstring(_local_b->_u.a, CORBA_flick_alloc, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _local_b->_u.z);
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(8);
                                    break;
                                  }
                                }
                              _local_c = &_t445_storage;
                              _ev = &_t446_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(9);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_return->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(9);
                                          flick_cdr_encode_longstring(_return->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(9);
                                          break;
                                        }
                                      }
                                    CORBA_flick_free(_return);
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _local_b->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(8);
                                          flick_cdr_encode_longstring(_local_b->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_b->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(8);
                                          break;
                                        }
                                      }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, (*_local_c)->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch ((*_local_c)->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(8);
                                          flick_cdr_encode_longstring((*_local_c)->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, (*_local_c)->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(8);
                                          break;
                                        }
                                      }
                                    CORBA_flick_free(*_local_c);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(9);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(9);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t447_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t447_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t447_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      char _t448_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t448_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t448_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              test_seq *_local_a;
                              test_seq *_local_b;
                              test_seq **_local_c;
                              CORBA_Environment *_ev;
                              test_seq *_return = 0;
                              unsigned int _t449_principal_len;
                              test_seq _t450_storage;
                              CORBA_unsigned_long _t451_array_iter;
                              test_seq _t452_storage;
                              CORBA_unsigned_long _t453_array_iter;
                              test_seq *_t454_storage;
                              CORBA_Environment _t455_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t449_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t449_principal_len);
                              flick_iiop_decode_new_chunk(_t449_principal_len);
                              flick_iiop_decode_end_chunk(_t449_principal_len);
                              flick_iiop_decode_end_glob(_t449_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t450_storage;
                              flick_iiop_decode_new_glob(91);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_unsigned32(0, _local_a->_length);
                              _local_a->_maximum = _local_a->_length;
                              if (_local_a->_length > (unsigned int) 10)
                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
                              flick_iiop_decode_end_chunk(4);
                              _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                              for (_t451_array_iter = 0; _t451_array_iter < _local_a->_length; _t451_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t451_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              _local_b = &_t452_storage;
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _local_b->_length);
                              _local_b->_maximum = _local_b->_length;
                              if (_local_b->_length > (unsigned int) 10)
                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
                              flick_iiop_decode_end_chunk(4);
                              _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                              for (_t453_array_iter = 0; _t453_array_iter < _local_b->_length; _t453_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_b->_buffer[_t453_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              _local_c = &_t454_storage;
                              _ev = &_t455_storage;
                              flick_iiop_decode_end_glob(91);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(136);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4 + 4 * _return->_length);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    if (_return->_length > (unsigned int) 10)
                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                                    flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                    CORBA_flick_free(_return->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * _return->_length);
                                    CORBA_flick_free(_return);
                                    flick_iiop_encode_new_chunk(4 + 4 * _local_b->_length);
                                    flick_cdr_encode_unsigned32(0, _local_b->_length);
                                    if (_local_b->_length > (unsigned int) 10)
                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                                    flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                                    CORBA_flick_free(_local_b->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * _local_b->_length);
                                    flick_iiop_encode_new_chunk(4 + 4 * (*_local_c)->_length);
                                    flick_cdr_encode_unsigned32(0, (*_local_c)->_length);
                                    if ((*_local_c)->_length > (unsigned int) 10)
                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                                    flick_cdr_encode_bcopy(4, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                    CORBA_flick_free((*_local_c)->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * (*_local_c)->_length);
                                    CORBA_flick_free(*_local_c);
                                    flick_iiop_encode_end_glob(136);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(136);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(136);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t113_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t113_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t113_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t114_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t114_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t114_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t115_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t115_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t115_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_short _return = 0;
                        unsigned int _t116_principal_len;
                        CORBA_short _t117_storage;
                        CORBA_short _t118_storage;
                        CORBA_Environment _t119_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t116_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t116_principal_len);
                        flick_iiop_decode_new_chunk(_t116_principal_len);
                        flick_iiop_decode_end_chunk(_t116_principal_len);
                        flick_iiop_decode_end_glob(_t116_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(5);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_cdr_decode_signed16(0, _local_a);
                        _local_b = &_t117_storage;
                        flick_cdr_decode_signed16(2, *_local_b);
                        _local_c = &_t118_storage;
                        _ev = &_t119_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(5);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(10);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(6);
                              flick_cdr_encode_signed16(0, _return);
                              flick_cdr_encode_signed16(2, *_local_b);
                              flick_cdr_encode_signed16(4, *_local_c);
                              flick_iiop_encode_end_chunk(6);
                              flick_iiop_encode_end_glob(10);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(10);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(10);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t120_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t120_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t120_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        test _obj;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_unsigned_long _return = 0;
                        unsigned int _t121_principal_len;
                        CORBA_unsigned_long _t122_storage;
                        CORBA_unsigned_long _t123_storage;
                        CORBA_Environment _t124_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t121_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t121_principal_len);
                        flick_iiop_decode_new_chunk(_t121_principal_len);
                        flick_iiop_decode_end_chunk(_t121_principal_len);
                        flick_iiop_decode_end_glob(_t121_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_a);
                        _local_b = &_t122_storage;
                        flick_cdr_decode_unsigned32(4, *_local_b);
                        _local_c = &_t123_storage;
                        _ev = &_t124_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              flick_iiop_encode_end_glob(16);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(16);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(16);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t125_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t125_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t125_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_float _return = 0.000000;
                        unsigned int _t126_principal_len;
                        CORBA_float _t127_storage;
                        CORBA_float _t128_storage;
                        CORBA_Environment _t129_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t126_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t126_principal_len);
                        flick_iiop_decode_new_chunk(_t126_principal_len);
                        flick_iiop_decode_end_chunk(_t126_principal_len);
                        flick_iiop_decode_end_glob(_t126_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_float32(0, _local_a);
                        _local_b = &_t127_storage;
                        flick_cdr_decode_float32(4, *_local_b);
                        _local_c = &_t128_storage;
                        _ev = &_t129_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_float32(0, _return);
                              flick_cdr_encode_float32(4, *_local_b);
                              flick_cdr_encode_float32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              flick_iiop_encode_end_glob(16);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(16);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(16);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t130_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t130_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t130_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_octet _return = 0;
                        unsigned int _t131_principal_len;
                        CORBA_octet _t132_storage;
                        CORBA_octet _t133_storage;
                        CORBA_Environment _t134_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t131_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t131_principal_len);
                        flick_iiop_decode_new_chunk(_t131_principal_len);
                        flick_iiop_decode_end_chunk(_t131_principal_len);
                        flick_iiop_decode_end_glob(_t131_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a);
                        _local_b = &_t132_storage;
                        flick_cdr_decode_unsigned8(1, *_local_b);
                        _local_c = &_t133_storage;
                        _ev = &_t134_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(7);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(7);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Arra */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1098019425):
              {
                unsigned short int _t135_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t135_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t135_switch_tag)
                  {
                  case /* y */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30976):
                    {
                      {
                        test _obj;
                        CORBA_long *_local_a;
                        CORBA_long *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        test_arr_slice *_return = 0;
                        unsigned int _t136_principal_len;
                        CORBA_long _t139_storage[10];
                        CORBA_long _t141_storage[10];
                        CORBA_Environment _t142_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t136_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t136_principal_len);
                        flick_iiop_decode_new_chunk(_t136_principal_len);
                        flick_iiop_decode_end_chunk(_t136_principal_len);
                        flick_iiop_decode_end_glob(_t136_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(83);
                        flick_iiop_decode_new_chunk_align(80, 2, 0, 0);
                        flick_cdr_decode_msgptr(0, _local_a);
                        _local_b = _t139_storage;
                        flick_cdr_decode_bcopy(40, _local_b, 40);
                        _local_c = _t141_storage;
                        _ev = &_t142_storage;
                        flick_iiop_decode_end_chunk(80);
                        flick_iiop_decode_end_glob(83);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(124);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(120);
                              flick_cdr_encode_bcopy(0, _return, 40);
                              CORBA_flick_free(_return);
                              flick_cdr_encode_bcopy(40, _local_b, 40);
                              flick_cdr_encode_bcopy(80, _local_c, 40);
                              flick_iiop_encode_end_chunk(120);
                              flick_iiop_encode_end_glob(124);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(124);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(124);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t143_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t143_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t143_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t144_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t144_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t144_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t145_principal_len;
                        CORBA_long _t146_storage;
                        CORBA_long _t147_storage;
                        CORBA_Environment _t148_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t145_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t145_principal_len);
                        flick_iiop_decode_new_chunk(_t145_principal_len);
                        flick_iiop_decode_end_chunk(_t145_principal_len);
                        flick_iiop_decode_end_glob(_t145_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _local_b = &_t146_storage;
                        flick_cdr_decode_signed32(4, *_local_b);
                        _local_c = &_t147_storage;
                        _ev = &_t148_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, *_local_b);
                              flick_cdr_encode_signed32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              flick_iiop_encode_end_glob(16);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(16);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(16);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t149_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t149_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t149_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_char _return = 0;
                        unsigned int _t150_principal_len;
                        CORBA_char _t151_storage;
                        CORBA_char _t152_storage;
                        CORBA_Environment _t153_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t150_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t150_principal_len);
                        flick_iiop_decode_new_chunk(_t150_principal_len);
                        flick_iiop_decode_end_chunk(_t150_principal_len);
                        flick_iiop_decode_end_glob(_t150_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_char8(0, _local_a);
                        _local_b = &_t151_storage;
                        flick_cdr_decode_char8(1, *_local_b);
                        _local_c = &_t152_storage;
                        _ev = &_t153_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_char8(0, _return);
                              flick_cdr_encode_char8(1, *_local_b);
                              flick_cdr_encode_char8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(7);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(7);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t154_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t154_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t154_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        Enumeration _local_a;
                        Enumeration *_local_b;
                        Enumeration *_local_c;
                        CORBA_Environment *_ev;
                        Enumeration _return;
                        unsigned int _t155_principal_len;
                        Enumeration _t156_storage;
                        Enumeration _t157_storage;
                        CORBA_Environment _t158_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t155_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t155_principal_len);
                        flick_iiop_decode_new_chunk(_t155_principal_len);
                        flick_iiop_decode_end_chunk(_t155_principal_len);
                        flick_iiop_decode_end_glob(_t155_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_a);
                        _local_b = &_t156_storage;
                        flick_cdr_decode_unsigned32(4, *_local_b);
                        _local_c = &_t157_storage;
                        _ev = &_t158_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              flick_iiop_encode_end_glob(16);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(16);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(16);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t159_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t159_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t159_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t160_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t160_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t160_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t161_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t161_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t161_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_unsigned_short _return = 0;
                              unsigned int _t162_principal_len;
                              CORBA_unsigned_short _t163_storage;
                              CORBA_unsigned_short _t164_storage;
                              CORBA_Environment _t165_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t162_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t162_principal_len);
                              flick_iiop_decode_new_chunk(_t162_principal_len);
                              flick_iiop_decode_end_chunk(_t162_principal_len);
                              flick_iiop_decode_end_glob(_t162_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_decode_unsigned16(0, _local_a);
                              _local_b = &_t163_storage;
                              flick_cdr_decode_unsigned16(2, *_local_b);
                              _local_c = &_t164_storage;
                              _ev = &_t165_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_unsigned16(0, _return);
                                    flick_cdr_encode_unsigned16(2, *_local_b);
                                    flick_cdr_encode_unsigned16(4, *_local_c);
                                    flick_iiop_encode_end_chunk(6);
                                    flick_iiop_encode_end_glob(10);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(10);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(10);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t166_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t166_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t166_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t167_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t167_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t167_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              CORBA_char *_local_a;
                              CORBA_char **_local_b;
                              CORBA_char **_local_c;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t168_principal_len;
                              CORBA_char *_t169_storage;
                              CORBA_char *_t170_storage;
                              CORBA_Environment _t171_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t168_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t168_principal_len);
                              flick_iiop_decode_new_chunk(_t168_principal_len);
                              flick_iiop_decode_end_chunk(_t168_principal_len);
                              flick_iiop_decode_end_glob(_t168_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                              _local_b = &_t169_storage;
                              flick_cdr_decode_longstring(*_local_b, CORBA_flick_alloc, iiop);
                              _local_c = &_t170_storage;
                              _ev = &_t171_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_b, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_c, CORBA_flick_free, iiop);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t172_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t172_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t172_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t173_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t173_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t173_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        test _obj;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_boolean _return = 0;
                        unsigned int _t174_principal_len;
                        CORBA_boolean _t175_storage;
                        CORBA_boolean _t176_storage;
                        CORBA_Environment _t177_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t174_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t174_principal_len);
                        flick_iiop_decode_new_chunk(_t174_principal_len);
                        flick_iiop_decode_end_chunk(_t174_principal_len);
                        flick_iiop_decode_end_glob(_t174_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a);
                        _local_b = &_t175_storage;
                        flick_cdr_decode_unsigned8(1, *_local_b);
                        _local_c = &_t176_storage;
                        _ev = &_t177_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(7);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(7);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t178_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t178_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t178_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t179_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t179_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t179_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t180_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t180_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t180_switch_tag)
                        {
                        case /* uct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969452032):
                          {
                            {
                              test _obj;
                              struct FStruct *_local_a;
                              struct FStruct *_local_b;
                              struct FStruct *_local_c;
                              CORBA_Environment *_ev;
                              struct FStruct _return;
                              unsigned int _t181_principal_len;
                              struct FStruct _t182_storage;
                              struct FStruct _t183_storage;
                              struct FStruct _t184_storage;
                              CORBA_Environment _t185_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t181_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t181_principal_len);
                              flick_iiop_decode_new_chunk(_t181_principal_len);
                              flick_iiop_decode_end_chunk(_t181_principal_len);
                              flick_iiop_decode_end_glob(_t181_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t182_storage;
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_a->a);
                              _local_b = &_t183_storage;
                              flick_cdr_decode_signed16(2, _local_b->a);
                              _local_c = &_t184_storage;
                              _ev = &_t185_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_signed16(0, _return.a);
                                    flick_cdr_encode_signed16(2, _local_b->a);
                                    flick_cdr_encode_signed16(4, _local_c->a);
                                    flick_iiop_encode_end_chunk(6);
                                    flick_iiop_encode_end_glob(10);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(10);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(10);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t186_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t186_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t186_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t187_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t187_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t187_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test _obj;
                              CORBA_char *_local_a;
                              CORBA_char **_local_b;
                              CORBA_char **_local_c;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t188_principal_len;
                              CORBA_char *_t189_storage;
                              CORBA_char *_t190_storage;
                              CORBA_Environment _t191_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t188_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t188_principal_len);
                              flick_iiop_decode_new_chunk(_t188_principal_len);
                              flick_iiop_decode_end_chunk(_t188_principal_len);
                              flick_iiop_decode_end_glob(_t188_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                              _local_b = &_t189_storage;
                              flick_cdr_decode_string(*_local_b, CORBA_flick_alloc, iiop, 20);
                              _local_c = &_t190_storage;
                              _ev = &_t191_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 20);
                                    flick_cdr_encode_string(*_local_b, CORBA_flick_free, iiop, 20);
                                    flick_cdr_encode_string(*_local_c, CORBA_flick_free, iiop, 20);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t192_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t192_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t192_switch_tag)
            {
            case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t193_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t193_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t193_switch_tag)
                  {
                  case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                    {
                      unsigned short int _t194_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t194_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t194_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              test _obj;
                              struct VStruct *_local_a;
                              struct VStruct *_local_b;
                              struct VStruct **_local_c;
                              CORBA_Environment *_ev;
                              struct VStruct *_return = 0;
                              unsigned int _t195_principal_len;
                              struct VStruct _t196_storage;
                              struct VStruct _t197_storage;
                              struct VStruct *_t198_storage;
                              CORBA_Environment _t199_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t195_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t195_principal_len);
                              flick_iiop_decode_new_chunk(_t195_principal_len);
                              flick_iiop_decode_end_chunk(_t195_principal_len);
                              flick_iiop_decode_end_glob(_t195_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t196_storage;
                              flick_cdr_decode_auto_string(_local_a->a, auto_flick_alloc, iiop);
                              _local_b = &_t197_storage;
                              flick_cdr_decode_longstring(_local_b->a, CORBA_flick_alloc, iiop);
                              _local_c = &_t198_storage;
                              _ev = &_t199_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return->a, CORBA_flick_free, iiop);
                                    CORBA_flick_free(_return);
                                    flick_cdr_encode_longstring(_local_b->a, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring((*_local_c)->a, CORBA_flick_free, iiop);
                                    CORBA_flick_free(*_local_c);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t200_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t200_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t200_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t201_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t201_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t201_switch_tag)
                  {
                  case /* dUni */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683320425):
                    {
                      unsigned short int _t202_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t202_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t202_switch_tag)
                        {
                        case /* on */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28526):
                          {
                            char _t203_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t203_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t203_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    struct FUnion *_local_a;
                                    struct FUnion *_local_b;
                                    struct FUnion *_local_c;
                                    CORBA_Environment *_ev;
                                    struct FUnion _return;
                                    unsigned int _t204_principal_len;
                                    struct FUnion _t205_storage;
                                    struct FUnion _t206_storage;
                                    struct FUnion _t207_storage;
                                    CORBA_Environment _t208_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t204_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t204_principal_len);
                                    flick_iiop_decode_new_chunk(_t204_principal_len);
                                    flick_iiop_decode_end_chunk(_t204_principal_len);
                                    flick_iiop_decode_end_glob(_t204_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = &_t205_storage;
                                    flick_iiop_decode_new_glob(22);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_signed32(0, _local_a->_d);
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_a->_u.x);
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_a->_u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_b = &_t206_storage;
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_signed32(0, _local_b->_d);
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_b->_u.x);
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_b->_u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_c = &_t207_storage;
                                    _ev = &_t208_storage;
                                    flick_iiop_decode_end_glob(22);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(34);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return._d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_return._d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return._u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _return._u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_b->_d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_local_b->_d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _local_b->_u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _local_b->_u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_c->_d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_local_c->_d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _local_c->_u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _local_c->_u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          flick_iiop_encode_end_glob(34);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_iiop_encode_end_glob(34);
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(34);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t209_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t209_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t209_switch_tag)
            {
            case /* VarU */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226837):
              {
                unsigned int _t210_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t210_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t210_switch_tag)
                  {
                  case /* nion */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852403566):
                    {
                      char _t211_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t211_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t211_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              struct VUnion *_local_a;
                              struct VUnion *_local_b;
                              struct VUnion **_local_c;
                              CORBA_Environment *_ev;
                              struct VUnion *_return = 0;
                              unsigned int _t212_principal_len;
                              struct VUnion _t213_storage;
                              struct VUnion _t214_storage;
                              struct VUnion *_t215_storage;
                              CORBA_Environment _t216_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t212_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t212_principal_len);
                              flick_iiop_decode_new_chunk(_t212_principal_len);
                              flick_iiop_decode_end_chunk(_t212_principal_len);
                              flick_iiop_decode_end_glob(_t212_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t213_storage;
                              flick_iiop_decode_new_glob(8);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_a->_d);
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_a->_d)
                                {
                                case 1:
                                  {
                                    flick_iiop_decode_end_glob(8);
                                    flick_cdr_decode_auto_string(_local_a->_u.a, auto_flick_alloc, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _local_a->_u.z);
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(8);
                                    break;
                                  }
                                }
                              _local_b = &_t214_storage;
                              flick_iiop_decode_new_glob(8);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_b->_d);
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_b->_d)
                                {
                                case 1:
                                  {
                                    flick_iiop_decode_end_glob(8);
                                    flick_cdr_decode_longstring(_local_b->_u.a, CORBA_flick_alloc, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _local_b->_u.z);
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(8);
                                    break;
                                  }
                                }
                              _local_c = &_t215_storage;
                              _ev = &_t216_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(9);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_return->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(9);
                                          flick_cdr_encode_longstring(_return->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(9);
                                          break;
                                        }
                                      }
                                    CORBA_flick_free(_return);
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _local_b->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(8);
                                          flick_cdr_encode_longstring(_local_b->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_b->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(8);
                                          break;
                                        }
                                      }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, (*_local_c)->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch ((*_local_c)->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(8);
                                          flick_cdr_encode_longstring((*_local_c)->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, (*_local_c)->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(8);
                                          break;
                                        }
                                      }
                                    CORBA_flick_free(*_local_c);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(9);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(9);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t217_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t217_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t217_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      char _t218_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t218_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t218_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              test_seq *_local_a;
                              test_seq *_local_b;
                              test_seq **_local_c;
                              CORBA_Environment *_ev;
                              test_seq *_return = 0;
                              unsigned int _t219_principal_len;
                              test_seq _t220_storage;
                              test_seq _t221_storage;
                              test_seq *_t222_storage;
                              CORBA_Environment _t223_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t219_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t219_principal_len);
                              flick_iiop_decode_new_chunk(_t219_principal_len);
                              flick_iiop_decode_end_chunk(_t219_principal_len);
                              flick_iiop_decode_end_glob(_t219_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t220_storage;
                              flick_iiop_decode_new_glob(91);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_unsigned32(0, _local_a->_length);
                              _local_a->_maximum = _local_a->_length;
                              if (_local_a->_length > (unsigned int) 10)
                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_new_chunk(4 * _local_a->_length);
                              flick_cdr_decode_msgptr(0, _local_a->_buffer);
                              flick_iiop_decode_end_chunk(4 * _local_a->_length);
                              _local_b = &_t221_storage;
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _local_b->_length);
                              _local_b->_maximum = _local_b->_length;
                              if (_local_b->_length > (unsigned int) 10)
                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_new_chunk(4 * _local_b->_length);
                              _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                              flick_cdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                              flick_iiop_decode_end_chunk(4 * _local_b->_length);
                              _local_c = &_t222_storage;
                              _ev = &_t223_storage;
                              flick_iiop_decode_end_glob(91);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(136);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4 + 4 * _return->_length);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    if (_return->_length > (unsigned int) 10)
                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                                    flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                    CORBA_flick_free(_return->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * _return->_length);
                                    CORBA_flick_free(_return);
                                    flick_iiop_encode_new_chunk(4 + 4 * _local_b->_length);
                                    flick_cdr_encode_unsigned32(0, _local_b->_length);
                                    if (_local_b->_length > (unsigned int) 10)
                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                                    flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                                    CORBA_flick_free(_local_b->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * _local_b->_length);
                                    flick_iiop_encode_new_chunk(4 + 4 * (*_local_c)->_length);
                                    flick_cdr_encode_unsigned32(0, (*_local_c)->_length);
                                    if ((*_local_c)->_length > (unsigned int) 10)
                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                                    flick_cdr_encode_bcopy(4, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                    CORBA_flick_free((*_local_c)->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * (*_local_c)->_length);
                                    CORBA_flick_free(*_local_c);
                                    flick_iiop_encode_end_glob(136);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(136);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(136);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
